<?php
/**
* The template for displaying the footer
*
*
* @package WordPress
* @subpackage nt_minfox
* @since nt_minfox 1.0
*/
if ( 'page' == ot_get_option( 'minfox_footer_template_type' ) && function_exists( 'minfox_vc_inject_shortcode_css' ) ) {

    if ( '' != ot_get_option( 'minfox_footer_custom_template' ) ) {

        minfox_vc_inject_shortcode_css( ot_get_option( 'minfox_footer_custom_template' ) );

        $content = get_post_field( 'post_content', ot_get_option( 'minfox_footer_custom_template' ) );

        echo '<footer class="footer-template-'.ot_get_option( 'minfox_footer_custom_template' ).'">'.do_shortcode( $content ).'</footer>';
    }

} elseif ( 'custom' == ot_get_option( 'minfox_footer_template_type' ) ) {

    if ( '' != ot_get_option( 'minfox_footer_custom_html' ) ) {

        echo do_shortcode( ot_get_option( 'minfox_footer_custom_html' ) );

    }

} else {
    /* logo options */
    $nt_minfox_logo_option 	= ( ot_get_option( 'nt_minfox_logo_type' ) );
    $nt_minfox_img_logo 	= ( ot_get_option( 'nt_minfox_logoimg' ) );
    $nt_minfox_text_logo 	= ( ot_get_option( 'nt_minfox_textlogo' ) );
    ?>


    <!-- Footer -->
    <footer class="footer">
        <div class="container">
            <?php if ( ot_get_option('nt_minfox_widgetize') != 'off') : ?>
                <div class="row">

                    <?php
                    if ( is_active_sidebar( 'nt-minfox-footer-widgetize' ) ) {
                        dynamic_sidebar( 'nt-minfox-footer-widgetize' );
                    }

                    if ( is_active_sidebar( 'nt-minfox-footer-1' ) ) {
                        dynamic_sidebar( 'nt-minfox-footer-1' );
                    }

                    if ( is_active_sidebar( 'nt-minfox-footer-2' ) ) {
                        dynamic_sidebar( 'nt-minfox-footer-2' );
                    }

                    if ( is_active_sidebar( 'nt-minfox-footer-3' ) ) {
                        dynamic_sidebar( 'nt-minfox-footer-3' );
                    }

                    if ( is_active_sidebar( 'nt-minfox-footer-4' ) ) {
                        dynamic_sidebar( 'nt-minfox-footer-4' );
                    }
                    if ( is_active_sidebar( 'nt-minfox-footer-5' ) ) {
                        dynamic_sidebar( 'nt-minfox-footer-5' );
                    }
                    ?>

                </div>
            <?php endif; ?>
            <!-- footer copyright -->
            <?php if ( ot_get_option('nt_minfox_copyright_visibility') != 'off') : ?>
                <div class="copyright clearfix">
                    <!-- Text -->
                    <?php
                    if ( ot_get_option('nt_minfox_copyright') != '') :

                        echo do_shortcode( ot_get_option('nt_minfox_copyright') );
                    else :
                        ?>
                        <span class="wow fadeInLeft" data-wow-delay=".2s"><?php echo esc_html_e( 'Minfox Responsive Landing Page. All Rights Reserved', 'nt-minfox' ); ?></span>
                    <?php endif; ?>
                    <!-- Footer menu -->
                    <?php
                    $nt_minfox_footer_menu = ot_get_option('nt_minfox_footer_menu');
                    if( $nt_minfox_footer_menu !='off' ){
                        wp_nav_menu( array(
                            'menu'              => 'footer',
                            'theme_location'    => 'footer',
                            'depth'             => 1,
                            'container'         => '',
                            'container_class'   => '',
                            'menu_class'        => 'footer-menu wow fadeInRight',
                            'menu_id'		    => 'footer-menu',
                            'echo' 				=> true,
                            'fallback_cb'       => 'Nt_Minfox_Wp_Bootstrap_Navwalker::fallback',
                            'walker'            => new NT_Minfox_Wp_Bootstrap_Navwalker()
                        ));
                    }
                    ?>
                    <!-- Footer menu end -->
                </div>
            <?php endif; ?>

            </div>
        </footer>
        <!-- Footer end -->
    <?php } ?>
    <?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
