<?php

function nt_minfox_css_options() {

    /* CSS to output */
    $theCSS = '';

    if( is_admin_bar_showing() && ! is_customize_preview() ) {
        $theCSS .= '
        .navbar-fixed-top,.navbar .side { top: 32px; }
        .navbar-fixed-top.shrink { top: 32px; }
        @media (max-width: 600px){
            .navbar-fixed-top { top: 32px !important; }
        }
        @media (max-width: 991px){
            .navbar-fixed-top { top: 32px !important; }
        }
        @media (max-width: 991px){
            .navbar-fixed-top.shrink { top: 32px !important; }
        }
        @media (max-width: 768px){
            .navbar-fixed-top.shrink, .navbar .side { top: 46px !important; }
        }
        @media (max-width: 600px){
            .navbar-fixed-top.shrink { top: 0px !important; }
        }
        @media (max-width: 480px){
            .navbar-fixed-top { top: 6px!important; }
        }
        @media (max-width: 480px){
            .navbar-fixed-top.shrink { top: 0px!important; }
        }';
    }

    function nt_minfox_hex2rgb($hex) {
        $hex = str_replace("#", "", $hex);

        if(strlen($hex) == 3) {
            $r = hexdec(substr($hex,0,1).substr($hex,0,1));
            $g = hexdec(substr($hex,1,1).substr($hex,1,1));
            $b = hexdec(substr($hex,2,1).substr($hex,2,1));
        } else {
            $r = hexdec(substr($hex,0,2));
            $g = hexdec(substr($hex,2,2));
            $b = hexdec(substr($hex,4,2));
        }
        $rgb = array($r, $g, $b);

        return $rgb; // returns an array with the rgb values
    }
    // preloader
    if ( ot_get_option( 'nt_minfox_pre' ) != 'off' ) {
        if ( ot_get_option( 'nt_minfox_pre_type' ) != 'default' ) {
            if ( ot_get_option( 'nt_minfox_prebgcolor' ) != '' ) {
                $theCSS .= 'div#preloader {background-color: '.esc_attr( ot_get_option( 'nt_minfox_prebgcolor' ) ).';}';
            }
            if ( ot_get_option( 'nt_minfox_prespincolor' ) != '' ) {

                $prespincolor   = ot_get_option( 'nt_minfox_prespincolor' );
                $pre_spincolor  = nt_minfox_hex2rgb($prespincolor);
                $pre_spin_color = implode(", ", $pre_spincolor);

                if ( ot_get_option( 'nt_minfox_pre_type' ) =='01' ) { $theCSS .= '.loader01:after { background: '.$prespincolor.'!important;}';
                $theCSS .= '.loader01 { border:8px solid '.$prespincolor.'!important; border-right-color: transparent!important;}';}
                if ( ot_get_option( 'nt_minfox_pre_type' ) =='02' ) { $theCSS .= '.loader02 { border: 8px solid rgba('.$pre_spin_color.', 0.25)!important;}';
                $theCSS .= '.loader02 { border-top-color: '.$prespincolor.'!important;}'; }
                if ( ot_get_option( 'nt_minfox_pre_type' ) =='03' ) { $theCSS .= '.loader03{ border-top-color: '.$prespincolor.'!important;}';
                $theCSS .= '.loader03 { border-bottom-color: '.$prespincolor.'!important;}';}
                if ( ot_get_option( 'nt_minfox_pre_type' ) =='04' ) { $theCSS .= '.loader04 { border: 2px solid rgba('.$pre_spin_color.', 0.5)!important;}';
                $theCSS .= '.loader04:after { background: '.$prespincolor.'!important;}';}
                if ( ot_get_option( 'nt_minfox_pre_type' ) =='05' ) { $theCSS .= '.loader05 { border-color: '.$prespincolor.'!important;}'; }
                if ( ot_get_option( 'nt_minfox_pre_type' ) =='06' ) { $theCSS .= '.loader06:before { border: 4px solid rgba('.$pre_spin_color.', 0.5)!important;}';
                $theCSS .= '.loader06:after { border: 4px solid '.$prespincolor.';}';}

                if ( ot_get_option( 'nt_minfox_pre_type' ) =='07' ) {
                    $theCSS .= '@keyframes loader-circles {
                    0% {
                    box-shadow: 0 -27px 0 0 rgba('.$pre_spin_color.', 0.05), 19px -19px 0 0 rgba('.$pre_spin_color.', 0.1), 27px 0 0 0 rgba('.$pre_spin_color.', 0.2), 19px 19px 0 0 rgba('.$pre_spin_color.', 0.3), 0 27px 0 0 rgba('.$pre_spin_color.', 0.4), -19px 19px 0 0 rgba('.$pre_spin_color.', 0.6), -27px 0 0 0 rgba('.$pre_spin_color.', 0.8), -19px -19px 0 0 '.$prespincolor.'; }
                    12.5% {
                    box-shadow: 0 -27px 0 0 '.$prespincolor.', 19px -19px 0 0 rgba('.$pre_spin_color.', 0.05), 27px 0 0 0 rgba('.$pre_spin_color.', 0.1), 19px 19px 0 0 rgba('.$pre_spin_color.', 0.2), 0 27px 0 0 rgba('.$pre_spin_color.', 0.3), -19px 19px 0 0 rgba('.$pre_spin_color.', 0.4), -27px 0 0 0 rgba('.$pre_spin_color.', 0.6), -19px -19px 0 0 rgba('.$pre_spin_color.', 0.8); }
                    25% {
                    box-shadow: 0 -27px 0 0 rgba('.$pre_spin_color.', 0.8), 19px -19px 0 0 '.$prespincolor.', 27px 0 0 0 rgba('.$pre_spin_color.', 0.05), 19px 19px 0 0 rgba('.$pre_spin_color.', 0.1), 0 27px 0 0 rgba('.$pre_spin_color.', 0.2), -19px 19px 0 0 rgba('.$pre_spin_color.', 0.3), -27px 0 0 0 rgba('.$pre_spin_color.', 0.4), -19px -19px 0 0 rgba('.$pre_spin_color.', 0.6); }
                    37.5% {
                    box-shadow: 0 -27px 0 0 rgba('.$pre_spin_color.', 0.6), 19px -19px 0 0 rgba('.$pre_spin_color.', 0.8), 27px 0 0 0 '.$prespincolor.', 19px 19px 0 0 rgba('.$pre_spin_color.', 0.05), 0 27px 0 0 rgba('.$pre_spin_color.', 0.1), -19px 19px 0 0 rgba('.$pre_spin_color.', 0.2), -27px 0 0 0 rgba('.$pre_spin_color.', 0.3), -19px -19px 0 0 rgba('.$pre_spin_color.', 0.4); }
                    50% {
                    box-shadow: 0 -27px 0 0 rgba('.$pre_spin_color.', 0.4), 19px -19px 0 0 rgba('.$pre_spin_color.', 0.6), 27px 0 0 0 rgba('.$pre_spin_color.', 0.8), 19px 19px 0 0 '.$prespincolor.', 0 27px 0 0 rgba('.$pre_spin_color.', 0.05), -19px 19px 0 0 rgba('.$pre_spin_color.', 0.1), -27px 0 0 0 rgba('.$pre_spin_color.', 0.2), -19px -19px 0 0 rgba('.$pre_spin_color.', 0.3); }
                    62.5% {
                    box-shadow: 0 -27px 0 0 rgba('.$pre_spin_color.', 0.3), 19px -19px 0 0 rgba('.$pre_spin_color.', 0.4), 27px 0 0 0 rgba('.$pre_spin_color.', 0.6), 19px 19px 0 0 rgba('.$pre_spin_color.', 0.8), 0 27px 0 0 '.$prespincolor.', -19px 19px 0 0 rgba('.$pre_spin_color.', 0.05), -27px 0 0 0 rgba('.$pre_spin_color.', 0.1), -19px -19px 0 0 rgba('.$pre_spin_color.', 0.2); }
                    75% {
                    box-shadow: 0 -27px 0 0 rgba('.$pre_spin_color.', 0.2), 19px -19px 0 0 rgba('.$pre_spin_color.', 0.3), 27px 0 0 0 rgba('.$pre_spin_color.', 0.4), 19px 19px 0 0 rgba('.$pre_spin_color.', 0.6), 0 27px 0 0 rgba('.$pre_spin_color.', 0.8), -19px 19px 0 0 '.$prespincolor.', -27px 0 0 0 rgba('.$pre_spin_color.', 0.05), -19px -19px 0 0 rgba('.$pre_spin_color.', 0.1); }
                    87.5% {
                    box-shadow: 0 -27px 0 0 rgba('.$pre_spin_color.', 0.1), 19px -19px 0 0 rgba('.$pre_spin_color.', 0.2), 27px 0 0 0 rgba('.$pre_spin_color.', 0.3), 19px 19px 0 0 rgba('.$pre_spin_color.', 0.4), 0 27px 0 0 rgba('.$pre_spin_color.', 0.6), -19px 19px 0 0 rgba('.$pre_spin_color.', 0.8), -27px 0 0 0 '.$prespincolor.', -19px -19px 0 0 rgba('.$pre_spin_color.', 0.05); }
                    100% {
                    box-shadow: 0 -27px 0 0 rgba('.$pre_spin_color.', 0.05), 19px -19px 0 0 rgba('.$pre_spin_color.', 0.1), 27px 0 0 0 rgba('.$pre_spin_color.', 0.2), 19px 19px 0 0 rgba('.$pre_spin_color.', 0.3), 0 27px 0 0 rgba('.$pre_spin_color.', 0.4), -19px 19px 0 0 rgba('.$pre_spin_color.', 0.6), -27px 0 0 0 rgba('.$pre_spin_color.', 0.8), -19px -19px 0 0 '.$prespincolor.'; } }';
                }
                if ( ot_get_option( 'nt_minfox_pre_type' ) =='08' ) {
                    $theCSS .= '@keyframes loader08 {
                    0%, 100% {
                    box-shadow: -13px 20px 0 '.$prespincolor.', 13px 20px 0 rgba('.$pre_spin_color.', 0.2), 13px 46px 0 rgba('.$pre_spin_color.', 0.2), -13px 46px 0 rgba('.$pre_spin_color.', 0.2); }
                    25% {
                    box-shadow: -13px 20px 0 rgba('.$pre_spin_color.', 0.2), 13px 20px 0 '.$prespincolor.', 13px 46px 0 rgba('.$pre_spin_color.', 0.2), -13px 46px 0 rgba('.$pre_spin_color.', 0.2); }
                    50% {
                    box-shadow: -13px 20px 0 rgba('.$pre_spin_color.', 0.2), 13px 20px 0 rgba('.$pre_spin_color.', 0.2), 13px 46px 0 '.$prespincolor.', -13px 46px 0 rgba('.$pre_spin_color.', 0.2); }
                    75% {
                    box-shadow: -13px 20px 0 rgba('.$pre_spin_color.', 0.2), 13px 20px 0 rgba('.$pre_spin_color.', 0.2), 13px 46px 0 rgba('.$pre_spin_color.', 0.2), -13px 46px 0 '.$prespincolor.'; } }';
                }
                if ( ot_get_option( 'nt_minfox_pre_type' ) =='09' ) {
                    $theCSS .= '.loader09, .loader09:after, .loader09:before { background: '.$prespincolor.'!important;}';
                    $theCSS .= '@keyframes loader09 {
                    0%, 100% {
                    box-shadow: 0 0 0 '.$prespincolor.', 0 0 0 '.$prespincolor.'; }
                    50% {
                    box-shadow: 0 -8px 0 '.$prespincolor.', 0 8px 0 '.$prespincolor.'; } }
                    }';
                }
                if ( ot_get_option( 'nt_minfox_pre_type' ) =='10' ) {
                    $theCSS .= '@keyframes loader10 {
                    0% {
                    box-shadow: 0 28px 0 -28px '.$prespincolor.'; }
                    100% {
                    box-shadow: 0 28px 0 '.$prespincolor.'; } }';
                }
                if ( ot_get_option( 'nt_minfox_pre_type' ) =='11' ) {
                    $theCSS .= ' .loader11::after, .loader11::before {box-shadow: 0 40px 0 '.$prespincolor.'; }';
                    $theCSS .= '@keyframes loader11 {
                    0% {
                    box-shadow: 0 40px 0 '.$prespincolor.'; }
                    100% {
                    box-shadow: 0 20px 0 '.$prespincolor.'; } }';
                }
                if ( ot_get_option( 'nt_minfox_pre_type' ) =='12' ) {
                    $theCSS .= '@keyframes loader12 {
                    0% {
                    box-shadow: -60px 40px 0 2px '.$prespincolor.', -30px 40px 0 0 rgba('.$pre_spin_color.', 0.2), 0 40px 0 0 rgba('.$pre_spin_color.', 0.2), 30px 40px 0 0 rgba('.$pre_spin_color.', 0.2), 60px 40px 0 0 rgba('.$pre_spin_color.', 0.2); }
                    25% {
                    box-shadow: -60px 40px 0 0 rgba('.$pre_spin_color.', 0.2), -30px 40px 0 2px '.$prespincolor.', 0 40px 0 0 rgba('.$pre_spin_color.', 0.2), 30px 40px 0 0 rgba('.$pre_spin_color.', 0.2), 60px 40px 0 0 rgba('.$pre_spin_color.', 0.2); }
                    50% {
                    box-shadow: -60px 40px 0 0 rgba('.$pre_spin_color.', 0.2), -30px 40px 0 0 rgba('.$pre_spin_color.', 0.2), 0 40px 0 2px '.$prespincolor.', 30px 40px 0 0 rgba('.$pre_spin_color.', 0.2), 60px 40px 0 0 rgba('.$pre_spin_color.', 0.2); }
                    75% {
                    box-shadow: -60px 40px 0 0 rgba('.$pre_spin_color.', 0.2), -30px 40px 0 0 rgba('.$pre_spin_color.', 0.2), 0 40px 0 0 rgba('.$pre_spin_color.', 0.2), 30px 40px 0 2px '.$prespincolor.', 60px 40px 0 0 rgba('.$pre_spin_color.', 0.2); }
                    100% {
                    box-shadow: -60px 40px 0 0 rgba('.$pre_spin_color.', 0.2), -30px 40px 0 0 rgba('.$pre_spin_color.', 0.2), 0 40px 0 0 rgba('.$pre_spin_color.', 0.2), 30px 40px 0 0 rgba('.$pre_spin_color.', 0.2), 60px 40px 0 2px '.$prespincolor.'; } }';
                }
            }
        } elseif ( ot_get_option( 'nt_minfox_pre_type' ) =='default' ) {
            if ( ot_get_option( 'nt_minfox_prebgcolor' ) !='' ) {
                $theCSS .= '.preloader {background-color: '.esc_attr( ot_get_option( 'nt_minfox_prebgcolor' ) ).';}';
            }
            if ( ot_get_option( 'nt_minfox_prespincolor' ) !='' ) {
                $theCSS .= '.preloader:before {background-color: '.ot_get_option( 'nt_minfox_prespincolor' ).';}';
            }
            if ( ot_get_option( 'nt_minfox_prespincolor2' ) !='' ) {
                $theCSS .= '.preloader:after {background-color: '.ot_get_option( 'nt_minfox_prespincolor2' ).';}';
            }
        }
    }

    // color options
    $one_color = esc_attr( ot_get_option( 'nt_minfox_theme_color_one' ) );
    $two_color = esc_attr( ot_get_option( 'nt_minfox_theme_color_two' ) );

    if ( ot_get_option( 'nt_minfox_theme_color_one' ) !='' ) {
        $theCSS .= '.navbar-nav .open .dropdown-menu,.navbar-default .navbar-nav>.open>a, .navbar-default .navbar-nav>.open>a:focus, .navbar-default .navbar-nav>.open>a:hover,.comment-form .submit,.navbar-default .navbar-nav>li>a:focus, .navbar-default .navbar-nav>li>a:hover, .margin_30,.navbar-default.shrink, .btn-price, .cta-footer, .btn-contact, .subscribe, .slick-prev:hover,.slick-next:hover, .slick-prev:focus,.slick-next:focus,.nav .open > a, .nav .menu-item-has-children.open > a:hover, .nav .menu-item-has-children.open > a:focus, .post-password-form input[type=submit] , .widget select, .nav-links span.current, .pager li > a, .pager li > span, .brand .circle,.post-button, .error404 .index .searchform input[type="submit"], .pager li > span, .pager li > a, .section-title:after, .widget-title:after, #widget-area #searchform #searchsubmit, #share-buttons i:hover, #questions .panel-default .panel-heading, .btn_stroke_white:hover, .pricing .package.active .top, .pricing .package.active, .btn_primary, .btn_black::after, .clear_heading {background-color:' . $one_color . ';}';
        $theCSS .= '@media (max-width: 991px) {	.navbar-default .navbar-toggle .icon-bar, .navbar-default .navbar-nav li a {background-color:' .$one_color.';}}';
        $theCSS .= '#widget-area .widget a,.section-minfox h2,.section-minfox p,.features .item .icon-wrap .icon i,.features .item .description h3 ,.position,.social-team a i:hover, .pricing .price-table .header h2,.pricing .price-table .header .price ,.price-cent,.pricing .price-table.recommend ,.pricing .price-table.recommend .header h2,.pricing .price-table.recommend .header h1,.testimonials .user .info h3,.blog h2 a:hover,.btn-blog ,.btn-blog:hover ,.btn-cta:hover ,.btn-cta:focus,.btn-sub:hover ,.footer .blog .title h4 a:hover ,.footer .links ul li a:hover,.footer .links ul li:before ,.footer .copyright .footer-menu li a:hover,.social-icons li a i:hover,.btn-default:hover,.btn-secondary:hover ,.modal-title,.modal-title .icon ,.close:hover ,a, a:hover, a:focus, .breadcrumb-current, .widget ul li a, .widget a, .entry-title a:hover, .entry-meta a:hover, .btn_white:visited, .btn_white, #features .feature:hover i, #features .feature:hover h6, .bullets span.cycle-pager-active, .bullets span:hover, #testimonials .testimonial p, .btn_stroke_white:hover, #main_footer .social_icons ul li a:hover, .btn_stroke_white:hover {color:' . $one_color . ';}';
        $theCSS .= '.comment-form .submit,#widget-area .widget-title,.widget select, .nav-links span.current, .pager li > a, .pager li > span, #testimonials .testimonial img { border-color: '.$one_color.' !important; }';
    }

    if ( ot_get_option( 'nt_minfox_theme_color_two' ) !='' ) {
        $theCSS .= '.btn:hover, .btn:focus, .btn.focus{color: ' . $two_color . '; }';
        $theCSS .= '.btn-contact:hover,.btn-sub,.btn-price:hover,.owl-pagination .owl-page.active{background-color: ' . $two_color . '; }';
        $theCSS .= '#share-buttons i{color: ' . $two_color . '; }';
        $theCSS .= '.widget ul li a:hover, .flex-direction-nav a { color: ' . $two_color . ' !important; }';
    }

    if ( ot_get_option( 'nt_minfox_megamenu' ) != 'on' ) {

        $counticon = 1;
        $nt_minfox_menuicon         = ot_get_option('nt_minfox_menuicon' );
        $nt_minfox_menuicon_color   = ot_get_option('nt_minfox_menuicon_color' );
        $nt_minfox_menuicon_desktop = ot_get_option('nt_minfox_menuicon_desktop' );
        $nt_minfox_menuicon_mobile  = ot_get_option('nt_minfox_menuicon_mobile' );
        if (!empty( $nt_minfox_menuicon )) {
            $theCSS .= '.nav.navbar-nav li a:before{position:relative;font-family:FontAwesome;margin-right:10px;}';
            $theCSS .= '.nav.navbar-nav ul.dropdown-menu li a:before{content:none!important;}';
            if ( $nt_minfox_menuicon_color !='' ) { $theCSS .= '.nav.navbar-nav li a:before {color:'.$nt_minfox_menuicon_color.';}'; }
            foreach($nt_minfox_menuicon as $key => $icon) {
                $theCSS .= '.nav.navbar-nav li:nth-child('.$counticon.') a:before{content:"\\'.esc_html($icon['nt_minfox_mobileitemicon']).'";}';
                $counticon++;
            }
        }

        if ( $nt_minfox_menuicon_desktop == 'off' ) {
            $theCSS .= '@media (min-width:992px){.nav.navbar-nav li a:before{content:none!important;}}';
        }
        if ( $nt_minfox_menuicon_mobile == 'off' ) {
            $theCSS .= '@media (max-width:992px){.nav.navbar-nav li a:before{content:none!important;}}';
        }

        //static nav
        $nav_padding           = ( ot_get_option( 'nt_minfox_navpadding', array() ) );
        $nav_margin            = ( ot_get_option( 'nt_minfox_navmargin', array() ) );
        $nav_menu_ifs          = esc_attr( ot_get_option( 'nt_minfox_nav_menu_ifs' ) );
        $static_nav_bg         = esc_attr( ot_get_option( 'nt_minfox_nav_bg' ) );
        $static_navitem        = esc_attr( ot_get_option( 'nt_minfox_navitem' ) );
        $static_navitemhover   = esc_attr( ot_get_option( 'nt_minfox_navitemhover' ) );
        $static_navitemhoverbg = esc_attr( ot_get_option( 'nt_minfox_navitemhoverbg' ) );

        // logo img width and height
        //logo padding
        if ( !empty($nav_padding) ) {
            if(!empty($nav_padding['unit']))   { $logopadunit = $nav_padding['unit'];}else{ $logopadunit = 'px'; }
            if(!empty($nav_padding['top']))    { $theCSS .= '.navbar-default{ padding-top:'.$nav_padding['top'].''.$logopadunit.' !important; }'; }
            if(!empty($nav_padding['bottom'])) { $theCSS .= '.navbar-default{ padding-bottom:'.$nav_padding['bottom'].''.$logopadunit.' !important; }'; }
            if(!empty($nav_padding['right']))  { $theCSS .= '.navbar-default{ padding-right:'.$nav_padding['right'].''.$logopadunit.' !important; }'; }
            if(!empty($nav_padding['left']))   { $theCSS .= '.navbar-default{ padding-left:'.$nav_padding['left'].''.$logopadunit.' !important; }'; }
        }
        if ( !empty($nav_margin) ) {
            if(!empty($nav_margin['unit']))   { $logomarunit = $nav_margin['unit'];}else{ $logomarunit = 'px'; }
            if(!empty($nav_margin['top']))    { $theCSS .= '.navbar-default{ margin-top:'.$nav_margin['top'].''.$logomarunit.' !important; }'; }
            if(!empty($nav_margin['bottom'])) { $theCSS .= '.navbar-default{ margin-bottom:'.$nav_margin['bottom'].''.$logomarunit.' !important; }'; }
            if(!empty($nav_margin['right']))  { $theCSS .= '.navbar-default{ margin-right:'.$nav_margin['right'].''.$logomarunit.' !important; }'; }
            if(!empty($nav_margin['left']))   { $theCSS .= '.navbar-default{ margin-left:'.$nav_margin['left'].''.$logomarunit.' !important; }'; }
        }
        if ( $static_nav_bg !='' )       { $theCSS .= '.navbar-default {background-color:'.$static_nav_bg.'!important;}'; }
        if ( $nav_menu_ifs !=0 )         { $theCSS .= '.navbar-default .navbar-nav > li > a{font-size:'.$nav_menu_ifs.'px!important;}'; }
        if ( $static_navitem !='' )      { $theCSS .= '.navbar-default .navbar-nav > li > a {color:'.$static_navitem.'!important;}'; }
        if ( $static_navitemhover !='' ) { $theCSS .= '.navbar-default .navbar-nav > li > a:focus, .navbar-default .navbar-nav > li > a:hover, .navbar-default .navbar-nav > li.active > a{color:'.$static_navitemhover.'!important;}'; }
        if ( $static_navitemhoverbg !='' )  { $theCSS .= '.navbar-default .navbar-nav > li > a:hover,.navbar-default .navbar-nav > .active > a, .navbar-default .navbar-nav > .active > a:hover, .navbar-default .navbar-nav > li > a:focus, .navbar-default .navbar-nav > li > a:hover  {background-color:'.$static_navitemhoverbg.'!important;}'; }

        //sticky nav
        $snav_pad              = ( ot_get_option( 'nt_minfox_stickynavpadding', array() ) );
        $snav_margin           = ( ot_get_option( 'nt_minfox_stickynavmargin', array() ) );
        $nav_fixed_display     = esc_attr( ot_get_option( 'nt_minfox_nav_fixed_display' ) );
        $sticky_navbg          = esc_attr( ot_get_option( 'nt_minfox_nav_fixed_bg' ) );
        $sticky_navitem        = esc_attr( ot_get_option( 'nt_minfox_navitem_after_s' ) );
        $sticky_navitemhover   = esc_attr( ot_get_option( 'nt_minfox_fixed_navitemhover' ) );
        $sticky_navitemhoverbg = esc_attr( ot_get_option( 'nt_minfox_fixed_navitemhoverbg' ) );

        if ( $nav_fixed_display == 'off' ) {
            $theCSS .= '.navbar-fixed-top, .navbar-default.shrink {position: absolute!important;margin: 40px 0;padding: 14px 0;}.navbar-default.shrink li a {padding: 7px 30px;}';
            if ( $static_nav_bg !='' ) {
                $theCSS .= '.navbar-default.shrink {background-color:'.$static_nav_bg.'!important;}';
            } else {
                $theCSS .= '.navbar-default.shrink {background-color: transparent!important;}';
            }
        }
        if ( $nav_fixed_display != 'off' ) {
            if ( !empty($snav_pad) ) {
                if(!empty($snav_pad['unit']))   { $navpadunit = $snav_pad['unit'];}else{ $navpadunit = 'px'; }
                if(!empty($snav_pad['top']))    { $theCSS .= '.navbar-default.shrink{ padding-top:'.$snav_pad['top'].''.$navpadunit.' !important; }'; }
                if(!empty($snav_pad['bottom'])) { $theCSS .= '.navbar-default.shrink{ padding-bottom:'.$snav_pad['bottom'].''.$navpadunit.' !important; }'; }
                if(!empty($snav_pad['right']))  { $theCSS .= '.navbar-default.shrink{ padding-right:'.$snav_pad['right'].''.$navpadunit.' !important; }'; }
                if(!empty($snav_pad['left']))   { $theCSS .= '.navbar-default.shrink{ padding-left:'.$snav_pad['left'].''.$navpadunit.' !important; }'; }
            }
            if ( !empty($snav_margin) ) {
                if(!empty($snav_margin['unit']))   { $navmarunit = $snav_margin['unit'];}else{ $navmarunit = 'px'; }
                if(!empty($snav_margin['top']))    { $theCSS .= '.navbar-default.shrink{ margin-top:'.$snav_margin['top'].''.$navmarunit.' !important; }'; }
                if(!empty($snav_margin['bottom'])) { $theCSS .= '.navbar-default.shrink{ margin-bottom:'.$snav_margin['bottom'].''.$navmarunit.' !important; }'; }
                if(!empty($snav_margin['right']))  { $theCSS .= '.navbar-default.shrink{ margin-right:'.$snav_margin['right'].''.$navmarunit.' !important; }'; }
                if(!empty($snav_margin['left']))   { $theCSS .= '.navbar-default.shrink{ margin-left:'.$snav_margin['left'].''.$navmarunit.' !important; }'; }
            }

            if ( $sticky_navbg !='' )          { $theCSS .= '.navbar-default.shrink {background-color:'.$sticky_navbg.'!important;}'; }
            if ( $sticky_navitem !='' )        { $theCSS .= '.navbar-default.shrink > li > a {color:'.$sticky_navitem.'!important;}'; }
            if ( $sticky_navitemhover !='')    { $theCSS .= '.navbar-default.shrink > li > a a:hover{color:'.$sticky_navitemhover.'!important;}';}
            if ( $sticky_navitemhoverbg !='' ) { $theCSS .= '.navbar-default .navbar-nav>li>a:focus, .navbar-default .navbar-nav>li>a:hover{background-color:'.$sticky_navitemhoverbg.'!important;}'; }
        }
        //dropdown submenu
        $dropdownbg          = esc_attr( ot_get_option( 'nt_minfox_dropdown_bg' ) );
        $dropdownitem        = esc_attr( ot_get_option( 'nt_minfox_dropdown_item' ) );
        $dropdownitemhover   = esc_attr( ot_get_option( 'nt_minfox_dropdown_itemhover' ) );
        $dropdownitemhoverbg = esc_attr( ot_get_option( 'nt_minfox_dropdown_itemhoverbg' ) );

        if ( $dropdownbg !='' )   { $theCSS .= '.navbar-default .dropdown-menu { background-color:'.$dropdownbg.'!important;}'; }
        if ( $dropdownitem !='' ) { $theCSS .= '.navbar-default .dropdown-menu>li>a{color:'.$dropdownitem.'!important;}'; }
        if ( $dropdownitemhover !='' ) {
            $theCSS .= '.navbar-default .dropdown-menu>li>a:focus,
            .navbar-default .dropdown-menu>li>a:hover,
            .navbar-default .dropdown-menu> li.active > a{
                color:'.$dropdownitemhover . '!important;
            }';
        }
        if ( $dropdownitemhoverbg !='' ) {
            $theCSS .= '.navbar-default .dropdown-menu>li>a:focus,
            .navbar-default .dropdown-menu>li>a:hover,
            .navbar-default .dropdown-menu> li.active > a{
                background-color:'.$dropdownitemhoverbg.'!important;
            }';
        }

        // mobile nav
        $mobile_bg             = esc_attr( ot_get_option( 'nt_minfox_mobile_bg' ) );
        $mobile_item           = esc_attr( ot_get_option( 'nt_minfox_mobile_item' ) );
        $mobile_i_h            = esc_attr( ot_get_option( 'nt_minfox_mobile_itemhover' ) );
        $mobile_i_hbg          = esc_attr( ot_get_option( 'nt_minfox_mobile_itemhoverbg' ) );
        $mobile_d_i            = esc_attr( ot_get_option( 'nt_minfox_mobile_dropitem' ) );
        $mobile_d_bg           = esc_attr( ot_get_option( 'nt_minfox_mobile_dropitem_bg' ) );
        $mobile_d_hi           = esc_attr( ot_get_option( 'nt_minfox_mobile_dropitem_hover' ) );
        $mobile_menubtnbg      = esc_attr( ot_get_option( 'nt_minfox_mobile_menubtnbg' ) );
        $mobile_menubtnbghover = esc_attr( ot_get_option( 'nt_minfox_mobile_menubtnbghover' ) );
        $mobile_menubtn        = esc_attr( ot_get_option( 'nt_minfox_mobile_menubtn' ) );

        $theCSS .= '@media (max-width: 991px){';
        if ( $mobile_bg !='' ) { $theCSS .= '.navbar-default.shrink,.navbar-default.navbar-fixed-top{background-color:'.$mobile_bg.'!important;}';}
        if ( $mobile_item !='' ) { $theCSS .= '.navbar-default .collapse.in .navbar-nav > li > a{color:'.$mobile_item.'!important;}';}
        if ( $mobile_i_h !='' )  { $theCSS .= '.navbar-default .collapse.in .navbar-nav > li > a:hover{color:'.$mobile_i_h.'!important;}';}
        if ( $mobile_i_hbg !='' ){ $theCSS .= '.navbar-default .dropdown-menu > li.active > a, .navbar-default .dropdown-menu > li > a:hover, .navbar-default .dropdown-menu > li > a:focus, .navbar-default li.active > a, .navbar-default li > a:hover, .navbar-default li > a:focus{background-color:'.$mobile_i_hbg.' !important;}';}
        if ( $mobile_d_bg !='' ) { $theCSS .= '.navbar-default .dropdown-menu > li > a:focus, .navbar-default .dropdown-menu > li > a, .navbar-default .dropdown-menu > li > a{background-color:'.$mobile_d_bg . '!important;}'; }
        if ( $mobile_d_i !='' )  { $theCSS .= '.navbar-default .dropdown-menu > li > a{color:'.$mobile_d_i.'!important;}';}
        if ( $mobile_d_hi !='' ) { $theCSS .= '.navbar-default .dropdown-menu > li > a:focus, .navbar-default .dropdown-menu > li > a:hover, .navbar-default .dropdown-menu > li.active > a{color:'.$mobile_d_hi . '!important;}'; }
        if ( $mobile_menubtnbg !='' ) { $theCSS .= '.navbar-default .navbar-toggle{background-color:'.$mobile_menubtnbg.'!important;}';}
        if ( $mobile_menubtnbghover !='' ) { $theCSS .= '.navbar-default .navbar-toggle:hover, .navbar-default .navbar-toggle:focus{background-color:'.$mobile_menubtnbghover.'!important;}';}
        if ( $mobile_menubtn !='' ) { $theCSS .= '.navbar-default .navbar-toggle .icon-bar{background-color:'.$mobile_menubtn.'!important;}';}
        $theCSS .= '}';
    }

    // MEGA MENU
    if ( ot_get_option( 'nt_minfox_megamenu' ) == 'on' ) {

        $mmenu_bgclr = ot_get_option( 'nt_minfox_magamenu_bg');
        $theCSS .= $mmenu_bgclr ? 'nav.navbar.navbar-default.bootsnav { background-color: '.$mmenu_bgclr.'!important;}' : '';

        // megamenu tipigrof
        $mmenu_typo = ot_get_option( 'nt_minfox_megamenu_typo', array() );
        if ( !empty(array_filter($mmenu_typo)) ) {
            $theCSS .= 'nav.navbar.bootsnav ul.nav > li > a{';
            if ( !empty($mmenu_typo['font-color']) ) {$theCSS .= 'color:'.esc_attr( $mmenu_typo['font-color'] ).'!important;'; }
            if ( !empty($mmenu_typo['font-family']) ) {$theCSS .= 'font-family:"'.esc_attr( $mmenu_typo['font-family'] ).'"!important;'; }
            if ( !empty($mmenu_typo['font-size']) ) {$theCSS .= 'font-size:'.esc_attr( $mmenu_typo['font-size'] ).'!important;'; }
            if ( !empty($mmenu_typo['font-style']) ) {$theCSS .= 'font-style:'.esc_attr( $mmenu_typo['font-style'] ).'!important;'; }
            if ( !empty($mmenu_typo['font-variant']) ) {$theCSS .= 'font-variant:'.esc_attr( $mmenu_typo['font-variant'] ).'!important;'; }
            if ( !empty($mmenu_typo['font-weight']) ) {$theCSS .= 'font-weight:'.esc_attr( $mmenu_typo['font-weight'] ).'!important;'; }
            if ( !empty($mmenu_typo['letter-spacing']) ) {$theCSS .= 'letter-spacing:'.esc_attr( $mmenu_typo['letter-spacing'] ).'!important;'; }
            if ( !empty($mmenu_typo['line-height'])) {$theCSS .= 'line-height:'.esc_attr( $mmenu_typo['line-height'] ).'!important;'; }
            if ( !empty($mmenu_typo['text-decoration'])){$theCSS .= 'text-decoration:'.esc_attr($mmenu_typo['text-decoration']).'!important;'; }
            if ( !empty($mmenu_typo['text-transform'])){$theCSS .= 'text-transform:'.esc_attr($mmenu_typo['text-transform']).'!important;'; }
            $theCSS .= '}';
        }

        $mmenu_hvrclr = ot_get_option( 'nt_minfox_megamenu_item_hvrclr');
        $theCSS .= $mmenu_hvrclr ? 'nav.navbar.navbar-default.bootsnav ul.nav > li > a:hover, nav.navbar.bootsnav ul.nav > li > a:focus, nav.navbar.navbar-default.bootsnav ul.nav > li.active > a { color: '.$mmenu_hvrclr.'!important;}' : '';

        $mmenu_pad = ot_get_option( 'nt_minfox_magamenu_padding', array() );
        if ( !empty($mmenu_pad) ) {
            $mmenu_unit = !empty($mmenu_pad['unit']) ? $mmenu_pad['unit'] : 'px';
            $theCSS .= 'nav.navbar.navbar-default.bootsnav {';
            if (!empty($mmenu_pad['top']))    { $theCSS .= 'padding-top:'.$mmenu_pad['top'].''.$mmenu_unit.' !important;'; }
            if (!empty($mmenu_pad['bottom'])) { $theCSS .= 'padding-bottom:'.$mmenu_pad['bottom'].''.$mmenu_unit.' !important;'; }
            if (!empty($mmenu_pad['right']))  { $theCSS .= 'padding-right:'.$mmenu_pad['right'].''.$mmenu_unit.' !important;'; }
            if (!empty($mmenu_pad['left']))   { $theCSS .= 'padding-left:'.$mmenu_pad['left'].''.$mmenu_unit.' !important;'; }
            $theCSS .= '}';
        }

        // sticky menu
        $mmenu_s_bgclr = ot_get_option( 'nt_minfox_magamenu_fixed_bg');
        $theCSS .= $mmenu_s_bgclr ? 'nav.navbar.navbar-default.bootsnav.shrink { background-color: '.$mmenu_s_bgclr.' !important;}' : '';

        $megamenu_ftypo = ot_get_option( 'nt_minfox_megamenu_fixed_typo', array() );
        if ( !empty(array_filter($megamenu_ftypo)) ) {
            $theCSS .= 'nav.navbar.bootsnav.shrink ul.nav > li > a{';
            if ( !empty($megamenu_ftypo['font-color']) )     { $theCSS .= 'color:'.esc_attr( $megamenu_ftypo['font-color'] ).'!important;'; }
            if ( !empty($megamenu_ftypo['font-family']) )    { $theCSS .= 'font-family:"'.esc_attr( $megamenu_ftypo['font-family'] ).'"!important;'; }
            if ( !empty($megamenu_ftypo['font-size']) )      { $theCSS .= 'font-size:'.esc_attr( $megamenu_ftypo['font-size'] ).'!important;'; }
            if ( !empty($megamenu_ftypo['font-style']) )     { $theCSS .= 'font-style:'.esc_attr( $megamenu_ftypo['font-style'] ).'!important;'; }
            if ( !empty($megamenu_ftypo['font-variant']) )   { $theCSS .= 'font-variant:'.esc_attr( $megamenu_ftypo['font-variant'] ).'!important;'; }
            if ( !empty($megamenu_ftypo['font-weight']) )    { $theCSS .= 'font-weight:'.esc_attr( $megamenu_ftypo['font-weight'] ).'!important;'; }
            if ( !empty($megamenu_ftypo['letter-spacing']) ) { $theCSS .= 'letter-spacing:'.esc_attr( $megamenu_ftypo['letter-spacing'] ).'!important;'; }
            if ( !empty($megamenu_ftypo['line-height']))     { $theCSS .= 'line-height:'.esc_attr( $megamenu_ftypo['line-height'] ).'!important;'; }
            if ( !empty($megamenu_ftypo['text-decoration'])) { $theCSS .= 'text-decoration:'.esc_attr($megamenu_ftypo['text-decoration']).'!important;'; }
            if ( !empty($megamenu_ftypo['text-transform']))  { $theCSS .= 'text-transform:'.esc_attr($megamenu_ftypo['text-transform']).'!important;'; }
            $theCSS .= '}';
        }

        $mmenu_shvrclr = ot_get_option( 'nt_minfox_megamenu_fixed_item_hvrclr');
        $theCSS .= $mmenu_shvrclr ? 'nav.navbar.bootsnav.shrink ul.nav > li > a:hover, nav.navbar.bootsnav.shrink ul.nav > li > a:focus, nav.navbar.bootsnav.shrink ul.nav > li.active > a { color: '.$mmenu_shvrclr.' !important;}' : '';

        $mmenu_spad = ot_get_option( 'nt_minfox_magamenu_fixed_padding', array() );
        if ( !empty(array_filter($mmenu_spad)) ) {
            $mmenu_sunit = !empty($mmenu_spad['unit']) ? $mmenu_spad['unit'] : 'px';
            $theCSS .= 'nav.navbar.navbar-default.bootsnav.shrink {';
            if (!empty($mmenu_spad['top']))    { $theCSS .= 'padding-top:'.$mmenu_spad['top'].''.$mmenu_sunit.' !important;'; }
            if (!empty($mmenu_spad['bottom'])) { $theCSS .= 'padding-bottom:'.$mmenu_spad['bottom'].''.$mmenu_sunit.' !important;'; }
            if (!empty($mmenu_spad['right']))  { $theCSS .= 'padding-right:'.$mmenu_spad['right'].''.$mmenu_sunit.' !important;'; }
            if (!empty($mmenu_spad['left']))   { $theCSS .= 'padding-left:'.$mmenu_spad['left'].''.$mmenu_sunit.' !important;'; }
            $theCSS .= '}';
        }

        // dropdown
        $mmenu_drp_bgclr = ot_get_option( 'nt_minfox_magamenu_drop_bgclr');
        $theCSS .= $mmenu_drp_bgclr ? 'nav.navbar.bootsnav li.dropdown ul.dropdown-menu { background-color: '.$mmenu_drp_bgclr.' !important;}' : '';

        $mmenu_drp_typo = ot_get_option( 'nt_minfox_megamenu_drop_typo', array() );
        if ( !empty(array_filter($mmenu_drp_typo)) ) {
            $theCSS .= 'nav.navbar.bootsnav ul.dropdown-menu.megamenu-content .content ul.menu-col li a, nav.navbar.bootsnav ul.navbar-nav li.dropdown ul.dropdown-menu li a{';
            if ( !empty($mmenu_drp_typo['font-color']) )     { $theCSS .= 'color:'.esc_attr( $mmenu_drp_typo['font-color'] ).'!important;'; }
            if ( !empty($mmenu_drp_typo['font-family']) )    { $theCSS .= 'font-family:"'.esc_attr( $mmenu_drp_typo['font-family'] ).'"!important;'; }
            if ( !empty($mmenu_drp_typo['font-size']) )      { $theCSS .= 'font-size:'.esc_attr( $mmenu_drp_typo['font-size'] ).'!important;'; }
            if ( !empty($mmenu_drp_typo['font-style']) )     { $theCSS .= 'font-style:'.esc_attr( $mmenu_drp_typo['font-style'] ).'!important;'; }
            if ( !empty($mmenu_drp_typo['font-variant']) )   { $theCSS .= 'font-variant:'.esc_attr( $mmenu_drp_typo['font-variant'] ).'!important;'; }
            if ( !empty($mmenu_drp_typo['font-weight']) )    { $theCSS .= 'font-weight:'.esc_attr( $mmenu_drp_typo['font-weight'] ).'!important;'; }
            if ( !empty($mmenu_drp_typo['letter-spacing']) ) { $theCSS .= 'letter-spacing:'.esc_attr( $mmenu_drp_typo['letter-spacing'] ).'!important;'; }
            if ( !empty($mmenu_drp_typo['line-height']))     { $theCSS .= 'line-height:'.esc_attr( $mmenu_drp_typo['line-height'] ).'!important;'; }
            if ( !empty($mmenu_drp_typo['text-decoration'])) { $theCSS .= 'text-decoration:'.esc_attr($mmenu_drp_typo['text-decoration']).'!important;'; }
            if ( !empty($mmenu_drp_typo['text-transform']))  { $theCSS .= 'text-transform:'.esc_attr($mmenu_drp_typo['text-transform']).'!important;'; }
            $theCSS .= '}';
        }

        $mmenu_label_typo = ot_get_option( 'nt_minfox_megamenu_column_label_typo', array() );
        if ( !empty(array_filter($mmenu_label_typo)) ) {
            $theCSS .= 'nav.bootsnav .megamenu-content .title{';
            if ( !empty($mmenu_label_typo['font-color']) )     { $theCSS .= 'color:'.esc_attr( $mmenu_label_typo['font-color'] ).'!important;'; }
            if ( !empty($mmenu_label_typo['font-family']) )    { $theCSS .= 'font-family:"'.esc_attr( $mmenu_label_typo['font-family'] ).'"!important;'; }
            if ( !empty($mmenu_label_typo['font-size']) )      { $theCSS .= 'font-size:'.esc_attr( $mmenu_label_typo['font-size'] ).'!important;'; }
            if ( !empty($mmenu_label_typo['font-style']) )     { $theCSS .= 'font-style:'.esc_attr( $mmenu_label_typo['font-style'] ).'!important;'; }
            if ( !empty($mmenu_label_typo['font-variant']) )   { $theCSS .= 'font-variant:'.esc_attr( $mmenu_label_typo['font-variant'] ).'!important;'; }
            if ( !empty($mmenu_label_typo['font-weight']) )    { $theCSS .= 'font-weight:'.esc_attr( $mmenu_label_typo['font-weight'] ).'!important;'; }
            if ( !empty($mmenu_label_typo['letter-spacing']) ) { $theCSS .= 'letter-spacing:'.esc_attr( $mmenu_label_typo['letter-spacing'] ).'!important;'; }
            if ( !empty($mmenu_label_typo['line-height']))     { $theCSS .= 'line-height:'.esc_attr( $mmenu_label_typo['line-height'] ).'!important;'; }
            if ( !empty($mmenu_label_typo['text-decoration'])) { $theCSS .= 'text-decoration:'.esc_attr($mmenu_label_typo['text-decoration']).'!important;'; }
            if ( !empty($mmenu_label_typo['text-transform']))  { $theCSS .= 'text-transform:'.esc_attr($mmenu_label_typo['text-transform']).'!important;'; }
            $theCSS .= '}';
        }

        $mmenu_shvrclr = ot_get_option( 'nt_minfox_megamenu_drop_item_hvrclr');
        $theCSS .= $mmenu_shvrclr ? 'nav.navbar.bootsnav ul.dropdown-menu.megamenu-content .content ul.menu-col li a:hover, nav.navbar.bootsnav ul.navbar-nav li.dropdown ul.dropdown-menu li a:hover, nav.navbar.bootsnav ul.dropdown-menu.megamenu-content .content ul.menu-col li.active a, nav.navbar.bootsnav ul.navbar-nav li.dropdown ul.dropdown-menu li.active a { color: '.$mmenu_shvrclr.' !important;}' : '';

        $mmenu_drp_brd = ot_get_option( 'nt_minfox_megamenu_drop_brd', array() );
        if ( !empty(array_filter($mmenu_drp_brd)) ) {
            $mmenu_drp_brd_unit = !empty($mmenu_drp_brd['unit']) ? $mmenu_drp_brd['unit'] : 'px';
            $theCSS .= 'nav.navbar.navbar-default.bootsnav li.dropdown ul.dropdown-menu {';
            if (!empty($mmenu_drp_brd['style'])) { $theCSS .= 'border-style:'.$mmenu_drp_brd['style'].' !important;'; }
            if (!empty($mmenu_drp_brd['color'])) { $theCSS .= 'border-color:'.$mmenu_drp_brd['color'].' !important;'; }
            if (!empty($mmenu_drp_brd['width'])) { $theCSS .= 'border-top-width:'.$mmenu_drp_brd['width'].$mmenu_drp_brd_unit.' !important;'; }
            $theCSS .= '}';
        }

        $mmenu_column_brd = ot_get_option( 'nt_minfox_megamenu_column_brd', array() );
        if ( !empty(array_filter($mmenu_column_brd)) ) {
            $mmenu_column_brd_unit = !empty($mmenu_column_brd['unit']) ? $mmenu_column_brd['unit'] : 'px';
            $theCSS .= 'nav.navbar.bootsnav ul.dropdown-menu.megamenu-content .col-menu {';
            if (!empty($mmenu_column_brd['style'])) { $theCSS .= 'border-left-style:'.$mmenu_column_brd['style'].' !important;'; }
            if (!empty($mmenu_column_brd['color'])) { $theCSS .= 'border-left-color:'.$mmenu_column_brd['color'].' !important;'; }
            if (!empty($mmenu_column_brd['width'])) { $theCSS .= 'border-left-width:'.$mmenu_column_brd['width'].$mmenu_column_brd_unit.' !important;'; }
            $theCSS .= '}';
        }
    } // mega menu is on

    // logo dimension
    $logo   = ( ot_get_option( 'nt_minfox_logo_dimension', array() ) );
    $slogo  = ( ot_get_option( 'nt_minfox_slogo_dimension', array() ) );
    $logo_m = ( ot_get_option( 'nt_minfox_margin_logo', array() ) );
    $logo_p = ( ot_get_option( 'nt_minfox_padding_logo', array() ) );

    // logo
    if ( !empty( $logo ) ) {
    if (!empty($logo['unit']))   { $logounit = $logo['unit'];}else{ $logounit = 'px'; }
        if (!empty($logo['width']))  { $theCSS .= '.navbar-brand.default-logo img, nav.navbar .navbar-brand img.logo{ width:'.$logo['width'].''.$logounit.' !important; }'; }
        if (!empty($logo['height'])) { $theCSS .= '.navbar-brand.default-logo img, nav.navbar .navbar-brand img.logo{ height:'.$logo['height'].''.$logounit.' !important; }'; }
    }
    if ( !empty( $slogo ) ) {
        if (!empty($slogo['unit']))   { $logounit = $slogo['unit'];}else{ $slogounit = 'px'; }
        if (!empty($slogo['width']))  { $theCSS .= '.navbar-brand.sticky-logo img, nav.navbar .navbar-brand img.logo-scrolled{ width:'.$slogo['width'].''.$slogounit.' !important; }'; }
        if (!empty($slogo['height'])) { $theCSS .= '.navbar-brand.sticky-logo img, nav.navbar .navbar-brand img.logo-scrolled{ height:'.$slogo['height'].''.$slogounit.' !important; }'; }
    }
    if ( !empty( $logo_m ) ) {
        if (!empty($logo_m['unit']))   { $logomarunit = $logo_m['unit'];}else{ $logomarunit = 'px'; }
        if (!empty($logo_m['top']))    { $theCSS .= '.navbar-brand img{ margin-top:'.$logo_m['top'].''.$logomarunit.' !important; }'; }
        if (!empty($logo_m['bottom'])) { $theCSS .= '.navbar-brand img{ margin-bottom:'.$logo_m['bottom'].''.$logomarunit.' !important; }'; }
        if (!empty($logo_m['right']))  { $theCSS .= '.navbar-brand img{ margin-right:'.$logo_m['right'].''.$logomarunit.' !important; }'; }
        if (!empty($logo_m['left']))   { $theCSS .= '.navbar-brand img{ margin-left:'.$logo_m['left'].''.$logomarunit.' !important; }'; }
    }
    if ( !empty( $logo_p ) ) {
        if (!empty($logo_p['unit']))   { $logopadunit = $logo_p['unit'];}else{ $logopadunit = 'px'; }
        if (!empty($logo_p['top']))    { $theCSS .= '.navbar-brand img{ padding-top:'.$logo_p['top'].''.$logopadunit.' !important; }'; }
        if (!empty($logo_p['bottom'])) { $theCSS .= '.navbar-brand img{ padding-bottom:'.$logo_p['bottom'].''.$logopadunit.' !important; }'; }
        if (!empty($logo_p['right']))  { $theCSS .= '.navbar-brand img{ padding-right:'.$logo_p['right'].''.$logopadunit.' !important; }'; }
        if (!empty($logo_p['left']))   { $theCSS .= '.navbar-brand img{ padding-left:'.$logo_p['left'].''.$logopadunit.' !important; }'; }
    }

    // blog hero
    $blog_h_bg      = esc_attr( ot_get_option( 'nt_minfox_blog_h_bg' ) );
    $blog_h_overlay = esc_attr( ot_get_option( 'nt_minfox_blog_hero_overlay' ) );
    $blog_bg_c      = esc_attr( ot_get_option( 'nt_minfox_blog_h_bg_c' ) );
    $blog_h_h       = esc_attr( ot_get_option( 'nt_minfox_blogheaderbgheight' ) );
    $blog_h_p       = ( ot_get_option( 'nt_minfox_blog_h_p', array() ) );
    if ( $blog_bg_c =='' ) 	{
        if ( $blog_h_bg !='' ) 	{
            $theCSS .= '.index-header {background: transparent url( '.$blog_h_bg.')no-repeat fixed center top / cover!important; }';
        } else {
            $theCSS .= '.index-header{ background-image: url('. get_template_directory_uri() . '/images/full_1.jpg'.');}';
        }
    }
    if ( $blog_bg_c !='' ) { $theCSS .= '.blog .index-header {background-color: '.$blog_bg_c.'!important; }';  }
    if ( $blog_h_h !='' )  { $theCSS .= '.blog .index-header {min-height: '.$blog_h_h .'vh !important; max-height: 100%; }';  }
    if ( $blog_h_overlay !='' ) { $theCSS .= '.blog .index-header .template-overlay{ background-color: '.$blog_h_overlay .'; }';} else { $theCSS .= '.blog .index-header .template-overlay{ display:none!important; }';  }
    if ( !empty( $blog_h_p ) ) {
        if (!empty($blog_h_p['unit']))   { $blogheaderunit = $blog_h_p['unit'];}else{ $blogheaderunit = 'px'; }
        if (!empty($blog_h_p['top']))    { $theCSS .= '.blog .index-header { padding-top:'.$blog_h_p['top'] .''.$blogheaderunit.' !important; }'; }
        if (!empty($blog_h_p['bottom'])) { $theCSS .= '.blog .index-header { padding-bottom:'.$blog_h_p['bottom'] .''.$blogheaderunit.' !important; }'; }
        if (!empty($blog_h_p['right']))  { $theCSS .= '.blog .index-header { padding-right:'.$blog_h_p['right'] .''.$blogheaderunit.' !important; }'; }
        if (!empty($blog_h_p['left']))   { $theCSS .= '.blog .index-header { padding-left:'.$blog_h_p['left'].''.$blogheaderunit.' !important; }'; }
    }
    // blog heading
    $blog_h_c   = esc_attr( ot_get_option( 'nt_minfox_blogheadingcolor' ) );
    $blog_h_fs  = esc_attr( ot_get_option( 'nt_minfox_blogheading_fontsize' ) );
    $blog_h_mar = ( ot_get_option( 'nt_minfox_blogheading_margin', array() ) );

    if ( $blog_h_c !='' )  { $theCSS .= '.blog .index-header .template-cover-text .uppercase{color: '.$blog_h_c.' !important; }'; }
    if ( $blog_h_fs !='' ) { $theCSS .= '.blog .index-header .template-cover-text .uppercase{font-size: '.$blog_h_fs.'px; }'; }
    if ( !empty($blog_h_mar) ) {
        if(!empty($blog_h_mar['top']))    { $theCSS .= '.template-cover-text .col-md-8 {margin-top: 125px;}'; }
        $theCSS .= '.blog .index-header .template-cover-text .uppercase{';
        if (!empty($blog_h_mar['unit']))   { $footermarunit = $blog_h_mar['unit'];}else{ $footermarunit = 'px'; }
        if (!empty($blog_h_mar['top']))    { $theCSS .= 'margin-top:'.$blog_h_mar['top'].''.$footermarunit.' !important;'; }
        if (!empty($blog_h_mar['bottom'])) { $theCSS .= 'margin-bottom:'.$blog_h_mar['bottom'].''.$footermarunit.' !important;'; }
        if (!empty($blog_h_mar['right']))  { $theCSS .= 'margin-right:'.$blog_h_mar['right'].''.$footermarunit.' !important;'; }
        if (!empty($blog_h_mar['left']))   { $theCSS .= 'margin-left:'.$blog_h_mar['left'].''.$footermarunit.' !important;'; }
        $theCSS .= '}';
    }
    // blog slogan
    $blog_s_c   = esc_attr( ot_get_option( 'nt_minfox_blogslogancolor' ) );
    $blog_s_fs  = esc_attr( ot_get_option( 'nt_minfox_blogslogan_fontsize' ) );
    $blog_s_mar = ( ot_get_option( 'nt_minfox_blogslogan_margin', array() ) );

    if ( $blog_s_c !='' )  { $theCSS .= '.blog .index-header .template-cover-text .cover-text-sublead{color: '.$blog_s_c.' !important; }'; }
    if ( $blog_s_fs !='' ) { $theCSS .= '.blog .index-header .template-cover-text .cover-text-sublead{font-size: '.$blog_s_fs.'px; }'; }
    if ( !empty($blog_s_mar) ) {
        $theCSS .= '.blog .index-header .template-cover-text .cover-text-sublead{';
        if (!empty($blog_s_mar['unit']))   { $footermarunit = $blog_s_mar['unit'];}else{ $footermarunit = 'px'; }
        if (!empty($blog_s_mar['top']))    { $theCSS .= 'margin-top:'.$blog_s_mar['top'].''.$footermarunit.' !important;'; }
        if (!empty($blog_s_mar['bottom'])) { $theCSS .= 'margin-bottom:'.$blog_s_mar['bottom'].''.$footermarunit.' !important;'; }
        if (!empty($blog_s_mar['right']))  { $theCSS .= 'margin-right:'.$blog_s_mar['right'].''.$footermarunit.' !important;'; }
        if (!empty($blog_s_mar['left']))   { $theCSS .= 'margin-left:'.$blog_s_mar['left'].''.$footermarunit.' !important;'; }
        $theCSS .= '}';
    }

    // page.php and fullwidth-page.php header - custom page metabox options
    $page_featured_img           = get_the_post_thumbnail_url(get_the_ID(), 'full');
    $nt_minfox_page_bg           = rwmb_meta( 'nt_minfox_page_bg_image' );
    $nt_minfox_page_hero_overlay = esc_attr( get_post_meta(get_the_ID(), 'nt_minfox_pagebgoverlay', true ) );
    $nt_minfox_page_bg_color     = esc_attr( get_post_meta(get_the_ID(), 'nt_minfox_page_bg_color', true ) );
    $nt_minfox_page_text_color   = esc_attr( get_post_meta(get_the_ID(), 'nt_minfox_page_text_color', true ) );
    $nt_minfox_header_p_top      = esc_attr( get_post_meta(get_the_ID(), 'nt_minfox_header_p_top', true ) );
    $nt_minfox_header_p_bottom   = esc_attr( get_post_meta(get_the_ID(), 'nt_minfox_header_p_bottom', true ) );

    if ( is_page() ) {

        if ( $nt_minfox_page_bg_color !='' ) {
            $theCSS .= '.page-id-'.get_the_ID().' .index-header {background-color: '.$nt_minfox_page_bg_color.' !important; }';
        }
        if ( $nt_minfox_page_hero_overlay !='' ) {
            $theCSS .= '.page-id-'.get_the_ID().' .index-header .template-overlay {background-color: '.$nt_minfox_page_hero_overlay.' !important; }';
        }
        if ( !empty( $page_featured_img ) ) {
            $theCSS .= '.page-id-'.get_the_ID().' .index-header { background-image: url('.esc_url( $page_featured_img ).') !important; }';
        }
        if ( !empty($nt_minfox_page_bg ) ) {
            if ( !empty( $nt_minfox_page_bg['image'] ) ) {
                $theCSS .= '.page-id-'.get_the_ID().' .index-header {background-image: url('.esc_url( $nt_minfox_page_bg['image'] ).') !important; }';
            }
            if ( !empty( $nt_minfox_page_bg['color'] ) ) {
                $theCSS .= '.page-id-'.get_the_ID().' .index-header {background-color: '.$nt_minfox_page_bg['color'].'!important; }';
            }
            if ( !empty( $nt_minfox_page_bg['size'] ) ) {
                $theCSS .= '.page-id-'.get_the_ID().' .index-header {background-size: '.$nt_minfox_page_bg['size'].'!important; }';
            } else {
                $theCSS .= '.page-id-'.get_the_ID().' .index-header {background-size: cover!important; }';
            }
            if ( !empty( $nt_minfox_page_bg['position'] ) ) {
                $theCSS .= '.page-id-'.get_the_ID().' .index-header {background-position: '.$nt_minfox_page_bg['position'].'!important; }';
            } else {
                $theCSS .= '.page-id-'.get_the_ID().' .index-header {background-position: center; }';
            }
            if ( !empty( $nt_minfox_page_bg['attachment'] ) ) {
                $theCSS .= '.page-id-'.get_the_ID().' .index-header {background-attachment: '.$nt_minfox_page_bg['attachment'].'!important; }';
            }
            if ( !empty( $nt_minfox_page_bg['repeat'] ) ) {
                $theCSS .= '.page-id-'.get_the_ID().' .index-header {background-repeat: '.$nt_minfox_page_bg['repeat'].'!important; }';
            } else {
                $theCSS .= '.page-id-'.get_the_ID().' .index-header {background-repeat: no-repeat; }';
            }
        }
    }

    if ( $nt_minfox_page_text_color !='' ) {
        $theCSS .= '.page-id-'.get_the_ID().' .index-header h2, .page-'.get_the_ID().' .index-header p {color: ' . $nt_minfox_page_text_color .' !important; }';
    }
    if ( $nt_minfox_header_p_top !='' ) {
        $theCSS .= '.page-id-'.get_the_ID().' .index-header  {padding-bottom : '.$nt_minfox_header_p_top.'px !important; }';
    }
    if ( $nt_minfox_header_p_bottom !='' ) {
        $theCSS .= '.page-id-'.get_the_ID().' .index-header  {padding-top : '.$nt_minfox_header_p_bottom.'px !important; }';
    }

    // footer options
    $footerbgimg         = ( ot_get_option( 'nt_minfox_footerbgimg', array() ) );
    $footer_overlay      = esc_attr( ot_get_option( 'nt_minfox_footerbgimg_overlay' ) );
    $footer_pad          = ( ot_get_option( 'nt_minfox_footer_padding', array() ) );
    $footer_margin       = ( ot_get_option( 'nt_minfox_footer_margin', array() ) );
    $nt_minfox_widgetize = esc_attr( ot_get_option( 'nt_minfox_widgetize' ) );
    $nt_minfox_f_bg      = esc_attr( ot_get_option( 'nt_minfox_footerbgcolor' ) );
    $nt_minfox_f_h_c     = esc_attr( ot_get_option( 'nt_minfox_footer_h_c' ) );
    $nt_minfox_f_t_c     = esc_attr( ot_get_option( 'nt_minfox_footer_t_c' ) );
    $nt_minfox_f_a_c     = esc_attr( ot_get_option( 'nt_minfox_footer_a_c' ) );
    $nt_minfox_f_a_hc    = esc_attr( ot_get_option( 'nt_minfox_footer_a_hc' ) );
    $nt_minfox_f_p_c     = esc_attr( ot_get_option( 'nt_minfox_footer_p_c' ) );
    $nt_minfox_f_p_brdc  = esc_attr( ot_get_option( 'nt_minfox_f_p_brdc' ) );

    if ( $nt_minfox_widgetize  =='off' ) { $theCSS .= '.footer{padding:0;}.footer .copyright {border: none;margin-top: 0px;}'; }
    if ( $nt_minfox_f_bg  !='' ) { $theCSS .= '.footer{ background-color: '.$nt_minfox_f_bg .'!important; }'; }
    if ( $nt_minfox_f_h_c !='' ) { $theCSS .= '.footer h3.widget-head{ color: '.$nt_minfox_f_h_c.'!important; }'; }
    if ( $nt_minfox_f_t_c !='' ) { $theCSS .= '.footer .textwidget, .footer .textwidget p, .footer .textwidget li, .footer .contact ul li{ color: '.$nt_minfox_f_t_c.'!important; }'; }
    if ( $nt_minfox_f_a_c !='' ) { $theCSS .= '.footer .widget ul li a, .footer .social-icons li a, .footer .social-icons li a i{ color: '.$nt_minfox_f_a_c.'!important; }'; }
    if ( $nt_minfox_f_a_hc !='' ) {
        $theCSS .= '.footer .widget ul li a:hover, .footer .social-icons li a:hover, .footer .social-icons li a:hover i{ color: '.$nt_minfox_f_a_hc.'!important; }';
    }
    if ( $nt_minfox_f_p_c !='' ) { $theCSS .= '.footer .copyright, .footer .copyright p{ color: '.$nt_minfox_f_p_c.'!important; }'; }
    if ( $nt_minfox_f_p_c !='' ) { $theCSS .= '.footer .copyright {border-top-color: '.$nt_minfox_f_p_c.'!important; }'; }

    if ( !empty($footerbgimg) ) {
        $theCSS .= '.footer{';
        if (!empty($footerbgimg['background-image']))      { $theCSS .= 'background-image:url( '.$footerbgimg['background-image'].');'; }
        if (!empty($footerbgimg['background-color']))      { $theCSS .= 'background-color:'.$footerbgimg['background-color'].';'; }
        if (!empty($footerbgimg['background-repeat']))     { $theCSS .= 'background-repeat:'.$footerbgimg['background-repeat'].';'; }
        if (!empty($footerbgimg['background-attachment'])) { $theCSS .= 'background-attachment:'.$footerbgimg['background-attachment'].';'; }
        if (!empty($footerbgimg['background-position']))   { $theCSS .= 'background-position:'.$footerbgimg['background-position'].';'; }
        if (!empty($footerbgimg['background-size']))       { $theCSS .= 'background-size:'.$footerbgimg['background-size'].';'; }
        $theCSS .= '}';
        if ( $footer_overlay  !='' ) {
            $theCSS .= '.footer:before{ background-color: '.$footer_overlay .';content:"";position:absolute;width:100%;height:100%;top: 0;left: 0; }';
        }
    }
    if ( !empty($footer_pad) ) {
        $theCSS .= '.footer{';
        if (!empty($footer_pad['unit']))   { $footerpadunit = $footer_pad['unit'];}else{ $footerpadunit = 'px'; }
        if (!empty($footer_pad['top']))    { $theCSS .= 'padding-top:'.$footer_pad['top'].''.$footerpadunit.' !important;'; }
        if (!empty($footer_pad['bottom'])) { $theCSS .= 'padding-bottom:'.$footer_pad['bottom'].''.$footerpadunit.' !important;'; }
        if (!empty($footer_pad['right']))  { $theCSS .= 'padding-right:'.$footer_pad['right'].''.$footerpadunit.' !important;'; }
        if (!empty($footer_pad['left']))   { $theCSS .= 'padding-left:'.$footer_pad['left'].''.$footerpadunit.' !important;'; }
        $theCSS .= '}';
    }
    if ( !empty($footer_margin) ) {
        $theCSS .= '.footer{';
        if (!empty($footer_margin['unit']))   { $footermarunit = $footer_margin['unit'];}else{ $footermarunit = 'px'; }
        if (!empty($footer_margin['top']))    { $theCSS .= 'margin-top:'.$footer_margin['top'].''.$footermarunit.' !important;'; }
        if (!empty($footer_margin['bottom'])) { $theCSS .= 'margin-bottom:'.$footer_margin['bottom'].''.$footermarunit.' !important;'; }
        if (!empty($footer_margin['right']))  { $theCSS .= 'margin-right:'.$footer_margin['right'].''.$footermarunit.' !important;'; }
        if (!empty($footer_margin['left']))   { $theCSS .= 'margin-left:'.$footer_margin['left'].''.$footermarunit.' !important;'; }
        $theCSS .= '}';
    }

    // single post
    if ( ot_get_option( 'nt_minfox_singlepageheadbg' ) != '' ) {
        $theCSS .= '.single .index-header {background: transparent url( '.esc_attr( ot_get_option( 'nt_minfox_singlepageheadbg' ) ).')no-repeat fixed center top / cover!important; }';
    }
    if ( ot_get_option( 'nt_minfox_single_hero_overlay' ) != '' ) {
        $theCSS .= '.single .index-header .template-overlay{ background-color: '.esc_attr( ot_get_option( 'nt_minfox_single_hero_overlay' ) ).'; }';
    } else {
        $theCSS .= '.single .index-header .template-overlay{ display:none!important; }';
    }
    if ( ot_get_option( 'nt_minfox_singleheaderbgcolor' ) != '' ) {
        $theCSS .= '.single .index-header {background-color: '.esc_attr( ot_get_option( 'nt_minfox_singleheaderbgcolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_singleheadingcolor' ) != '' ) {
        $theCSS .= '.single .index-header .uppercase{color: '.esc_attr( ot_get_option( 'nt_minfox_singleheadingcolor' ) ).'; }';
    }
    if ( ot_get_option( 'nt_minfox_single_heading_fontsize' ) != '' ) {
        $theCSS .= '.single .index-header .uppercase{font-size: '.esc_attr( ot_get_option( 'nt_minfox_single_heading_fontsize' ) ).'px; }';
    }
    if ( ot_get_option( 'nt_minfox_singleheaderbgheight' ) != '' ) {
        $theCSS .= '.single .index-header {height: '.esc_attr( ot_get_option( 'nt_minfox_singleheaderbgheight' ) ).'vh !important; }';
    }
    if (( ot_get_option( 'nt_minfox_singleheaderpaddingtop' ) != '' )||( ot_get_option( 'nt_minfox_singleheaderpaddingbottom' ) !='' )){
        $theCSS .= '@media (min-width: 768px){
            .single .index-header  {
                padding-top: '.esc_attr( ot_get_option( 'nt_minfox_singleheaderpaddingtop' ) ).'px !important;
                padding-bottom: '.esc_attr( ot_get_option( 'nt_minfox_singleheaderpaddingbottom' ) ).'px !important;
            }
        }';
    }

    // single portfolio
    if ( is_single() && is_singular('portfolio') ) {
        if ( ot_get_option( 'nt_minfox_single_port_hero_bg' ) != '' ) {
            $theCSS .= '.single-portfolio .index-header {
                background: transparent url( '.esc_attr( ot_get_option( 'nt_minfox_single_port_hero_bg' ) ).') no-repeat fixed center top / cover!important;
            }';
        }
        if ( true == get_post_meta( get_the_ID(), 'nt_minfox_use_featured_image_for_hero', true ) ) {
            $bgimage = get_the_post_thumbnail_url( get_the_ID(), 'full' );
            $theCSS .= '.single.single-portfolio .index-header {
                background: transparent url( '.$bgimage.') no-repeat fixed center top / cover!important;
            }';
        }
        if ( ot_get_option( 'nt_minfox_single_port_hero_overlay' ) != '' ) {
            $theCSS .= '.single-portfolio .index-header .template-overlay{ background-color: '.esc_attr( ot_get_option( 'nt_minfox_single_port_hero_overlay' ) ).'; }';
        } else {
            $theCSS .= '.single-portfolio .index-header .template-overlay{ display:none!important; }';
        }
        if ( ot_get_option( 'nt_minfox_single_port_hero_bgcolor' ) != '' ) {
            $theCSS .= '.single-portfolio .index-header { background-color: '.esc_attr( ot_get_option( 'nt_minfox_single_port_hero_bgcolor' ) ) .'; }';
        }
        if ( ot_get_option( 'nt_minfox_single_port_heading_color' ) != '' ) {
            $theCSS .= '.single-portfolio .index-header .uppercase { color: '.esc_attr( ot_get_option( 'nt_minfox_single_port_heading_color' ) ).'; }';
        }
        if ( ot_get_option( 'nt_minfox_single_port_heading_fontsize' ) != '' ) {
            $theCSS .= '.single-portfolio .index-header .uppercase{ font-size: '.esc_attr( ot_get_option( 'nt_minfox_single_port_heading_fontsize' ) ).'px; }';
        }
        if ( ot_get_option( 'nt_minfox_single_port_hero_height' ) != '' ){
            $theCSS .= '.single-portfolio .index-header { height: '.esc_attr( ot_get_option( 'nt_minfox_single_port_hero_height' ) ).'vh!important; }';
        }
        if ( ot_get_option( 'nt_minfox_single_port_hero_padding_top' ) != '' || ot_get_option( 'nt_minfox_single_port_hero_padding_bottom' ) != '' ) {
            $theCSS .= '@media (min-width: 768px) {.single-portfolio .index-header {';
                if ( ot_get_option( 'nt_minfox_single_port_hero_padding_top' ) != ''  ) {
                    $theCSS .= 'padding-top: '.esc_attr( ot_get_option( 'nt_minfox_single_port_hero_padding_top' ) ).'px !important;';
                }
                if ( ot_get_option( 'nt_minfox_single_port_hero_padding_bottom' ) != '' ) {
                    $theCSS .= 'padding-bottom: '.esc_attr( ot_get_option( 'nt_minfox_single_port_hero_padding_bottom' ) ).'px !important;';
                }
            $theCSS .= '}}';
        }
    }

    // archive pages
    if ( ot_get_option( 'nt_minfox_archivepageheadbg' ) !='' ){
        $theCSS .= '.archive .index-header {background: transparent url( '.  esc_attr( ot_get_option( 'nt_minfox_archivepageheadbg' ) ) .')no-repeat fixed center top / cover!important; }';
    }
    if ( ot_get_option( 'nt_minfox_archive_hero_overlay' ) !='' ){
        $theCSS .= '.archive .index-header .template-overlay{ background-color: '.esc_attr( ot_get_option( 'nt_minfox_archive_hero_overlay' ) ).'; }';
    } else {
        $theCSS .= '.archive .index-header .template-overlay{ display:none!important; }';
    }
    if ( ot_get_option( 'nt_minfox_archiveheaderbgcolor' ) !='' ){
        $theCSS .= '.archive .index-header {background-color: '.esc_attr( ot_get_option( 'nt_minfox_archiveheaderbgcolor' ) ).'; }';
    }
    if ( ot_get_option( 'nt_minfox_archiveheadingcolor' ) !='' ){
        $theCSS .= '.archive .index-header  .uppercase{color: '.esc_attr( ot_get_option( 'nt_minfox_archiveheadingcolor' ) ).'; }';
    }
    if ( ot_get_option( 'nt_minfox_archive_heading_fontsize' ) !='' ){
        $theCSS .= '.archive .index-header  .uppercase{font-size: '.esc_attr( ot_get_option( 'nt_minfox_archive_heading_fontsize' ) ) .'px; }';
    }
    if ( ot_get_option( 'nt_minfox_archiveheaderparagraphcolor' ) !='' ){
        $theCSS .= '.archive .index-header .cover-text-sublead{color: '.esc_attr( ot_get_option( 'nt_minfox_archiveheaderparagraphcolor' ) ).'; }';
    }
    if ( ot_get_option( 'nt_minfox_archive_slogan_fontsize' ) !='' ){
        $theCSS .= '.archive .index-header .cover-text-sublead{font-size: '.esc_attr( ot_get_option( 'nt_minfox_archive_slogan_fontsize' ) ).'px; }';
    }
    if ( ot_get_option( 'nt_minfox_archiveheaderbgheight' ) !='' ){
        $theCSS .= '.archive .index-header {height: '.esc_attr( ot_get_option( 'nt_minfox_archiveheaderbgheight' ) ) .'vh !important; }';
    }
    if (( ot_get_option( 'nt_minfox_archiveheaderpaddingtop' ) !='' )||( ot_get_option( 'nt_minfox_archiveheaderpaddingbottom' ) !='' )) {
        $theCSS .= '@media (min-width: 768px){
            .archive .index-header  {
                padding-top: '.  esc_attr( ot_get_option( 'nt_minfox_archiveheaderpaddingtop' ) ) .'px !important;
                padding-bottom: '.  esc_attr( ot_get_option( 'nt_minfox_archiveheaderpaddingbottom' ) ) .'px !important;
            }
        }';
    }

    // 404
    if ( ot_get_option( 'nt_minfox_errorpageheadbg' ) !='' ){
        $theCSS .= '.error404 .index-header {background: transparent url( '.  esc_attr( ot_get_option( 'nt_minfox_errorpageheadbg' ) ) .')no-repeat fixed center top / cover!important; }';
    }
    if ( ot_get_option( 'nt_minfox_error_hero_overlay' ) !='' ){
        $theCSS .= '.error404 .index-header .template-overlay{ background-color: '.esc_attr( ot_get_option( 'nt_minfox_error_hero_overlay' ) ).'; }';
    } else {
        $theCSS .= '.error404 .index-header .template-overlay{ display:none!important; }';
    }
    if ( ot_get_option( 'nt_minfox_errorheaderbgcolor' ) !='' ){
        $theCSS .= '.error404 .index-header {background-color: '.  esc_attr( ot_get_option( 'nt_minfox_errorheaderbgcolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_errorheadingcolor' ) !='' ){
        $theCSS .= '.error404 .index-header .uppercase{color: '.  esc_attr( ot_get_option( 'nt_minfox_errorheadingcolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_error_heading_fontsize' ) !='' ){
        $theCSS .= '.error404 .index-header .uppercase{font-size: '.  esc_attr( ot_get_option( 'nt_minfox_error_heading_fontsize' ) ) .'px; }';
    }
    if ( ot_get_option( 'nt_minfox_errorheaderparagraphcolor' ) !='' ){
        $theCSS .= '.error404 .index-header .cover-text-sublead{color: '.  esc_attr( ot_get_option( 'nt_minfox_errorheaderparagraphcolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_error_slogan_fontsize' ) !='' ){
        $theCSS .= '.error404 .index-header .cover-text-sublead{font-size: '.esc_attr( ot_get_option( 'nt_minfox_error_slogan_fontsize' ) ).'px; }';
    }
    if ( ot_get_option( 'nt_minfox_errorheaderbgheight' ) !='' ){
        $theCSS .= '.error404 .index-header {height: '.  esc_attr( ot_get_option( 'nt_minfox_errorheaderbgheight' ) ) .'vh !important; }';
    }
    if (( ot_get_option( 'nt_minfox_errorheaderpaddingtop' ) !='' )||( ot_get_option( 'nt_minfox_errorheaderpaddingbottom' ) !='' )) {
        $theCSS .= '@media (min-width: 768px){
            .error404 .index-header  {
                padding-top: '.  esc_attr( ot_get_option( 'nt_minfox_errorheaderpaddingtop' ) ) .'px !important;
                padding-bottom: '.  esc_attr( ot_get_option( 'nt_minfox_errorheaderpaddingbottom' ) ) .'px !important;
            }
        }';
    }

    // search page
    if ( ot_get_option( 'nt_minfox_searchpageheadbg' ) !='' ){
        $theCSS .= '.search .index-header {background: transparent url( '.  esc_attr( ot_get_option( 'nt_minfox_searchpageheadbg' ) ) .')no-repeat scroll center top / cover!important; }';
    }
    if ( ot_get_option( 'nt_minfox_search_hero_overlay' ) !='' ){
        $theCSS .= '.search .index-header .template-overlay{ background-color: '.esc_attr( ot_get_option( 'nt_minfox_search_hero_overlay' ) ).'; }';
    } else {
        $theCSS .= '.search .index-header .template-overlay{ display:none!important; }';
    }
    if ( ot_get_option( 'nt_minfox_searchheaderbgcolor' ) !='' ){
        $theCSS .= '.search .index-header {background-color: '.  esc_attr( ot_get_option( 'nt_minfox_searchheaderbgcolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_searchheadingcolor' ) !='' ){
        $theCSS .= '.search .index-header .uppercase{color: '.  esc_attr( ot_get_option( 'nt_minfox_searchheadingcolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_search_heading_fontsize' ) !='' ){
        $theCSS .= '.search .index-header .uppercase{font-size: '.  esc_attr( ot_get_option( 'nt_minfox_search_heading_fontsize' ) ) .'px; }';
    }
    if ( ot_get_option( 'nt_minfox_searchheaderparagraphcolor' ) !='' ){
        $theCSS .= '.search .index-header .cover-text-sublead{color: '.  esc_attr( ot_get_option( 'nt_minfox_searchheaderparagraphcolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_search_slogan_fontsize' ) !='' ){
        $theCSS .= '.search .index-header .cover-text-sublead{font-size: '.esc_attr( ot_get_option( 'nt_minfox_search_slogan_fontsize' ) ).'px; }';
    }
    if ( ot_get_option( 'nt_minfox_searchheaderbgheight' ) !='' ){
        $theCSS .= '.search .index-header {height: '.  esc_attr( ot_get_option( 'nt_minfox_searchheaderbgheight' ) ) .'vh !important; }';
    }
    if (( ot_get_option( 'nt_minfox_searchheaderpaddingtop' ) !='' )||( ot_get_option( 'nt_minfox_searchheaderpaddingbottom' ) !='' )) {
        $theCSS .= '@media (min-width: 768px){
            .search .index-header  {
                padding-top: '.  esc_attr( ot_get_option( 'nt_minfox_searchheaderpaddingtop' ) ) .'px !important;
                padding-bottom: '.  esc_attr( ot_get_option( 'nt_minfox_searchheaderpaddingbottom' ) ) .'px !important;
            }
        }';
    }

    // breadcrubms
    if ( ot_get_option( 'nt_minfox_blogbreadcrubmscolor' ) !='' ){
        $theCSS .= '.breadcrubms, .breadcrubms span a span{color: '.esc_attr( ot_get_option( 'nt_minfox_blogbreadcrubmscolor' ) ).'; }';
    }
    if ( ot_get_option( 'nt_minfox_blogbreadcrubmshovercolor' ) !='' ){
        $theCSS .= '.breadcrubms span a span:hover{color: '.esc_attr( ot_get_option( 'nt_minfox_blogbreadcrubmshovercolor' ) ).'; }';
    }
    if ( ot_get_option( 'nt_minfox_blogbreadcrubmscurrentcolor' ) !='' ){
        $theCSS .= '.breadcrubms span {color: '.esc_attr( ot_get_option( 'nt_minfox_blogbreadcrubmscurrentcolor' ) ).'; }';
    }
    if ( ot_get_option( 'nt_minfox_bread_f_s' ) !='' ){
        $theCSS .= '.breadcrubms{font-size: '.esc_attr( ot_get_option( 'nt_minfox_bread_f_s' ) ).'px; }';
    }

    // posts
    if ( ot_get_option( 'nt_minfox_blogposttitlecolor' ) !='' ){
        $theCSS .= '.entry-title a{color: '.  esc_attr( ot_get_option( 'nt_minfox_blogposttitlecolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_blogposttitlhoverecolor' ) !='' ){
        $theCSS .= '.entry-title a:hover{color: '.  esc_attr( ot_get_option( 'nt_minfox_blogposttitlhoverecolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_blogmetacolor' ) !='' ){
        $theCSS .= '.entry-meta li{color: '.  esc_attr( ot_get_option( 'nt_minfox_blogmetacolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_blogmetalinktextcolor' ) !='' ){
        $theCSS .= '.entry-meta li a{color: '.  esc_attr( ot_get_option( 'nt_minfox_blogmetalinktextcolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_blogmetalinkhovercolor' ) !='' ){
        $theCSS .= '.entry-meta li a:hover{color: '.  esc_attr( ot_get_option( 'nt_minfox_blogmetalinkhovercolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_blogmetalinktextbgcolor' ) !='' ){
        $theCSS .= '.entry-meta li a{background-color: '.  esc_attr( ot_get_option( 'nt_minfox_blogmetalinktextbgcolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_blogmetalinktextbghovercolor' ) !='' ){
        $theCSS .= '.entry-meta li a:hover{background-color: '.  esc_attr( ot_get_option( 'nt_minfox_blogmetalinktextbghovercolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_blogpostparagraphcolor' ) !='' ){
        $theCSS .= '.entry-content p{color: '.  esc_attr( ot_get_option( 'nt_minfox_blogpostparagraphcolor' ) ) .'; }';
        $theCSS .= '.entry-content p{color:#000;}';
    }
    if ( ot_get_option( 'nt_minfox_blogpostbuttonbgcolor' ) !='' ){
        $theCSS .= 'a.margin_30{background-color:'.  esc_attr( ot_get_option( 'nt_minfox_blogpostbuttonbgcolor' ) ) .';}';
    }
    if ( ot_get_option( 'nt_minfox_blogpostbuttonbghovercolor' ) !='' ){
        $theCSS .= 'a.margin_30:hover{background-color:'.  esc_attr( ot_get_option( 'nt_minfox_blogpostbuttonbghovercolor' ) ) .';}';
    }
    if ( ot_get_option( 'nt_minfox_blogpostbuttontitlecolor' ) !='' ){
        $theCSS .= 'a.margin_30{color:'.  esc_attr( ot_get_option( 'nt_minfox_blogpostbuttontitlecolor' ) ) .';}';
    }
    if ( ot_get_option( 'nt_minfox_blogpostbuttontitlehovercolor' ) !='' ){
        $theCSS .= 'a.margin_30:hover{color:'.  esc_attr( ot_get_option( 'nt_minfox_blogpostbuttontitlehovercolor' ) ) .';}';
    }

    // sidebar
    $sb_bg    = esc_attr( ot_get_option( 'nt_minfox_sb_bg' ) );
    $sb_t_c   = esc_attr( ot_get_option( 'nt_minfox_sb_t_c' ) );
    $sb_c     = esc_attr( ot_get_option( 'nt_minfox_sb_c' ) );
    $sb_l_c   = esc_attr( ot_get_option( 'nt_minfox_sb_l_c' ) );
    $sb_l_c_h = esc_attr( ot_get_option( 'nt_minfox_sb_l_c_h' ) );
    $sb_s_t   = esc_attr( ot_get_option( 'nt_minfox_sb_s_t' ) );
    $sb_s_bg  = esc_attr( ot_get_option( 'nt_minfox_sb_s_bg' ) );

    if ( $sb_bg !='' )    { $theCSS .= '#widget-area{background-color:'.$sb_bg.'!important;padding-top: 15px;padding-bottom: 15px;}'; }
    if ( $sb_t_c !='' )   { $theCSS .= '#widget-area .widget-title{color:'.$sb_t_c.'!important;}'; }
    if ( $sb_c !='' )     { $theCSS .= '#widget-area .widget ul{color:'.$sb_c .'!important;}'; }
    if ( $sb_l_c !='' )   { $theCSS .= '#widget-area .widget ul li a{color:'.$sb_l_c.'!important;}'; }
    if ( $sb_l_c_h !='' ) { $theCSS .= '#widget-area .widget ul li a:hover{color:'.$sb_l_c_h.'!important;}'; }
    if ( $sb_s_t !='' )   { $theCSS .= '#widget-area #searchform input#searchsubmit{color:'.$sb_s_t.'!important;}'; }
    if ( $sb_s_bg !='' )  { $theCSS .= '#widget-area #searchform input#searchsubmit{background-color:'.$sb_s_bg.'!important;}'; }

    $sb_brd        = ( ot_get_option( 'nt_minfox_sb_border', array() ) );
    $sb_brd_radius = esc_attr( ot_get_option( 'nt_minfox_sb_borderradius' ) );
    if ( !empty($sb_brd) ) {
        $theCSS .= '#widget-area{';
        if (!empty($sb_brd['unit']))  { $sbbrdunit = $sb_brd['unit'];}else{ $sbbrdunit = 'px'; }
        if (!empty($sb_brd['width'])) { $theCSS .= 'border-width:'.$sb_brd['width'].''.$sbbrdunit.';'; }
        if (!empty($sb_brd['style'])) { $theCSS .= 'border-style:'.$sb_brd['style'].';'; }
        if (!empty($sb_brd['color'])) { $theCSS .= 'border-color:'.$sb_brd['color'].';'; }
        if ( $sb_brd_radius !='' )    { $theCSS .= 'border-radius:'.$sb_brd_radius.'px;'; }
        $theCSS .= 'padding-bottom: 15px;';
        $theCSS .= '}';
    }
    // sidebar widget
    $sb_w_bg      = ot_get_option( 'nt_minfox_sb_w_bg', array() );
    $sb_w_overlay = esc_attr( ot_get_option( 'nt_minfox_sb_w_overlay' ) );
    if ( !empty($sb_w_bg) ) {
        $theCSS .= '#widget-area .widget{';
        if (!empty($sb_w_bg['background-color']))      { $theCSS .= 'background-color:'.$sb_w_bg['background-color'].' !important;'; }
        if (!empty($sb_w_bg['background-image']))      { $theCSS .= 'background-image:url("'.$sb_w_bg['background-image'].'") !important;'; }
        if (!empty($sb_w_bg['background-repeat']))     { $theCSS .= 'background-repeat:'.$sb_w_bg['background-repeat'].' !important;'; }
        if (!empty($sb_w_bg['background-position']))   { $theCSS .= 'background-position:'.$sb_w_bg['background-position'].' !important;'; }
        if (!empty($sb_w_bg['background-attachment'])) { $theCSS .= 'background-attachment:'.$sb_w_bg['background-attachment'].' !important;'; }
        if (!empty($sb_w_bg['background-size']))       { $theCSS .= 'background-size:'.$sb_w_bg['background-size'].' !important;'; }
        $theCSS .= '}';
        if ( $sb_w_overlay !='' ) {
            $theCSS .= '#widget-area .widget:before{content:"";position:absolute;width:100%;height:100%;left:0;top:0;background-color:'.$sb_w_overlay.'!important;}#widget-area .widget, #widget-area .widget ul, #widget-area .widget .textwidget{position:relative;}';
        }
    }
    $sb_w_mar = ot_get_option( 'nt_minfox_sb_w_margin', array() );
    if ( !empty($sb_w_mar) ) {
        $theCSS .= '#widget-area .widget{';
        if (!empty($sb_w_mar['unit']))   { $widgetmarunit = $sb_w_mar['unit'];}else{ $widgetmarunit = 'px'; }
        if (!empty($sb_w_mar['top']))    { $theCSS .= 'margin-top:'.$sb_w_mar['top'].''.$widgetmarunit.' !important;'; }
        if (!empty($sb_w_mar['bottom'])) { $theCSS .= 'margin-bottom:'.$sb_w_mar['bottom'].''.$widgetmarunit.' !important;'; }
        if (!empty($sb_w_mar['right']))  { $theCSS .= 'margin-right:'.$sb_w_mar['right'].''.$widgetmarunit.' !important;'; }
        if (!empty($sb_w_mar['left']))   { $theCSS .= 'margin-left:'.$sb_w_mar['left'].''.$widgetmarunit.' !important;'; }
        $theCSS .= '}';
    }
    $sb_w_pad = ot_get_option( 'nt_minfox_sb_w_padding', array() );
    if ( !empty($sb_w_pad) ) {
        $theCSS .= '#widget-area .widget{';
        if (!empty($sb_w_pad['unit']))   { $widgetpadunit = $sb_w_pad['unit'];}else{ $widgetpadunit = 'px'; }
        if (!empty($sb_w_pad['top']))    { $theCSS .= 'padding-top:'.$sb_w_pad['top'].''.$widgetpadunit.' !important;'; }
        if (!empty($sb_w_pad['bottom'])) { $theCSS .= 'padding-bottom:'.$sb_w_pad['bottom'].''.$widgetpadunit.' !important;'; }
        if (!empty($sb_w_pad['right']))  { $theCSS .= 'padding-right:'.$sb_w_pad['right'].''.$widgetpadunit.' !important;'; }
        if (!empty($sb_w_pad['left']))   { $theCSS .= 'padding-left:'.$sb_w_pad['left'].''.$widgetpadunit.' !important;'; }
        $theCSS .= '}';
    }
    $sb_w_brd        = ( ot_get_option( 'nt_minfox_sb_w_border', array() ) );
    $sb_w_brd_radius = esc_attr( ot_get_option( 'nt_minfox_sb_w_borderradius' ) );
    if ( !empty($sb_w_brd) ) {
        $theCSS .= '#widget-area .widget{';
        if (!empty($sb_w_brd['unit']))  { $widgetbrdunit = $sb_w_brd['unit'];}else{ $widgetbrdunit = 'px'; }
        if (!empty($sb_w_brd['width'])) { $theCSS .= 'border-width:'.$sb_w_brd['width'].''.$widgetbrdunit.';'; }
        if (!empty($sb_w_brd['style'])) { $theCSS .= 'border-style:'.$sb_w_brd['style'].';'; }
        if (!empty($sb_w_brd['color'])) { $theCSS .= 'border-color:'.$sb_w_brd['color'].';'; }
        if ( $sb_w_brd_radius !='' )    { $theCSS .= 'border-radius:'.$sb_w_brd_radius.'px;'; }
        $theCSS .= '}';
    }
    $sb_wt_brd_display = ( ot_get_option( 'nt_minfox_sb_wt_border_display' ) );
    $sb_wt_brd         = ( ot_get_option( 'nt_minfox_sb_wt_border', array() ) );
    $sb_wt_brd_radius  = esc_attr( ot_get_option( 'nt_minfox_sb_wt_borderradius' ) );
    if ( $sb_wt_brd_display != 'off' ) {
        if ( !empty($sb_wt_brd) ) {
            $theCSS .= '#widget-area .widget .widget-title{';
            if (!empty($sb_wt_brd['unit']))  { $widgettitlebrdunit = $sb_wt_brd['unit'];}else{ $widgettitlebrdunit = 'px'; }
            if (!empty($sb_wt_brd['width'])) { $theCSS .= 'border-width:'.$sb_wt_brd['width'].''.$widgettitlebrdunit.';';}
            if (!empty($sb_wt_brd['style'])) { $theCSS .= 'border-style:'.$sb_wt_brd['style'].';'; }
            if (!empty($sb_wt_brd['color'])) { $theCSS .= 'border-color:'.$sb_wt_brd['color'].';'; }
            if ( $sb_w_brd_radius !='' )     { $theCSS .= 'border-radius:'.$sb_wt_brd_radius.'px;'; }
            $theCSS .= '}';
        }
    }
    if ( $sb_wt_brd_display == 'off' ) { $theCSS .= '#widget-area .widget .widget-title{ border:none!important;}'; }
    $widgetcount= 1;
    $nt_minfox_widget_icon      = ot_get_option('nt_minfox_wt_before' );
    $nt_minfox_widgeticon_color = ot_get_option('nt_minfox_widgeticon_color' );
    if (!empty( $nt_minfox_widget_icon )) {
        $theCSS .= '.widget-title:before{position:relative;font-family:FontAwesome;margin-right:10px;}';
        if ( $nt_minfox_menuicon_color !='' ) { $theCSS .= '.widget-title:before {color:'.$nt_minfox_widgeticon_color.';}'; }
        foreach($nt_minfox_widget_icon as $key => $wicon) {
            $theCSS .= '#widget-area .widget:nth-child('.$widgetcount.') .widget-title{padding-left: 0px;}';
            $theCSS .= '#widget-area .widget:nth-child('.$widgetcount.') .widget-title:before{content:"\\'.esc_html($wicon['nt_minfox_sb_wt_icon']).'";}#widget-area .widget:nth-child('.$widgetcount.') .widget-title:after{content:none!important;}';
            $widgetcount++;
        }
    }

    // share buttons
    if ( ot_get_option( 'nt_minfox_blogsharebgcolor' ) !='' ){
        $theCSS .= '#share-buttons i{ background-color: '.  esc_attr( ot_get_option( 'nt_minfox_blogsharebgcolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_blogsharebghovercolor' ) !='' ){
        $theCSS .= ' #share-buttons i:hover{ background-color: '.  esc_attr( ot_get_option( 'nt_minfox_blogsharebghovercolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_blogsharecolor' ) !='' ){
        $theCSS .= '#share-buttons i{ color: '.  esc_attr( ot_get_option( 'nt_minfox_blogsharecolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_blogsharehovercolor' ) !='' ){
        $theCSS .= '#share-buttons i:hover{ color: '.  esc_attr( ot_get_option( 'nt_minfox_blogsharehovercolor' ) ) .'; }';
    }

    // comments
    if ( ot_get_option( 'nt_minfox_blogmetalinktextcolor' ) !='' ){
        $theCSS .= 'p.logged-in-as a{color: '.  esc_attr( ot_get_option( 'nt_minfox_blogmetalinktextcolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_blogmetalinkhovercolor' ) !='' ){
        $theCSS .= 'p.logged-in-as a:hover{color: '.  esc_attr( ot_get_option( 'nt_minfox_blogmetalinkhovercolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_blogmetalinktextbgcolor' ) !='' ){
        $theCSS .= 'p.logged-in-as a{background-color: '.  esc_attr( ot_get_option( 'nt_minfox_blogmetalinktextbgcolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_blogmetalinktextbghovercolor' ) !='' ){
        $theCSS .= 'p.logged-in-as a:hover{background-color: '.  esc_attr( ot_get_option( 'nt_minfox_blogmetalinktextbghovercolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_blogmetalinktextcolor' ) !='' ){
        $theCSS .= 'a.comment-edit-link,a.comment-reply-link{color: '.  esc_attr( ot_get_option( 'nt_minfox_blogmetalinktextcolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_blogmetalinkhovercolor' ) !='' ){
        $theCSS .= 'a.comment-edit-link:hover,a.comment-reply-link:hover{color: '.  esc_attr( ot_get_option( 'nt_minfox_blogmetalinkhovercolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_blogmetalinktextbgcolor' ) !='' ){
        $theCSS .= 'a.comment-edit-link,a.comment-reply-link{background-color: '.  esc_attr( ot_get_option( 'nt_minfox_blogmetalinktextbgcolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_blogmetalinktextbghovercolor' ) !='' ){
        $theCSS .= 'a.comment-edit-link:hover,a.comment-reply-link:hover{background-color: '.  esc_attr( ot_get_option( 'nt_minfox_blogmetalinktextbghovercolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_blogcommentformsubmitcolor' ) !='' ){
        $theCSS .= '.comment-form .submit{color: '.  esc_attr( ot_get_option( 'nt_minfox_blogcommentformsubmitcolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_blogcommentformsubmithovercolor' ) !='' ){
        $theCSS .= '.comment-form .submit:hover{color: '.  esc_attr( ot_get_option( 'nt_minfox_blogcommentformsubmithovercolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_blogcommentformsubmitbgcolor' ) !='' ){
        $theCSS .= '.comment-form .submit{background-color: '.  esc_attr( ot_get_option( 'nt_minfox_blogcommentformsubmitbgcolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_blogcommentformsubmitbghovercolor' ) !='' ){
        $theCSS .= '.comment-form .submit:hover{background-color: '.  esc_attr( ot_get_option( 'nt_minfox_blogcommentformsubmitbghovercolor' ) ) .'; }';
    }

    // pager
    if ( ot_get_option( 'nt_minfox_pagertitlecolor' ) !='' ){
        $theCSS .= '.pager li a{color: '.  esc_attr( ot_get_option( 'nt_minfox_pagertitlecolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_pagertitlehovercolor' ) !='' ){
        $theCSS .= '.pager li a:hover{color: '.  esc_attr( ot_get_option( 'nt_minfox_pagertitlehovercolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_pagerbgcolor' ) !='' ){
        $theCSS .= '.pager li a{background-color: '.  esc_attr( ot_get_option( 'nt_minfox_pagerbgcolor' ) ) .'; }';
    }
    if ( ot_get_option( 'nt_minfox_pagerbghovercolor' ) !='' ){
        $theCSS .= '.pager li a:hover{background-color: '.  esc_attr( ot_get_option( 'nt_minfox_pagerbghovercolor' ) ) .'; }';
    }
    // tipigrof
    $nt_minfox_typgrph = ot_get_option( 'nt_minfox_typgrph', array() );
    if ( !empty($nt_minfox_typgrph) ) :
        $theCSS .= 'body{';
        if ( !empty($nt_minfox_typgrph['font-color']) )     { $theCSS .= 'color:'.esc_attr( $nt_minfox_typgrph['font-color'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph['font-family']) )    { $theCSS .= 'font-family:"'.esc_attr( $nt_minfox_typgrph['font-family'] ).'"!important;'; }
        if ( !empty($nt_minfox_typgrph['font-size']) )      { $theCSS .= 'font-size:'.esc_attr( $nt_minfox_typgrph['font-size'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph['font-style']) )     { $theCSS .= 'font-style:'.esc_attr( $nt_minfox_typgrph['font-style'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph['font-variant']) )   { $theCSS .= 'font-variant:'.esc_attr( $nt_minfox_typgrph['font-variant'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph['font-weight']) )    { $theCSS .= 'font-weight:'.esc_attr( $nt_minfox_typgrph['font-weight'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph['letter-spacing']) ) { $theCSS .= 'letter-spacing:'.esc_attr( $nt_minfox_typgrph['letter-spacing'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph['line-height']))     { $theCSS .= 'line-height:'.esc_attr( $nt_minfox_typgrph['line-height'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph['text-decoration'])) { $theCSS .= 'text-decoration:'.esc_attr($nt_minfox_typgrph['text-decoration']).'!important;'; }
        if ( !empty($nt_minfox_typgrph['text-transform']))  { $theCSS .= 'text-transform:'.esc_attr($nt_minfox_typgrph['text-transform']).'!important;'; }
        $theCSS .= '}';
    endif;
    //
    $nt_minfox_typgrph1 = ot_get_option( 'nt_minfox_typgrph1', array() );
    if ( !empty($nt_minfox_typgrph1) ) :
        $theCSS .= 'body h1{';
        if ( !empty($nt_minfox_typgrph1['font-color']) )     { $theCSS .= 'color:'.esc_attr( $nt_minfox_typgrph1['font-color'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph1['font-family']) )    { $theCSS .= 'font-family:"'.esc_attr( $nt_minfox_typgrph1['font-family'] ).'"!important;'; }
        if ( !empty($nt_minfox_typgrph1['font-size']) )      { $theCSS .= 'font-size:'.esc_attr( $nt_minfox_typgrph1['font-size'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph1['font-style']) )     { $theCSS .= 'font-style:'.esc_attr( $nt_minfox_typgrph1['font-style'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph1['font-variant']) )   { $theCSS .= 'font-variant:'.esc_attr( $nt_minfox_typgrph1['font-variant'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph1['font-weight']) )    { $theCSS .= 'font-weight:'.esc_attr( $nt_minfox_typgrph1['font-weight'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph1['letter-spacing']) ) { $theCSS .= 'letter-spacing:'.esc_attr( $nt_minfox_typgrph1['letter-spacing'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph1['line-height']))     { $theCSS .= 'line-height:'.esc_attr( $nt_minfox_typgrph1['line-height'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph1['text-decoration'])) { $theCSS .= 'text-decoration:'.esc_attr($nt_minfox_typgrph1['text-decoration']).'!important;'; }
        if ( !empty($nt_minfox_typgrph1['text-transform']))  { $theCSS .= 'text-transform:'.esc_attr($nt_minfox_typgrph1['text-transform']).'!important;'; }
        $theCSS .= '}';
    endif;
    //
    $nt_minfox_typgrph2 = ot_get_option( 'nt_minfox_typgrph2', array() );
    if ( !empty($nt_minfox_typgrph2) ) :
        $theCSS .= 'body h2{';
        if ( !empty($nt_minfox_typgrph2['font-color']) )     { $theCSS .= 'color:'.esc_attr( $nt_minfox_typgrph2['font-color'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph2['font-family']) )    { $theCSS .= 'font-family:'.esc_attr( $nt_minfox_typgrph2['font-family'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph2['font-size']) )      { $theCSS .= 'font-size:'.esc_attr( $nt_minfox_typgrph2['font-size'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph2['font-style']) )     { $theCSS .= 'font-style:'.esc_attr( $nt_minfox_typgrph2['font-style'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph2['font-variant']) )   { $theCSS .= 'font-variant:'.esc_attr( $nt_minfox_typgrph2['font-variant'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph2['font-weight']) )    { $theCSS .= 'font-weight:'.esc_attr( $nt_minfox_typgrph2['font-weight'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph2['letter-spacing']) ) { $theCSS .= 'letter-spacing:'.esc_attr( $nt_minfox_typgrph2['letter-spacing'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph2['line-height']))     { $theCSS .= 'line-height:'.esc_attr( $nt_minfox_typgrph2['line-height'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph2['text-decoration'])) { $theCSS .= 'text-decoration:'.esc_attr($nt_minfox_typgrph2['text-decoration']).'!important;'; }
        if ( !empty($nt_minfox_typgrph2['text-transform']))  { $theCSS .= 'text-transform:'.esc_attr($nt_minfox_typgrph2['text-transform']).'!important;'; }
        $theCSS .= '}';
    endif;
    //
    $nt_minfox_typgrph3 = ot_get_option( 'nt_minfox_typgrph3', array() );
    if ( !empty($nt_minfox_typgrph3) ) :
        $theCSS .= 'body h3{';
        if ( !empty($nt_minfox_typgrph3['font-color']) )     { $theCSS .= 'color:'.esc_attr( $nt_minfox_typgrph3['font-color'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph3['font-family']) )    { $theCSS .= 'font-family:'.esc_attr( $nt_minfox_typgrph3['font-family'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph3['font-size']) )      { $theCSS .= 'font-size:'.esc_attr( $nt_minfox_typgrph3['font-size'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph3['font-style']) )     { $theCSS .= 'font-style:'.esc_attr( $nt_minfox_typgrph3['font-style'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph3['font-variant']) )   { $theCSS .= 'font-variant:'.esc_attr( $nt_minfox_typgrph3['font-variant'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph3['font-weight']) )    { $theCSS .= 'font-weight:'.esc_attr( $nt_minfox_typgrph3['font-weight'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph3['letter-spacing']) ) { $theCSS .= 'letter-spacing:'.esc_attr( $nt_minfox_typgrph3['letter-spacing'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph3['line-height']))     { $theCSS .= 'line-height:'.esc_attr( $nt_minfox_typgrph3['line-height'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph3['text-decoration'])) { $theCSS .= 'text-decoration:'.esc_attr($nt_minfox_typgrph3['text-decoration']).'!important;'; }
        if ( !empty($nt_minfox_typgrph3['text-transform']))  { $theCSS .= 'text-transform:'.esc_attr($nt_minfox_typgrph3['text-transform']).'!important;'; }
        $theCSS .= '}';
    endif;
    //
    $nt_minfox_typgrph4 = ot_get_option( 'nt_minfox_typgrph4', array() );
    if ( !empty($nt_minfox_typgrph4) ) :
        $theCSS .= 'body h4{';
        if ( !empty($nt_minfox_typgrph4['font-color']) )     { $theCSS .= 'color:'.esc_attr( $nt_minfox_typgrph4['font-color'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph4['font-family']) )    { $theCSS .= 'font-family:'.esc_attr( $nt_minfox_typgrph4['font-family'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph4['font-size']) )      { $theCSS .= 'font-size:'.esc_attr( $nt_minfox_typgrph4['font-size'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph4['font-style']) )     { $theCSS .= 'font-style:'.esc_attr( $nt_minfox_typgrph4['font-style'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph4['font-variant']) )   { $theCSS .= 'font-variant:'.esc_attr( $nt_minfox_typgrph4['font-variant'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph4['font-weight']) )    { $theCSS .= 'font-weight:'.esc_attr( $nt_minfox_typgrph4['font-weight'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph4['letter-spacing']) ) { $theCSS .= 'letter-spacing:'.esc_attr( $nt_minfox_typgrph4['letter-spacing'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph4['line-height']))     { $theCSS .= 'line-height:'.esc_attr( $nt_minfox_typgrph4['line-height'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph4['text-decoration'])) { $theCSS .= 'text-decoration:'.esc_attr($nt_minfox_typgrph4['text-decoration']).'!important;'; }
        if ( !empty($nt_minfox_typgrph4['text-transform']))  { $theCSS .= 'text-transform:'.esc_attr($nt_minfox_typgrph4['text-transform']).'!important;'; }
        $theCSS .= '}';
    endif;
    //
    $nt_minfox_typgrph5 = ot_get_option( 'nt_minfox_typgrph5', array() );
    if ( !empty($nt_minfox_typgrph5) ) :
        $theCSS .= 'body h5{';
        if ( !empty($nt_minfox_typgrph5['font-color']) )     { $theCSS .= 'color:'.esc_attr( $nt_minfox_typgrph5['font-color'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph5['font-family']) )    { $theCSS .= 'font-family:'.esc_attr( $nt_minfox_typgrph5['font-family'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph5['font-size']) )      { $theCSS .= 'font-size:'.esc_attr( $nt_minfox_typgrph5['font-size'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph5['font-style']) )     { $theCSS .= 'font-style:'.esc_attr( $nt_minfox_typgrph5['font-style'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph5['font-variant']) )   { $theCSS .= 'font-variant:'.esc_attr( $nt_minfox_typgrph5['font-variant'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph5['font-weight']) )    { $theCSS .= 'font-weight:'.esc_attr( $nt_minfox_typgrph5['font-weight'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph5['letter-spacing']) ) { $theCSS .= 'letter-spacing:'.esc_attr( $nt_minfox_typgrph5['letter-spacing'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph5['line-height']))     { $theCSS .= 'line-height:'.esc_attr( $nt_minfox_typgrph5['line-height'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph5['text-decoration'])) { $theCSS .= 'text-decoration:'.esc_attr($nt_minfox_typgrph5['text-decoration']).'!important;'; }
        if ( !empty($nt_minfox_typgrph5['text-transform']))  { $theCSS .= 'text-transform:'.esc_attr($nt_minfox_typgrph5['text-transform']).'!important;'; }
        $theCSS .= '}';
    endif;
    //
    $nt_minfox_typgrph6 = ot_get_option( 'nt_minfox_typgrph6', array() );
    if ( !empty($nt_minfox_typgrph6) ) :
        $theCSS .= 'body h6{';
        if ( !empty($nt_minfox_typgrph6['font-color']) )     { $theCSS .= 'color:'.esc_attr( $nt_minfox_typgrph6['font-color'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph6['font-family']) )    { $theCSS .= 'font-family:'.esc_attr( $nt_minfox_typgrph6['font-family'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph6['font-size']) )      { $theCSS .= 'font-size:'.esc_attr( $nt_minfox_typgrph6['font-size'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph6['font-style']) )     { $theCSS .= 'font-style:'.esc_attr( $nt_minfox_typgrph6['font-style'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph6['font-variant']) )   { $theCSS .= 'font-variant:'.esc_attr( $nt_minfox_typgrph6['font-variant'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph6['font-weight']) )    { $theCSS .= 'font-weight:'.esc_attr( $nt_minfox_typgrph6['font-weight'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph6['letter-spacing']) ) { $theCSS .= 'letter-spacing:'.esc_attr( $nt_minfox_typgrph6['letter-spacing'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph6['line-height']))     { $theCSS .= 'line-height:'.esc_attr( $nt_minfox_typgrph6['line-height'] ).'!important;'; }
        if ( !empty($nt_minfox_typgrph6['text-decoration'])) { $theCSS .= 'text-decoration:'.esc_attr($nt_minfox_typgrph6['text-decoration']).'!important;'; }
        if ( !empty($nt_minfox_typgrph6['text-transform']))  { $theCSS .= 'text-transform:'.esc_attr($nt_minfox_typgrph6['text-transform']).'!important;'; }
        $theCSS .= '}';
    endif;

    /* Add CSS to style.css */
    wp_add_inline_style( 'nt-minfox-custom-style', $theCSS );
}

add_action( 'wp_enqueue_scripts', 'nt_minfox_css_options' );
