<?php


/*
* NEW MEGA MENU
*/

	/* logo options */
	$nt_minfox_logo_option      = ( ot_get_option( 'nt_minfox_logo_type' ) );
	$nt_minfox_img_logo         = ( ot_get_option( 'nt_minfox_logoimg' ) );
	$nt_minfox_img_slogo        = ( ot_get_option( 'nt_minfox_slogoimg' ) );
	$nt_minfox_has_sticky_logo  = $nt_minfox_img_slogo ? ' has-sticky-logo' : '';
	$nt_minfox_text_logo        = ( ot_get_option( 'nt_minfox_textlogo' ) );

	$nt_minfox_menu_attr   = array();
	$nt_minfox_menu_attr[] = ot_get_option( 'nt_minfox_megamenu_scrolltype' );
	$nt_minfox_menu_attr[] = ot_get_option( 'nt_minfox_megamenu_bgtype' );
	$nt_minfox_menu_attr[] = ot_get_option( 'nt_minfox_megamenu_logo_align' );
	$nt_minfox_menu_attr[] = ot_get_option( 'nt_minfox_megamenu_mobiletype' );

	$nt_minfox_scrollspy   = ot_get_option( 'nt_minfox_megamenu_scrolltype' ) == 'navbar-sticky navbar-scrollspy' ? 'data-minus-value-desktop="70" data-minus-value-mobile="55" data-speed="1000"' : '';
	$nt_minfox_menu_align   = ot_get_option( 'nt_minfox_megamenu_logo_align' ) == 'brand-default' ? ' navbar-right' : '';
	$megamenu_anim_in       = ot_get_option( 'nt_minfox_megamenu_anim_in' );
	$megamenu_anim_out      = ot_get_option( 'nt_minfox_megamenu_anim_out' );

	$megamenu_sidebar      = ot_get_option( 'nt_minfox_megamenu_sidebar' );
	$megamenu_search       = ot_get_option( 'nt_minfox_megamenu_search' );
	$megamenu_container    = ot_get_option( 'nt_minfox_megamenu_container' );
    $megamenu_search_text  = ot_get_option( 'nt_minfox_megamenu_search_text' );
	$megamenu_search_text  = $megamenu_search_text ? $megamenu_search_text : esc_html__('Search', 'nt-minfox');

	wp_enqueue_style('nt-minfox-bootsnav');
	wp_enqueue_style('nt-minfox-bootsnav-main');
	wp_enqueue_script('nt-minfox-bootsnav');
?>

	<nav class="navbar navbar-default bootsnav <?php echo !empty($nt_minfox_menu_attr) ? implode( ' ', $nt_minfox_menu_attr ) : ''; ?>" <?php echo esc_attr($nt_minfox_scrollspy); ?>>

		<?php if ( $megamenu_search == 'yes' ) : ?>
			<!-- Start Top Search -->
			<div class="top-search">
				<div class="container">
						<?php
							echo '<form role="search" method="get" id="searchform" class="searchform" action="' . esc_url( home_url( '/' ) ) . '" >
									<div class="input-group">
									<span class="input-group-addon"><i class="fa fa-search"></i></span>
                                    <input  class="form-control" type="text" value="' . get_search_query() . '" placeholder="'.$megamenu_search_text.'" name="s" id="s" />
									<span class="input-group-addon close-search"><i class="fa fa-times"></i></span>
								</div>
							</form>';
						?>
				</div>
			</div>
			<!-- End Top Search -->
		<?php endif; ?>

		<div class="<?php echo esc_attr($megamenu_container) ? esc_attr($megamenu_container) : 'container'; ?>">

			<?php if ( $megamenu_sidebar == 'yes' || $megamenu_search == 'yes' ) : ?>
				<!-- Start Atribute Navigation -->
				<div class="attr-nav">
					<ul>
						<?php if ( $megamenu_search == 'yes' ) : ?>
							<li class="search"><a href="#"><i class="fa fa-search"></i></a></li>
						<?php endif; ?>
						<?php if ( $megamenu_sidebar == 'yes' ) : ?>
							<li class="side-menu"><a href="#"><i class="fa fa-bars"></i></a></li>
						<?php endif; ?>
						<?php if ( ot_get_option( 'nt_minfox_megamenu_extra' ) != '' ) : ?>
							<?php echo ot_get_option( 'nt_minfox_megamenu_extra' ); ?>
						<?php endif; ?>
					</ul>
				</div>
				<!-- End Atribute Navigation -->
			<?php endif; ?>


			<!-- Start Header Navigation -->
			<div class="navbar-header">
				<button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbar-menu">
					<i class="fa fa-bars"></i>
				</button>

				<?php if ( $nt_minfox_logo_option == 'text' ) : ?>
					<?php if ( $nt_minfox_text_logo ) : ?>
						<a class="navbar-brand text-logo logo logo-display" href="<?php echo esc_url( home_url( '/' ) ); ?>" ><?php echo esc_html( $nt_minfox_text_logo ); ?></a>
					<?php else : ?>
						<a class="navbar-brand text-logo" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php esc_html_e( 'MINFOX', 'nt-minfox' ); ?></a>
					<?php endif; ?>
				<?php endif; ?>

				<?php if ( $nt_minfox_logo_option == 'img' && ( $nt_minfox_img_logo || $nt_minfox_img_slogo ) ) : ?>
					<a class="navbar-brand img-logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
						<?php if ( $nt_minfox_img_logo ) : ?>
							<img class="logo logo-display" src="<?php echo esc_url( $nt_minfox_img_logo ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>">
						<?php endif; ?>
						<?php if ( $nt_minfox_img_slogo ) : ?>
							<img class="logo logo-scrolled" src="<?php echo esc_url( $nt_minfox_img_slogo ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>">
						<?php endif; ?>
					</a>
				<?php endif; ?>

			</div>
			<!-- End Header Navigation -->

			<!-- Collect the nav links, forms, and other content for toggling -->
			<div class="collapse navbar-collapse" id="navbar-menu">
				<ul class="nav navbar-nav<?php echo esc_attr($nt_minfox_menu_align); ?>" data-in="<?php echo esc_attr($megamenu_anim_in); ?>" data-out="<?php echo esc_attr($megamenu_anim_out); ?>">

        		<?php

					if ( has_nav_menu( 'primary' ) ) {
						// default wp menu
						wp_nav_menu(
							array(
								'menu'               => 'primary',
								'theme_location'     => 'primary',
								'container'          => '',
								'container_class'    => '',
								'container_id'       => '',
								'menu_class'         => '',
								'menu_id'            => 'primary-menu',
								'items_wrap'         => '%3$s',
								'before'             => '',
								'after'              => '',
								'link_before'        => '',
								'link_after'         => '',
								'depth'              => 4,
								'echo'               => true,
								'fallback_cb'        => 'Nt_Minfox_Wp_Bootstrap_Navwalker::fallback',
								'walker'             => new Nt_Minfox_Wp_Bootstrap_Navwalker()
							)
						);
        			} else {
					 $locations = get_nav_menu_locations();
						// if there's a location for the primary menu
						if ( isset( $locations['mega-menu']) ) {
							$menu = get_term( $locations['mega-menu'], 'nav_menu');
							// if there are items in the primary menu
							if ( $items = wp_get_nav_menu_items( $menu->name ) ) {
								// loop through all menu items to display their content
								foreach ( $items as $item ) {
									// if the current item is not a top level item, skip it
									//var_dump($item->title);
									if ($item->menu_item_parent != 0) {
										continue;
									}
									// get the ID of the current nav item
									$curNavItemID = $item->ID;
									// get the custom classes for the item
									// (determined within the WordPress Appearance > Menu section)
									if ( !in_array('has-mega-menu', $item->classes) ) {
										$classList = implode(" ", $item->classes);
										echo '<li class="'.$classList.'">';
											echo '<a href="'.$item->url.'">'.$item->title.'</a>';
										echo '</li>';
									}
										// build the mega-menu
										// if 'mega-menu'  exists within the class
									if ( in_array('has-mega-menu', $item->classes) ) { ?>
										<li class="dropdown megamenu-fw">
											<a href="#" class="dropdown-toggle" data-toggle="dropdown"><?php echo esc_attr($item->title); ?></a>
											<ul class="dropdown-menu megamenu-content" role="menu">
												<li>
													<div class="row">

														<?php

														foreach ( $items as $subnav) {
															if ( $subnav->menu_item_parent == $curNavItemID) {
																$has_column = preg_match('/(\d{1,2})/', implode(' ', $subnav->classes));
																$column_string = $has_column ? implode(' ', $subnav->classes) : 'col-md-4';
																echo '<div class="col-menu '.$column_string.'">';

																	if ( ot_get_option( 'nt_minfox_megamenu_column_label_display' ) != 'off' ) {
																		echo '<h6 class="title" title="'.esc_attr($subnav->attr_title ).'">'.$subnav->title.'</h6>';
																	}
																		echo '<div class="content">
																			<ul class="menu-col">';
																			$curSubNavItemID = $subnav->ID;
																			foreach ( $items as $sub) {
																				if ( $sub->menu_item_parent == $curSubNavItemID) {
																				echo '<li><a href="'.$sub->url.'">'.$sub->title.'</a></li>';
																				}
																			}
																			echo '</ul>
																		</div>
																	</div>';
																}
														}

														?>
													</div>
												</li>
											</ul>
										</li>

									<?php
									}
								}
							}
						}
					}
					?>
				</ul>
			</div><!-- /.navbar-collapse -->
		</div>

		<?php if ( $megamenu_sidebar == 'yes' ) : ?>
			<!-- Start Side Menu -->
			<div class="side">
				<a href="#" class="close-side"><i class="fa fa-times"></i></a>
				<?php
				if ( is_active_sidebar( 'mega-menu-sidebar' ) ) {
					dynamic_sidebar( 'mega-menu-sidebar' );
				}
				?>
			</div>
			<!-- End Side Menu -->
		<?php endif; ?>

	</nav>
