<?php

add_filter( 'rwmb_meta_boxes', 'nt_minfox_register_meta_boxes' );
function nt_minfox_register_meta_boxes( $meta_boxes ) {
    $prefix = 'nt_minfox_';
    $meta_boxes = array();


    /* ----------------------------------------------------- */
    // Page Settings
    /* ----------------------------------------------------- */

    $meta_boxes[] = array(
        'id' => 'pagesettings',
        'title' => esc_html__( 'Page Settings', 'nt-minfox' ),
        'pages' => array( 'page' ),
        'context' => 'normal',
        'priority' => 'high',
        'fields' => array(

            // SELECT BOX
            array(
                'type' => 'heading',
                'id' => 'page_design_section',
                'name' => esc_html__( 'Page Title Options', 'nt-minfox' )
            ),
            array(
                'name' => 'Disable Page Title',
                'id' => $prefix . "disable_title",
                'type' => 'checkbox',
                'std' => 0
            ),
            array(
                'name' => esc_html__( 'Alternate Page Title', 'nt-minfox' ),
                'id' => $prefix . "alt_title",
                'clone' => false,
                'type' => 'text',
                'std' => ''
            ),
            array(
                'type' => 'divider',
                'id' => 'fake_divider_id'
            ),
            array(
                'type' => 'heading',
                'id' => 'page_design_section',
                'name' => esc_html__( 'Subtitle Options', 'nt-minfox' )
            ),
            array(
                'name' => esc_html__( 'Disable Page Subtitle', 'nt-minfox' ),
                'id' => $prefix . "disable_subtitle",
                'type' => 'checkbox',
                'std' => 0
            ),
            array(
                'name' => esc_html__( 'Page Subtitle / Rich Text Editor', 'nt-minfox' ),
                'id' => $prefix . "subtitle",
                'type' => 'wysiwyg',
                'raw' => false,
                'options' => array(
                    'textarea_rows' => 4,
                    'teeny' => true,
                    'media_buttons' => false
                ),
            ),
            array(
                'type' => 'divider',
                'id' => 'fake_divider_id'
            ),
            array(
                'type' => 'heading',
                'id' => 'page_design_section',
                'name' => esc_html__( 'Design Options', 'nt-minfox' )
            ),
            array(
                'name' => esc_html__( 'Page hero background image', 'nt-minfox' ),
                'id' => $prefix . "page_bg_image",
                'type' => 'background'
            ),
            array(
                'name' => esc_html__( 'Page hero background image overlay color', 'nt-minfox' ),
                'id' => $prefix . "pagebgoverlay",
                'type' => 'color',
                'alpha_channel' => true,
            ),
            array( 'type' => 'divider' ),
            // COLOR
            array(
                'name' => esc_html__( 'Page breadcrumb background color', 'nt-minfox' ),
                'id' => $prefix . "pagebgcolor",
                'type' => 'color'
            ),
            array(
                'name' => esc_html__( 'Page breadcrumb text color', 'nt-minfox' ),
                'id' => $prefix . "pagetextcolor",
                'type' => 'color'
            ),

            array(
                'name' => esc_html__( 'Page header padding top', 'nt-minfox' ),
                'id' => $prefix . "headerptop",
                'type' => 'number',
                'min' => 0,
                'step' => 1
            ),
            array(
                'name' => esc_html__( 'Page header padding bottom', 'nt-minfox' ),
                'id' => $prefix . "headerpbottom",
                'type' => 'number',
                'min' => 0,
                'step' => 1
            ),
            // SELECT BOX
            array(
                'name' => esc_html__( 'Page sidebar', 'nt-minfox' ),
                'id' => $prefix . "pagelayout",
                'type' => 'select',
                'options' => array(
                    'left-sidebar' => esc_html__( 'left', 'nt-minfox' ),
                    'right-sidebar' => esc_html__( 'right', 'nt-minfox' ),
                    'full-width' => esc_html__( 'full', 'nt-minfox' ),
                ),
                'multiple' => false,
                'std' => 'right-sidebar',
                'placeholder' => esc_html__( 'Select an Item', 'nt-minfox' )
            )
        )
    );

    $meta_boxes[] = array(
        'title' => esc_html__( 'Metabox menu', 'nt-minfox' ),
        'pages' => array( 'page' ),
        'clone-group' => 'onepage-clone-group','clone-group' => 'onepage-clone-group',
        'id' => 'page_menu',
        'context' => 'side',
        'priority' => 'low',
        'fields' => array(
            array(
                'name' => esc_html__('Header menu type', 'nt-minfox'),
                'desc' => esc_html__('Select header menu type', 'nt-minfox'),
                'id' => $prefix . 'menutype',
                'type' => 'select',
                'options' => array(
                    'm' => esc_html__( 'Metabox menu', 'nt-minfox' ),
                    'p' => esc_html__( 'Default Primary menu', 'nt-minfox' )
                ),
                'std' => 'm'
            ),
            array(
                'name' => esc_html__( 'Menu item name', 'nt-minfox' ),
                'desc' => esc_html__( 'Format: Any text', 'nt-minfox' ),
                'id' => $prefix . 'section_name',
                'type' => 'text',
                'std' => 'Menu item name',
                'class' => 'custom-class',
                'clone' => true,
                'sort_clone' => true,
                'clone-group' => 'onepage-clone-group','clone-group' => 'onepage-clone-group'
            ),
            array(
                'name' => esc_html__( 'Menu item Url', 'nt-minfox' ),
                'desc' => esc_html__( 'Format: #sectionname or http://yoururl.com', 'nt-minfox' ),
                'id' => $prefix . 'section_url',
                'type' => 'text',
                'std' => '#sectionname',
                'class' => 'custom-class',
                'clone' => true,
                'sort_clone' => true,
                'clone-group' => 'onepage-clone-group'
            )
        ),
    );

    /* ----------------------------------------------------- */
    // PRICE PLUGINS SETTINGS
    /* ----------------------------------------------------- */
    $meta_boxes[] = array(
        'id' => 'eventssettings',
        'title' => esc_html__('Price table', 'nt-minfox'),
        'pages' => array( 'price' ),
        'context' => 'normal',
        'priority' => 'high',

        // List of meta fields
        'fields' => array(
            array(
                'name' => esc_html__('Price', 'nt-minfox'),
                'id' => $prefix . "price",
                'clone' => false,
                'type' => 'text',
                'std' => '$19'
            ),
            array(
                'name' => esc_html__('Price Small', 'nt-minfox'),
                'id' => $prefix . "price_small",
                'clone' => false,
                'type' => 'text',
                'std' => '00'
            ),
            array(
                'name' => esc_html__('Table Features List', 'nt-minfox'),
                'desc' => esc_html__( 'Add features for this pack', 'nt-minfox' ),
                'id' => $prefix . 'features_list',
                'type' => 'text',
                'std' => 'Single user account',
                'class' => 'custom-class',
                'clone' => true,
                'clone-group' => 'my-clone-group','clone-group' => 'my-clone-group',
            ),
            array(
                'name' => esc_html__('Table button title', 'nt-minfox'),
                'id' => $prefix . "price_btn_title",
                'clone' => false,
                'type' => 'text',
                'std' => ''
            ),
            array(
                'name' => esc_html__('Table button custom link', 'nt-minfox'),
                'id' => $prefix . "price_link",
                'clone' => false,
                'type' => 'text',
                'std' => ''
            ),
            array(
                'name' => esc_html__( 'Button link target type', 'nt-minfox' ),
                'id' => $prefix . "price_target",
                'type' => 'select',
                'multiple' => false,
                'std' => '_blank',
                'options' => array(
                    '' => 'Select a option',
                    '_blank' => '_blank',
                    '_self' => '_self',
                    '_parent' => '_parent',
                    '_top' => '_top',
                )
            ),
            // responsive opt
            array(
                'type' => 'divider',
                'id' => 'fake_divider_8',
            ),
            array(
                'name' => esc_html__( 'Large Device', 'nt-minfox' ),
                'id' => $prefix . "lg_col",
                'type' => 'select',
                'multiple' => false,
                'std' => '',
                'options' => array(
                    '' => esc_html__( 'Select Custom Column', 'nt-minfox' ),
                    'col-lg-1' => esc_html__( 'col-lg-1', 'nt-minfox' ),
                    'col-lg-2' => esc_html__( 'col-lg-2', 'nt-minfox' ),
                    'col-lg-3' => esc_html__( 'col-lg-3', 'nt-minfox' ),
                    'col-lg-4' => esc_html__( 'col-lg-4', 'nt-minfox' ),
                    'col-lg-5' => esc_html__( 'col-lg-5', 'nt-minfox' ),
                    'col-lg-6' => esc_html__( 'col-lg-6', 'nt-minfox' ),
                    'col-lg-7' => esc_html__( 'col-lg-7', 'nt-minfox' ),
                    'col-lg-8' => esc_html__( 'col-lg-8', 'nt-minfox' ),
                    'col-lg-9' => esc_html__( 'col-lg-9', 'nt-minfox' ),
                    'col-lg-10' => esc_html__( 'col-lg-10', 'nt-minfox' ),
                    'col-lg-11' => esc_html__( 'col-lg-11', 'nt-minfox' ),
                    'col-lg-12' => esc_html__( 'col-lg-12', 'nt-minfox' ),
                )
            ),
            array(
                'name' => esc_html__( 'Desktop', 'nt-minfox' ),
                'id' => $prefix . "md_col",
                'type' => 'select',
                'multiple' => false,
                'std' => 'col-md-4',
                'options' => array(
                    '' => esc_html__( 'Select Custom Column', 'nt-minfox' ),
                    'col-md-1' => esc_html__( 'col-md-1', 'nt-minfox' ),
                    'col-md-2' => esc_html__( 'col-md-2', 'nt-minfox' ),
                    'col-md-3' => esc_html__( 'col-md-3', 'nt-minfox' ),
                    'col-md-4' => esc_html__( 'col-md-4', 'nt-minfox' ),
                    'col-md-5' => esc_html__( 'col-md-5', 'nt-minfox' ),
                    'col-md-6' => esc_html__( 'col-md-6', 'nt-minfox' ),
                    'col-md-7' => esc_html__( 'col-md-7', 'nt-minfox' ),
                    'col-md-8' => esc_html__( 'col-md-8', 'nt-minfox' ),
                    'col-md-9' => esc_html__( 'col-md-9', 'nt-minfox' ),
                    'col-md-10' => esc_html__( 'col-md-10', 'nt-minfox' ),
                    'col-md-11' => esc_html__( 'col-md-11', 'nt-minfox' ),
                    'col-md-12' => esc_html__( 'col-md-12', 'nt-minfox' ),
                )
            ),
            array(
                'name' => esc_html__( 'Desktop offset', 'nt-minfox' ),
                'id' => $prefix . "md_off",
                'type' => 'select',
                'multiple' => false,
                'std' => '',
                'options' => array(
                    '' => esc_html__( 'Select Custom Column offset', 'nt-minfox' ),
                    'col-md-offset-1' => esc_html__( 'col-md-offset-1', 'nt-minfox' ),
                    'col-md-offset-2' => esc_html__( 'col-md-offset-2', 'nt-minfox' ),
                    'col-md-offset-3' => esc_html__( 'col-md-offset-3', 'nt-minfox' ),
                    'col-md-offset-4' => esc_html__( 'col-md-offset-4', 'nt-minfox' ),
                    'col-md-offset-5' => esc_html__( 'col-md-offset-5', 'nt-minfox' ),
                    'col-md-offset-6' => esc_html__( 'col-md-offset-6', 'nt-minfox' ),
                    'col-md-offset-7' => esc_html__( 'col-md-offset-7', 'nt-minfox' ),
                    'col-md-offset-8' => esc_html__( 'col-md-offset-8', 'nt-minfox' ),
                    'col-md-offset-9' => esc_html__( 'col-md-offset-9', 'nt-minfox' ),
                    'col-md-offset-10' => esc_html__( 'col-md-offset-10', 'nt-minfox' ),
                    'col-md-offset-11' => esc_html__( 'col-md-offset-11', 'nt-minfox' ),
                    'col-md-offset-12' => esc_html__( 'col-md-offset-12', 'nt-minfox' ),
                )
            ),
            array(
                'name' => esc_html__( 'Tablet', 'nt-minfox' ),
                'id' => $prefix . "sm_col",
                'type' => 'select',
                'multiple' => false,
                'std' => 'col-sm-4',
                'options' => array(
                    '' => esc_html__( 'Select Custom Column', 'nt-minfox' ),
                    'col-sm-1' => esc_html__( 'col-sm-1', 'nt-minfox' ),
                    'col-sm-2' => esc_html__( 'col-sm-2', 'nt-minfox' ),
                    'col-sm-3' => esc_html__( 'col-sm-3', 'nt-minfox' ),
                    'col-sm-4' => esc_html__( 'col-sm-4', 'nt-minfox' ),
                    'col-sm-5' => esc_html__( 'col-sm-5', 'nt-minfox' ),
                    'col-sm-6' => esc_html__( 'col-sm-6', 'nt-minfox' ),
                    'col-sm-7' => esc_html__( 'col-sm-7', 'nt-minfox' ),
                    'col-sm-8' => esc_html__( 'col-sm-8', 'nt-minfox' ),
                    'col-sm-9' => esc_html__( 'col-sm-9', 'nt-minfox' ),
                    'col-sm-10' => esc_html__( 'col-sm-10', 'nt-minfox' ),
                    'col-sm-11' => esc_html__( 'col-sm-11', 'nt-minfox' ),
                    'col-sm-12' => esc_html__( 'col-sm-12', 'nt-minfox' ),
                )
            ),
            array(
                'name' => esc_html__( 'Phone', 'nt-minfox' ),
                'id' => $prefix . "xs_col",
                'type' => 'select',
                'multiple' => false,
                'std' => 'col-xs-12',
                'options' => array(
                    '' => esc_html__( 'Select Custom Column', 'nt-minfox' ),
                    'col-xs-1' => esc_html__( 'col-xs-1', 'nt-minfox' ),
                    'col-xs-2' => esc_html__( 'col-xs-2', 'nt-minfox' ),
                    'col-xs-3' => esc_html__( 'col-xs-3', 'nt-minfox' ),
                    'col-xs-4' => esc_html__( 'col-xs-4', 'nt-minfox' ),
                    'col-xs-5' => esc_html__( 'col-xs-5', 'nt-minfox' ),
                    'col-xs-6' => esc_html__( 'col-xs-6', 'nt-minfox' ),
                    'col-xs-7' => esc_html__( 'col-xs-7', 'nt-minfox' ),
                    'col-xs-8' => esc_html__( 'col-xs-8', 'nt-minfox' ),
                    'col-xs-9' => esc_html__( 'col-xs-9', 'nt-minfox' ),
                    'col-xs-10' => esc_html__( 'col-xs-10', 'nt-minfox' ),
                    'col-xs-11' => esc_html__( 'col-xs-11', 'nt-minfox' ),
                    'col-xs-12' => esc_html__( 'col-xs-12', 'nt-minfox' ),
                )
            ),
        )
    );

    /* ----------------------------------------------------- */
    // TEAM PLUGINS SETTINGS
    /* ----------------------------------------------------- */
    $meta_boxes[] = array(
        'title' => esc_html__( 'Team Details', 'nt-minfox' ),
        'pages' => array( 'team' ),
        'clone-group' => 'my-clone-group','clone-group' => 'my-clone-group',
        'id' => 'mm_review',
        'context' => 'normal',
        'priority' => 'high',
        'fields' => array(

            array(
                'name' => esc_html__('Team Job', 'nt-minfox'),
                'id' => $prefix . "team_job",
                'clone' => false,
                'type' => 'text',
                'std' => 'Developer'
            ),
            array(
                'type' => 'divider',
                'id' => 'fake_divider_7',
            ),
            array(
                'name' => esc_html__( 'Team image width (without px)', 'nt-minfox' ),
                'id' => $prefix . "img_width",
                'clone' => false,
                'type' => 'text',
                'std' => '350'
            ),
            array(
                'name' => esc_html__( 'Team image height (without px)', 'nt-minfox' ),
                'id' => $prefix . "img_height",
                'clone' => false,
                'type' => 'text',
                'std' => '350'
            ),
            array(
                'type' => 'divider',
                'id' => 'fake_divider_8',
            ),
            array(

                'name' => esc_html__( 'Social Icon Name', 'nt-minfox' ),
                'desc' => esc_html__( 'Format: fa fa-facebook. Enter social icon name here', 'nt-minfox' ),
                'id' => $prefix . 'social_icon',
                'type' => 'text',
                'std' => 'fa fa-facebook',
                'class' => 'custom-class',
                'clone' => true,
                'clone-group' => 'my-clone-group','clone-group' => 'my-clone-group',
            ),
            array(
                'name' => esc_html__( 'Social Url', 'nt-minfox' ),
                'desc' => esc_html__( 'Format: http://facebook.com', 'nt-minfox' ),
                'id' => $prefix . 'social_url',
                'type' => 'text',
                'std' => '#',
                'class' => 'custom-class',
                'clone' => true,
                'clone-group' => 'my-clone-group',
            ),
            array(
                'name' => esc_html__( 'Select target type', 'nt-minfox' ),
                'id' => $prefix . "social_target",
                'type' => 'select',
                'multiple' => false,
                'std' => '_blank',
                'options' => array(
                    '_blank' => '_blank',
                    '_self' => '_self',
                    '_parent' => '_parent',
                    '_top' => '_top',
                )
            ),
            // RESPONSIVE OPT
            array(
                'type' => 'divider',
                'id' => 'fake_divider_8',
            ),
            array(
                'name' => esc_html__( 'Large Device', 'nt-minfox' ),
                'id' => $prefix . "lg_col",
                'type' => 'select',
                'multiple' => false,
                'std' => '',
                'options' => array(
                    '' => esc_html__( 'Select Custom Column', 'nt-minfox' ),
                    'col-lg-1' => esc_html__( 'col-lg-1', 'nt-minfox' ),
                    'col-lg-2' => esc_html__( 'col-lg-2', 'nt-minfox' ),
                    'col-lg-3' => esc_html__( 'col-lg-3', 'nt-minfox' ),
                    'col-lg-4' => esc_html__( 'col-lg-4', 'nt-minfox' ),
                    'col-lg-5' => esc_html__( 'col-lg-5', 'nt-minfox' ),
                    'col-lg-6' => esc_html__( 'col-lg-6', 'nt-minfox' ),
                    'col-lg-7' => esc_html__( 'col-lg-7', 'nt-minfox' ),
                    'col-lg-8' => esc_html__( 'col-lg-8', 'nt-minfox' ),
                    'col-lg-9' => esc_html__( 'col-lg-9', 'nt-minfox' ),
                    'col-lg-10' => esc_html__( 'col-lg-10', 'nt-minfox' ),
                    'col-lg-11' => esc_html__( 'col-lg-11', 'nt-minfox' ),
                    'col-lg-12' => esc_html__( 'col-lg-12', 'nt-minfox' ),
                )
            ),
            array(
                'name' => esc_html__( 'Desktop', 'nt-minfox' ),
                'id' => $prefix . "md_col",
                'type' => 'select',
                'multiple' => false,
                'std' => 'col-md-3',
                'options' => array(
                    '' => esc_html__( 'Select Custom Column', 'nt-minfox' ),
                    'col-md-1' => esc_html__( 'col-md-1', 'nt-minfox' ),
                    'col-md-2' => esc_html__( 'col-md-2', 'nt-minfox' ),
                    'col-md-3' => esc_html__( 'col-md-3', 'nt-minfox' ),
                    'col-md-4' => esc_html__( 'col-md-4', 'nt-minfox' ),
                    'col-md-5' => esc_html__( 'col-md-5', 'nt-minfox' ),
                    'col-md-6' => esc_html__( 'col-md-6', 'nt-minfox' ),
                    'col-md-7' => esc_html__( 'col-md-7', 'nt-minfox' ),
                    'col-md-8' => esc_html__( 'col-md-8', 'nt-minfox' ),
                    'col-md-9' => esc_html__( 'col-md-9', 'nt-minfox' ),
                    'col-md-10' => esc_html__( 'col-md-10', 'nt-minfox' ),
                    'col-md-11' => esc_html__( 'col-md-11', 'nt-minfox' ),
                    'col-md-12' => esc_html__( 'col-md-12', 'nt-minfox' ),
                )
            ),
            array(
                'name' => esc_html__( 'Desktop offset', 'nt-minfox' ),
                'id' => $prefix . "md_off",
                'type' => 'select',
                'multiple' => false,
                'std' => '',
                'options' => array(
                    '' => esc_html__( 'Select Custom Column offset', 'nt-minfox' ),
                    'col-md-offset-1' => esc_html__( 'col-md-offset-1', 'nt-minfox' ),
                    'col-md-offset-2' => esc_html__( 'col-md-offset-2', 'nt-minfox' ),
                    'col-md-offset-3' => esc_html__( 'col-md-offset-3', 'nt-minfox' ),
                    'col-md-offset-4' => esc_html__( 'col-md-offset-4', 'nt-minfox' ),
                    'col-md-offset-5' => esc_html__( 'col-md-offset-5', 'nt-minfox' ),
                    'col-md-offset-6' => esc_html__( 'col-md-offset-6', 'nt-minfox' ),
                    'col-md-offset-7' => esc_html__( 'col-md-offset-7', 'nt-minfox' ),
                    'col-md-offset-8' => esc_html__( 'col-md-offset-8', 'nt-minfox' ),
                    'col-md-offset-9' => esc_html__( 'col-md-offset-9', 'nt-minfox' ),
                    'col-md-offset-10' => esc_html__( 'col-md-offset-10', 'nt-minfox' ),
                    'col-md-offset-11' => esc_html__( 'col-md-offset-11', 'nt-minfox' ),
                    'col-md-offset-12' => esc_html__( 'col-md-offset-12', 'nt-minfox' ),
                )
            ),
            array(
                'name' => esc_html__( 'Tablet', 'nt-minfox' ),
                'id' => $prefix . "sm_col",
                'type' => 'select',
                'multiple' => false,
                'std' => 'col-sm-6',
                'options' => array(
                    '' => esc_html__( 'Select Custom Column', 'nt-minfox' ),
                    'col-sm-1' => esc_html__( 'col-sm-1', 'nt-minfox' ),
                    'col-sm-2' => esc_html__( 'col-sm-2', 'nt-minfox' ),
                    'col-sm-3' => esc_html__( 'col-sm-3', 'nt-minfox' ),
                    'col-sm-4' => esc_html__( 'col-sm-4', 'nt-minfox' ),
                    'col-sm-5' => esc_html__( 'col-sm-5', 'nt-minfox' ),
                    'col-sm-6' => esc_html__( 'col-sm-6', 'nt-minfox' ),
                    'col-sm-7' => esc_html__( 'col-sm-7', 'nt-minfox' ),
                    'col-sm-8' => esc_html__( 'col-sm-8', 'nt-minfox' ),
                    'col-sm-9' => esc_html__( 'col-sm-9', 'nt-minfox' ),
                    'col-sm-10' => esc_html__( 'col-sm-10', 'nt-minfox' ),
                    'col-sm-11' => esc_html__( 'col-sm-11', 'nt-minfox' ),
                    'col-sm-12' => esc_html__( 'col-sm-12', 'nt-minfox' ),
                )
            ),
            array(
                'name' => esc_html__( 'Phone', 'nt-minfox' ),
                'id' => $prefix . "xs_col",
                'type' => 'select',
                'multiple' => false,
                'std' => 'col-xs-12',
                'options' => array(
                    '' => esc_html__( 'Select Custom Column', 'nt-minfox' ),
                    'col-xs-1' => esc_html__( 'col-xs-1', 'nt-minfox' ),
                    'col-xs-2' => esc_html__( 'col-xs-2', 'nt-minfox' ),
                    'col-xs-3' => esc_html__( 'col-xs-3', 'nt-minfox' ),
                    'col-xs-4' => esc_html__( 'col-xs-4', 'nt-minfox' ),
                    'col-xs-5' => esc_html__( 'col-xs-5', 'nt-minfox' ),
                    'col-xs-6' => esc_html__( 'col-xs-6', 'nt-minfox' ),
                    'col-xs-7' => esc_html__( 'col-xs-7', 'nt-minfox' ),
                    'col-xs-8' => esc_html__( 'col-xs-8', 'nt-minfox' ),
                    'col-xs-9' => esc_html__( 'col-xs-9', 'nt-minfox' ),
                    'col-xs-10' => esc_html__( 'col-xs-10', 'nt-minfox' ),
                    'col-xs-11' => esc_html__( 'col-xs-11', 'nt-minfox' ),
                    'col-xs-12' => esc_html__( 'col-xs-12', 'nt-minfox' ),
                )
            )
        )
    );

    /* ----------------------------------------------------- */
    // POST SETTINGS
    /* ----------------------------------------------------- */
    $meta_boxes[] = array(
        'id' => 'postsettings',
        'title' => esc_html__( 'Post Custom Options NOTE : for one-page latest news shortcode ', 'nt-minfox' ),
        'pages' => array( 'post' ),
        'context' => 'normal',
        'priority' => 'high',
        'fields' => array(
            array(
                'name' => esc_html__( 'Post image width (without px,unit)', 'nt-minfox' ),
                'desc' => esc_html__( 'Enter custom image width for auto-crop', 'nt-minfox' ),
                'id' => $prefix . "img_width",
                'clone' => false,
                'type' => 'text',
                'std' => '500'
            ),
            array(
                'name' => esc_html__( 'Post image height (without px,unit)', 'nt-minfox' ),
                'desc' => esc_html__( 'Enter custom image height for auto-crop', 'nt-minfox' ),
                'id' => $prefix . "img_height",
                'clone' => false,
                'type' => 'text',
                'std' => '400'
            ),
            // RESPONSIVE OPT
            array(
                'type' => 'divider',
                'id' => 'fake_divider_8',
            ),
            array(
                'name' => esc_html__( 'Large Device', 'nt-minfox' ),
                'id' => $prefix . "lg_col",
                'type' => 'select',
                'multiple' => false,
                'std' => '',
                'options' => array(
                    '' => esc_html__( 'Select Custom Column', 'nt-minfox' ),
                    'col-lg-1' => esc_html__( 'col-lg-1', 'nt-minfox' ),
                    'col-lg-2' => esc_html__( 'col-lg-2', 'nt-minfox' ),
                    'col-lg-3' => esc_html__( 'col-lg-3', 'nt-minfox' ),
                    'col-lg-4' => esc_html__( 'col-lg-4', 'nt-minfox' ),
                    'col-lg-5' => esc_html__( 'col-lg-5', 'nt-minfox' ),
                    'col-lg-6' => esc_html__( 'col-lg-6', 'nt-minfox' ),
                    'col-lg-7' => esc_html__( 'col-lg-7', 'nt-minfox' ),
                    'col-lg-8' => esc_html__( 'col-lg-8', 'nt-minfox' ),
                    'col-lg-9' => esc_html__( 'col-lg-9', 'nt-minfox' ),
                    'col-lg-10' => esc_html__( 'col-lg-10', 'nt-minfox' ),
                    'col-lg-11' => esc_html__( 'col-lg-11', 'nt-minfox' ),
                    'col-lg-12' => esc_html__( 'col-lg-12', 'nt-minfox' ),
                )
            ),
            array(
                'name' => esc_html__( 'Desktop', 'nt-minfox' ),
                'id' => $prefix . "md_col",
                'type' => 'select',
                'multiple' => false,
                'std' => 'col-md-3',
                'options' => array(
                    '' => esc_html__( 'Select Custom Column', 'nt-minfox' ),
                    'col-md-1' => esc_html__( 'col-md-1', 'nt-minfox' ),
                    'col-md-2' => esc_html__( 'col-md-2', 'nt-minfox' ),
                    'col-md-3' => esc_html__( 'col-md-3', 'nt-minfox' ),
                    'col-md-4' => esc_html__( 'col-md-4', 'nt-minfox' ),
                    'col-md-5' => esc_html__( 'col-md-5', 'nt-minfox' ),
                    'col-md-6' => esc_html__( 'col-md-6', 'nt-minfox' ),
                    'col-md-7' => esc_html__( 'col-md-7', 'nt-minfox' ),
                    'col-md-8' => esc_html__( 'col-md-8', 'nt-minfox' ),
                    'col-md-9' => esc_html__( 'col-md-9', 'nt-minfox' ),
                    'col-md-10' => esc_html__( 'col-md-10', 'nt-minfox' ),
                    'col-md-11' => esc_html__( 'col-md-11', 'nt-minfox' ),
                    'col-md-12' => esc_html__( 'col-md-12', 'nt-minfox' ),
                )
            ),
            array(
                'name' => esc_html__( 'Desktop offset', 'nt-minfox' ),
                'id' => $prefix . "md_off",
                'type' => 'select',
                'multiple' => false,
                'std' => '',
                'options' => array(
                    '' => esc_html__( 'Select Custom Column offset', 'nt-minfox' ),
                    'col-md-offset-1' => esc_html__( 'col-md-offset-1', 'nt-minfox' ),
                    'col-md-offset-2' => esc_html__( 'col-md-offset-2', 'nt-minfox' ),
                    'col-md-offset-3' => esc_html__( 'col-md-offset-3', 'nt-minfox' ),
                    'col-md-offset-4' => esc_html__( 'col-md-offset-4', 'nt-minfox' ),
                    'col-md-offset-5' => esc_html__( 'col-md-offset-5', 'nt-minfox' ),
                    'col-md-offset-6' => esc_html__( 'col-md-offset-6', 'nt-minfox' ),
                    'col-md-offset-7' => esc_html__( 'col-md-offset-7', 'nt-minfox' ),
                    'col-md-offset-8' => esc_html__( 'col-md-offset-8', 'nt-minfox' ),
                    'col-md-offset-9' => esc_html__( 'col-md-offset-9', 'nt-minfox' ),
                    'col-md-offset-10' => esc_html__( 'col-md-offset-10', 'nt-minfox' ),
                    'col-md-offset-11' => esc_html__( 'col-md-offset-11', 'nt-minfox' ),
                    'col-md-offset-12' => esc_html__( 'col-md-offset-12', 'nt-minfox' ),
                )
            ),
            array(
                'name' => esc_html__( 'Tablet', 'nt-minfox' ),
                'id' => $prefix . "sm_col",
                'type' => 'select',
                'multiple' => false,
                'std' => 'col-sm-6',
                'options' => array(
                    '' => esc_html__( 'Select Custom Column', 'nt-minfox' ),
                    'col-sm-1' => esc_html__( 'col-sm-1', 'nt-minfox' ),
                    'col-sm-2' => esc_html__( 'col-sm-2', 'nt-minfox' ),
                    'col-sm-3' => esc_html__( 'col-sm-3', 'nt-minfox' ),
                    'col-sm-4' => esc_html__( 'col-sm-4', 'nt-minfox' ),
                    'col-sm-5' => esc_html__( 'col-sm-5', 'nt-minfox' ),
                    'col-sm-6' => esc_html__( 'col-sm-6', 'nt-minfox' ),
                    'col-sm-7' => esc_html__( 'col-sm-7', 'nt-minfox' ),
                    'col-sm-8' => esc_html__( 'col-sm-8', 'nt-minfox' ),
                    'col-sm-9' => esc_html__( 'col-sm-9', 'nt-minfox' ),
                    'col-sm-10' => esc_html__( 'col-sm-10', 'nt-minfox' ),
                    'col-sm-11' => esc_html__( 'col-sm-11', 'nt-minfox' ),
                    'col-sm-12' => esc_html__( 'col-sm-12', 'nt-minfox' ),
                )
            ),
            array(
                'name' => esc_html__( 'Phone', 'nt-minfox' ),
                'id' => $prefix . "xs_col",
                'type' => 'select',
                'multiple' => false,
                'std' => 'col-xs-12',
                'options' => array(
                    '' => esc_html__( 'Select Custom Column', 'nt-minfox' ),
                    'col-xs-1' => esc_html__( 'col-xs-1', 'nt-minfox' ),
                    'col-xs-2' => esc_html__( 'col-xs-2', 'nt-minfox' ),
                    'col-xs-3' => esc_html__( 'col-xs-3', 'nt-minfox' ),
                    'col-xs-4' => esc_html__( 'col-xs-4', 'nt-minfox' ),
                    'col-xs-5' => esc_html__( 'col-xs-5', 'nt-minfox' ),
                    'col-xs-6' => esc_html__( 'col-xs-6', 'nt-minfox' ),
                    'col-xs-7' => esc_html__( 'col-xs-7', 'nt-minfox' ),
                    'col-xs-8' => esc_html__( 'col-xs-8', 'nt-minfox' ),
                    'col-xs-9' => esc_html__( 'col-xs-9', 'nt-minfox' ),
                    'col-xs-10' => esc_html__( 'col-xs-10', 'nt-minfox' ),
                    'col-xs-11' => esc_html__( 'col-xs-11', 'nt-minfox' ),
                    'col-xs-12' => esc_html__( 'col-xs-12', 'nt-minfox' ),
                )
            )
        )
    );

    /* Gallery Post Format ------------*/
    $meta_boxes[] = array(
        'id' => 'portfoliosettings',
        'title' => esc_html__( 'Portfolio Single Page Settings', 'nt-minfox' ),
        'pages' => array('portfolio'),
        'context' => 'normal',
        'priority' => 'high',
        'fields' => array(
            array(
                'name' => esc_html__( 'Use Featured Image as Hero Background', 'nt-minfox' ),
                'id' => "nt_minfox_use_featured_image_for_hero",
                'type' => 'checkbox',
                'std' => 0
            ),
            array(
                'name' => esc_html__( 'Hide Featured Image', 'nt-minfox' ),
                'id' => "nt_minfox_hide_featured_image",
                'type' => 'checkbox',
                'std' => 0
            ),
            array(
                'name' => esc_html__( 'Hide Post Meta', 'nt-minfox' ),
                'id' => "nt_minfox_hide_post_meta",
                'type' => 'checkbox',
                'std' => 0
            ),
            array(
                'name' => esc_html__( 'Hide Post Share Icons', 'nt-minfox' ),
                'id' => "nt_minfox_hide_post_share",
                'type' => 'checkbox',
                'std' => 0
            ),
            array(
                'name' => esc_html__('Select Images', 'nt-minfox'),
                'desc' => esc_html__('Select the images from the media library or upload your new ones.', 'nt-minfox'),
                'id' => 'nt_minfox_port_gallery_images',
                'type' => 'image_advanced'
            )
        )
    );

    /*-----------------------------------------------------------------------------------*/
    /*  Metaboxes for blog posts
    /*-----------------------------------------------------------------------------------*/

    /* Gallery Post Format ------------*/
    $meta_boxes[] = array(
        'title' => esc_html__('Gallery Settings', 'nt-minfox'),
        'pages' => array('post'),
        'fields' => array(
            array(
                'name' => esc_html__('Select Images', 'nt-minfox'),
                'desc' => esc_html__('Select the images from the media library or upload your new ones.', 'nt-minfox'),
                'id' => $prefix . 'gallery_image',
                'type' => 'image_advanced',
            )
        )
    );

    /* Quote Post Format ------------*/
    $meta_boxes[] = array(
        'title' => esc_html__('Quote Settings', 'nt-minfox'),
        'pages' => array('post'),
        'fields' => array(
            array(
                'name' => esc_html__('The Quote', 'nt-minfox'),
                'desc' => esc_html__('Write your quote in this field.', 'nt-minfox'),
                'id' => $prefix . 'quote_text',
                'type' => 'textarea',
                'rows' => 5
            ),
            array(
                'name' => esc_html__('The Author', 'nt-minfox'),
                'desc' => esc_html__('Enter the name of the author of this quote.', 'nt-minfox'),
                'id' => $prefix . 'quote_author',
                'type' => 'text'
            ),
            array(
                'name' => esc_html__('Background Color', 'nt-minfox'),
                'desc' => esc_html__('Choose the background color for this quote.', 'nt-minfox'),
                'id' => $prefix . 'quote_bg',
                'type' => 'color'
            ),
            array(
                'name' => esc_html__('Background Opacity', 'nt-minfox'),
                'desc' => esc_html__('Choose the opacity of the background color.', 'nt-minfox'),
                'id' => $prefix . 'quote_bg_opacity',
                'type' => 'text',
                'std' => 80
            )
        )
    );

    /* Audio Post Format ------------*/
    $meta_boxes[] = array(
        'title' => esc_html__('Audio Settings', 'nt-minfox'),
        'pages' => array('post'),
        'fields' => array(
            array(
                'type' => 'heading',
                'name' => esc_html__( 'These settings enable you to embed audio in your posts. Note that for audio, you must supply both MP3 and OGG files to satisfy all browsers. For poster you can select a featured image.', 'nt-minfox' ),
                'id' => 'audio_head'
            ),
            array(
                'name' => esc_html__('MP3 File URL', 'nt-minfox'),
                'desc' => esc_html__('The URL to the .mp3 audio file.', 'nt-minfox'),
                'id' => $prefix . 'audio_mp3',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__('OGA File URL', 'nt-minfox'),
                'desc' => esc_html__('The URL to the .oga, .ogg audio file.', 'nt-minfox'),
                'id' => $prefix . 'audio_ogg',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__('Divider', 'nt-minfox'),
                'desc' => esc_html__('divider.', 'nt-minfox'),
                'id' => $prefix . 'audio_divider',
                'type' => 'divider'
            ),
            array(
                'name' => esc_html__('SoundCloud', 'nt-minfox'),
                'desc' => esc_html__('Enter the url of the soundcloud audio.', 'nt-minfox'),
                'id' => $prefix . 'audio_sc',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__('Color', 'nt-minfox'),
                'desc' => esc_html__('Choose the color.', 'nt-minfox'),
                'id' => $prefix . 'audio_sc_color',
                'type' => 'color',
                'std' => '#ff7700'
            )
        )
    );

    /* Video Post Format ------------*/
    $meta_boxes[] = array(
        'title' => esc_html__('Video Settings', 'nt-minfox'),
        'pages' => array('post'),
        'fields' => array(
            array(
                'type' => 'heading',
                'name' => esc_html__( 'These settings enable you to embed videos into your posts. Note that for video, you must supply an M4V file to satisfy both HTML5 and Flash solutions. The optional OGV format is used to increase x-browser support for HTML5 browsers such as Firefox and Opera. For the poster, you can select a featured image.', 'nt-minfox' ),
                'id' => 'video_head'
            ),
            array(
                'name' => esc_html__('M4V File URL', 'nt-minfox'),
                'desc' => esc_html__('The URL to the .m4v video file.', 'nt-minfox'),
                'id' => $prefix . 'video_m4v',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__('OGV File URL', 'nt-minfox'),
                'desc' => esc_html__('The URL to the .ogv video file.', 'nt-minfox'),
                'id' => $prefix . 'video_ogv',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__('WEBM File URL', 'nt-minfox'),
                'desc' => esc_html__('The URL to the .webm video file.', 'nt-minfox'),
                'id' => $prefix . 'video_webm',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__('Embeded Code', 'nt-minfox'),
                'desc' => esc_html__('Select the preview image for this video.', 'nt-minfox'),
                'id' => $prefix . 'video_embed',
                'type' => 'textarea',
                'rows' => 8
            )
        )
    );

    //Social Share Settings
    $meta_boxes[] = array(
        'title' => esc_html__('Social Share Settings', 'nt-minfox'),
        'pages' => array('post'),
        'fields' => array(
            array(
                'name' => esc_html__('Show Social Share Icons', 'nt-minfox'),
                'desc' => esc_html__('Check this to show or hide all social share icons.', 'nt-minfox'),
                'id' => 'nt_minfox_share_display',
                'type' => 'select',
                'options' => array(
                    'show' => esc_html__( 'Yes', 'nt-minfox' ),
                    'hide' => esc_html__( 'No', 'nt-minfox' ),
                ),
                'multiple' => false,
                'std' => 'Yes'
            ),
            array(
                'name' => esc_html__( 'Disable facebook ?', 'nt-minfox' ),
                'id' => 'nt_minfox_share_face_display',
                'type' => 'checkbox',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Disable twitter ?', 'nt-minfox' ),
                'id' => 'nt_minfox_share_twitter_display',
                'type' => 'checkbox',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Disable google-plus ?', 'nt-minfox' ),
                'id' => 'nt_minfox_share_google_display',
                'type' => 'checkbox',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Disable digg ?', 'nt-minfox' ),
                'id' => 'nt_minfox_share_digg_display',
                'type' => 'checkbox',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Disable reddit ?', 'nt-minfox' ),
                'id' => 'nt_minfox_share_reddit_display',
                'type' => 'checkbox',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Disable linkedin ?', 'nt-minfox' ),
                'id' => 'nt_minfox_share_linkedin_display',
                'type' => 'checkbox',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Disable stumbleupon ?', 'nt-minfox' ),
                'id' => 'nt_minfox_share_stumbleupon_display',
                'type' => 'checkbox',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Disable pinterest ?', 'nt-minfox' ),
                'id' => 'nt_minfox_share_pinterest_display',
                'type' => 'checkbox',
                'std' => 0,
            ),
        )
    );
    //end
    return $meta_boxes;
}

?>
