<?php
/**
*
* @package WordPress
* @subpackage nt_minfox
* @since nt_minfox 1.0
*
*/


/*************************************************
## Google Font
*************************************************/

if ( ! function_exists( 'nt_minfox_fonts_url' ) ) {
    function nt_minfox_fonts_url() {
        $fonts_url = '';

        $lato = _x( 'on', 'Lato font: on or off', 'nt-minfox' );
        $poppins = _x( 'on', 'Poppins font: on or off', 'nt-minfox' );

        if ( 'off' !== $lato || 'off' !== $poppins ) {
            $font_families = array();

            if ( 'off' !== $lato )
            $font_families[] = 'Lato';

            if ( 'off' !== $poppins )
            $font_families[] = 'Poppins';

            $query_args = array(
                'family' => urlencode( implode( '|', $font_families ) ),
                'subset' => urlencode( 'latin,latin-ext' ),
            );
            $fonts_url = add_query_arg( $query_args, "//fonts.googleapis.com/css" );
        }

        return $fonts_url;
    }
}

/*************************************************
## Styles and Scripts
*************************************************/

function nt_minfox_scripts() {
    $rtl = is_rtl() ? '-rtl' : '';
    if ( is_singular() ) wp_enqueue_script( 'comment-reply' );

    // general css file
    wp_enqueue_style('nt-minfox-preloader', get_template_directory_uri() . '/css/spin-loader.css', false, '1.0');
    wp_enqueue_style('nt-minfox-font-awesome', get_template_directory_uri() . '/css/fontawesome.min.css', false, '1.0');
    wp_enqueue_style('et-line-icons', get_template_directory_uri() . '/css/style-etline.css', false, '1.0');
    wp_enqueue_style('bootstrap', get_template_directory_uri() . '/css/bootstrap'.$rtl .'.min.css', false, '1.0');
    wp_enqueue_style('magnific-popup', get_template_directory_uri() . '/css/magnific-popup.css', false, '1.0');
    wp_enqueue_style('slick', get_template_directory_uri() . '/css/slick.css', false, '1.0');
    wp_enqueue_style('animate', get_template_directory_uri() . '/css/animate.min.css', false, '1.0');
    wp_enqueue_style('nt-minfox-main-style', get_template_directory_uri() . '/css/main-style'.$rtl .'.css', false, '1.0');
    wp_enqueue_style('nt-minfox-color-style', get_template_directory_uri() . '/css/color/color.css', false, '1.0');
    wp_enqueue_style('nt-minfox-responsive-style', get_template_directory_uri() . '/css/responsive'.$rtl .'.css', false, '1.0');
    wp_enqueue_style('nt-minfox-theme', get_template_directory_uri() . '/css/nt-minfox-theme'.$rtl .'.css', false, '1.0');

    // visual composer css for homepage
    wp_enqueue_style('nt-minfox-vc', get_template_directory_uri() . '/css/visual-composer.css', false, '1.0');
    // flexslider css file for blog post
    wp_enqueue_style('nt-minfox-custom-flex', get_template_directory_uri() . '/js/flexslider/flexslider.css', false, '1.0');
    // wordpress css file for blog post
    wp_enqueue_style('nt-minfox-wordpress', get_template_directory_uri() . '/css/wordpress'.$rtl .'.css', false, '1.0');
    // bootsnav css file
    wp_register_style('nt-minfox-bootsnav', get_template_directory_uri() . '/css/bootsnav'.$rtl .'.css', false, '1.0');
    wp_register_style('nt-minfox-bootsnav-main', get_template_directory_uri() . '/css/bootsnav-style'.$rtl .'.css', false, '1.0');
    // update css file
    wp_enqueue_style('nt-minfox-update', get_template_directory_uri() . '/css/update'.$rtl .'.css', false, '1.0');
    // theme default google webfont loader
    wp_enqueue_style('nt-minfox-fonts-load', nt_minfox_fonts_url(), array(), '1.0.0' );
    // custom css
    wp_enqueue_style( 'nt-minfox-custom-style', get_stylesheet_uri() );
    wp_enqueue_style('style', get_stylesheet_uri() );

    // JS files
    wp_enqueue_script('bootstrap', get_template_directory_uri() . '/js/bootstrap.min.js', array('jquery'), '1.0', true);
    wp_enqueue_script('jquery-easing', get_template_directory_uri() . '/js/jquery.easing.min.js', array('jquery'), '1.0', true);
    wp_enqueue_script('jquery.nav', get_template_directory_uri() . '/js/jquery.nav.js', array('jquery'), '1.0', true);
    wp_register_script('slick', get_template_directory_uri() . '/js/slick.min.js', array('jquery'), '1.0', true);
    wp_enqueue_script('classie', get_template_directory_uri() . '/js/classie.js', array('jquery'), '1.0', true);
    wp_enqueue_script('wow', get_template_directory_uri() . '/js/wow.min.js', array('jquery'), '1.0', true);
    wp_register_script('nt-minfox-bootsnav', get_template_directory_uri() . '/js/bootsnav.js', array('jquery'), '1.0', true);
    wp_register_script('particles', get_template_directory_uri() . '/js/particles.min.js', array('jquery'), '1.0', true);
    wp_register_script('magnific-popup', get_template_directory_uri() . '/js/jquery.magnific-popup.min.js', array('jquery'), '1.0', true);
    wp_enqueue_script('jquery-validate', get_template_directory_uri() . '/js/jquery.validate.min.js', array('jquery'), '1.0', true);
    wp_enqueue_script('nt-minfox-custom-js', get_template_directory_uri() . '/js/custom.js', array('jquery'), '1.0', true);
    wp_localize_script('nt-minfox-custom-js', 'prefix', array(
        'topoffset' => ot_get_option( 'nt_minfox_nav_topoffset' )
    ));
    wp_register_script('nt-minfox-video-popup-set', get_template_directory_uri() . '/js/shortcode/video-popup-set.js', array('jquery'), '1.0', true);
    wp_register_script('nt-minfox-particles-set', get_template_directory_uri() . '/js/shortcode/particles-set.js', array('jquery'), '1.0', true);
    wp_register_script('nt-minfox-slick-set', get_template_directory_uri() . '/js/shortcode/slick-set.js', array('jquery'), '1.0', true);

    // Google maps api & customization
    $nt_minfox_map_api_key = ot_get_option( 'nt_minfox_map_api_key' );
    $nt_minfox_map_api_key_out = ( $nt_minfox_map_api_key != '') ? '' .esc_html( $nt_minfox_map_api_key ).'' : '';
    wp_register_script( 'google-map-api', 'https://maps.googleapis.com/maps/api/js?key='. $nt_minfox_map_api_key_out .'', '3.0.0', true);

    // WP default scripts for theme
    wp_enqueue_script('nt-minfox-custom-flex', get_template_directory_uri() . '/js/flexslider/jquery.flexslider-min.js', array('jquery'), '1.0', true);
    wp_enqueue_script('fitvids', get_template_directory_uri() . '/js/blog/jquery.fitvids.js', array('jquery'), '1.0', true);
    wp_enqueue_script('nt-minfox-blog-settings', get_template_directory_uri() . '/js/blog/blog-settings.js', array('jquery'), '1.0', true);
}
add_action( 'wp_enqueue_scripts', 'nt_minfox_scripts' );


/*************************************************
## Admin style and scripts
*************************************************/

function nt_minfox_admin_style() {

    // Update CSS within in Admin
    wp_enqueue_style('nt-minfox-custom-admin',  get_template_directory_uri().'/css/admin.css');
    wp_enqueue_script('nt-minfox-custom-admin', get_template_directory_uri() . '/js/jquery.custom.admin.js');

}
add_action('admin_enqueue_scripts', 'nt_minfox_admin_style');


/*************************************************
## Theme option & Metaboxes & shortcodes
*************************************************/

// theme homepage visual composer shortcodes settings
if ( function_exists('vc_set_as_theme') ) {
    require_once get_template_directory() . '/includes/visual-shortcodes.php';
}

// Metabox plugin check
if ( ! function_exists( 'rwmb_meta' ) ) {
    function rwmb_meta( $key, $args = '', $post_id = null ) {
        return false;
    }
}
// Theme post and page meta plugin for customization and more features
require_once get_template_directory() . '/includes/page-metaboxes.php';

// Theme css setting file
require_once get_template_directory() . '/includes/custom-style.php';

// Theme navigation and pagination options
require_once get_template_directory() . '/includes/template-tags.php';


// Option tree controllers
if ( ! class_exists( 'OT_Loader' ) ) {
    function ot_get_option() {
        return false;
    }
}

// add filter for  options panel loader
add_filter( 'ot_show_pages', '__return_false' );
add_filter( 'ot_show_new_layout', '__return_false' );

// Theme options admin panel setings file
include_once get_template_directory() . '/includes/theme-options.php';

// Theme customize css setting file
require_once get_template_directory() . '/includes/custom-style.php';


/*************************************************
## Theme Setup
*************************************************/

if ( ! isset( $content_width ) ) $content_width = 960;

function nt_minfox_theme_setup() {

    // Add default posts and comments RSS feed links to head.
    add_theme_support( 'automatic-feed-links' );

    /*
    * Enable support for Post Thumbnails on posts and pages.
    *
    * See: https://codex.wordpress.org/Function_Reference/add_theme_support#Post_Thumbnails
    */
    add_theme_support( 'post-thumbnails' );

    // Theme customizer and tag support
    add_theme_support( 'title-tag' );
    add_theme_support( 'custom-background' );
    add_theme_support( 'custom-header' );
    remove_theme_support( 'widgets-block-editor' );
    add_filter( 'use_widgets_block_editor', '__return_false' );
    add_filter('use_block_editor_for_post', '__return_false', 10);
    add_filter('use_block_editor_for_page', '__return_false', 10);
    /*
    * Enable support for Post Formats.
    *
    * See: https://codex.wordpress.org/Post_Formats
    */
    add_theme_support( 'post-formats', array('gallery', 'quote', 'video', 'audio'));
    // add_post_type_support( 'portfolio', 'post-formats' );
    add_image_size( 'nt_minfox_member_thumb', 650, 650, true);

    // Make theme available for translation
    // Translations can be filed in the /languages/ directory
    load_theme_textdomain( 'nt-minfox', get_template_directory() . '/languages' );

    register_nav_menus( array(
        'primary'   => esc_html__( 'Primary Menu', 'nt-minfox' ),
        'footer'    => esc_html__( 'Footer Menu', 'nt-minfox' ),
        'mega-menu' => esc_html__( 'Mega Menu', 'nt-minfox' ),
    ));
}
add_action( 'after_setup_theme', 'nt_minfox_theme_setup' );

/*************************************************
## Widget columns
*************************************************/

function nt_minfox_widgets_init() {
    register_sidebar( array(
        'name'          => esc_html__( 'Blog Sidebar', 'nt-minfox' ),
        'id'            => 'sidebar-1',
        'description'   => esc_html__( 'These are widgets for the Blog page.', 'nt-minfox' ),
        'before_widget' => '<div class="widget  %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h4 class="widget-title"><span>',
        'after_title'   => '</span></h4>'
    ));
    register_sidebar( array(
        'name'          => esc_html__( 'Footer widgetize area', 'nt-minfox' ),
        'id'            => 'nt-minfox-footer-widgetize',
        'description'   => esc_html__( 'Theme footer widgetize area', 'nt-minfox' ),
        'before_widget' => '<div class="col-md-3 col-sm-6 col-xs-12 widget %2$s"><div class="footer-bg">',
        'after_widget'  => '</div></div>',
        'before_title'  => '<h3 class="widget-head title wow fadeInDown">',
        'after_title'   => '</h3>'
    ));
    register_sidebar( array(
        'name'          => esc_html__( 'Footer widget area 1', 'nt-minfox' ),
        'id'            => 'nt-minfox-footer-1',
        'description'   => esc_html__( 'Theme footer area first column', 'nt-minfox' ),
        'before_widget' => '<div class="col-md-3 col-sm-6 col-xs-12 %2$s"><div class="footer-bg">',
        'after_widget'  => '</div></div>',
        'before_title'  => '<h3 class="widget-head title wow fadeInDown">',
        'after_title'   => '</h3>'
    ));
    register_sidebar( array(
        'name'         => esc_html__( 'Footer widget area 2', 'nt-minfox' ),
        'id'            => 'nt-minfox-footer-2',
        'description'   => esc_html__( 'Theme footer widget area second column.','nt-minfox' ),
        'before_widget' => '<div class="col-md-3 col-sm-6 col-xs-12 widget blog %2$s"><div class="footer-bg">',
        'after_widget'  => '</div></div>',
        'before_title'  => '<h3 class="widget-head title wow fadeInDown">',
        'after_title'   => '</h3>'
    ));
    register_sidebar( array(
        'name'          => esc_html__( 'Footer widget area 3', 'nt-minfox' ),
        'id'            => 'nt-minfox-footer-3',
        'description'   => esc_html__( 'Theme footer widget area third column.','nt-minfox' ),
        'before_widget' => '<div class="col-md-3 col-sm-6 col-xs-12 widget links %2$s"><div class="footer-bg">',
        'after_widget'  => '</div></div>',
        'before_title'  => '<h3 class="widget-head title wow fadeInDown">',
        'after_title'   => '</h3>'
    ));
    register_sidebar( array(
        'name'          => esc_html__( 'Footer widget area 4', 'nt-minfox' ),
        'id'            => 'nt-minfox-footer-4',
        'description'   => esc_html__( 'Theme footer widget area fourth column.','nt-minfox' ),
        'before_widget' => '<div class="col-md-3 col-sm-6 col-xs-12 widget contact %2$s"><div class="footer-bg">',
        'after_widget'  => '</div></div>',
        'before_title'  => '<h3 class="widget-head title wow fadeInDown">',
        'after_title'   => '</h3>'
    ));
    register_sidebar( array(
        'name'          => esc_html__( 'Footer 3 column', 'nt-minfox' ),
        'id'            => 'nt-minfox-footer-5',
        'description'   => esc_html__( 'Theme footer widget area has 3 column.','nt-minfox' ),
        'before_widget' => '<div class="col-md-4 col-sm-6 col-xs-12 widget contact %2$s"><div class="footer-bg wow fadeInDown">',
        'after_widget'  => '</div></div>',
        'before_title'  => '<h3 class="widget-head title">',
        'after_title'   => '</h3>'
    ));
    register_sidebar( array(
        'name'          => esc_html__( 'Mega Menu Sidebar Menu', 'nt-minfox' ),
        'id'            => 'mega-menu-sidebar',
        'description'   => esc_html__( 'Theme mega menu sidebar widget area.','nt-minfox' ),
        'before_widget' => '<div class="widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h6 class="title title wow fadeInDown">',
        'after_title'   => '</h6>'
    ));
}
add_action( 'widgets_init', 'nt_minfox_widgets_init' );

/*************************************************
## Include the TGM_Plugin_Activation class.
*************************************************/

require_once get_template_directory() . '/includes/class-tgm-plugin-activation.php';
add_action( 'tgmpa_register', 'nt_minfox_register_required_plugins' );

function nt_minfox_register_required_plugins() {
    $plugins = array(
        array(
            'name'     => esc_html__('Breadcrumb NavXT', "nt-minfox"),
            'slug'     => 'breadcrumb-navxt'
        ),
        array(
            'name'     => esc_html__('Contact Form 7', "nt-minfox"),
            'slug'     => 'contact-form-7'
        ),
        array(
            'name'     => esc_html__('Meta Box', "nt-minfox"),
            'slug'     => 'meta-box',
            'required' => true
        ),
        array(
            'name'     => esc_html__('Theme Options Panel', "nt-minfox"),
            'slug'     => 'option-tree',
            'required' => true
        ),
        array(
            'name'     => esc_html__('Team post type', 'nt-minfox'),
            'slug'     => 'team-post-type',
            'source'   => 'https://ninetheme.com/documentation/plugins/team-post-type.zip',
            'required' => false
        ),
        array(
            'name'     => esc_html__('Price Tables', 'nt-minfox'),
            'slug'     => 'price-table-type',
            'source'   => 'https://ninetheme.com/documentation/plugins/price-table-type.zip',
            'required' => false
        ),
        array(
            'name'     => esc_html__('Metabox Tabs', "nt-minfox"),
            'slug'     => 'meta-box-tabs',
            'source'   => 'https://ninetheme.com/documentation/plugins/meta-box-tabs.zip',
            'required' => true,
            'version'  => '1.1.5'
        ),
        array(
            'name'     => esc_html__('Envato Auto Update Theme', "nt-minfox"),
            'slug'     => 'envato-market',
            'source'   => 'https://ninetheme.com/documentation/plugins/envato-market.zip',
            'required' => false,
            'version'  => '2.0.3'
        ),
        array(
            'name'     => esc_html__('Page Builder', "nt-minfox"),
            'slug'     => 'js_composer',
            'source'   => 'https://ninetheme.com/documentation/plugins/js_composer.zip',
            'required' => true
        ),
        array(
            'name'     => esc_html__('Revolution Slider', "nt-minfox"),
            'slug'     => 'revolution_slider',
            'source'   => 'https://ninetheme.com/documentation/plugins/revolution_slider.zip',
            'required' => false
        ),
        array(
            'name'     => esc_html__('NT Minfox Shortcodes', 'nt-minfox'),
            'slug'     => 'nt-minfox-shortcodes',
            'source'   => get_template_directory() . '/plugins/nt-minfox-shortcodes.zip',
            'required' => false,
            'version'  => '1.3.7'
        )
    );

    $config = array(
        'id'           => 'tgmpa',
        'default_path' => '',
        'menu'         => 'tgmpa-install-plugins',
        'parent_slug'  => apply_filters( 'ninetheme_parent_slug', 'themes.php' ),
        'has_notices'  => true,
        'dismissable'  => true,
        'dismiss_msg'  => '',
        'is_automatic' => true,
        'message'      => '',
    );

    tgmpa( $plugins, $config );
}

function minfox_class_names($classes) {

    $classes[] =  'ninetheme-theme-name-' . wp_get_theme();
    $classes[] =  'theme-version-' . wp_get_theme()->get( 'Version' );

    return $classes;
}
add_filter('body_class','minfox_class_names');

/*************************************************
## Register Menu
*************************************************/

class Nt_Minfox_Wp_Bootstrap_Navwalker extends Walker_Nav_Menu {
    /**
    * @see Walker::start_lvl()
    * @since 3.0.0
    */
    public function start_lvl( &$output, $depth = 0, $args = array() ) {
        $indent = str_repeat( "\t", $depth );
        $output .= "\n$indent<ul role=\"menu\" class=\"sub-menu dropdown-menu\">\n";
    }

    /**
    * @see Walker::start_el()
    * @since 3.0.0
    */
    public function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
        $indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';

        /**
        * Dividers, Headers or Disabled
        */
        if ( strcasecmp( $item->attr_title, 'divider' ) == 0 && $depth === 1 ) {
            $output .= $indent . '<li role="presentation" class="divider item-has-children">';
        } else if ( strcasecmp( $item->title, 'divider') == 0 && $depth === 1 ) {
            $output .= $indent . '<li role="presentation" class="divider item-has-children">';
        } else if ( strcasecmp( $item->attr_title, 'dropdown-header item-has-children') == 0 && $depth === 1 ) {
            $output .= $indent . '<li role="presentation" class="dropdown-header item-has-children">' . esc_attr( $item->title );
        } else if ( strcasecmp($item->attr_title, 'disabled' ) == 0 ) {
            $output .= $indent . '<li role="presentation" class="disabled"><a href="#">' . esc_attr( $item->title ) . '</a>';
        } else {

            $class_names = $value = '';

            $classes = empty( $item->classes ) ? array() : (array) $item->classes;
            $classes[] = 'menu-item-' . $item->ID;

            $class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item, $args ) );

            if ( $args->has_children )
            $class_names .= 'sub item-has-children has-submenu dropdown';

            if ( in_array( 'current-menu-item', $classes ) )
            $class_names .= ' active';

            $class_names = $class_names ? ' class="' . esc_attr( $class_names ) . '"' : '';

            $id = apply_filters( 'nav_menu_item_id', 'menu-item-'. $item->ID, $item, $args );
            $id = $id ? ' id="' . esc_attr( $id ) . '"' : '';

            $output .= $indent . '<li' . $id . $value . $class_names .'>';

            $atts = array();
            $atts['title']  = ! empty( $item->title ) ? $item->title	: '';
            $atts['target'] = ! empty( $item->target ) ? $item->target	: '';
            $atts['rel']    = ! empty( $item->xfn ) ? $item->xfn	: '';

            // If item has_children add atts to a.
            if ( $args->has_children && $depth === 0 ) {
                $atts['href']        = $item->url;
                $atts['data-toggle'] = 'dropdown';
                $atts['class']       = 'dropdown-toggle';
            } else {
                $atts['href'] = ! empty( $item->url ) ? $item->url : '';
            }

            $atts = apply_filters( 'nav_menu_link_attributes', $atts, $item, $args );

            $attributes = '';
            foreach ( $atts as $attr => $value ) {
                if ( ! empty( $value ) ) {
                    $value = ( 'href' === $attr ) ? esc_url( $value ) : esc_attr( $value );
                    $attributes .= ' ' . $attr . '="' . $value . '"';
                }
            }

            $item_output = $args->before;

            /*
            * Glyphicons
            **/
            if ( ! empty( $item->attr_title ) )
            $item_output .= '<a'. $attributes .'><span class=" ' . esc_attr( $item->attr_title ) . '"></span>&nbsp;';
            else
            $item_output .= '<a'. $attributes .'>';

            $item_output .= $args->link_before . apply_filters( 'the_title', $item->title, $item->ID ) . $args->link_after;
            $item_output .= ( $args->has_children && 0 === $depth ) ? ' <span class="caret"></span></a>' : '</a>';
            $item_output .= $args->after;

            $output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
        }
    }

    /**
    * Traverse elements to create list from elements.
    **/
    public function display_element( $element, &$children_elements, $max_depth, $depth, $args, &$output ) {
        if ( ! $element )
        return;

        $id_field = $this->db_fields['id'];

        // Display this element.
        if ( is_object( $args[0] ) )
        $args[0]->has_children = ! empty( $children_elements[ $element->$id_field ] );

        parent::display_element( $element, $children_elements, $max_depth, $depth, $args, $output );
    }

    /**
    * Menu Fallback
    **/
    public static function fallback( $args ) {
        if ( current_user_can( 'manage_options' ) ) {

            extract( $args );

            $fb_output = null;

            if ( $container ) {
                $fb_output = '<' . $container;

                if ( $container_id )
                $fb_output .= ' id="' . $container_id . '"';

                if ( $container_class )
                $fb_output .= ' class="' . $container_class . '"';

                $fb_output .= '>';
            }

            $fb_output .= '<ul';

            if ( $menu_id )
            $fb_output .= ' id="' . $menu_id . '"';

            if ( $menu_class )
            $fb_output .= ' class="' . $menu_class . '"';

            $fb_output .= '>';
            $fb_output .= '<li><a href="'.admin_url( 'nav-menus.php' ).'">Add a menu</a></li>';
            $fb_output .= '</ul>';

            if ( $container )
            $fb_output .= '</' . $container . '>';

            echo wp_kses($fb_output,nt_minfox_allowed_html());
        }
    }
}

/*************************************************
## nt_minfox Comment
*************************************************/

if ( ! function_exists( 'nt_minfox_comment' ) ) {
    function nt_minfox_comment( $comment, $args, $depth ) {
    $GLOBALS['comment'] = $comment;
    switch ( $comment->comment_type ) :
        case 'pingback' :
        case 'trackback' :
            ?>
            <article class="post pingback">
            <p><?php esc_html_e( 'Pingback:', 'nt-minfox' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( esc_html__( '(Edit)', 'nt-minfox' ), ' ' ); ?></p>
            <?php
        break;
        default :
            ?>
            <div class="comments">
                <ul>
                    <li class="comment">
                        <span class="who"><?php echo get_avatar( $comment, 80 ); ?></span>
                        <div class="who-comment">
                            <p class="name"><?php comment_author(); ?></p>
                            <?php comment_text(); ?>
                            <?php edit_comment_link( esc_html__( 'Edit', 'nt-minfox' ), ' ' ); ?>
                            <?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
                            <span class="meta-data"><time class="comment-date" pubdate datetime="<?php comment_time( 'c' ); ?>"><?php comment_date(); ?> <?php esc_html_e( 'at', 'nt-minfox' ); ?> <?php comment_time(); ?></time></span>
                            <?php if ( $comment->comment_approved == '0' ) : ?>
                                <em><?php esc_html_e( 'Your comment is awaiting moderation.', 'nt-minfox' ); ?></em>
                            <?php endif; ?>
                        </div>
                    </li>
                </ul>
            </div>
            <?php
        break;
        endswitch;
    }
}


/*************************************************
## OPTION TREE WEBFONTS API
*************************************************/

add_filter( 'ot_google_fonts_api_key', 'nt_minfox_change_ot_google_fonts_api_key' );

function nt_minfox_change_ot_google_fonts_api_key( $key ) {
    $api = ot_get_option( 'ot_font_api' );
    return "$api";
}

/*************************************************
## ADMIN NOTICES
*************************************************/

add_action('admin_notices', 'nt_minfox_theme_activation_notice');
function nt_minfox_theme_activation_notice() {
    if (get_user_meta(get_current_user_id(), 'nt-minfox-ignore-notice', true) == 'yes') {
        return;
    }
    $url = add_query_arg( 'nt-minfox-ignore-notice', 'nt_minfox_dismiss_admin_notices' );
    ?>
    <div class="updated notice notice-info is-dismissible nt-minfox-admin-notice">
        <p><?php echo esc_html__( 'If you need help about demodata installation, please read docs and ', 'nt-minfox' ); ?>
            <a target="_blank" href="<?php echo esc_url( 'https://ninetheme.com/contact/' ); ?>"><?php echo esc_html__( 'Open a ticket', 'nt-minfox' ); ?></a>
            <?php echo esc_html__('or', 'nt-minfox'); ?>
            <a href="<?php echo esc_url( $url ); ?>"><?php echo esc_html__( 'Dismiss this notice', 'nt-minfox' ); ?></a>
            <button type="button" class="notice-dismiss hide-admin-notice"><span class="screen-reader-text"></span></button>
        </p>
    </div>
    <?php
}

add_action('admin_init', 'nt_minfox_theme_activation_notice_ignore');
function nt_minfox_theme_activation_notice_ignore() {
    if (isset($_GET['nt-minfox-ignore-notice'])) {
        update_user_meta(get_current_user_id(), 'nt-minfox-ignore-notice', 'yes');
    }
}

/*************************************************
## SANITIZE MODIFIED VC-ELEMENTS OUTPUT
*************************************************/

if ( !function_exists('nt_minfox_vc_sanitize_data') ) {
    function nt_minfox_vc_sanitize_data( $output )
    {
        return $output;
    }
}

/*************************************************
## VC COMPOSER PAGE CSS
*************************************************/
/*
*	get vc composer custom css from by page id
*	and add css to head by wp_head hook
*/
if( ! function_exists('minfox_vc_inject_shortcode_css') )  {
    function minfox_vc_inject_shortcode_css( $id )
    {
        $shortcodes_custom_css = get_post_meta( $id, '_wpb_shortcodes_custom_css', true );
        if ( ! empty( $shortcodes_custom_css ) ) {
            $shortcodes_custom_css = strip_tags( $shortcodes_custom_css );
            echo '<style type="text/css" data-type="nt-shortcodes-custom-css-page-'.$id.'">';
            echo esc_attr( $shortcodes_custom_css );
            echo '</style>';
        }
    }
    add_action('wp_head', 'minfox_vc_inject_shortcode_css');
}

/**********************************
## THEME ALLOWED HTML TAG
/**********************************/

if (! function_exists('nt_minfox_allowed_html')) {
    function nt_minfox_allowed_html()
    {
        $allowed_tags = array(
            'a' => array(
                'class'  => array(),
                'href'   => array(),
                'rel'    => array(),
                'title'  => array(),
                'target' => array()
            ),
            'abbr' => array(
                'title' => array()
            ),
            'iframe' => array(
                'src' => array()
            ),
            'b'  => array(),
            'br' => array(),
            'blockquote' => array(
                'cite'   => array()
            ),
            'cite' => array(
                'title' => array()
            ),
            'code' => array(),
            'del'  => array(
                'datetime' => array(),
                'title'    => array()
            ),
            'dd'  => array(),
            'div' => array(
                'class' => array(),
                'title' => array(),
                'style' => array()
            ),
            'dl' => array(),
            'dt' => array(),
            'em' => array(),
            'h1' => array(),
            'h2' => array(),
            'h3' => array(),
            'h4' => array(),
            'h5' => array(),
            'h6' => array(),
            'i'  => array(
                'class'  => array()
            ),
            'img' => array(
                'alt'    => array(),
                'class'  => array(),
                'height' => array(),
                'src'    => array(),
                'width'  => array()
            ),
            'li' => array(
                'class' => array()
            ),
            'ol' => array(
                'class' => array()
            ),
            'p' => array(
                'class' => array()
            ),
            'q' => array(
                'cite'  => array(),
                'title' => array()
            ),
            'span' => array(
                'class' => array(),
                'title' => array(),
                'style' => array()
            ),
            'strike' => array(),
            'strong' => array(),
            'ul'     => array(
                'class' => array()
            )
        );

        return $allowed_tags;
    }
}

/*************************************************
## THEME SETUP WIZARD
https://github.com/richtabor/MerlinWP
*************************************************/

require_once get_parent_theme_file_path( '/includes/merlin/admin-menu.php' );
require_once get_parent_theme_file_path( '/includes/merlin/class-merlin.php' );
require_once get_parent_theme_file_path( '/includes/demo-wizard-config.php' );

function minfox_merlin_local_import_files()
{
    return array(
        array(
            'import_file_name'              => 'Demo Import',
            // xml data
            'local_import_file'             => get_parent_theme_file_path( 'includes/merlin/demodata/data.xml' ),
            // widget data
            'local_import_widget_file'      => get_parent_theme_file_path( 'includes/merlin/demodata/widgets.wie' ),
            // option tree -> theme options
            'local_import_option_tree_file' => get_parent_theme_file_path( '/includes/merlin/demodata/optiontree.txt' )
        )
    );
}
add_filter( 'merlin_import_files', 'minfox_merlin_local_import_files' );


/**
* Execute custom code after the whole import has finished.
*/
function minfox_merlin_after_import_setup()
{
    // Assign menus to their locations.
    $primary = get_term_by( 'name', 'primary', 'nav_menu' );
    $footermenu = get_term_by( 'name', 'footer menu', 'nav_menu' );

    set_theme_mod(
        'nav_menu_locations', array(
            'primary' => $primary->term_id,
            'footer' => $footermenu->term_id,
        )
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home 1' );
    $blog_page_id  = get_page_by_title( 'Blog' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );

    // removes block widgets from sidebars after demodata install
    if ( is_active_sidebar( 'sidebar-1' ) ) {
        $sidebars_widgets = get_option( 'sidebars_widgets' );
        $sidebar_array  = $sidebars_widgets['sidebar-1'];
        foreach( $sidebar_array as $k => $v ) {
            if ( substr( $v, 0, strlen("block-") ) === "block-" ) {
                unset($sidebars_widgets['sidebar-1'][$k]);
            }
        }
        update_option( 'sidebars_widgets', $sidebars_widgets);
    }
}
add_action( 'merlin_after_all_import', 'minfox_merlin_after_import_setup' );

add_action('init', 'do_output_buffer'); function do_output_buffer() { ob_start(); }

/*************************************************
## CUSTOM POST CLASS
*************************************************/

if (! function_exists('nt_minfox_post_theme_class')) {
    function nt_minfox_post_theme_class($classes)
    {
        $classes[] = is_single() && has_blocks() ? 'nt-single-has-block' : '';

        return $classes;
    }
    add_filter('post_class', 'nt_minfox_post_theme_class');
}
