<?php
add_action( 'init', 'nt_minfox_custom_theme_options' );
function nt_minfox_custom_theme_options() {

    if ( ! function_exists( 'ot_settings_id' ) || ! is_admin() )
    return false;

    $nt_minfox_saved_settings = get_option( ot_settings_id(), array() );
    $nt_minfox_custom_settings = array(
        'contextual_help' => array(
            'sidebar'       => ''
        ),

        'sections'        => array(
            array(
                'id'	=> 'google_fonts',
                'title'	=> esc_html__( 'Google Fonts', 'nt-minfox' )
            ),
            array(
                'id'	=> 'typography',
                'title'	=> esc_html__( 'Typography', 'nt-minfox' )
            ),
            array(
                'id'	=> 'generalcolor',
                'title'	=> esc_html__( 'General Color', 'nt-minfox' )
            ),
            array(
                'id'	=> 'logo',
                'title'	=> esc_html__( 'Logo', 'nt-minfox' )
            ),
            array(
                'id'	=> 'pre',
                'title'	=> esc_html__( 'Preloader', 'nt-minfox' )
            ),
            array(
                'id'	=> 'topbar',
                'title'	=> esc_html__( 'Header Topbar', 'nt-minfox' )
            ),
            array(
                'id'	=> 'navigation',
                'title'	=> esc_html__( 'Navigation', 'nt-minfox' )
            ),
            array(
                'id'	=> 'sidebars',
                'title'	=> esc_html__( 'Sidebars Type', 'nt-minfox' )
            ),
            array(
                'id'	=> 'sidebars_settings',
                'title'	=> esc_html__( 'Sidebars Color', 'nt-minfox' )
            ),
            array(
                'id'	=> 'header',
                'title'	=> esc_html__( 'Blog Page', 'nt-minfox' )
            ),
            array(
                'id'	=> 'post_color',
                'title'	=> esc_html__( 'Blog Post Color', 'nt-minfox' )
            ),
            array(
                'id'	=> 'single_header',
                'title'	=> esc_html__( 'Single Page', 'nt-minfox' )
            ),
            array(
                'id'	=> 'single_portfolio',
                'title'	=> esc_html__( 'Single Portfolio Page', 'nt-minfox' )
            ),
            array(
                'id'	=> 'archive_page',
                'title'	=> esc_html__( 'Archive Page', 'nt-minfox' )
            ),
            array(
                'id'	=> 'error_page',
                'title'	=> esc_html__( '404 Page', 'nt-minfox' )
            ),
            array(
                'id'	=> 'search_page',
                'title'	=> esc_html__( 'Search Page', 'nt-minfox' )
            ),
            array(
                'id'	=> 'breadcrubms',
                'title'	=> esc_html__( 'Breadcrubms', 'nt-minfox' )
            ),
            array(
                'id'	=> 'footer',
                'title'	=> esc_html__( 'Footer', 'nt-minfox' )
            ),
        ), // sidebar end

        // options start
        'settings'        => array(

            //GOOGLE FONTS  SETTINGS.
            array(
                'id'        => 'body_google_fonts',
                'label'     => esc_html__( 'Google Fonts', 'nt-minfox'  ),
                'desc'      => esc_html__( 'Add Google Font and after the save settings follow these steps Dashbont-minfox > Appearance > Theme Options > Typography', 'nt-minfox' ),
                'type'      => 'google-fonts',
                'section'   => 'google_fonts',
                'operator'  => 'and'
            ),
            array(
                'id'          => 'ot_font_api',
                'label'       => esc_html__( 'Google Webfonts API for Theme Options fonts', 'nt-minfox' ),
                'desc'        => esc_html__( 'Enter your API, more details here: https://www.youtube.com/watch?v=3OT9tH141mc ', 'nt-minfox' ),
                'type'        => 'text',
                'section'     => 'google_fonts',
                'operator'    => 'and'
            ),

            //TYPOGRAPHY  SETTINGS.
            array(
                'id'        => 'nt_minfox_typgrph',
                'label'     => esc_html__( 'Typography', 'nt-minfox' ),
                'desc'      => esc_html__( 'The Typography option type is for adding typography styles to your site.', 'nt-minfox' ),
                'type'      => 'typography',
                'section'   => 'typography',
                'operator'  => 'and'
            ),
            array(
                'id'        => 'nt_minfox_typgrph1',
                'label'     => esc_html__( 'Typography h1', 'nt-minfox' ),
                'desc'      => esc_html__( 'The Typography option type is for adding typography styles to your site.', 'nt-minfox' ),
                'type'      => 'typography',
                'section'   => 'typography',
                'operator'  => 'and'
            ),
            array(
                'id'        => 'nt_minfox_typgrph2',
                'label'     => esc_html__( 'Typography h2', 'nt-minfox' ),
                'desc'      => esc_html__( 'The Typography option type is for adding typography styles to your site.', 'nt-minfox' ),
                'type'      => 'typography',
                'section'   => 'typography',
                'operator'  => 'and'
            ),
            array(
                'id'        => 'nt_minfox_typgrph3',
                'label'     => esc_html__( 'Typography h3', 'nt-minfox' ),
                'desc'      => esc_html__( 'The Typography option type is for adding typography styles to your site.', 'nt-minfox' ),
                'type'      => 'typography',
                'section'   => 'typography',
                'operator'  => 'and'
            ),
            array(
                'id'        => 'nt_minfox_typgrph4',
                'label'     => esc_html__( 'Typography h4', 'nt-minfox' ),
                'desc'      => esc_html__( 'The Typography option type is for adding typography styles to your site.', 'nt-minfox' ),
                'type'      => 'typography',
                'section'   => 'typography',
                'operator'  => 'and'
            ),
            array(
                'id'        => 'nt_minfox_typgrph5',
                'label'     => esc_html__( 'Typography h5', 'nt-minfox' ),
                'desc'      => esc_html__( 'The Typography option type is for adding typography styles to your site.', 'nt-minfox' ),
                'type'      => 'typography',
                'section'   => 'typography',
                'operator'  => 'and'
            ),
            array(
                'id'        => 'nt_minfox_typgrph6',
                'label'     => esc_html__( 'Typography h6', 'nt-minfox' ),
                'desc'      => esc_html__( 'The Typography option type is for adding typography styles to your site.', 'nt-minfox' ),
                'type'      => 'typography',
                'section'   => 'typography',
                'operator'  => 'and'
            ),

            //GENERAL COLOR
            array(
                'id'          => 'nt_minfox_theme_color_one',
                'label'       => esc_html__( 'Theme general color 2', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker',
                'section'     => 'generalcolor'
            ),
            array(
                'id'          => 'nt_minfox_theme_color_two',
                'label'       => esc_html__( 'Theme general color 1', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker',
                'section'     => 'generalcolor'
            ),

            /*** GENERAL SETTINGS. **/

            array(
                'id'          => 'nt_minfox_logo_type',
                'label'       => esc_html__('Logo Type', 'nt-minfox' ),
                'desc'        => esc_html__('Choose logo type', 'nt-minfox' ),
                'std'         => 'img',
                'type'        => 'select',
                'section'     => 'logo',
                'operator'    => 'and',
                'choices'     => array(
                    array(
                        'value'       => 'img',
                        'label'       => esc_html__('Image Logo', 'nt-minfox' ),
                        'src'         => ''
                    ),
                    array(
                        'value'       => 'text',
                        'label'       => esc_html__( 'Text Logo', 'nt-minfox' ),
                        'src'         => ''
                    )
                )
            ),
            array(
                'id'          => 'nt_minfox_logoimg',
                'label'       => esc_html__( 'Upload logo image', 'nt-minfox' ),
                'desc'        => esc_html__( 'Upload logo image', 'nt-minfox' ),
                'type'        => 'upload',
                'section'     => 'logo'
            ),
            array(
                'id'          => 'nt_minfox_slogoimg',
                'label'       => esc_html__( 'Upload sticky logo image', 'nt-minfox' ),
                'desc'        => esc_html__( 'Upload sticky logo image', 'nt-minfox' ),
                'type'        => 'upload',
                'section'     => 'logo'
            ),
            array(
                'id'          => 'nt_minfox_logo_dimension',
                'label'       => esc_html__( 'Logo dimension', 'nt-minfox' ),
                'desc'        => esc_html__( 'Logo dimension', 'nt-minfox' ),
                'type'        => 'dimension',
                'section'     => 'logo',
            ),
            array(
                'id'          => 'nt_minfox_slogo_dimension',
                'label'       => esc_html__( 'Sticky logo dimension', 'nt-minfox' ),
                'desc'        => esc_html__( 'Sticky logo dimension', 'nt-minfox' ),
                'type'        => 'dimension',
                'section'     => 'logo',
            ),
            array(
                'id'          => 'nt_minfox_padding_logo',
                'label'       => esc_html__( 'Logo padding', 'nt-minfox' ),
                'desc'        => esc_html__( 'Logo padding', 'nt-minfox' ),
                'type'        => 'spacing',
                'section'     => 'logo',
            ),
            array(
                'id'          => 'nt_minfox_margin_logo',
                'label'       => esc_html__( 'Logo margin', 'nt-minfox' ),
                'desc'        => esc_html__( 'Logo margin', 'nt-minfox' ),
                'type'        => 'spacing',
                'section'     => 'logo',
            ),

            array(
                'id'          => 'nt_minfox_textlogo',
                'label'       => esc_html__( 'Text logo', 'nt-minfox' ),
                'desc'        => esc_html__( 'Text logo', 'nt-minfox' ),
                'std'         => 'BIG Border',
                'type'        => 'text',
                'section'     => 'logo'
            ),

            array(
                'id'          => 'nt_minfox_pre',
                'label'       => esc_html__( 'Preloader', 'nt-minfox' ),
                'desc'        => sprintf( esc_html__( 'Preloader visibility %s or %s.', 'nt-minfox' ), '<code>on</code>', '<code>off</code>' ),
                'std'         => 'on',
                'type'        => 'on-off',
                'section'     => 'pre',
                'operator'    => 'and'
            ),
            array(
                'id'        => 'nt_minfox_pre_type',
                'label'     => esc_html('Preloader types', 'nt-minfox' ),
                'desc'      => esc_html('Please choose a preloader type', 'nt-minfox' ),
                'std'       => 'default',
                'type'      => 'select',
                'section'   => 'pre',
                'condition' => 'nt_minfox_pre:is(on)',
                'operator'  => 'and',
                'choices'   => array(
                    array(
                        'value' => 'default',
                        'label' => esc_html('Default', 'nt-minfox' ),
                    ),
                    array(
                        'value' => '01',
                        'label' => esc_html('Type 1', 'nt-minfox' ),
                    ),
                    array(
                        'value' => '02',
                        'label' => esc_html('Type 2', 'nt-minfox' ),
                    ),
                    array(
                        'value' => '03',
                        'label' => esc_html('Type 3', 'nt-minfox' ),
                    ),
                    array(
                        'value' => '04',
                        'label' => esc_html('Type 4', 'nt-minfox' ),
                    ),
                    array(
                        'value' => '05',
                        'label' => esc_html('Type 5', 'nt-minfox' ),
                    ),
                    array(
                        'value' => '06',
                        'label' => esc_html('Type 6', 'nt-minfox' ),
                    ),
                    array(
                        'value' => '07',
                        'label' => esc_html('Type 7', 'nt-minfox' ),
                    ),
                    array(
                        'value' => '08',
                        'label' => esc_html('Type 8', 'nt-minfox' ),
                    ),
                    array(
                        'value' => '09',
                        'label' => esc_html('Type 9', 'nt-minfox' ),
                    ),
                    array(
                        'value' => '10',
                        'label' => esc_html('Type 10', 'nt-minfox' ),
                    ),
                    array(
                        'value' => '11',
                        'label' => esc_html('Type 11', 'nt-minfox' ),
                    ),
                    array(
                        'value' => '12',
                        'label' => esc_html('Type 12', 'nt-minfox' ),
                    ),
                )
            ),
            array(
                'id'        => 'nt_minfox_prebgcolor',
                'label'     => esc_html( 'Preloader BG color ', 'nt-minfox' ),
                'desc'      => esc_html( 'Please select color', 'nt-minfox' ),
                'type'      => 'colorpicker-opacity',
                'condition' => 'nt_minfox_pre:is(on)',
                'section'   => 'pre'
            ),
            array(
                'id'        => 'nt_minfox_prespincolor',
                'label'     => esc_html( 'Preloader spin color ', 'nt-minfox' ),
                'desc'      => esc_html( 'Please select color', 'nt-minfox' ),
                'type'      => 'colorpicker-opacity',
                'condition' => 'nt_minfox_pre:is(on)',
                'section'   => 'pre'
            ),
            array(
                'id'        => 'nt_minfox_prespincolor2',
                'label'     => esc_html( 'Preloader spin 2 color ', 'nt-minfox' ),
                'desc'      => esc_html( 'Please select color', 'nt-minfox' ),
                'type'      => 'colorpicker-opacity',
                'condition' => 'nt_minfox_pre:is(on),nt_minfox_pre_type:is(default)',
                'section'   => 'pre',
                'operator'  => 'and'
            ),

            /**  NAVIGATION SETTINGS.  **/
            array(
                'id'          => 'nt_minfox_header_topbar_display',
                'label'       => esc_html__( 'Topbar', 'nt-minfox' ),
                'std'         => 'off',
                'type'        => 'on-off',
                'section'     => 'topbar',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_header_topbar',
                'label'       => esc_html__( 'Topbar Content', 'nt-minfox' ),
                'std'         => '<div class="header-topbar sm-none">
<div class="container">
<div class="row">
<div class="col-sm-6">
<div class="topbar-info">
<div class="topbar-info-item">+123 555 555</div>
<div class="topbar-info-item"><a href="mailto:hello@hotmail.com">hello@hotmail.com</a></div>
</div>
</div>
<div class="col-sm-6">
<div class="topbar-socials">
<a class="social-link" href="hello@hotmail.com"><i class="fa fa-facebook"></i></a>
<a class="social-link" href="hello@hotmail.com"><i class="fa fa-twitter"></i></a>
<a class="social-link" href="hello@hotmail.com"><i class="fa fa-instagram"></i></a>
</div>
</div>
</div>
</div>
</div>',
                'type'        => 'textarea',
                'section'     => 'topbar',
                'condition'   => 'nt_minfox_header_topbar_display:is(on)',
                'operator'    => 'and'
            ),

            /**  NAVIGATION SETTINGS.  **/
            array(
                'id'          => 'nt_minfox_megamenu',
                'label'       => esc_html__( 'Mega menu', 'nt-minfox' ),
                'desc'        => sprintf( esc_html__( 'You can activate the mega menu.', 'nt-minfox' ), '<code>on</code>', '<code>off</code>' ),
                'std'         => 'off',
                'type'        => 'on-off',
                'section'     => 'navigation',
                'operator'    => 'and'
            ),
            //static nav
            array(
                'id'          => 'nt_minfox_nav_topoffset',
                'label'       => esc_html__('Navigation scroll offset', 'nt-minfox' ),
                'desc'        => esc_html__('You can control with this option scroll offset.Min:-300 and Max:300', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'std'		  => '40',
                'min_max_step'=> '-300,300',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_nav_menu_ifs',
                'label'       => esc_html__('Navigation menu item font-size', 'nt-minfox' ),
                'desc'        => esc_html__('Navigation menu item font-size', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'min_max_step'=> '0,100',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
                'operator'    => 'and'
            ),
            //menu icon
            array(
                'id'          => 'nt_minfox_megamenu_tab',
                'label'       => esc_html__( 'Mega Menu General', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'navigation'
            ),
            array(
                'id'          => 'nt_minfox_megamenu_container',
                'label'       => esc_html__( 'Mega Menu width', 'nt-minfox' ),
                'type'        => 'radio',
                'section'     => 'navigation',
                'std'         => 'container',
                'class'       => 'radio-inline',
                'condition'   => 'nt_minfox_megamenu:is(on)',
                'operator'    => 'and',
                'choices'     => array(
                    array(
                        'value'       => 'container',
                        'label'       => esc_html__( 'Boxed', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'container-fluid',
                        'label'       => esc_html__( 'Full-width', 'nt-minfox' )
                    )
                )
            ),
            array(
                'id'          => 'nt_minfox_megamenu_scrolltype',
                'label'       => esc_html__( 'Scroll type', 'nt-minfox' ),
                'type'        => 'radio',
                'section'     => 'navigation',
                'class'       => 'radio-inline',
                'std'         => '',
                'condition'   => 'nt_minfox_megamenu:is(on)',
                'operator'    => 'and',
                'choices'     => array(
                    array(
                        'value'       => '',
                        'label'       => esc_html__( 'static', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'navbar-fixed',
                        'label'       => esc_html__( 'fixed', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'navbar-sticky',
                        'label'       => esc_html__( 'sticky', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'navbar-sticky navbar-scrollspy',
                        'label'       => esc_html__( 'scrollspy', 'nt-minfox' )
                    ),
                )
            ),
            array(
                'id'          => 'nt_minfox_megamenu_bgtype',
                'label'       => esc_html__( 'Background type', 'nt-minfox' ),
                'type'        => 'radio',
                'section'     => 'navigation',
                'class'       => 'radio-inline',
                'std'         => 'nav-static',
                'condition'   => 'nt_minfox_megamenu:is(on)',
                'operator'    => 'and',
                'choices'     => array(
                    array(
                        'value'       => 'nav-static',
                        'label'       => esc_html__( 'Default', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'dark no-background',
                        'label'       => esc_html__( 'No-background dark', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'white no-background',
                        'label'       => esc_html__( 'No-background white', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'navbar-transparent white',
                        'label'       => esc_html__( 'Transparent white', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'navbar-transparent dark',
                        'label'       => esc_html__( 'Transparent dark', 'nt-minfox' )
                    ),
                )
            ),
            array(
                'id'          => 'nt_minfox_megamenu_logo_align',
                'label'       => esc_html__( 'Logo alignment', 'nt-minfox' ),
                'type'        => 'radio',
                'std'         => 'brand-default',
                'section'     => 'navigation',
                'class'       => 'radio-inline',
                'condition'   => 'nt_minfox_megamenu:is(on)',
                'operator'    => 'and',
                'choices'     => array(
                    array(
                        'value'       => 'brand-default',
                        'label'       => esc_html__( 'Left-menu', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'navbar-brand-top',
                        'label'       => esc_html__( 'Top-menu', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'brand-center',
                        'label'       => esc_html__( 'Center-menu', 'nt-minfox' )
                    ),
                )
            ),
            array(
                'id'          => 'nt_minfox_megamenu_sidebar',
                'label'       => esc_html__( 'Sidebar menu ( widget-area )', 'nt-minfox' ),
                'type'        => 'radio',
                'std'         => 'no',
                'section'     => 'navigation',
                'class'       => 'radio-inline',
                'condition'   => 'nt_minfox_megamenu:is(on)',
                'operator'    => 'and',
                'choices'     => array(
                    array(
                        'value'       => 'no',
                        'label'       => esc_html__( 'No', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'yes',
                        'label'       => esc_html__( 'yes', 'nt-minfox' )
                    ),
                )
            ),
            array(
                'id'          => 'nt_minfox_megamenu_search',
                'label'       => esc_html__( 'Search', 'nt-minfox' ),
                'type'        => 'radio',
                'std'         => 'no',
                'section'     => 'navigation',
                'class'       => 'radio-inline',
                'condition'   => 'nt_minfox_megamenu:is(on)',
                'operator'    => 'and',
                'choices'     => array(
                    array(
                        'value'       => 'no',
                        'label'       => esc_html__( 'No', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'yes',
                        'label'       => esc_html__( 'yes', 'nt-minfox' )
                    ),
                )
            ),
            array(
                'id'          => 'nt_minfox_megamenu_search_text',
                'label'       => esc_html__( 'Search Pleaceholder text', 'nt-minfox' ),
                'desc'        => esc_html__( 'Enter mega menu search form pleaceholder text here.', 'nt-minfox' ),
                'std'         => '',
                'type'        => 'text',
                'condition'   => 'nt_minfox_megamenu_search:is(yes)',
                'section'     => 'navigation'
            ),
            array(
                'id'          => 'nt_minfox_megamenu_extra',
                'label'       => esc_html__( 'Mega menu extra item', 'nt-minfox' ),
                'type'        => 'textarea',
                'std'         => '',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(on)',
                'operator'    => 'and',
            ),
            array(
                'id'          => 'nt_minfox_megamenu_mobiletype',
                'label'       => esc_html__( 'Mobile menu type', 'nt-minfox' ),
                'type'        => 'radio',
                'std'         => '',
                'section'     => 'navigation',
                'class'       => 'radio-inline',
                'condition'   => 'nt_minfox_megamenu:is(on)',
                'operator'    => 'and',
                'choices'     => array(
                    array(
                        'value'       => '',
                        'label'       => esc_html__( 'Default', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'navbar-mobile',
                        'label'       => esc_html__( 'Left slide menu', 'nt-minfox' )
                    ),
                )
            ),
            array(
                'id'          => 'nt_minfox_megamenu_anim_in',
                'label'       => esc_html__( 'Mega Menu animation in', 'nt-minfox' ),
                'type'        => 'radio',
                'std'         => 'fadeIn',
                'class'       => 'radio-inline',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(on)',
                'operator'    => 'and',
                'choices'     => array(
                    array(
                        'value'       => '',
                        'label'       => esc_html__( 'None', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'bounceIn',
                        'label'       => esc_html__( 'bounceIn', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'bounceInDown',
                        'label'       => esc_html__( 'bounceInDown', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'bounceInLeft',
                        'label'       => esc_html__( 'bounceInLeft', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'bounceInRight',
                        'label'       => esc_html__( 'bounceInRight', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'bounceInUp',
                        'label'       => esc_html__( 'bounceInUp', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'fadeIn',
                        'label'       => esc_html__( 'fadeIn', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'fadeInDown',
                        'label'       => esc_html__( 'fadeInDown', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'fadeInLeft',
                        'label'       => esc_html__( 'fadeInLeft', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'fadeInRight',
                        'label'       => esc_html__( 'fadeInRight', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'fadeInUp',
                        'label'       => esc_html__( 'fadeInUp', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'slideInUp',
                        'label'       => esc_html__( 'slideInUp', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'slideInLeft',
                        'label'       => esc_html__( 'slideInLeft', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'slideInRight',
                        'label'       => esc_html__( 'slideInRight', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'slideInDown',
                        'label'       => esc_html__( 'slideInDown', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'zoomIn',
                        'label'       => esc_html__( 'zoomIn', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'zoomInDown',
                        'label'       => esc_html__( 'zoomInDown', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'zoomInLeft',
                        'label'       => esc_html__( 'zoomInLeft', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'zoomInRight',
                        'label'       => esc_html__( 'zoomInRight', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'zoomInUp',
                        'label'       => esc_html__( 'zoomInUp', 'nt-minfox' )
                    ),
                )
            ),
            array(
                'id'          => 'nt_minfox_megamenu_anim_out',
                'label'       => esc_html__( 'Mega Menu animation out', 'nt-minfox' ),
                'type'        => 'radio',
                'std'         => 'fadeOut',
                'class'       => 'radio-inline',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(on)',
                'operator'    => 'and',
                'choices'     => array(
                    array(
                        'value'       => '',
                        'label'       => esc_html__( 'None', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'bounceOut',
                        'label'       => esc_html__( 'bounceOut', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'bounceOutDown',
                        'label'       => esc_html__( 'bounceOutDown', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'bounceOutLeft',
                        'label'       => esc_html__( 'bounceOutLeft', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'bounceOutRight',
                        'label'       => esc_html__( 'bounceOutRight', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'bounceOutUp',
                        'label'       => esc_html__( 'bounceOutUp', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'fadeOut',
                        'label'       => esc_html__( 'fadeOut', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'fadeOutDown',
                        'label'       => esc_html__( 'fadeOutDown', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'fadeOutLeft',
                        'label'       => esc_html__( 'fadeOutLeft', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'fadeOutRight',
                        'label'       => esc_html__( 'fadeOutRight', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'fadeOutUp',
                        'label'       => esc_html__( 'fadeOutUp', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'slideOutUp',
                        'label'       => esc_html__( 'slideOutUp', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'slideOutLeft',
                        'label'       => esc_html__( 'slideOutLeft', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'slideOutRight',
                        'label'       => esc_html__( 'slideOutRight', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'slideOutDown',
                        'label'       => esc_html__( 'slideOutDown', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'zoomOut',
                        'label'       => esc_html__( 'zoomOut', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'zoomOutDown',
                        'label'       => esc_html__( 'zoomOutDown', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'zoomOutLeft',
                        'label'       => esc_html__( 'zoomOutLeft', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'zoomOutRight',
                        'label'       => esc_html__( 'zoomOutRight', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'zoomOutUp',
                        'label'       => esc_html__( 'zoomOutUp', 'nt-minfox' )
                    ),
                )
            ),
            array(
                'id'          => 'nt_minfox_megamenu_column_label_display',
                'label'       => esc_html__( 'Mega menu column label', 'nt-minfox' ),
                'desc'        => sprintf( esc_html__( 'You can select show or hide mega menu column label with %s or %s.', 'nt-minfox' ), '<code>on</code>', '<code>off</code>' ),
                'std'         => 'on',
                'type'        => 'on-off',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(on)',
                'operator'    => 'and'
            ),

            //dropdown sub menu
            array(
                'id'          => 'nt_minfox_megamenu_style_tab',
                'label'       => esc_html__( 'Mega Menu Style', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'navigation'
            ),
            array(
                'id'          => 'nt_minfox_magamenu_padding',
                'label'       => esc_html__( 'Default Padding', 'nt-minfox' ),
                'type'        => 'spacing',
                'condition'   => 'nt_minfox_megamenu:is(on)',
                'section'     => 'navigation',
            ),
            array(
                'id'          => 'nt_minfox_magamenu_fixed_padding',
                'label'       => esc_html__( 'Sticky and Fixed menu Padding', 'nt-minfox' ),
                'type'        => 'spacing',
                'condition'   => 'nt_minfox_megamenu:is(on),nt_minfox_megamenu_scrolltype:not(nav-static)',
                'section'     => 'navigation',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_magamenu_bg',
                'label'       => esc_html__( 'Background color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'condition'   => 'nt_minfox_megamenu:is(on)',
                'section'     => 'navigation',
            ),
            array(
                'id'          => 'nt_minfox_magamenu_fixed_bg',
                'label'       => esc_html__( 'Sticky and Fixed background color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'condition'   => 'nt_minfox_megamenu:is(on),nt_minfox_megamenu_scrolltype:not(nav-static)',
                'section'     => 'navigation',
            ),
            array(
                'id'          => 'nt_minfox_magamenu_drop_bgclr',
                'label'       => esc_html__( 'Mega menu and dropdown background color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'condition'   => 'nt_minfox_megamenu:is(on)',
                'section'     => 'navigation',
            ),
            array(
                'id'          => 'nt_minfox_megamenu_drop_brd',
                'label'       => esc_html__( 'Mega menu and dropdown border', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'border',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(on)',
            ),
            array(
                'id'          => 'nt_minfox_megamenu_typo',
                'label'       => esc_html__( 'Menu item typography', 'nt-minfox' ),
                'type'        => 'typography',
                'condition'   => 'nt_minfox_megamenu:is(on)',
                'section'     => 'navigation'
            ),
            array(
                'id'          => 'nt_minfox_megamenu_item_hvrclr',
                'label'       => esc_html__( 'Hover and active menu item color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'condition'   => 'nt_minfox_megamenu:is(on)',
                'section'     => 'navigation',
            ),
            array(
                'id'          => 'nt_minfox_megamenu_fixed_typo',
                'label'       => esc_html__( 'Sticky and Fixed menu item typography', 'nt-minfox' ),
                'type'        => 'typography',
                'condition'   => 'nt_minfox_megamenu:is(on)',
                'section'     => 'navigation'
            ),
            array(
                'id'          => 'nt_minfox_megamenu_fixed_item_hvrclr',
                'label'       => esc_html__( 'Hover and active sticky and fixed menu item color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'condition'   => 'nt_minfox_megamenu:is(on)',
                'section'     => 'navigation',
            ),
            array(
                'id'          => 'nt_minfox_megamenu_drop_typo',
                'label'       => esc_html__( 'Dropdown menu item typography', 'nt-minfox' ),
                'type'        => 'typography',
                'condition'   => 'nt_minfox_megamenu:is(on)',
                'section'     => 'navigation'
            ),
            array(
                'id'          => 'nt_minfox_megamenu_drop_item_hvrclr',
                'label'       => esc_html__( 'Hover and active mega menu and dropdown menu item color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'condition'   => 'nt_minfox_megamenu:is(on)',
                'section'     => 'navigation',
            ),
            array(
                'id'          => 'nt_minfox_megamenu_column_label_typo',
                'label'       => esc_html__( 'Mega menu column label typography', 'nt-minfox' ),
                'type'        => 'typography',
                'condition'   => 'nt_minfox_megamenu:is(on)',
                'section'     => 'navigation'
            ),
            array(
                'id'          => 'nt_minfox_megamenu_column_brd',
                'label'       => esc_html__( 'Mega menu column border', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'border',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(on)',
            ),
            //menu icon
            array(
                'id'          => 'nt_minfox_mobileicon_tab',
                'label'       => esc_html__( 'Navigation Icon', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'navigation'
            ),
            array(
                'id'          => 'nt_minfox_menuicon',
                'label'       => esc_html__( 'Menu item before icon', 'nt-minfox' ),
                'desc'        => esc_html__( 'Add icon for menu item', 'nt-minfox' ),
                'type'        => 'list-item',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
                'settings'    => array(
                    array(
                        'id'          => 'nt_minfox_mobileitemicon',
                        'label'       => esc_html__( 'Icon unicode', 'nt-minfox' ),
                        'desc'        => esc_html__( 'Enter font awesome icon unicode.example : f121', 'nt-minfox' ),
                        'type'        => 'text',
                    ),
                )
            ),
            array(
                'id'          => 'nt_minfox_menuicon_color',
                'label'       => esc_html__( 'Icon color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
            ),
            array(
                'id'          => 'nt_minfox_menuicon_desktop',
                'label'       => esc_html__( 'Display menu icon on big device?', 'nt-minfox' ),
                'desc'        => sprintf( esc_html__( 'You can select show or hide menu icon on big device with %s or %s.', 'nt-minfox' ), '<code>on</code>', '<code>off</code>' ),
                'std'         => 'on',
                'type'        => 'on-off',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_menuicon_mobile',
                'label'       => esc_html__( 'Display menu icon on mobile device?', 'nt-minfox' ),
                'desc'        => sprintf( esc_html__( 'You can select show or hide menu icon on mobile device with %s or %s.', 'nt-minfox' ), '<code>on</code>', '<code>off</code>' ),
                'std'         => 'on',
                'type'        => 'on-off',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
                'operator'    => 'and'
            ),
            // static nav
            array(
                'id'          => 'nt_minfox_staticnav_tab',
                'label'       => esc_html__( 'Static Navigation', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'navigation'
            ),
            array(
                'id'          => 'nt_minfox_nav_bg',
                'label'       => esc_html__( 'Theme menu background color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_navitem',
                'label'       => esc_html__( 'Theme menu item color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_navitemhover',
                'label'       => esc_html__( 'Theme menu item hover and active color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_navitemhoverbg',
                'label'       => esc_html__( 'Theme menu hover and active item background color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_navpadding',
                'label'       => esc_html__( 'Theme menu padding', 'nt-minfox' ),
                'desc'        => esc_html__( 'The Spacing option type is used to set spacing values such as padding or margin in the form of top, right, bottom, and left.', 'nt-minfox' ),
                'std'         => '',
                'type'        => 'spacing',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_navmargin',
                'label'       => esc_html__( 'Theme menu margin', 'nt-minfox' ),
                'desc'        => esc_html__( 'The Spacing option type is used to set spacing values such as padding or margin in the form of top, right, bottom, and left.', 'nt-minfox' ),
                'std'         => '',
                'type'        => 'spacing',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
                'operator'    => 'and'
            ),
            //sticky nav
            array(
                'id'          => 'nt_minfox_stickynav_tab',
                'label'       => esc_html__( 'Sticky Navigation', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'navigation'
            ),
            array(
                'id'          => 'nt_minfox_nav_fixed_display',
                'label'       => esc_html( 'Sticky menu on-off', 'nt-minfox' ),
                'desc'        => sprintf( esc_html( 'Sticky menu display %s or %s.', 'nt-minfox' ), '<code>on</code>', '<code>off</code>' ),
                'std'         => 'on',
                'type'        => 'on-off',
                'section'     => 'navigation',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_nav_fixed_bg',
                'label'       => esc_html__( 'Theme navigation after scroll background color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'condition'   => 'nt_minfox_nav_fixed_display:is(on)',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_navitem_after_s',
                'label'       => esc_html__( 'Theme navigation menu item after scroll color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'condition'   => 'nt_minfox_megamenu:is(off),nt_minfox_nav_fixed_display:is(on)',
                'section'     => 'navigation'
            ),
            array(
                'id'          => 'nt_minfox_fixed_navitemhover',
                'label'       => esc_html__( 'Theme sticky menu item hover color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'condition'   => 'nt_minfox_megamenu:is(off),nt_minfox_nav_fixed_display:is(on)',
                'section'     => 'navigation'
            ),
            array(
                'id'          => 'nt_minfox_fixed_navitemhoverbg',
                'label'       => esc_html__( 'Theme sticky menu item hover background color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'condition'   => 'nt_minfox_megamenu:is(off),nt_minfox_nav_fixed_display:is(on)',
                'section'     => 'navigation'
            ),
            array(
                'id'          => 'nt_minfox_stickynavpadding',
                'label'       => esc_html__( 'Theme sticky menu padding', 'nt-minfox' ),
                'desc'        => esc_html__( 'The Spacing option type is used to set spacing values such as padding or margin in the form of top, right, bottom, and left.', 'nt-minfox' ),
                'std'         => '',
                'type'        => 'spacing',
                'condition'   => 'nt_minfox_megamenu:is(off),nt_minfox_nav_fixed_display:is(on)',
                'section'     => 'navigation',
            ),
            array(
                'id'          => 'nt_minfox_stickynavmargin',
                'label'       => esc_html__( 'Theme static menu padding', 'nt-minfox' ),
                'desc'        => esc_html__( 'The Spacing option type is used to set spacing values such as padding or margin in the form of top, right, bottom, and left.', 'nt-minfox' ),
                'std'         => '',
                'type'        => 'spacing',
                'condition'   => 'nt_minfox_megamenu:is(off),nt_minfox_nav_fixed_display:is(on)',
                'section'     => 'navigation',
            ),
            //dropdown sub menu
            array(
                'id'          => 'nt_minfox_dropdownnav_tab',
                'label'       => esc_html__( 'Dropdown Style', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'navigation'
            ),
            array(
                'id'          => 'nt_minfox_dropdown_bg',
                'label'       => esc_html__( 'Dropdown menu background color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
            ),
            array(
                'id'          => 'nt_minfox_dropdown_item',
                'label'       => esc_html__( 'Dropdown menu item color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
            ),
            array(
                'id'          => 'nt_minfox_dropdown_itemhover',
                'label'       => esc_html__( 'Dropdown menu item hover and active color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
            ),
            array(
                'id'          => 'nt_minfox_dropdown_itemhoverbg',
                'label'       => esc_html__( 'Dropdown menu hover and active item background color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
            ),
            //mobile sub menu
            array(
                'id'          => 'nt_minfox_mobilenav_tab',
                'label'       => esc_html__( 'Mobile Navigation', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'navigation'
            ),
            array(
                'id'          => 'nt_minfox_mobile_menubtnbg',
                'label'       => esc_html__( 'Mobile menu open and close button background color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
            ),
            array(
                'id'          => 'nt_minfox_mobile_menubtnbghover',
                'label'       => esc_html__( 'Mobile menu open and close button hover background color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
            ),
            array(
                'id'          => 'nt_minfox_mobile_menubtn',
                'label'       => esc_html__( 'Mobile menu open and close button iconbar color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
            ),
            array(
                'id'          => 'nt_minfox_mobile_bg',
                'label'       => esc_html__( 'Mobile menu background color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
            ),
            array(
                'id'          => 'nt_minfox_mobile_item',
                'label'       => esc_html__( 'Mobile menu item color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
            ),
            array(
                'id'          => 'nt_minfox_mobile_itemhover',
                'label'       => esc_html__( 'Mobile menu item hover color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
            ),
            array(
                'id'          => 'nt_minfox_mobile_itemhoverbg',
                'label'       => esc_html__( 'Mobile menu hover and active item background color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
            ),
            array(
                'id'          => 'nt_minfox_mobile_dropitem_bg',
                'label'       => esc_html__( 'Mobile menu dropdown background color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
            ),
            array(
                'id'          => 'nt_minfox_mobile_dropitem',
                'label'       => esc_html__( 'Mobile menu dropdown item color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
            ),
            array(
                'id'          => 'nt_minfox_mobile_dropitem_hover',
                'label'       => esc_html__( 'Mobile menu dropdown item hover and active color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'navigation',
                'condition'   => 'nt_minfox_megamenu:is(off)',
            ),

            /**  NAVIGATION SETTINGS.  **/

            /**  SIDEBAR TYPE SETTINGS.  **/
            array(
                'id'          => 'nt_minfox_bloglayout',
                'label'       => esc_html__( 'Blog Layout', 'nt-minfox' ),
                'desc'        => esc_html__( 'Choose blog page layout type', 'nt-minfox' ),
                'std'         => 'right-sidebar',
                'type'        => 'radio-image',
                'section'     => 'sidebars',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_pagelayout',
                'label'       => esc_html__( 'Default Page Layout', 'nt-minfox' ),
                'desc'        => esc_html__( 'Choose default page layout type', 'nt-minfox' ),
                'std'         => 'right-sidebar',
                'type'        => 'radio-image',
                'section'     => 'sidebars',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_searchlayout',
                'label'       => esc_html__( 'Search page Layout', 'nt-minfox' ),
                'desc'        => esc_html__( 'Choose search page layout type', 'nt-minfox' ),
                'std'         => 'right-sidebar',
                'type'        => 'radio-image',
                'section'     => 'sidebars',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_postlayout',
                'label'       => esc_html__( 'Blog single page layout', 'nt-minfox' ),
                'desc'        => esc_html__( 'Choose post page layout type', 'nt-minfox' ),
                'std'         => 'right-sidebar',
                'type'        => 'radio-image',
                'section'     => 'sidebars',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_archivelayout',
                'label'       => esc_html__( 'Archive page layout', 'nt-minfox' ),
                'desc'        => esc_html__( 'Choose archive page layout type', 'nt-minfox' ),
                'std'         => 'right-sidebar',
                'type'        => 'radio-image',
                'section'     => 'sidebars',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_404layout',
                'label'       => esc_html__( '404 page layout', 'nt-minfox' ),
                'desc'        => esc_html__( 'Choose 404 page layout type', 'nt-minfox' ),
                'std'         => 'right-sidebar',
                'type'        => 'radio-image',
                'section'     => 'sidebars',
                'operator'    => 'and'
            ),

            array(
                'id'          => 'woosingle',
                'label'       => esc_html__( 'Woocommerce single page layout', 'nt-minfox' ),
                'desc'        => esc_html__( 'Choose Woocommerce single page layout type', 'nt-minfox' ),
                'std'         => 'right-sidebar',
                'type'        => 'radio-image',
                'section'     => 'sidebars',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'woopage',
                'label'       => esc_html__( 'Woocommerce  page layout', 'nt-minfox' ),
                'desc'        => esc_html__( 'Choose 404 page layout type', 'nt-minfox' ),
                'std'         => 'right-sidebar',
                'type'        => 'radio-image',
                'section'     => 'sidebars',
                'operator'    => 'and'
            ),
            /**  SIDEBAR SETTINGS.  **/
            array(
                'id'          => 'nt_minfox_sb_general_tab',
                'label'       => esc_html__( 'Sidebar General', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'sidebars_settings',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_sb_bg',
                'label'       => esc_html__('Sidebar background color', 'nt-minfox' ),
                'desc'        => esc_html__('Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'sidebars_settings',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_sb_border',
                'label'       => esc_html__( 'Sidebar border', 'nt-minfox' ),
                'desc'        => esc_html__( 'The Border option type is used to set width, unit, style, and color values.', 'nt-minfox' ),
                'type'        => 'border',
                'section'     => 'sidebars_settings',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_sb_borderradius',
                'label'       => esc_html__('Sidebar border radius', 'nt-minfox' ),
                'desc'        => esc_html__('Add sidebar border radius', 'nt-minfox' ),
                'std'         => '0',
                'type'        => 'numeric-slider',
                'min_max_step'=> '0,100',
                'section'     => 'sidebars_settings',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_sb_c',
                'label'       => esc_html__( 'Sidebar general text color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'sidebars_settings'
            ),
            array(
                'id'          => 'nt_minfox_sidebar_animation',
                'label'       => esc_html__( 'Sidebar animation', 'nt-minfox' ),
                'desc'        => esc_html__( 'Select sidebar animation', 'nt-minfox' ),
                'type'        => 'select',
                'section'     => 'sidebars_settings',
                'operator'    => 'and',
                'choices'     => array(
                    array(
                        'value'       => '',
                        'label'       => esc_html__( 'None', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'bounce',
                        'label'       => esc_html__( 'bounce', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'flash',
                        'label'       => esc_html__( 'flash', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'pulse',
                        'label'       => esc_html__( 'pulse', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'bounceIn',
                        'label'       => esc_html__( 'bounceIn', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'bounceInDown',
                        'label'       => esc_html__( 'bounceInDown', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'bounceInLeft',
                        'label'       => esc_html__( 'bounceInLeft', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'bounceInRight',
                        'label'       => esc_html__( 'bounceInRight', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'bounceInUp',
                        'label'       => esc_html__( 'bounceInUp', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'fadeIn',
                        'label'       => esc_html__( 'fadeIn', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'fadeInDown',
                        'label'       => esc_html__( 'fadeInDown', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'fadeInLeft',
                        'label'       => esc_html__( 'fadeInLeft', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'fadeInRight',
                        'label'       => esc_html__( 'fadeInRight', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'fadeInUp',
                        'label'       => esc_html__( 'fadeInUp', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'slideInUp',
                        'label'       => esc_html__( 'slideInUp', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'slideInLeft',
                        'label'       => esc_html__( 'slideInLeft', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'slideInRight',
                        'label'       => esc_html__( 'slideInRight', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'slideInDown',
                        'label'       => esc_html__( 'slideInDown', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'zoomIn',
                        'label'       => esc_html__( 'zoomIn', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'zoomInDown',
                        'label'       => esc_html__( 'zoomInDown', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'zoomInLeft',
                        'label'       => esc_html__( 'zoomInLeft', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'zoomInRight',
                        'label'       => esc_html__( 'zoomInRight', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'zoomInUp',
                        'label'       => esc_html__( 'zoomInUp', 'nt-minfox' )
                    ),
                )
            ),
            array(
                'id'          => 'nt_minfox_sidebar_animationdelay',
                'label'       => esc_html__('Sidebar animation delay', 'nt-minfox' ),
                'desc'        => esc_html__('Add delay for sidebar animation', 'nt-minfox' ),
                'std'         => '0.6',
                'type'        => 'numeric-slider',
                'min_max_step'=> '0,6,0.1',
                'section'     => 'sidebars_settings',
                'operator'    => 'and'
            ),
            // widget color
            array(
                'id'          => 'nt_minfox_sb_widget_tab',
                'label'       => esc_html__( 'Sidebar Widget', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'sidebars_settings',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_sb_w_bg',
                'label'       => 'Widget background',
                'desc'        => 'Upload background',
                'type'        => 'background',
                'section'     => 'sidebars_settings'
            ),
            array(
                'id'          => 'nt_minfox_sb_w_overlay',
                'label'       => esc_html__( 'Widget background image overlay color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color and use opacity', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'sidebars_settings'
            ),
            array(
                'id'          => 'nt_minfox_sb_w_border',
                'label'       => esc_html__( 'Sidebar widget border', 'nt-minfox' ),
                'desc'        => esc_html__( 'The Border option type is used to set width, unit, style, and color values.', 'nt-minfox' ),
                'type'        => 'border',
                'section'     => 'sidebars_settings',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_sb_w_borderradius',
                'label'       => esc_html__('Sidebar widget border radius', 'nt-minfox' ),
                'desc'        => esc_html__('Add sidebar widget border radius', 'nt-minfox' ),
                'std'         => '0',
                'type'        => 'numeric-slider',
                'min_max_step'=> '0,100',
                'section'     => 'sidebars_settings',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_sb_w_margin',
                'label'       => esc_html__( 'Sidebar widget margin', 'nt-minfox' ),
                'desc'        => esc_html__( 'The margin option type is used to set spacing values in the form of top, right, bottom, and left.', 'nt-minfox' ),
                'type'        => 'spacing',
                'section'     => 'sidebars_settings',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_sb_w_padding',
                'label'       => esc_html__( 'Sidebar widget padding', 'nt-minfox' ),
                'desc'        => esc_html__( 'The padding option type is used to set spacing values in the form of top, right, bottom, and left.', 'nt-minfox' ),
                'type'        => 'spacing',
                'section'     => 'sidebars_settings',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_sb_t_c',
                'label'       => esc_html__( 'Widget title color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'sidebars_settings'
            ),
            array(
                'id'          => 'nt_minfox_sb_wt_border_display',
                'label'       => esc_html__( 'Sidebar widget title border display', 'nt-minfox' ),
                'desc'        => esc_html__( 'You can disable or enable widget title border with on-off options.', 'nt-minfox' ),
                'std'         => 'on',
                'type'        => 'on-off',
                'section'     => 'sidebars_settings',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_sb_wt_border',
                'label'       => esc_html__( 'Sidebar widget title border', 'nt-minfox' ),
                'desc'        => esc_html__( 'The Border option type is used to set width, unit, style, and color values.', 'nt-minfox' ),
                'type'        => 'border',
                'section'     => 'sidebars_settings',
                'condition'   => 'nt_minfox_sb_wt_border_display:is(on)',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_sb_wt_borderradius',
                'label'       => esc_html__('Sidebar widget title border radius', 'nt-minfox' ),
                'desc'        => esc_html__('Add sidebar widget border radius', 'nt-minfox' ),
                'std'         => '0',
                'type'        => 'numeric-slider',
                'min_max_step'=> '0,100',
                'section'     => 'sidebars_settings',
                'condition'   => 'nt_minfox_sb_wt_border_display:is(on)',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_wt_before',
                'label'       => esc_html__('Widget title before icon', 'nt-minfox' ),
                'desc'        => esc_html__('Add icon before widget title.Not:The first icon added is for the first widget title, if there is a widget title. Later added icons are for incoming widget titles.', 'nt-minfox' ),
                'type'        => 'list-item',
                'section'     => 'sidebars_settings',
                'settings'    => array(
                    array(
                        'id'          => 'nt_minfox_sb_wt_icon',
                        'label'       => esc_html__('Icon unicode', 'nt-minfox' ),
                        'desc'        => esc_html__('Enter fontawesome icon unicode.example : f121', 'nt-minfox' ),
                        'type'        => 'text',
                    ),
                )
            ),
            array(
                'id'          => 'nt_minfox_widgeticon_color',
                'label'       => esc_html__( 'Widget title icon color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'sidebars_settings'
            ),
            // widget Link color
            array(
                'id'          => 'nt_minfox_sb_widgetlink_tab',
                'label'       => esc_html__( 'Sidebar Link', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'sidebars_settings',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_sb_l_c',
                'label'       => esc_html__( 'Link color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'sidebars_settings'
            ),
            array(
                'id'          => 'nt_minfox_sb_l_c_h',
                'label'       => esc_html__( 'Link hover color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'sidebars_settings'
            ),
            // widget Search color
            array(
                'id'          => 'nt_minfox_sb_widgetsearch_tab',
                'label'       => esc_html__( 'Sidebar Search', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'sidebars_settings',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_sb_s_t',
                'label'       => esc_html__( 'Sidebar search submit text color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'sidebars_settings'
            ),
            array(
                'id'          => 'nt_minfox_sb_s_bg',
                'label'       => esc_html__( 'Sidebar search submit background color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'sidebars_settings'
            ),
            /**  POST SETTINGS.  **/
            array(
                'id'          => 'nt_minfox_blogposttitle_tab',
                'label'       => esc_html__( 'Post Title', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'post_color',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_blogposttitlecolor',
                'label'       => esc_html__( 'Blog post title color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'post_color'
            ),
            array(
                'id'          => 'nt_minfox_blogposttitlhoverecolor',
                'label'       => esc_html__( 'Blog post title hover color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'post_color'
            ),
            //post meta
            array(
                'id'          => 'nt_minfox_blogmeta_tab',
                'label'       => esc_html__( 'Post Meta', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'post_color',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_blogmetacolor',
                'label'       => esc_html__( 'Blog post meta title color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'post_color'
            ),
            array(
                'id'          => 'nt_minfox_blogmetalinktextcolor',
                'label'       => esc_html__( 'Blog post meta link color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'post_color'
            ),
            array(
                'id'          => 'nt_minfox_blogmetalinkhovercolor',
                'label'       => esc_html__( 'Blog post meta link hover color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'post_color'
            ),
            array(
                'id'          => 'nt_minfox_blogmetalinktextbgcolor',
                'label'       => esc_html__( 'Blog post meta link background color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'post_color'
            ),
            array(
                'id'          => 'nt_minfox_blogmetalinktextbghovercolor',
                'label'       => esc_html__( 'Blog post meta link background hover color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'post_color'
            ),
            // content
            array(
                'id'          => 'nt_minfox_blogpostcontent_tab',
                'label'       => esc_html__( 'Post Content', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'post_color',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_blogpostparagraphcolor',
                'label'       => esc_html__( 'Blog post content text color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'post_color'
            ),
            array(
                'id'          => 'nt_minfox_blogpostbuttonbgcolor',
                'label'       => esc_html__( 'Blog post button background color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'post_color'
            ),
            array(
                'id'          => 'nt_minfox_blogpostbuttonbghovercolor',
                'label'       => esc_html__( 'Blog post button background hover color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'post_color'
            ),
            array(
                'id'          => 'nt_minfox_blogpostbuttontitlecolor',
                'label'       => esc_html__( 'Blog post button title color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'post_color'
            ),
            array(
                'id'          => 'nt_minfox_blogpostbuttontitlehovercolor',
                'label'       => esc_html__( 'Blog post button title hover color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'post_color'
            ),
            // single post share
            array(
                'id'          => 'nt_minfox_blogshare_tab',
                'label'       => esc_html__( 'Post Share', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'post_color',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_blogsharebgcolor',
                'label'       => esc_html__( 'Blog post share icon background color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'post_color'
            ),
            array(
                'id'          => 'nt_minfox_blogsharebghovercolor',
                'label'       => esc_html__( 'Blog post share icon background hover color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'post_color'
            ),
            array(
                'id'          => 'nt_minfox_blogsharecolor',
                'label'       => esc_html__( 'Blog post share icon color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'post_color'
            ),
            array(
                'id'          => 'nt_minfox_blogsharehovercolor',
                'label'       => esc_html__( 'Blog post share icon hover color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'post_color'
            ),
            // single comment
            array(
                'id'          => 'nt_minfox_blogcomment_tab',
                'label'       => esc_html__( 'Comment Form', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'post_color',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_blogcommentformsubmitcolor',
                'label'       => esc_html__( 'Single post comment button title color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'post_color'
            ),
            array(
                'id'          => 'nt_minfox_blogcommentformsubmithovercolor',
                'label'       => esc_html__( 'Single post comment button title hover color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'post_color'
            ),
            array(
                'id'          => 'nt_minfox_blogcommentformsubmitbgcolor',
                'label'       => esc_html__( 'Single post comment button background color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'post_color'
            ),
            array(
                'id'          => 'nt_minfox_blogcommentformsubmitbghovercolor',
                'label'       => esc_html__( 'Single post comment button background hover color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'post_color'
            ),
            // single comment
            array(
                'id'          => 'nt_minfox_blogpager_tab',
                'label'       => esc_html__( 'Pager Button', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'post_color',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_pagertitlecolor',
                'label'       => esc_html__( 'Pager button title color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'post_color'
            ),
            array(
                'id'          => 'nt_minfox_pagertitlehovercolor',
                'label'       => esc_html__( 'Pager button title hover color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'post_color'
            ),
            array(
                'id'          => 'nt_minfox_pagerbgcolor',
                'label'       => esc_html__( 'Pager button background color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'post_color'
            ),
            array(
                'id'          => 'nt_minfox_pagerbghovercolor',
                'label'       => esc_html__( 'Pager button background hover color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'post_color'
            ),

            /**  BLOG HERO SETTINGS.  **/
            // blog hero
            array(
                'id'          => 'nt_minfox_blog_hero',
                'label'       => esc_html__( 'Blog Hero', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'header',
            ),
            array(
                'id'          => 'nt_minfox_blog_h_bg',
                'label'       =>  esc_html__( 'Blog pages hero section background image', 'nt-minfox' ),
                'desc'        =>  esc_html__( 'You can upload your image for parallax hero', 'nt-minfox' ),
                'type'        => 'upload',
                'section'     => 'header',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_blog_hero_overlay',
                'label'       => esc_html__( 'Blog page hero section overlay color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select an opaque color for the background image', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'header'
            ),
            array(
                'id'          => 'nt_minfox_blog_h_bg_c',
                'label'       => esc_html__( 'Blog page hero section background color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'header'
            ),
            array(
                'id'          => 'nt_minfox_blogheaderbgheight',
                'label'       => esc_html__('Blog pages hero height', 'nt-minfox' ),
                'desc'        => esc_html__('Blog pages hero height', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'std'		  => '60',
                'min_max_step'=> '0,100',
                'section'     => 'header',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_blog_h_p',
                'label'       => esc_html__( 'Blog pages hero padding', 'nt-minfox' ),
                'desc'        => esc_html__( 'Blog pages hero padding', 'nt-minfox' ),
                'type'        => 'spacing',
                'section'     => 'header',
            ),
            // blog heading
            array(
                'id'          => 'nt_minfox_blog_heading_tab',
                'label'       => esc_html__( 'Blog Heading', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'header',
            ),
            array(
                'id'          => 'nt_minfox_blog_heading_display',
                'label'       => esc_html__( 'Blog page heading display', 'nt-minfox' ),
                'desc'        => sprintf( esc_html__( 'Please select blog page heading display %s or %s.', 'nt-minfox' ), '<code>on</code>', '<code>off</code>' ),
                'std'         => 'on',
                'type'        => 'on-off',
                'section'     => 'header',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_blog_heading',
                'label'       => esc_html__( 'Blog page heading', 'nt-minfox' ),
                'desc'        => esc_html__( 'Enter blog page heading', 'nt-minfox' ),
                'std'         => 'Blog',
                'type'        => 'text',
                'condition'   => 'nt_minfox_blog_heading_display:is(on)',
                'section'     => 'header'
            ),
            array(
                'id'          => 'nt_minfox_blogheadingcolor',
                'label'       => esc_html__( 'Blog page heading color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'condition'   => 'nt_minfox_blog_heading_display:is(on)',
                'section'     => 'header'
            ),
            array(
                'id'          => 'nt_minfox_blogheading_fontsize',
                'label'       => esc_html__('Blog page heading font size', 'nt-minfox' ),
                'desc'        => esc_html__('Blog page heading font size', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'std'		  => '48',
                'min_max_step'=> '0,100',
                'section'     => 'header',
                'condition'   => 'nt_minfox_blog_heading_display:is(on)',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_blogheading_margin',
                'label'       => esc_html__( 'Blog page heading margin', 'nt-minfox' ),
                'desc'        => esc_html__( 'Blog page heading margin', 'nt-minfox' ),
                'type'        => 'spacing',
                'condition'   => 'nt_minfox_blog_heading_display:is(on)',
                'section'     => 'header',
            ),
            // blog slogan
            array(
                'id'          => 'nt_minfox_blog_slogan_tab',
                'label'       => esc_html__( 'Blog Slogan', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'header',
            ),
            array(
                'id'          => 'nt_minfox_blog_slogan_display',
                'label'       => esc_html__( 'Blog page slogan display', 'nt-minfox' ),
                'desc'        => sprintf( esc_html__( 'Please select blog page slogan display %s or %s.', 'nt-minfox' ), '<code>on</code>', '<code>off</code>' ),
                'std'         => 'on',
                'type'        => 'on-off',
                'section'     => 'header',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_blog_slogan',
                'label'       => esc_html__( 'Blog page slogan', 'nt-minfox' ),
                'desc'        => esc_html__( 'Enter blog page slogan', 'nt-minfox' ),
                'std'         => '',
                'type'        => 'text',
                'condition'   => 'nt_minfox_blog_slogan_display:is(on)',
                'section'     => 'header'
            ),
            array(
                'id'          => 'nt_minfox_blogslogancolor',
                'label'       => esc_html__( 'Blog page slogan color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'condition'   => 'nt_minfox_blog_slogan_display:is(on)',
                'section'     => 'header'
            ),
            array(
                'id'          => 'nt_minfox_blogslogan_fontsize',
                'label'       => esc_html__('Blog page slogan font size', 'nt-minfox' ),
                'desc'        => esc_html__('Blog page slogan font size', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'std'		  => '36',
                'min_max_step'=> '0,100',
                'section'     => 'header',
                'condition'   => 'nt_minfox_blog_slogan_display:is(on)',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_blogslogan_margin',
                'label'       => esc_html__( 'Blog page slogan margin', 'nt-minfox' ),
                'desc'        => esc_html__( 'Blog page slogan margin', 'nt-minfox' ),
                'type'        => 'spacing',
                'condition'   => 'nt_minfox_blog_slogan_display:is(on)',
                'section'     => 'header',
            ),
            //Blog Content
            array(
                'id'          => 'nt_minfox_blog_content_tab',
                'label'       =>  esc_html__( 'Blog Content', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'header',
            ),
            array(
                'id'          => 'nt_minfox_post_animation',
                'label'       => esc_html__( 'Blog content post animation', 'nt-minfox' ),
                'desc'        => esc_html__( 'Select blog page content post animation', 'nt-minfox' ),
                'type'        => 'select',
                'section'     => 'header',
                'operator'    => 'and',
                'choices'     => array(
                    array(
                        'value'       => '',
                        'label'       => esc_html__( 'None', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'bounce',
                        'label'       => esc_html__( 'bounce', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'flash',
                        'label'       => esc_html__( 'flash', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'pulse',
                        'label'       => esc_html__( 'pulse', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'bounceIn',
                        'label'       => esc_html__( 'bounceIn', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'bounceInDown',
                        'label'       => esc_html__( 'bounceInDown', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'bounceInLeft',
                        'label'       => esc_html__( 'bounceInLeft', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'bounceInRight',
                        'label'       => esc_html__( 'bounceInRight', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'bounceInUp',
                        'label'       => esc_html__( 'bounceInUp', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'fadeIn',
                        'label'       => esc_html__( 'fadeIn', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'fadeInDown',
                        'label'       => esc_html__( 'fadeInDown', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'fadeInLeft',
                        'label'       => esc_html__( 'fadeInLeft', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'fadeInRight',
                        'label'       => esc_html__( 'fadeInRight', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'fadeInUp',
                        'label'       => esc_html__( 'fadeInUp', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'slideInUp',
                        'label'       => esc_html__( 'slideInUp', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'slideInLeft',
                        'label'       => esc_html__( 'slideInLeft', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'slideInRight',
                        'label'       => esc_html__( 'slideInRight', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'slideInDown',
                        'label'       => esc_html__( 'slideInDown', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'zoomIn',
                        'label'       => esc_html__( 'zoomIn', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'zoomInDown',
                        'label'       => esc_html__( 'zoomInDown', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'zoomInLeft',
                        'label'       => esc_html__( 'zoomInLeft', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'zoomInRight',
                        'label'       => esc_html__( 'zoomInRight', 'nt-minfox' )
                    ),
                    array(
                        'value'       => 'zoomInUp',
                        'label'       => esc_html__( 'zoomInUp', 'nt-minfox' )
                    ),
                )
            ),
            array(
                'id'          => 'nt_minfox_post_animationdelay',
                'label'       => esc_html__('Sidebar animation delay', 'nt-minfox' ),
                'desc'        => esc_html__('Add delay for sidebar animation', 'nt-minfox' ),
                'std'         => '0.6',
                'type'        => 'numeric-slider',
                'min_max_step'=> '0,6,0.1',
                'section'     => 'header',
                'operator'    => 'and'
            ),
            /**  SINGLE HERO SETTINGS.  **/
            // Single hero
            array(
                'id'          => 'nt_minfox_single_hero_tab',
                'label'       => esc_html__( 'Single Hero', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'single_header',
            ),
            array(
                'id'          => 'nt_minfox_singlepageheadbg',
                'label'       =>  esc_html__( 'Single hero section background image', 'nt-minfox' ),
                'desc'        =>  esc_html__( 'You can upload your image for parallax hero', 'nt-minfox' ),
                'type'        => 'upload',
                'section'     => 'single_header',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_single_hero_overlay',
                'label'       => esc_html__( 'Single page hero section overlay color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select an opaque color for the background image', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'single_header'
            ),
            array(
                'id'          => 'nt_minfox_singleheaderbgcolor',
                'label'       => esc_html__( 'Single page hero section background color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker',
                'section'     => 'single_header'
            ),
            array(
                'id'          => 'nt_minfox_singleheaderbgheight',
                'label'       => esc_html__('Single page hero height', 'nt-minfox' ),
                'desc'        => esc_html__('Single page hero height', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'min_max_step'=> '0,100',
                'section'     => 'single_header',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_singleheaderpaddingtop',
                'label'       => esc_html__('Single page hero padding top', 'nt-minfox' ),
                'desc'        => esc_html__('You can use this option for heading text vertical align', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'min_max_step'=> '0,500',
                'section'     => 'single_header',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_singleheaderpaddingbottom',
                'label'       => esc_html__('Single page hero padding bottom', 'nt-minfox' ),
                'desc'        => esc_html__('You can use this option for heading text vertical align', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'min_max_step'=> '0,500',
                'section'     => 'single_header',
                'operator'    => 'and'
            ),
            // Single heading
            array(
                'id'          => 'nt_minfox_single_heading_tab',
                'label'       => esc_html__( 'Single Heading', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'single_header',
            ),
            array(
                'id'          => 'nt_minfox_single_disable_heading',
                'label'       => esc_html__( 'Single pages heading post title display', 'nt-minfox' ),
                'desc'        => sprintf( esc_html__( 'Please select single pages heading post title display %s or %s.', 'nt-minfox' ), '<code>on</code>', '<code>off</code>' ),
                'std'         => 'on',
                'type'        => 'on-off',
                'section'     => 'single_header',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_singleheadingcolor',
                'label'       => esc_html__( 'Single page heading color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker',
                'condition'   => 'nt_minfox_single_disable_heading:is(on)',
                'section'     => 'single_header'
            ),
            array(
                'id'          => 'nt_minfox_single_heading_fontsize',
                'label'       => esc_html__('Single heading font size', 'nt-minfox' ),
                'desc'        => esc_html__('Enter single page heading font size', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'std'         => '65',
                'min_max_step'=> '0,100',
                'condition'   => 'nt_minfox_single_disable_heading:is(on)',
                'section'     => 'single_header',
                'operator'    => 'and'
            ),
            /**  SINGLE HERO SETTINGS.  **/
            // Single hero
            array(
                'id'          => 'nt_minfox_single_port_hero_tab',
                'label'       => esc_html__( 'Hero Section', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'single_portfolio'
            ),
            array(
                'id'          => 'nt_minfox_single_port_hero_display',
                'label'       => esc_html__( 'Hero Section Display', 'nt-minfox' ),
                'desc'        => sprintf( esc_html__( 'Please select single pages heading post title display %s or %s.', 'nt-minfox' ), '<code>on</code>', '<code>off</code>' ),
                'std'         => 'on',
                'type'        => 'on-off',
                'section'     => 'single_portfolio',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_single_port_hero_bg',
                'label'       =>  esc_html__( 'Hero section background image', 'nt-minfox' ),
                'desc'        =>  esc_html__( 'You can upload your image for parallax hero', 'nt-minfox' ),
                'type'        => 'upload',
                'section'     => 'single_portfolio',
                'condition'   => 'nt_minfox_single_port_hero_display:is(on)',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_single_port_hero_overlay',
                'label'       => esc_html__( 'Hero section overlay color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select an opaque color for the background image', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'single_portfolio',
                'condition'   => 'nt_minfox_single_port_hero_display:is(on)'
            ),
            array(
                'id'          => 'nt_minfox_single_port_hero_bgcolor',
                'label'       => esc_html__( 'Hero section background color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker',
                'section'     => 'single_portfolio',
                'condition'   => 'nt_minfox_single_port_hero_display:is(on)'
            ),
            array(
                'id'          => 'nt_minfox_single_port_hero_height',
                'label'       => esc_html__( 'Hero height', 'nt-minfox' ),
                'desc'        => esc_html__( 'Single page hero height', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'min_max_step'=> '0,100',
                'section'     => 'single_portfolio',
                'condition'   => 'nt_minfox_single_port_hero_display:is(on)',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_single_port_hero_padding_top',
                'label'       => esc_html__( 'Hero padding top', 'nt-minfox' ),
                'desc'        => esc_html__( 'You can use this option for heading text vertical align', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'min_max_step'=> '0,500',
                'section'     => 'single_portfolio',
                'condition'   => 'nt_minfox_single_port_hero_display:is(on)',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_single_port_hero_padding_bottom',
                'label'       => esc_html__( 'Hero padding bottom', 'nt-minfox' ),
                'desc'        => esc_html__( 'You can use this option for heading text vertical align', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'min_max_step'=> '0,500',
                'section'     => 'single_portfolio',
                'condition'   => 'nt_minfox_single_port_hero_display:is(on)',
                'operator'    => 'and'
            ),
            // Single heading
            array(
                'id'          => 'nt_minfox_single_port_heading_tab',
                'label'       => esc_html__( 'Heading', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'single_portfolio'
            ),
            array(
                'id'          => 'nt_minfox_single_port_disable_heading',
                'label'       => esc_html__( 'Heading display', 'nt-minfox' ),
                'desc'        => sprintf( esc_html__( 'Please select single pages heading post title display %s or %s.', 'nt-minfox' ), '<code>on</code>', '<code>off</code>' ),
                'std'         => 'on',
                'type'        => 'on-off',
                'section'     => 'single_portfolio',
                'condition'   => 'nt_minfox_single_port_hero_display:is(on)',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_single_port_heading_color',
                'label'       => esc_html__( 'Heading color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker',
                'condition'   => 'nt_minfox_single_port_hero_display:is(on),nt_minfox_single_port_disable_heading:is(on)',
                'section'     => 'single_portfolio'
            ),
            array(
                'id'          => 'nt_minfox_single_port_heading_fontsize',
                'label'       => esc_html__( 'Heading font size', 'nt-minfox' ),
                'desc'        => esc_html__( 'Enter single page heading font size', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'std'         => '65',
                'min_max_step'=> '0,100',
                'condition'   => 'nt_minfox_single_port_hero_display:is(on),nt_minfox_single_port_disable_heading:is(on)',
                'section'     => 'single_portfolio',
                'operator'    => 'and'
            ),
            // Single heading
            array(
                'id'          => 'nt_minfox_single_port_content_tab',
                'label'       => esc_html__( 'Content', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'single_portfolio'
            ),
            array(
                'id'          => 'nt_minfox_single_port_fullwidth',
                'label'       => esc_html__( 'Full width', 'nt-minfox' ),
                'std'         => 'off',
                'type'        => 'on-off',
                'section'     => 'single_portfolio',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_single_port_featured_image',
                'label'       => esc_html__( 'Featured image display', 'nt-minfox' ),
                'std'         => 'on',
                'type'        => 'on-off',
                'section'     => 'single_portfolio',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_single_port_post_meta',
                'label'       => esc_html__( 'Post meta display', 'nt-minfox' ),
                'std'         => 'on',
                'type'        => 'on-off',
                'section'     => 'single_portfolio',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_single_port_post_share',
                'label'       => esc_html__( 'Post share icons display', 'nt-minfox' ),
                'std'         => 'on',
                'type'        => 'on-off',
                'section'     => 'single_portfolio',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_single_port_comments_form',
                'label'       => esc_html__( 'Post comment form display', 'nt-minfox' ),
                'std'         => 'on',
                'type'        => 'on-off',
                'section'     => 'single_portfolio',
                'operator'    => 'and'
            ),
            /**  ARCHIVE HERO SETTINGS.  **/
            // Archive hero
            array(
                'id'          => 'nt_minfox_archive_hero_tab',
                'label'       => esc_html__( 'Archive Hero', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'archive_page',
            ),
            array(
                'id'          => 'nt_minfox_archivepageheadbg',
                'label'       =>  esc_html__( 'Archive hero section background image', 'nt-minfox' ),
                'desc'        =>  esc_html__( 'You can upload your image for parallax header', 'nt-minfox' ),
                'type'        => 'upload',
                'section'     => 'archive_page',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_archive_hero_overlay',
                'label'       => esc_html__( 'Archive page hero section overlay color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select an opaque color for the background image', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'archive_page'
            ),
            array(
                'id'          => 'nt_minfox_archiveheaderbgcolor',
                'label'       => esc_html__( 'Archive page hero section background color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'archive_page'
            ),
            array(
                'id'          => 'nt_minfox_archiveheaderbgheight',
                'label'       => esc_html__('Archive page hero section height', 'nt-minfox' ),
                'desc'        => esc_html__('Archive page hero section height', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'std'		  => '60',
                'min_max_step'=> '0,100',
                'section'     => 'archive_page',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_archiveheaderpaddingtop',
                'label'       => esc_html__('Archive page hero padding top', 'nt-minfox' ),
                'desc'        => esc_html__('You can use this option for heading text vertical align', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'min_max_step'=> '0,500',
                'section'     => 'archive_page',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_archiveheaderpaddingbottom',
                'label'       => esc_html__('Archive page hero padding bottom', 'nt-minfox' ),
                'desc'        => esc_html__('You can use this option for heading text vertical align', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'min_max_step'=> '0,500',
                'section'     => 'archive_page',
                'operator'    => 'and'
            ),
            // Archive heading
            array(
                'id'          => 'nt_minfox_archive_heading_tab',
                'label'       => esc_html__( 'Archive Heading', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'archive_page',
            ),
            array(
                'id'          => 'nt_minfox_archive_heading_visibility',
                'label'       => esc_html__( 'Archive heading visibility', 'nt-minfox' ),
                'desc'        => sprintf( esc_html__( 'Archive heading visibility %s or %s.', 'nt-minfox' ), '<code>on</code>', '<code>off</code>' ),
                'std'         => 'on',
                'type'        => 'on-off',
                'section'     => 'archive_page',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_archive_heading',
                'label'       => esc_html__( 'Archive heading', 'nt-minfox' ),
                'desc'        => esc_html__( 'Enter Archive heading', 'nt-minfox' ),
                'std'         => 'Our Archive',
                'type'        => 'text',
                'condition'   => 'nt_minfox_archive_heading_visibility:is(on)',
                'section'     => 'archive_page'
            ),
            array(
                'id'          => 'nt_minfox_archiveheadingcolor',
                'label'       => esc_html__( 'Archive Pages heading color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'condition'   => 'nt_minfox_archive_heading_visibility:is(on)',
                'section'     => 'archive_page'
            ),
            array(
                'id'          => 'nt_minfox_archive_heading_fontsize',
                'label'       => esc_html__('Archive heading font size', 'nt-minfox' ),
                'desc'        => esc_html__('Enter Archive heading font size', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'std'         => '65',
                'min_max_step'=> '0,100',
                'condition'   => 'nt_minfox_archive_heading_visibility:is(on)',
                'section'     => 'archive_page',
                'operator'    => 'and'
            ),
            // Archive slogan
            array(
                'id'          => 'nt_minfox_archive_slogan_tab',
                'label'       => esc_html__( 'Archive Slogan', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'archive_page',
            ),
            array(
                'id'          => 'nt_minfox_archive_slogan_visibility',
                'label'       => esc_html__( 'Archive slogan visibility', 'nt-minfox' ),
                'desc'        => sprintf( esc_html__( 'Archive slogan visibility %s or %s.', 'nt-minfox' ), '<code>on</code>', '<code>off</code>' ),
                'std'         => 'on',
                'type'        => 'on-off',
                'section'     => 'archive_page',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_archive_slogan',
                'label'       => esc_html__( 'Archive Slogan', 'nt-minfox' ),
                'desc'        => esc_html__( 'Enter archive page slogan', 'nt-minfox' ),
                'std'         => 'Welcome to your Archive. This is your all post. Edit or delete them, then start writing!',
                'type'        => 'text',
                'condition'   => 'nt_minfox_archive_slogan_visibility:is(on)',
                'section'     => 'archive_page'
            ),
            array(
                'id'          => 'nt_minfox_archiveheaderparagraphcolor',
                'label'       => esc_html__( 'Archive pages slogan color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'condition'   => 'nt_minfox_archive_slogan_visibility:is(on)',
                'section'     => 'archive_page'
            ),
            array(
                'id'          => 'nt_minfox_archive_slogan_fontsize',
                'label'       => esc_html__('Archive slogan font size', 'nt-minfox' ),
                'desc'        => esc_html__('Enter archive slogan font size', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'std'         => '24',
                'min_max_step'=> '0,100',
                'condition'   => 'nt_minfox_archive_slogan_visibility:is(on)',
                'section'     => 'archive_page',
                'operator'    => 'and'
            ),

            /**  404 PAGE HEADER SETTINGS.  **/
            // 404 Hero
            array(
                'id'          => 'nt_minfox_error_hero',
                'label'       => esc_html__( '404 Hero', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'error_page',
            ),
            array(
                'id'          => 'nt_minfox_errorpageheadbg',
                'label'       =>  esc_html__( '404 page hero section background image', 'nt-minfox' ),
                'desc'        =>  esc_html__( 'You can upload your image for parallax hero', 'nt-minfox' ),
                'type'        => 'upload',
                'section'     => 'error_page',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_error_hero_overlay',
                'label'       => esc_html__( '404 page hero section overlay color', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select an opaque color for the background image', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'archive_page'
            ),
            array(
                'id'          => 'nt_minfox_errorheaderbgcolor',
                'label'       => esc_html__( '404 page hero section background color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'error_page'
            ),
            array(
                'id'          => 'nt_minfox_errorheaderbgheight',
                'label'       => esc_html__('404 page hero section height', 'nt-minfox' ),
                'desc'        => esc_html__('404 page hero section height', 'nt-minfox' ),
                'std'         => '50',
                'type'        => 'numeric-slider',
                'min_max_step'=> '0,100',
                'section'     => 'error_page',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_errorheaderpaddingtop',
                'label'       => esc_html__('404 page hero section padding top', 'nt-minfox' ),
                'desc'        => esc_html__('You can use this option for heading text vertical align', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'min_max_step'=> '0,500',
                'section'     => 'error_page',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_errorheaderpaddingbottom',
                'label'       => esc_html__('404 page hero section padding bottom', 'nt-minfox' ),
                'desc'        => esc_html__('You can use this option for heading text vertical align', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'min_max_step'=> '0,500',
                'section'     => 'error_page',
                'operator'    => 'and'
            ),
            // 404 heading
            array(
                'id'          => 'nt_minfox_error_heading_tab',
                'label'       => esc_html__( '404 Heading', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'error_page',
            ),
            array(
                'id'          => 'nt_minfox_error_heading_visibility',
                'label'       => esc_html__( '404 Page Heading visibility', 'nt-minfox' ),
                'desc'        => sprintf( esc_html__( 'error Heading visibility %s or %s.', 'nt-minfox' ), '<code>on</code>', '<code>off</code>' ),
                'std'         => 'on',
                'type'        => 'on-off',
                'section'     => 'error_page',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_error_heading',
                'label'       => esc_html__( '404 Page Heading', 'nt-minfox' ),
                'desc'        => esc_html__( 'Enter Error Heading', 'nt-minfox' ),
                'std'         => '404 Page',
                'type'        => 'text',
                'condition'   => 'nt_minfox_error_heading_visibility:is(on)',
                'section'     => 'error_page'
            ),
            array(
                'id'          => 'nt_minfox_error_heading_fontsize',
                'label'       => esc_html__('404 Page Heading font size', 'nt-minfox' ),
                'desc'        => esc_html__('Enter 404 page heading font size', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'std'		  => '65',
                'min_max_step'=> '0,100',
                'condition'   => 'nt_minfox_error_heading_visibility:is(on)',
                'section'     => 'error_page',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_errorheadingcolor',
                'label'       => esc_html__( '404 Pages Heading color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'condition'   => 'nt_minfox_error_heading_visibility:is(on)',
                'section'     => 'error_page'
            ),
            // 404 slogan
            array(
                'id'          => 'nt_minfox_error_slogan_tab',
                'label'       => esc_html__( '404 Slogan', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'error_page',
            ),
            array(
                'id'          => 'nt_minfox_error_slogan_visibility',
                'label'       => esc_html__( '404 Page slogan visibility', 'nt-minfox' ),
                'desc'        => sprintf( esc_html__( '404 Page slogan visibility %s or %s.', 'nt-minfox' ), '<code>on</code>', '<code>off</code>' ),
                'std'         => 'on',
                'type'        => 'on-off',
                'section'     => 'error_page',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_error_slogan',
                'label'       => esc_html__( '404 page slogan', 'nt-minfox' ),
                'desc'        => esc_html__( 'Enter 404 page slogan', 'nt-minfox' ),
                'std'         => 'Oops! That page can not be found.',
                'condition'   => 'nt_minfox_error_slogan_visibility:is(on)',
                'type'        => 'text',
                'section'     => 'error_page'
            ),
            array(
                'id'          => 'nt_minfox_errorheaderparagraphcolor',
                'label'       => esc_html__( '404 page slogan color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker',
                'condition'   => 'nt_minfox_error_slogan_visibility:is(on)',
                'section'     => 'error_page'
            ),
            array(
                'id'          => 'nt_minfox_error_slogan_fontsize',
                'label'       => esc_html__('404 page slogan font size', 'nt-minfox' ),
                'desc'        => esc_html__('Enter 404 page slogan font size', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'std'		  => '36',
                'min_max_step'=> '0,100',
                'condition'   => 'nt_minfox_error_slogan_visibility:is(on)',
                'section'     => 'error_page',
                'operator'    => 'and'
            ),
            /**  SEARCH PAGE HEADER SETTINGS.  **/
            // Search hero
            array(
                'id'          => 'nt_minfox_error_hero_tab',
                'label'       => esc_html__( 'Search Hero', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'search_page',
            ),
            array(
                'id'          => 'nt_minfox_searchpageheadbg',
                'label'       =>  esc_html__( 'Search page hero section background image', 'nt-minfox' ),
                'desc'        =>  esc_html__( 'You can upload your image for parallax header', 'nt-minfox' ),
                'type'        => 'upload',
                'section'     => 'search_page',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_searchheaderbgcolor',
                'label'       => esc_html__( 'Search page hero section background color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section'     => 'search_page'
            ),
            array(
                'id'          => 'nt_minfox_searchheaderbgheight',
                'label'       => esc_html__('Search page hero section height', 'nt-minfox' ),
                'desc'        => esc_html__('Search page hero section height', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'min_max_step'=> '0,100',
                'section'     => 'search_page',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_searchheaderpaddingtop',
                'label'       => esc_html__('Search page hero section padding top', 'nt-minfox' ),
                'desc'        => esc_html__('You can use this option for heading text vertical align', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'min_max_step'=> '0,500',
                'section'     => 'search_page',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_searchheaderpaddingbottom',
                'label'       => esc_html__('Search page hero section padding bottom', 'nt-minfox' ),
                'desc'        => esc_html__('You can use this option for heading text vertical align', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'min_max_step'=> '0,500',
                'section'     => 'search_page',
                'operator'    => 'and'
            ),
            // Search heading
            array(
                'id'          => 'nt_minfox_search_heading_tab',
                'label'       => esc_html__( 'Search Heading', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'search_page',
            ),
            array(
                'id'          => 'nt_minfox_search_heading_visibility',
                'label'       => esc_html__( 'Search page heading visibility', 'nt-minfox' ),
                'desc'        => sprintf( esc_html__( 'Search page heading visibility %s or %s.', 'nt-minfox' ), '<code>on</code>', '<code>off</code>' ),
                'std'         => 'on',
                'type'        => 'on-off',
                'section'     => 'search_page',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_search_heading',
                'label'       => esc_html__( 'Search page heading', 'nt-minfox' ),
                'desc'        => esc_html__( 'Enter search page heading', 'nt-minfox' ),
                'std'         => 'Search Page',
                'type'        => 'text',
                'condition'   => 'nt_minfox_search_heading_visibility:is(on)',
                'section'     => 'search_page'
            ),
            array(
                'id'          => 'nt_minfox_search_heading_fontsize',
                'label'       => esc_html__('Search page heading font size', 'nt-minfox' ),
                'desc'        => esc_html__('Search page heading font size', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'std'		  => '65',
                'min_max_step'=> '0,100',
                'condition'   => 'nt_minfox_search_heading_visibility:is(on)',
                'section'     => 'search_page',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_searchheadingcolor',
                'label'       => esc_html__( 'Search page heading color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'condition'   => 'nt_minfox_search_heading_visibility:is(on)',
                'section'     => 'search_page'
            ),
            // Search slogan
            array(
                'id'          => 'nt_minfox_search_slogan_tab',
                'label'       => esc_html__( 'Search Slogan', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'search_page',
            ),
            array(
                'id'          => 'nt_minfox_search_slogan_visibility',
                'label'       => esc_html__( 'Search page slogan visibility', 'nt-minfox' ),
                'desc'        => sprintf( esc_html__( 'Search page slogan visibility %s or %s.', 'nt-minfox' ), '<code>on</code>', '<code>off</code>' ),
                'std'         => 'on',
                'type'        => 'on-off',
                'section'     => 'search_page',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_search_slogan',
                'label'       => esc_html__( 'Search page slogan', 'nt-minfox' ),
                'desc'        => esc_html__( 'Enter search page slogan', 'nt-minfox' ),
                'std'         => 'Search completed',
                'type'        => 'text',
                'condition'   => 'nt_minfox_search_slogan_visibility:is(on)',
                'section'     => 'search_page'
            ),
            array(
                'id'          => 'nt_minfox_searchheaderparagraphcolor',
                'label'       => esc_html__( 'Search page slogan color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'condition'   => 'nt_minfox_search_slogan_visibility:is(on)',
                'section'     => 'search_page'
            ),
            array(
                'id'          => 'nt_minfox_error_slogan_fontsize',
                'label'       => esc_html__('Search page slogan font size', 'nt-minfox' ),
                'desc'        => esc_html__('Search page slogan font size', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'std'		  => '36',
                'min_max_step'=> '0,100',
                'condition'   => 'nt_minfox_search_slogan_visibility:is(on)',
                'section'     => 'search_page',
                'operator'    => 'and'
            ),
            /**  BREADCRUBMS SETTINGS.  **/
            array(
                'id'          => 'nt_minfox_bread',
                'label'       => esc_html__( 'Default and Fullwidth  Page breadcrubms visibility', 'nt-minfox' ),
                'desc'        => sprintf( esc_html__( 'Breadcrubms visibility %s or %s.', 'nt-minfox' ), '<code>on</code>', '<code>off</code>' ),
                'std'         => 'on',
                'type'        => 'on-off',
                'section'     => 'breadcrubms',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_blogbreadcrubmscolor',
                'label'       => esc_html__( 'Blog Pages Breadcrubms color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker',
                'condition'   => 'nt_minfox_bread:is(on)',
                'section'     => 'breadcrubms'
            ),
            array(
                'id'          => 'nt_minfox_blogbreadcrubmshovercolor',
                'label'       => esc_html__( 'Blog Pages Breadcrubms hover color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker',
                'condition'   => 'nt_minfox_bread:is(on)',
                'section'     => 'breadcrubms'
            ),
            array(
                'id'          => 'nt_minfox_blogbreadcrubmscurrentcolor',
                'label'       => esc_html__( 'Blog Pages Breadcrubms current page text color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker',
                'condition'   => 'nt_minfox_bread:is(on)',
                'section'     => 'breadcrubms'
            ),
            array(
                'id'          => 'nt_minfox_bread_f_s',
                'label'       => esc_html__('Breadcrubms font size', 'nt-minfox' ),
                'desc'        => esc_html__('Blog/Pages Header Breadcrubms font size', 'nt-minfox' ),
                'type'        => 'numeric-slider',
                'std'		  => '12',
                'min_max_step'=> '0,50',
                'condition'   => 'nt_minfox_bread:is(on)',
                'section'     => 'breadcrubms',
            ),
            /**  FOOTER SETTINGS.  **/
            array(
                'id'          => 'nt_minfox_general_tab',
                'label'       => esc_html__( 'Footer General', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'footer',
            ),
            array(
                'id' => 'minfox_footer_template_type',
                'label' => esc_html__( 'Footer Template Type ( New )', 'nt-minfox' ),
                'std' => 'default',
                'type' => 'select',
                'section' => 'footer',
                'operator' => 'and',
                'choices' =>  array(
                    array(
                        'value' => 'default',
                        'label' => esc_html__( 'Default', 'nt-minfox' )
                    ),
                    array(
                        'value' => 'page',
                        'label' => esc_html__( 'Page Content', 'nt-minfox' )
                    ),
                    array(
                        'value' => 'custom',
                        'label' => esc_html__( 'Shortcode or Custom HTML', 'nt-minfox' )
                    )
                )
            ),
            array(
                'id' => 'minfox_footer_custom_template',
                'label' => esc_html__( 'Custom Page Content', 'nt-minfox' ),
                'desc' => esc_html__( 'You can use your custom page instead of the default footer template.', 'nt-minfox' ),
                'type' => 'page-select',
                'section' => 'footer',
                'condition' => 'minfox_footer_template_type:is(page)',
                'operator' => 'and'
            ),
            array(
                'id' => 'minfox_footer_custom_html',
                'label' => esc_html__( 'Custom HTML or Shortcode', 'nt-minfox' ),
                'desc' => esc_html__( 'Copy paste your shortcode here.', 'nt-minfox' ),
                'type' => 'textarea',
                'section' => 'footer',
                'condition' => 'minfox_footer_template_type:is(custom)',
                'operator' => 'and'
            ),
            array(
                'id'          => 'nt_minfox_footerbgimg',
                'label'       => esc_html__( 'Footer background image', 'nt-minfox' ),
                'desc'        => esc_html__( 'Upload footer background image', 'nt-minfox' ),
                'type'        => 'background',
                'section' => 'footer',
                'condition' => 'minfox_footer_template_type:is(default)',
                'operator' => 'and'
            ),
            array(
                'id'          => 'nt_minfox_footerbgimg_overlay',
                'label'       => esc_html__( 'Footer background image overlay color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section' => 'footer',
                'condition' => 'minfox_footer_template_type:is(default)',
                'operator' => 'and'
            ),
            array(
                'id'          => 'nt_minfox_footerbgcolor',
                'label'       => esc_html__( 'Footer background color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'section' => 'footer',
                'condition' => 'minfox_footer_template_type:is(default)',
                'operator' => 'and'
            ),
            array(
                'id'          => 'nt_minfox_footer_padding',
                'label'       => esc_html__( 'Footer padding', 'nt-minfox' ),
                'desc'        => esc_html__( 'Footer padding', 'nt-minfox' ),
                'type'        => 'spacing',
                'section' => 'footer',
                'condition' => 'minfox_footer_template_type:is(default)',
                'operator' => 'and'
            ),
            array(
                'id'          => 'nt_minfox_footer_margin',
                'label'       => esc_html__( 'Footer margin', 'nt-minfox' ),
                'desc'        => esc_html__( 'Footer margin', 'nt-minfox' ),
                'type'        => 'spacing',
                'section' => 'footer',
                'condition' => 'minfox_footer_template_type:is(default)',
                'operator' => 'and'
            ),
            // footer widgetize
            array(
                'id'          => 'nt_minfox_widgetize_tab',
                'label'       => esc_html__( 'Footer Widgetize', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'footer',
            ),
            array(
                'id'          => 'nt_minfox_widgetize',
                'label'       => esc_html__( 'Footer top widgetize area section', 'nt-minfox' ),
                'desc'        => sprintf( esc_html__( 'Choose footer widgetize section %s or %s.', 'nt-minfox' ), '<code>on</code>', '<code>off</code>' ),
                'std'         => 'on',
                'type'        => 'on-off',
                'section' => 'footer',
                'condition' => 'minfox_footer_template_type:is(default)',
                'operator' => 'and'
            ),
            array(
                'id'          => 'nt_minfox_footer_h_c',
                'label'       => esc_html__( 'Footer widget heading color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'condition'   => 'minfox_footer_template_type:is(default),nt_minfox_widgetize:is(on)',
                'section'     => 'footer'
            ),
            array(
                'id'          => 'nt_minfox_footer_t_c',
                'label'       => esc_html__( 'Footer widgetize general text color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'condition'   => 'minfox_footer_template_type:is(default),nt_minfox_widgetize:is(on)',
                'section'     => 'footer'
            ),
            array(
                'id'          => 'nt_minfox_footer_a_c',
                'label'       => esc_html__( 'Footer general a(link/URL) color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'condition'   => 'minfox_footer_template_type:is(default),nt_minfox_widgetize:is(on)',
                'section'     => 'footer'
            ),
            array(
                'id'          => 'nt_minfox_footer_a_hc',
                'label'       => esc_html__( 'Footer general a(link/URL) hover color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'condition'   => 'minfox_footer_template_type:is(default),nt_minfox_widgetize:is(on)',
                'section'     => 'footer'
            ),
            //footer copyright
            array(
                'id'          => 'nt_minfox_copyright_tab',
                'label'       => esc_html__( 'Footer Copyright', 'nt-minfox' ),
                'type'        => 'tab',
                'section'     => 'footer',
            ),
            array(
                'id'          => 'nt_minfox_copyright_visibility',
                'label'       => esc_html__( 'footer powered section', 'nt-minfox' ),
                'desc'        => sprintf( esc_html__( 'Choose footer powered section %s or %s.', 'nt-minfox' ), '<code>on</code>', '<code>off</code>' ),
                'std'         => 'on',
                'type'        => 'on-off',
                'condition'   => 'minfox_footer_template_type:is(default)',
                'section'     => 'footer',
                'operator'    => 'and'
            ),
            array(
                'id'          => 'nt_minfox_copyright',
                'label'       => 'Footer copyright',
                'std'         => 'Launch beautiful, responsive websites faster with themes',
                'type'        => 'textarea',
                'condition'   => 'minfox_footer_template_type:is(default),nt_minfox_copyright_visibility:is(on)',
                'section'     => 'footer'
            ),
            array(
                'id'          => 'nt_minfox_f_p_brdc',
                'label'       => esc_html__( 'Footer copyright border-top color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'condition'   => 'minfox_footer_template_type:is(default),nt_minfox_copyright_visibility:is(on)',
                'section'     => 'footer'
            ),
            array(
                'id'          => 'nt_minfox_footer_p_c',
                'label'       => esc_html__( 'Footer copyright text color ', 'nt-minfox' ),
                'desc'        => esc_html__( 'Please select color', 'nt-minfox' ),
                'type'        => 'colorpicker-opacity',
                'condition'   => 'minfox_footer_template_type:is(default),nt_minfox_copyright_visibility:is(on)',
                'section'     => 'footer'
            )
        ) // end array
    ); // end function

    /* allow settings to be filtered before saving */
    $nt_minfox_custom_settings = apply_filters( ot_settings_id() . '_args', $nt_minfox_custom_settings );

    /* settings are not the same update the DB */
    if ( $nt_minfox_saved_settings !== $nt_minfox_custom_settings ) {
        update_option( ot_settings_id(), $nt_minfox_custom_settings );
    }

    /* Lets OptionTree know the UI Builder is being overridden */
    global $ot_has_custom_theme_options;
    $ot_has_custom_theme_options = true;

}
