
	<?php
		get_header();

		if ( ot_get_option( 'nt_minfox_megamenu' ) == 'on' ) {
			get_template_part( 'includes/mega-menu' );
		} else {
			get_template_part('index-header');
		}

		$nt_minfox_blog_heading_display = ot_get_option( 'nt_minfox_blog_heading_display' );
		$nt_minfox_blog_heading = ot_get_option( 'nt_minfox_blog_heading' );

		$nt_minfox_blog_slogan_display = ot_get_option( 'nt_minfox_blog_slogan_display' );
		$nt_minfox_blog_slogan = ot_get_option( 'nt_minfox_blog_slogan' );

	?>

	<div class="template-cover template-cover-style-2 index-header">
		<div class="template-overlay"></div>
		<div class="template-cover-text">
			<div class="container">
				<div class="row">
					<div class="col-md-8 center">
						<div class="template-cover-intro">

							<?php if ( $nt_minfox_blog_heading_display != 'off') : ?>
								<?php if ( $nt_minfox_blog_heading != '' ) : ?>
									<h2 class="uppercase white"><?php echo esc_html( $nt_minfox_blog_heading ); ?></h2>
								<?php else : ?>
									<h2 class="uppercase white"><?php echo bloginfo('name'); ?></h2>
								<?php endif; ?>
							<?php endif; ?>

							<?php if ( $nt_minfox_blog_slogan_display != 'off') : ?>
								<?php if ( $nt_minfox_blog_slogan != '' ) : ?>
									<h2 class="cover-text-sublead"><?php echo esc_html( $nt_minfox_blog_slogan ); ?></h2>
								<?php else : ?>
									<h2 class="cover-text-sublead"><?php echo bloginfo('description'); ?></h2>
								<?php endif; ?>
							<?php endif; ?>

                            <?php if ( ot_get_option( 'nt_minfox_bread' ) != 'off' && function_exists('bcn_display') ) : ?>
                                <p class="breadcrubms"> <?php bcn_display(); ?></p>
                            <?php endif; ?>

						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

	<section id="blog">
		<div class="container has-margin-bottom">
			<div class="row">

				<?php if( ot_get_option( 'nt_minfox_bloglayout' ) == 'right-sidebar' || ot_get_option( 'nt_minfox_bloglayout' ) == '') { ?>
				<div class="col-lg-8  col-md-8 col-sm-12 index float-right posts">
				<?php } elseif( ot_get_option( 'nt_minfox_bloglayout' ) == 'left-sidebar') { ?>
				<?php get_sidebar(); ?>
				<div class="col-lg-8  col-md-8 col-sm-12 index float-left posts">
				<?php } elseif( ot_get_option( 'nt_minfox_bloglayout' ) == 'full-width') { ?>
				<div class="col-xs-12 full-width-index v">
				<?php } ?>

				<?php
					if ( have_posts() ) :

						while ( have_posts() ) : the_post();
						get_template_part( 'post-format/content', get_post_format() );
						endwhile;

						the_posts_pagination( array(
							'prev_text'          => esc_html__( 'Previous page', 'nt-minfox' ),
							'next_text'          => esc_html__( 'Next page', 'nt-minfox' ),
							'before_page_number' => '<span class="meta-nav screen-reader-text"></span>',
						) );

					else :

						get_template_part( 'content', 'none' );

					endif;
				?>

				</div>

				<?php if( ot_get_option( 'nt_minfox_bloglayout' ) == 'right-sidebar' || ot_get_option( 'nt_minfox_bloglayout' ) == '') { ?>
					<?php get_sidebar(); ?>
				<?php } ?>

			</div>
		</div>
	</section>

	<?php get_footer(); ?>
