<?php
/**
* The template for displaying posts in the Gallery post format.
*
* @package WordPress
* @subpackage nt_minfox_
* @since nt_minfox_ 1.0
*/

$nt_minfox_post_animation       = ot_get_option( 'nt_minfox_post_animation' );
$nt_minfox_post_animationclass  = ( $nt_minfox_post_animation != '' ) ? 'wow '.esc_html( $nt_minfox_post_animation ).'' : '';
$nt_minfox_post_animation_delay = ot_get_option( 'nt_minfox_post_animationdelay' );
$nt_minfox_post_animationdelay  = ( $nt_minfox_post_animation_delay != '' ) ? esc_attr( $nt_minfox_post_animation_delay ) : '.6';
$nt_minfox_post_animationdata   = ( $nt_minfox_post_animation != '' ) ? ' data-wow-delay='.$nt_minfox_post_animationdelay.'s' : '';
$nt_minfox_images               = rwmb_meta( 'nt_minfox_gallery_image', 'type=image_advanced' );
?>

<!-- Start .hentry -->
<article id="post-<?php the_ID(); ?>" <?php post_class(''.$nt_minfox_post_animationclass.''); ?><?php echo esc_attr( $nt_minfox_post_animationdata )?>>
    <div class="blog-bg">
        <?php if ( $nt_minfox_images != '' ) : ?>
            <div class="flexslider">
                <ul class="slides">
                    <?php
                    foreach ( $nt_minfox_images as $image ) {
                        echo "<li><img src='{$image['full_url']}' alt='{$image['alt']}' /></li>";
                    }
                    ?>
                </ul>
            </div>
        <?php endif; ?>
    </div>

    <div class="post-container">
        <div class="content-container">
            <div class="entry-header">
                <?php
                if ( ! is_single() ) :
                    the_title( sprintf( '<h2 class="entry-title all-caps"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
                endif;
                ?>
            </div>

            <ul class="entry-meta">
                <li><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_time('F j, Y'); ?></a></li>
                <li><?php esc_html_e('in', 'nt-minfox'); ?>  <?php the_category(', '); ?></li>
                <li><?php the_author(); ?></li>
                <?php the_tags( '<li>', ',', '</li> '); ?>
            </ul>
        </div>

        <div class="entry-content">
            <?php
            /* translators: %s: Name of current post */
            the_content( sprintf(
                esc_html__( 'Continue reading %s', 'nt-minfox' ),
                the_title( '<span class="screen-reader-text">', '</span>', false )
            ));

            wp_link_pages( array(
                'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'nt-minfox' ) . '</span>',
                'after'       => '</div>',
                'link_before' => '<span>',
                'link_after'  => '</span>',
                'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'nt-minfox' ) . ' </span>%',
                'separator'   => '<span class="screen-reader-text">, </span>',
            ));
            ?>
        </div>

        <?php if ( ! is_single() ) : ?>
            <a class="margin_30 btn" href="<?php echo esc_url( get_permalink() ); ?>" role="button"><?php esc_html_e( 'Read More', 'nt-minfox' ); ?></a>
        <?php endif; ?>

        <?php do_action( 'nt_minfox_after_single_post_content' ); ?>

    </div>
</article>
