<?php
/**
* The template for displaying posts in the Video post format.
*
* @package WordPress
* @subpackage nt_minfox_
* @since nt_minfox_ 1.0
*/

$nt_minfox_post_animation       = ot_get_option( 'nt_minfox_post_animation' );
$nt_minfox_post_animationclass  = ( $nt_minfox_post_animation != '' ) ? 'wow '.esc_html( $nt_minfox_post_animation ).'' : '';
$nt_minfox_post_animation_delay = ot_get_option( 'nt_minfox_post_animationdelay' );
$nt_minfox_post_animationdelay  = ( $nt_minfox_post_animation_delay != '' ) ? esc_attr( $nt_minfox_post_animation_delay ) : '.6';
$nt_minfox_post_animationdata   = ( $nt_minfox_post_animation != '' ) ? ' data-wow-delay='.$nt_minfox_post_animationdelay.'s' : '';
$nt_minfox_embed                = rwmb_meta( 'nt_minfox_video_embed' );
?>

<!-- Start .hentry -->
<article id="post-<?php the_ID(); ?>" <?php post_class(''.$nt_minfox_post_animationclass.''); ?><?php echo esc_attr( $nt_minfox_post_animationdata )?>>
    <div class="hentry-box">
        <?php
        if ( $nt_minfox_embed !='' ) : ?>
            <div class="post-thumb blog-bg">
                <div class="media-element video-responsive"><?php echo wp_kses($nt_minfox_embed,nt_minfox_allowed_html()); ?></div>
            </div>
            <?php 
        else :

            $nt_minfox_m4v       = rwmb_meta( 'nt_minfox_video_m4v' );
            $nt_minfox_ogv       = rwmb_meta( 'nt_minfox_video_ogv' );
            $nt_minfox_webm      = rwmb_meta( 'nt_minfox_video_webm' );
            $nt_minfox_image_id  = get_post_thumbnail_id();
            $nt_minfox_image_url = wp_get_attachment_image_src($nt_minfox_image_id, true);
            $nt_minfox_wp_video  = '[video poster="'.$nt_minfox_image_url[0].'" mp4="'.$nt_minfox_m4v.'"  webm="'.$nt_minfox_webm.'"]';
        ?>
            <div class="post-thumb"><?php echo do_shortcode ($nt_minfox_wp_video); ?></div>
        <?php endif; ?>

        <div class="post-container">
            <div class="content-container">
                <div class="entry-header">
                    <?php
                    if ( ! is_single() ) {
                        the_title( sprintf( '<h2 class="entry-title all-caps"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
                    }
                    ?>
                </div>

                <ul class="entry-meta">
                    <li><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_time('F j, Y'); ?></a></li>
                    <li><?php esc_html_e('in', 'nt-minfox'); ?>  <?php the_category(', '); ?></li>
                    <li><?php the_author(); ?></li>
                    <?php the_tags( '<li>', ',', '</li> '); ?>
                </ul>
            </div>

            <div class="entry-content">
                <?php
                /* translators: %s: Name of current post */
                the_content( sprintf(
                    esc_html__( 'Continue reading %s', 'nt-minfox' ),
                    the_title( '<span class="screen-reader-text">', '</span>', false )
                ));

                wp_link_pages( array(
                    'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'nt-minfox' ) . '</span>',
                    'after'       => '</div>',
                    'link_before' => '<span>',
                    'link_after'  => '</span>',
                    'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'nt-minfox' ) . ' </span>%',
                    'separator'   => '<span class="screen-reader-text">, </span>',
                ));
                ?>
            </div>

            <?php if ( ! is_single() ) : ?>
                <a class="margin_30 btn" href="<?php echo esc_url( get_permalink() ); ?>" role="button"><?php esc_html_e( 'Read More', 'nt-minfox' ); ?></a>
            <?php endif; ?>

            <?php do_action( 'nt_minfox_after_single_post_content' ); ?>

        </div>
    </div>
</article>
