<?php
/**
* The default template for displaying content
*
* Used for both single and index/archive/search.
*
* @package WordPress
* @subpackage nt_minfox
* @since nt_minfox 1.0
*/
$nt_minfox_post_animation       = ot_get_option( 'nt_minfox_post_animation' );
$nt_minfox_post_animationclass  = ( $nt_minfox_post_animation != '' ) ? 'wow '.esc_html( $nt_minfox_post_animation ).'' : '';
$nt_minfox_post_animation_delay = ot_get_option( 'nt_minfox_post_animationdelay' );
$nt_minfox_post_animationdelay  = ( $nt_minfox_post_animation_delay != '' ) ? esc_attr( $nt_minfox_post_animation_delay ) : '.6';
$nt_minfox_post_animationdata   = ( $nt_minfox_post_animation != '' ) ? ' data-wow-delay='.$nt_minfox_post_animationdelay.'s' : '';
?>

<!-- Start .hentry -->
<article id="post-<?php the_ID(); ?>" <?php post_class(''.$nt_minfox_post_animationclass.''); ?><?php echo esc_attr( $nt_minfox_post_animationdata )?>>

    <?php if ( has_post_thumbnail() ) : ?>
        <div class="article-img">
            <?php the_post_thumbnail('full'); ?>
        </div>
    <?php endif; ?>

    <div class="post-container">
        <div class="content-container">
            <div class="entry-header">
                <?php
                if ( ! is_single() ) {
                    the_title( sprintf( '<h2 class="entry-title all-caps"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
                }
                ?>
            </div>
            
            <ul class="entry-meta">
                <li><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_time('F j, Y'); ?></a></li>
                <li><?php esc_html_e('in', 'nt-minfox'); ?>  <?php the_category(', '); ?></li>
                <li><?php the_author(); ?></li>
                <?php the_tags( '<li>', ',', '</li> '); ?>
            </ul>
        </div>

        <div class="entry-content">
            <?php
            if ( is_single() ) {
                the_content();
            } else {
                echo'<p>'. the_excerpt() .'</p>';
            }

            wp_link_pages( array(
                'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'nt-minfox' ) . '</span>',
                'after'       => '</div>',
                'link_before' => '<span>',
                'link_after'  => '</span>',
                'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'nt-minfox' ) . ' </span>%',
                'separator'   => '<span class="screen-reader-text">, </span>',
            ) );
            ?>
        </div>

        <?php if ( ! is_single() ) : ?>
            <a class="margin_30 btn" href="<?php echo esc_url( get_permalink() ); ?>" role="button"><?php esc_html_e( 'Read More', 'nt-minfox' ); ?></a>
        <?php endif; ?>

        <?php do_action( 'nt_minfox_after_single_post_content' ); ?>

    </div>
</article>
