<?php
/**
* The default template for displaying content
*
* Used for both single and index/archive/search.
*
* @package WordPress
* @subpackage nt_minfox
* @since nt_minfox 1.0
*/
$animation       = ot_get_option( 'nt_minfox_post_animation' );
$animationclass  = ( $animation != '' ) ? 'wow '.esc_attr( $animation ) : '';
$animation_delay = ot_get_option( 'nt_minfox_post_animationdelay' );
$animationdelay  = ( $animation_delay != '' ) ? esc_attr( $animation_delay ) : '.6';
$animationdata   = ( $animation != '' ) ? ' data-wow-delay='.$animationdelay.'s' : '';

$hide_featured   = rwmb_meta( 'nt_minfox_hide_featured_image' );
$hide_post_meta  = rwmb_meta( 'nt_minfox_hide_post_meta' );
$hide_post_share = rwmb_meta( 'nt_minfox_hide_post_share' );
$gallery_images  = rwmb_meta( 'nt_minfox_port_gallery_images' );
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( $animationclass ); echo esc_attr( $animationdata )?>>

    <?php if ( 'off' != ot_get_option( 'nt_minfox_single_port_featured_image' ) ) : ?>
        <?php if ( $gallery_images && true != $hide_featured ) : ?>
            <div class="blog-bg">
                <div class="flexslider single-portfolio-flexslider">
                    <ul class="slides">
                        <?php
                        foreach ( $gallery_images as $image ) {
                            echo "<li><img src='{$image['full_url']}' alt='{$image['alt']}' /></li>";
                        }
                        ?>
                    </ul>
                </div>
            </div>

        <?php else : ?>

            <?php if ( has_post_thumbnail() && true != $hide_featured ) : ?>
                <div class="article-img">
                    <?php the_post_thumbnail('full'); ?>
                </div>
            <?php endif; ?>

        <?php endif; ?>
    <?php endif; ?>

    <div class="post-container">
        <?php if ( 'off' != ot_get_option( 'nt_minfox_single_port_post_meta' ) ) : ?>
            <?php if ( true != $hide_post_meta ) : ?>
                <div class="content-container">
                    <ul class="entry-meta">
                        <li><?php the_time('F j, Y'); ?></li>
                        <li><?php esc_html_e('in', 'nt-minfox'); ?> <?php the_category(', '); ?></li>
                        <li><?php the_author(); ?></li>
                        <?php the_tags( '<li>', ',', '</li> '); ?>
                    </ul>
                </div>
            <?php endif; ?>
        <?php endif; ?>

        <div class="entry-content">
            <?php the_content(); ?>
        </div>

        <?php
        if ( 'off' != ot_get_option( 'nt_minfox_single_port_post_share' ) ) {
            if ( true != $hide_post_share ) {
                do_action( 'nt_minfox_after_single_post_content' );
            }
        }
        ?>

    </div>
</article>
