<?php

/*
Plugin Name: NT Minfox Shortcodes
Plugin URI: http://themeforest.net/user/Ninetheme
Description: Shortcodes for Ninetheme WordPress Themes - nt-minfox Version
Version: 1.3.7
Author: Ninetheme
Author URI: http://themeforest.net/user/Ninetheme
*/

// image resizer
require_once plugin_dir_path(__FILE__) . 'aq_resizer.php';

// plugin version number for body classes
function minfox_plugin_version_class_names($classes) {

  $nt_minfox_plugin_data = get_plugin_data( __FILE__ );
  $nt_minfox_plugin_version = $nt_minfox_plugin_data['Version'];

  $nt_minfox_theme_plugin_version =  'ninetheme-shortcode-plugin-version-' . $nt_minfox_plugin_version;

  $classes[] =  $nt_minfox_theme_plugin_version;

  return $classes;
}
add_filter('body_class','minfox_plugin_version_class_names');

add_action('nt_minfox_after_single_post_content','nt_minfox_post_share', 10 );
if ( !function_exists( 'nt_minfox_post_share' ) ) {
    function nt_minfox_post_share() {

        $nt_minfox_share_display = get_post_meta( get_the_ID(), 'nt_minfox_share_display', true );
        if ( is_single() && $nt_minfox_share_display != 'hide' ) {
            $nt_minfox_share_face_display = get_post_meta( get_the_ID(), 'nt_minfox_share_face_display', true );
            $nt_minfox_share_twitter_display = get_post_meta( get_the_ID(), 'nt_minfox_share_twitter_display', true );
            $nt_minfox_share_google_display = get_post_meta( get_the_ID(), 'nt_minfox_share_google_display', true );
            $nt_minfox_share_digg_display = get_post_meta( get_the_ID(), 'nt_minfox_share_digg_display', true );
            $nt_minfox_share_reddit_display = get_post_meta( get_the_ID(), 'nt_minfox_share_reddit_display', true );
            $nt_minfox_share_linkedin_display = get_post_meta( get_the_ID(), 'nt_minfox_share_linkedin_display', true );
            $nt_minfox_share_stumbleupon_display = get_post_meta( get_the_ID(), 'nt_minfox_share_stumbleupon_display', true );
            $nt_minfox_share_pinterest_display = get_post_meta( get_the_ID(), 'nt_minfox_share_pinterest_display', true );

            ?>
            <div id="share-buttons">
                <?php
                if ( $nt_minfox_share_face_display != true ) { ?>
                    <a href="http://www.facebook.com/sharer.php?u=<?php echo get_permalink(); ?>" target="_blank"><i class="fa fa-facebook"></i></a>
                <?php }
                if ( $nt_minfox_share_twitter_display != true ) { ?>
                    <a href="http://twitter.com/share?url=<?php echo get_permalink(); ?>&text=Simple Share Buttons&hashtags=simplesharebuttons" target="_blank"><i class="fa fa-twitter"></i></a>
                <?php }
                if ( $nt_minfox_share_google_display != true ) { ?>
                    <a href="https://plus.google.com/share?url=<?php echo get_permalink(); ?>" target="_blank"><i class="fa fa-google-plus"></i></a>
                <?php }
                if ( $nt_minfox_share_digg_display != true ) { ?>
                    <a href="http://www.digg.com/submit?url=<?php echo get_permalink(); ?>" target="_blank"><i class="fa fa-digg"></i></a>
                <?php }
                if ( $nt_minfox_share_reddit_display != true ) { ?>
                    <a href="http://reddit.com/submit?url=<?php echo get_permalink(); ?>&title=Simple Share Buttons" target="_blank"><i class="fa fa-reddit"></i></a>
                <?php }
                if ( $nt_minfox_share_linkedin_display != true ) { ?>
                    <a href="http://www.linkedin.com/shareArticle?mini=true&url=<?php echo get_permalink(); ?>" target="_blank"><i class="fa fa-linkedin"></i></a>
                <?php }
                if ( $nt_minfox_share_pinterest_display != true ) { ?>
                    <a href="javascript:void((function()%7Bvar%20e=document.createElement('script');e.setAttribute('type','text/javascript');e.setAttribute('charset','UTF-8');e.setAttribute('src','http://assets.pinterest.com/js/pinmarklet.js?r='+Math.random()*99999999);document.body.appendChild(e)%7D)());"><i class="fa fa-pinterest"></i></a>
                <?php }
                if ( $nt_minfox_share_stumbleupon_display != true ) { ?>
                    <a href="http://www.stumbleupon.com/submit?url=<?php echo get_permalink(); ?>&title=Simple Share Buttons" target="_blank"><i class="fa fa-stumbleupon"></i></a>
                <?php }	 ?>
            </div>
            <?php
        }
    }
}

add_action('nt_minfox_after_single_portfolio_post_content','nt_minfox_portfolio_post_share', 10 );
if ( !function_exists( 'nt_minfox_portfolio_post_share' ) ) {
    function nt_minfox_portfolio_post_share() {
        ?>
        <div class="fh5co-share">
            <h3><?php esc_html_e( 'Share' , 'nt-minfox' ); ?></h3>
            <ul>
                <li><a href="http://www.facebook.com/sharer.php?u=<?php echo esc_url( get_permalink() ); ?>" target="_blank"><?php esc_html_e( 'Facebook' , 'nt-minfox' ); ?></a></li>
                <li><a href="http://twitter.com/share?url=<?php echo esc_url( get_permalink() ); ?>" target="_blank"><?php esc_html_e( 'Twitter' , 'nt-minfox' ); ?></a></li>
                <li><a href="https://plus.google.com/share?url=<?php echo esc_url( get_permalink() ); ?>" target="_blank"><?php esc_html_e( 'Google Plus' , 'nt-minfox' ); ?></a></li>
                <li><a href="javascript:void((function()%7Bvar%20e=document.createElement('script');e.setAttribute('type','text/javascript');e.setAttribute('charset','UTF-8');e.setAttribute('src','http://assets.pinterest.com/js/pinmarklet.js?r='+Math.random()*99999999);document.body.appendChild(e)%7D)());"><?php esc_html_e( 'Pinterest' , 'nt-minfox' ); ?></a></li>
            </ul>
        </div>
        <?php
    }
}


/*************************************************
## Word Limiter
*************************************************/
function nt_minfox_limit_words($string, $limit) {
	$words = explode(' ', $string);
	return implode(' ', array_slice($words, 0, $limit));
}

if ( ! function_exists( 'minfox_sanitize_data' ) ) {
    function minfox_sanitize_data( $minfoxdata ) {

            $minfoxdata = wp_kses( $minfoxdata, array(
                    'a'         => array(
                        'href'  => array(),
                        'title' => array()
                    ),
                    'br'        => array(),
                    'em'        => array(),
                    'strong'    => array(),
            ) );

        return $minfoxdata;
    }
}

//text font-size and color for custom style
if ( ! function_exists( 'nt_minfox_customstyle' ) ) {
    function nt_minfox_customstyle( $size='', $lineh='', $weight='', $color='', $position='', $fstyle='', $bgcolor='', $padding='', $border='', $borderstyl='', $bordercolor='', $borderradius='' ) {

		$fontsize 	= ( isset( $size ) && $size != '' ) ? ' font-size:'.esc_attr( $size ).';' 	: '';
		$lineheight = ( isset( $lineh ) && $lineh != '' ) ? ' line-height:'.esc_attr( $lineh ).';' 	: '';
		$fontweight = ( isset( $weight ) && $weight != '' ) ? ' font-weight:'.esc_attr( $weight ).';' 	: '';
		$fontcolor 	= ( isset( $color ) && $color != '' ) ? ' color:'.esc_attr( $color ).';' 		: '';
		$textalign 	= ( isset( $position ) && $position  != '' ) ? ' text-align:'.esc_attr( $position ).';' : '';
		$fontstyle 	= ( isset( $fstyle ) && $fstyle != '' ) ? ' font-style:'.esc_attr( $fstyle ).';' : '';
		$bg_color 	= ( isset( $bgcolor ) && $bgcolor != '' ) ? ' background-color:'.esc_attr( $bgcolor ).';' : '';
		$border_styl= ( isset( $borderstyl ) && $borderstyl != '' ) ? ' border:0;border-style:'.esc_attr( $borderstyl ).'!important;' : '';
		$border_color= ( isset( $bordercolor ) && $bordercolor != '' ) ? ' border-color:'.esc_attr( $bordercolor ).';' : '';
		$border_radius= ( isset( $borderradius ) && $borderradius != '' ) ? ' border-radius:'.esc_attr( $borderradius ).';' : '';
		$padding 	= ( isset( $padding ) && $padding != '' ) ? $padding : '';
		$border 	= ( isset( $border ) && $border != '' ) ? $border : '';

		$style = ( $fontsize != '' || $lineheight != '' || $fontweight != '' || $fontcolor != '' || $textalign != '' || $fontstyle != '' || $bg_color != '' || $padding != '' || $border != '' || $border_styl != '' || $border_color != '' || $border_radius != '' ) ? ' style="'.$fontsize.$lineheight.$fontweight.$fontcolor.$textalign.$fontstyle.$bg_color.$padding.$border_styl.$border.$border_color.$border_radius.'"' : '';

        return $style;
    }
}


/*-----------------------------------------------------------------------------------*/
/*	HERO STATIC minfox
/*-----------------------------------------------------------------------------------*/

function theme_nt_minfox_section_herostatic( $atts, $content = null ) {
    extract( shortcode_atts(array(
	"section_id"		=> '',
	"hero_type"			=> '1',
	"imganimation"		=> '',
	"logo_img"			=> '',
	"hero_img"			=> '',
	"video_url"			=> '',
	"particles"			=> '',
	"headinganimation"	=> '',
	"company_name"		=> '',
	"section_heading"	=> '',
	"btnanimation"		=> '',
	"herobtnlink"		=> '',
	"herobtnlink2"		=> '',
	"overlay_c"			=> '',
	"customstyle"		=> '',
	"sectionbgcss"		=> ''
	), $atts) );

	if ( $particles != 'hide' ) {
		wp_enqueue_script( 'particles' );
		wp_enqueue_script( 'nt-minfox-particles-set' );
	}
	if ( $hero_type == '3' ) {
		wp_enqueue_script( 'magnific-popup' );
		wp_enqueue_script( 'nt-minfox-video-popup-set' );
	}
	$sectionbg_css = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $sectionbgcss, ' ' ),  $atts );
	$id = ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';

	$herobtnlink 		= ( $herobtnlink == '||' ) ? '' : $herobtnlink;
	$herobtnlink 		= vc_build_link( $herobtnlink );
	$herobtn_href 		= $herobtnlink['url'];
	$herobtn_title 		= $herobtnlink['title'];
	$herobtn_target 	= $herobtnlink['target'];

	$herobtnlink2 		= ( $herobtnlink2 == '||' ) ? '' : $herobtnlink2;
	$herobtnlink2 		= vc_build_link( $herobtnlink2 );
	$herobtn_href2 		= $herobtnlink2['url'];
	$herobtn_title2 	= $herobtnlink2['title'];
	$herobtn_target2 	= $herobtnlink2['target'];

    $current1 = $current2 = $current3 = $current4 = $current5 = '';
	$custom_style = (array) vc_param_group_parse_atts($customstyle);
	foreach ( $custom_style as $styl ) {
		if ( !empty( $styl ) ){
			$currentitem= ( !empty( $styl['currentitem'] ) ) ? $styl['currentitem'] : '';
			$size 		= ( !empty( $styl['size'] ) ) ? $styl['size'] : '';
			$weight 	= ( !empty( $styl['weight'] ) ) ? $styl['weight'] : '';
			$lineh 		= ( !empty( $styl['lineh'] ) ) ? $styl['lineh'] : '';
			$color 		= ( !empty( $styl['color'] ) ) ? $styl['color'] : '';
			$position 	= ( !empty( $styl['position'] ) ) ? $styl['position'] : '';
			$fstyle 	= ( !empty( $styl['fstyle'] ) ) ? $styl['fstyle'] : '';
			$bgcolor 	= ( !empty( $styl['bgcolor'] ) ) ? $styl['bgcolor'] : '';
			$padtop 	= ( !empty( $styl['padtop'] ) ) ? ' padding-top:'.$styl['padtop'].';' : '';
			$padright 	= ( !empty( $styl['padright'] ) ) ? ' padding-right:'.$styl['padright'].';' : '';
			$padbottom 	= ( !empty( $styl['padbottom'] ) ) ? ' padding-bottom:'.$styl['padbottom'].';' : '';
			$padleft 	= ( !empty( $styl['padleft'] ) ) ? ' padding-left:'.$styl['padleft'].';' : '';
			$padding 	= ( $padtop || $padright || $padbottom || $padleft ) ? $padtop.$padright.$padbottom.$padleft : '';
			$brdtop 	= ( !empty( $styl['brdtop'] ) ) ? ' border-top-width:'.$styl['brdtop'].';' : '';
			$brdright 	= ( !empty( $styl['brdright'] ) ) ? ' border-right-width:'.$styl['brdright'].';' : '';
			$brdbottom 	= ( !empty( $styl['brdbottom'] ) ) ? ' border-bottom-width:'.$styl['brdbottom'].';' : '';
			$brdleft 	= ( !empty( $styl['brdleft'] ) ) ? ' border-left-width:'.$styl['brdleft'].';' : '';
			$border 	= ( $brdtop || $brdright || $brdbottom || $brdleft ) ? $brdtop.$brdright.$brdbottom.$brdleft : '';
			$borderstyl = ( !empty( $styl['borderstyl'] ) ) ? $styl['borderstyl'] : '';
			$bordercolor= ( !empty( $styl['bordercolor'] ) ) ? $styl['bordercolor'] : '';
			$borderradius= ( !empty( $styl['borderradius'] ) ) ? $styl['borderradius'] : '';

			if ( $currentitem == '1' ){
				$current1 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}elseif ( $currentitem == '2' ){
				$current2 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}elseif ( $currentitem == '3' ){
				$current3 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
				$iconposition = ($position == 'left') ? ' icon-'.$position.'' : '';
			}elseif ( $currentitem == '4' ){
				$current4 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}elseif ( $currentitem == '5' ){
				$current5 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}else{
				$current1 = $current2 = $current3 = $current4 = $current5 = '';
			}
		}
	}

	$out = '';

		$out .= '<!-- Section Minfox -->';
		$out .= '<section '.$id.' class="minfox-bg'.esc_attr( $sectionbg_css ).'">';
		if ( $overlay_c !='hide' ) {
			$out .= '<div class="overlay"></div>';
		}
			$out .= '<div class="cta text-center">';
				if ( $logo_img !='' ) {
					$logoimg = wp_get_attachment_url( $logo_img,'full' );
					$out .= '<span><img src="'.esc_url( $logoimg ).'" alt="logo" /></span>';
				}
				if ( $company_name !='' ) { $out .= '<span class="minfox wow '.$headinganimation.'" data-wow-delay=".2s"'.$current1.'>'.minfox_sanitize_data( $company_name ).'</span>'; }
				if ( $section_heading !='' ) { $out .= '<h2 class="wow '.$headinganimation.'" data-wow-delay=".4s"'.$current2.'>'.minfox_sanitize_data( $section_heading ).'</h2>'; }

			if ( $hero_type == '1' ) {
				if ( $herobtn_title !='' ) {
					$out .= '<a href="'.esc_attr( $herobtn_href ).'" '; if ( $herobtn_target != '' ) { $out .= ' target="'.$herobtn_target.'"';}$out .= 'class="btn btn-default wow '.$btnanimation.'" data-wow-delay=".6s"'.$current3.'>'.esc_html( $herobtn_title ).'</a>';
				}
				if ( $herobtn_title2 !='' ) {
					$out .= '<a href="'.esc_attr( $herobtn_href2 ).'" '; if ( $herobtn_target2 != '' ) { $out .= ' target="'.$herobtn_target2.'"';}$out .= 'class="btn btn-secondary wow '.$btnanimation.'" data-wow-delay=".8s"'.$current4.'>'.esc_html( $herobtn_title2 ).'</a>';
				}
			}
			if ( $hero_type == '2' ) {
				if ( $hero_img !='' ) {
					$heroimg = wp_get_attachment_url( $hero_img,'full' );
					$out .= '<div class="minfox-image wow fadeInUp" data-wow-delay=".6s">';
						$out .= '<img src="'.esc_url( $heroimg ).'" alt="minfoximage" />';
					$out .= '</div>';
				}
			}
			if ( $hero_type == '3' ) {
				if ( $video_url !='' ) {
					$out .= '<a href="'.esc_url( $video_url ).'" class="hero-video-wrap">';
						$out .= '<div class="minfox-video">';
							$out .= '<span class="play-button">';
								$out .= '<i class="fa fa-play" aria-hidden="true"></i>';
							$out .= '</span>';
						if ( $hero_img !='' ) {
							$heroimg = wp_get_attachment_url( $hero_img,'full' );
							$out .= '<img src="'.esc_url( $heroimg ).'" alt="minfox-video" />';
						}
						$out .= '</div>';
					$out .= '</a>';
				}
			}
			$out .= '</div>';

		if ( $particles != 'hide' ) {
			$out .= '<!-- Particles -->';
			$out .= '<div class="wheel-wrap">';
				$out .= '<span class="mousewheel"></span>';
			$out .= '</div>';
			$out .= '<div id="particles-js"></div>';
			$out .= '<!-- Particles end -->';
		}

		$out .= '</section>';
		$out .= '<!-- Section Minfox end -->';

return $out;
}
add_shortcode('nt_minfox_section_herostatic', 'theme_nt_minfox_section_herostatic');

/*-----------------------------------------------------------------------------------*/
/*	ABOUT minfox
/*-----------------------------------------------------------------------------------*/
function theme_nt_minfox_section_aboutone( $atts, $content = null ) {
    extract( shortcode_atts(array(
	"section_id"		=> '',
	"headinganimation"	=> '',
	"section_subtitle"	=> '',
	"section_heading"	=> '',
	"section_desc"		=> '',
	"about_image"		=> '',
	"imganimation"		=> '',
	"sectionbgcss"		=> '',
	"customstyle"		=> ''
	), $atts) );

	$sectionbg_css = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $sectionbgcss, ' ' ),  $atts );
	$id = ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';

	$current1 = $current2 = $current3 = '';
	$custom_style = (array) vc_param_group_parse_atts($customstyle);
	foreach ( $custom_style as $styl ) {
		if ( !empty( $styl ) ){
			$currentitem= ( !empty( $styl['currentitem'] ) ) ? $styl['currentitem'] : '';
			$size 		= ( !empty( $styl['size'] ) ) ? $styl['size'] : '';
			$weight 	= ( !empty( $styl['weight'] ) ) ? $styl['weight'] : '';
			$lineh 		= ( !empty( $styl['lineh'] ) ) ? $styl['lineh'] : '';
			$color 		= ( !empty( $styl['color'] ) ) ? $styl['color'] : '';
			$position 	= ( !empty( $styl['position'] ) ) ? $styl['position'] : '';
			$fstyle 	= ( !empty( $styl['fstyle'] ) ) ? $styl['fstyle'] : '';
			$bgcolor 	= ( !empty( $styl['bgcolor'] ) ) ? $styl['bgcolor'] : '';
			$padtop 	= ( !empty( $styl['padtop'] ) ) ? ' padding-top:'.$styl['padtop'].';' : '';
			$padright 	= ( !empty( $styl['padright'] ) ) ? ' padding-right:'.$styl['padright'].';' : '';
			$padbottom 	= ( !empty( $styl['padbottom'] ) ) ? ' padding-bottom:'.$styl['padbottom'].';' : '';
			$padleft 	= ( !empty( $styl['padleft'] ) ) ? ' padding-left:'.$styl['padleft'].';' : '';
			$padding 	= ( $padtop || $padright || $padbottom || $padleft ) ? $padtop.$padright.$padbottom.$padleft : '';
			$brdtop 	= ( !empty( $styl['brdtop'] ) ) ? ' border-top-width:'.$styl['brdtop'].';' : '';
			$brdright 	= ( !empty( $styl['brdright'] ) ) ? ' border-right-width:'.$styl['brdright'].';' : '';
			$brdbottom 	= ( !empty( $styl['brdbottom'] ) ) ? ' border-bottom-width:'.$styl['brdbottom'].';' : '';
			$brdleft 	= ( !empty( $styl['brdleft'] ) ) ? ' border-left-width:'.$styl['brdleft'].';' : '';
			$border 	= ( $brdtop || $brdright || $brdbottom || $brdleft ) ? $brdtop.$brdright.$brdbottom.$brdleft : '';
			$borderstyl = ( !empty( $styl['borderstyl'] ) ) ? $styl['borderstyl'] : '';
			$bordercolor= ( !empty( $styl['bordercolor'] ) ) ? $styl['bordercolor'] : '';
			$borderradius= ( !empty( $styl['borderradius'] ) ) ? $styl['borderradius'] : '';

			if ( $currentitem == '1' ){
				$current1 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}elseif ( $currentitem == '2' ){
				$current2 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}elseif ( $currentitem == '3' ){
				$current3 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}else{
				$current1 = $current2 = $current3 = '';
			}
		}
	}

	$out = '';

		$out .= '<!-- Section About -->';
		$out .= '<section '.$id.' class="intro bg-about'.esc_attr( $sectionbg_css ).'">';
			$out .= '<div class="container">';
				$out .= '<div class="row">';
					$out .= '<div class="section-minfox text-center">';
					if ( $section_subtitle !='' ) {
						$out .= '<p class="wow '.$headinganimation.'" data-wow-delay=".2s"'.$current1.'>'.minfox_sanitize_data( $section_subtitle ).'</p>';
					}
					if ( $section_heading !='' ) {
						$out .= '<h2 class="wow '.$headinganimation.'" data-wow-delay=".4s"'.$current2.'>'.minfox_sanitize_data( $section_heading ).'</h2>';
					}
					$out .= '</div>';
				if ( $section_desc !='' ) {
					$out .= '<!-- Text -->';
					$out .= '<div class="about text-center wow '.$headinganimation.'" data-wow-delay=".6s">';
						$out .= '<p'.$current3.'>'.minfox_sanitize_data( $section_desc ).'</p>';
					$out .= '</div>';
				}
				if ( $about_image !='' ) {
				$out .= '<!-- Image -->';
					$out .= '<div class="text-center wow '.$imganimation.'" data-wow-delay=".4s">';
						$aboutimage = wp_get_attachment_url( $about_image,'full' );
						$out .= '<img src="'.esc_url( $aboutimage ).'" alt="intro" />';
					$out .= '</div>	';
				}
				$out .= '</div>';
			$out .= '</div>';

		$out .= '</section>';
		$out .= '<!-- Section About end -->';

return $out;
}
add_shortcode('nt_minfox_section_aboutone', 'theme_nt_minfox_section_aboutone');

/*-----------------------------------------------------------------------------------*/
/*	FEATURES minfox
/*-----------------------------------------------------------------------------------*/
function theme_nt_minfox_section_features( $atts, $content = null ) {
    extract( shortcode_atts(array(
	"section_id"		=> '',
	"heading_display"	=> '',
	"section_heading"	=> '',
	"section_desc"		=> '',
	"headinganimation"	=> '',
	"item_column"		=> '',
	"md_col"			=> '',
	"md_off"			=> '',
	"sm_col"			=> '',
	"xs_col"			=> '',
	"featuresloop"		=> '',
	"itemanimation"		=> '',
	"item_icon"			=> '',
	"item_icon2"		=> '',
	"img_icon"			=> '',
	"item_title"		=> '',
	"item_desc"			=> '',
	"sectionbgcss"		=> '',
	"customstyle"		=> '',
	), $atts) );

	$sectionbg_css = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $sectionbgcss, ' ' ),  $atts );
	$id = ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';
	$features_loop = (array) vc_param_group_parse_atts($featuresloop);

	$current1 = $current2 = $current3 = $current4 = $current5 = '';
	$iconposition = '';
	$custom_style = (array) vc_param_group_parse_atts($customstyle);
	foreach ( $custom_style as $styl ) {
		if ( !empty( $styl ) ){
			$currentitem= ( !empty( $styl['currentitem'] ) ) ? $styl['currentitem'] : '';
			$size 		= ( !empty( $styl['size'] ) ) ? $styl['size'] : '';
			$weight 	= ( !empty( $styl['weight'] ) ) ? $styl['weight'] : '';
			$lineh 		= ( !empty( $styl['lineh'] ) ) ? $styl['lineh'] : '';
			$color 		= ( !empty( $styl['color'] ) ) ? $styl['color'] : '';
			$position 	= ( !empty( $styl['position'] ) ) ? $styl['position'] : '';
			$fstyle 	= ( !empty( $styl['fstyle'] ) ) ? $styl['fstyle'] : '';
			$bgcolor 	= ( !empty( $styl['bgcolor'] ) ) ? $styl['bgcolor'] : '';
			$padtop 	= ( !empty( $styl['padtop'] ) ) ? ' padding-top:'.$styl['padtop'].';' : '';
			$padright 	= ( !empty( $styl['padright'] ) ) ? ' padding-right:'.$styl['padright'].';' : '';
			$padbottom 	= ( !empty( $styl['padbottom'] ) ) ? ' padding-bottom:'.$styl['padbottom'].';' : '';
			$padleft 	= ( !empty( $styl['padleft'] ) ) ? ' padding-left:'.$styl['padleft'].';' : '';
			$padding 	= ( $padtop || $padright || $padbottom || $padleft ) ? $padtop.$padright.$padbottom.$padleft : '';
			$brdtop 	= ( !empty( $styl['brdtop'] ) ) ? ' border-top-width:'.$styl['brdtop'].';' : '';
			$brdright 	= ( !empty( $styl['brdright'] ) ) ? ' border-right-width:'.$styl['brdright'].';' : '';
			$brdbottom 	= ( !empty( $styl['brdbottom'] ) ) ? ' border-bottom-width:'.$styl['brdbottom'].';' : '';
			$brdleft 	= ( !empty( $styl['brdleft'] ) ) ? ' border-left-width:'.$styl['brdleft'].';' : '';
			$border 	= ( $brdtop || $brdright || $brdbottom || $brdleft ) ? $brdtop.$brdright.$brdbottom.$brdleft : '';
			$borderstyl = ( !empty( $styl['borderstyl'] ) ) ? $styl['borderstyl'] : '';
			$bordercolor= ( !empty( $styl['bordercolor'] ) ) ? $styl['bordercolor'] : '';
			$borderradius= ( !empty( $styl['borderradius'] ) ) ? $styl['borderradius'] : '';

			if ( $currentitem == '1' ){
				$current1 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}elseif ( $currentitem == '2' ){
				$current2 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}elseif ( $currentitem == '3' ){
				$iconposition = ($position == 'left') ? ' icon-'.$position.'' : '';
				$current3 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
				$iconposition = ($position == 'left') ? ' icon-'.$position.'' : '';
			}elseif ( $currentitem == '4' ){
				$current4 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}elseif ( $currentitem == '5' ){
				$current5 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}else{
				$current1 = $current2 = $current3 = $current4 = $current5 = '';
			}
		}
	}

	$out = '';

		$out .= '<!-- Section Features -->';
		$out .= '<section '.$id.' class="features gray'.esc_attr( $sectionbg_css ).'">';
			$headingdisplay = $heading_display ? $heading_display : 'show';
		if ( $headingdisplay !='hide' ) {
			$out .= '<div class="section-header">';
			if ( $headinganimation !='' ) { $heading_animation = $headinganimation; } else { $heading_animation = ''; }
				if ( $section_heading !='' ) { $out .= '<h2 class="wow '.$heading_animation.'" data-wow-delay=".2s"'.$current1.'>'.minfox_sanitize_data( $section_heading ).'</h2>'; }
				if ( $section_desc !='' ) { $out .= '<span class="wow '.$heading_animation.'" data-wow-delay=".4s"'.$current2.'>'.minfox_sanitize_data( $section_desc ).'</span>'; }
			$out .= '</div>';
		}
			$out .= '<div class="container">';
				$out .= '<div class="row">';
				if ( $item_column !='custom' ) {
					$itemcolumntotal = $item_column ? $item_column : 'col-md-4 col-sm-6 col-xs-12';
				}
				if ( $item_column =='custom' ) {
					$mdcol = $md_col ? $md_col : 'col-md-4';
					$mdoff = $md_off ? $md_off : '';
					$smcol = $sm_col ? $sm_col : '';
					$xscol = $xs_col ? $xs_col : '';
					$itemcolumn =  ''.esc_attr( $mdcol ).' '.esc_attr( $mdoff ).' '.esc_attr( $smcol ).' '.esc_attr( $xscol ).'';
					$itemcolumntotal = preg_replace('/\s\s+/', ' ', $itemcolumn);
				}
			if ( $itemanimation !='' ) { $item_animation = $itemanimation; } else { $item_animation = ''; }
				$countitem = 0;
				$itemdelay = 2;
				foreach ( $features_loop as $f ) {

                    	$link 	= !empty($f['link']) ? $f['link'] : '';
                    	$link 	= vc_build_link( $link );
                    	$href 	= $link['url'];
                    	$atitle = $link['title'];
                    	$target = $link['target'];

					$out .= '<div class="'.$itemcolumntotal.' item text-center wow '.$item_animation.'" data-wow-delay="'.(( $countitem + $itemdelay )/10).'s">';
                    $icon = isset( $f['item_icon2'] ) !='' ? $f['item_icon2'] : $f['item_icon'];

					if ( isset( $f['img_icon'] ) !='' ){
						$imageicon = wp_get_attachment_image( $f['img_icon'], 'full' );
						$out .= '<div class="icon-wrap">';
					        if ( $href  ){
								$out .= '<a href="'.$href.'" title="'.$atitle.'" target="'.$target.'">'.$imageicon.'</a>';
					        } else {
								$out .= $imageicon;
					        }
						$out .= '</div>';

					} else {

						if ( !empty( $icon ) ){

							$out .= '<div class="icon-wrap">';
								if ( $href  ){
									$out .= '<a href="'.$href.'" title="'.$atitle.'" target="'.$target.'"><span class="icon'.$iconposition.'"><i class="'.$icon.'" aria-hidden="true"'.$current3.'></i></span></a>';
								} else {
									$out .= '<span class="icon'.$iconposition.'"><i class="'.$icon.'" aria-hidden="true"'.$current3.'></i></span>';
								}
							$out .= '</div>';
						}
					}

						$out .= '<div class="description">';
							if ( isset( $f['item_title'] ) !='' ){
							    if ( $href  ){
							        $out .= '<a href="'.$href.'" title="'.$atitle.'" target="'.$target.'"><h3'.$current4.'>'.$f['item_title'].'</h3></a>';
							    } else {
							        $out .= '<h3'.$current4.'>'.$f['item_title'].'</h3>';
							    }
							 }
							if ( isset( $f['item_desc'] ) !='' ){ $out .= '<p'.$current5.'>'.$f['item_desc'].'</p>'; }
						$out .= '</div>';
					$out .= '</div>';
					$countitem++;
					$itemdelay++;
				}

				$out .= '</div>';
			$out .= '</div>';
		$out .= '</section>';
		$out .= '<!-- Section Features end -->';

	return $out;
}
add_shortcode('nt_minfox_section_features', 'theme_nt_minfox_section_features');

/*-----------------------------------------------------------------------------------*/
/* services item minfox
/*-----------------------------------------------------------------------------------*/
function theme_nt_minfox_services_item( $atts, $content = null ) {
    extract( shortcode_atts(array(
        "title"       => '',
        "desc"        => '',
        "icon"        => '',
        "customicon"  => '',
        "iconpos"     => '',
        "link"        => '',
        "align"       => '',
        "animation"   => '',
        "delay"       => '',
        "iclr"        => '',
        "tclr"        => '',
        "tsz"         => '',
        "tlh"         => '',
        "dtclr"       => '',
        "dtsz"        => '',
        "dtlh"        => ''
	), $atts) );

    $link   = $link ? $link : '';
    $link   = vc_build_link( $link );
    $href   = $link['url'] ? ' href="'.$link['url'].'"' : '';
    $atitle = $link['title'] ? ' title="'.$link['title'].'"' : '';
    $target = $link['target'] ? ' target="'.$link['target'].'"' : '';

    $icon   = $icon ? $icon : '';
    $icon   = $customicon ? $customicon : $icon;
    $align  = $align ? ' '.$align : '';
    $animation = $animation ? ' wow '.$animation.'" data-wow-delay="'.$delay.'s"' : '"';

	$out = '';

        $out .= '<div class="services_item'.$align.$animation.'>';

            if ( $icon ) {
                if ( $href ) {
                    $out .= '<a'.$href.$atitle.$target.'><i class="services_item_icon '.$icon.'"></i></a>';
                } else {
                    $out .= '<i class="services_item_icon '.$icon.'"></i>';
                }
            }

            $out .= '<div class="services_item_info">';
                if ( $title ) {
                    $out .= '<div class="services_item_header">';
                        $out .= '<h3 class="services_item_title">';
                        if ( $href ) {
                            $out .= '<a'.$href.$atitle.$target.'>'.$title.'</a>';
                        } else {
                            $out .= $title;
                        }
                        $out .= '</h3>';
                    $out .= '</div>';
                }
                if ( $desc ) {
                    $out .= '<div class="services_item_content">';
                        $out .= '<p>'.$desc.'</p>';
                    $out .= '</div>';
                }

            $out .= '</div>';
        $out .= '</div>';

	return $out;
}
add_shortcode('nt_minfox_services_item', 'theme_nt_minfox_services_item');

/*-----------------------------------------------------------------------------------*/
/*	GALLERY CAROUSEL minfox
/*-----------------------------------------------------------------------------------*/
function theme_nt_minfox_section_gallery( $atts, $content = null ) {
    extract( shortcode_atts(array(
	"section_id"		=> '',
	"heading_display"	=> '',
	"section_heading"	=> '',
	"section_desc"		=> '',
	"headinganimation"	=> '',
	"galleryloop"		=> '',
	"item_img"			=> '',
	"overlay_c"			=> '',
	"overlay_color"		=> '',
	"sectionbgcss"		=> '',
	"customstyle"		=> '',

	), $atts) );
	wp_enqueue_script( 'slick' );
	wp_enqueue_script( 'nt-minfox-slick-set' );
	$sectionbg_css = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $sectionbgcss, ' ' ),  $atts );
	$id = ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';
	$gallery_loop = (array) vc_param_group_parse_atts($galleryloop);

	$current1 = $current2 = '';
	$custom_style = (array) vc_param_group_parse_atts($customstyle);
	foreach ( $custom_style as $styl ) {
		if ( !empty( $styl ) ){
			$currentitem= ( !empty( $styl['currentitem'] ) ) ? $styl['currentitem'] : '';
			$size 		= ( !empty( $styl['size'] ) ) ? $styl['size'] : '';
			$weight 	= ( !empty( $styl['weight'] ) ) ? $styl['weight'] : '';
			$lineh 		= ( !empty( $styl['lineh'] ) ) ? $styl['lineh'] : '';
			$color 		= ( !empty( $styl['color'] ) ) ? $styl['color'] : '';
			$position 	= ( !empty( $styl['position'] ) ) ? $styl['position'] : '';
			$fstyle 	= ( !empty( $styl['fstyle'] ) ) ? $styl['fstyle'] : '';
			$bgcolor 	= ( !empty( $styl['bgcolor'] ) ) ? $styl['bgcolor'] : '';
			$padtop 	= ( !empty( $styl['padtop'] ) ) ? ' padding-top:'.$styl['padtop'].';' : '';
			$padright 	= ( !empty( $styl['padright'] ) ) ? ' padding-right:'.$styl['padright'].';' : '';
			$padbottom 	= ( !empty( $styl['padbottom'] ) ) ? ' padding-bottom:'.$styl['padbottom'].';' : '';
			$padleft 	= ( !empty( $styl['padleft'] ) ) ? ' padding-left:'.$styl['padleft'].';' : '';
			$padding 	= ( $padtop || $padright || $padbottom || $padleft ) ? $padtop.$padright.$padbottom.$padleft : '';
			$brdtop 	= ( !empty( $styl['brdtop'] ) ) ? ' border-top-width:'.$styl['brdtop'].';' : '';
			$brdright 	= ( !empty( $styl['brdright'] ) ) ? ' border-right-width:'.$styl['brdright'].';' : '';
			$brdbottom 	= ( !empty( $styl['brdbottom'] ) ) ? ' border-bottom-width:'.$styl['brdbottom'].';' : '';
			$brdleft 	= ( !empty( $styl['brdleft'] ) ) ? ' border-left-width:'.$styl['brdleft'].';' : '';
			$border 	= ( $brdtop || $brdright || $brdbottom || $brdleft ) ? $brdtop.$brdright.$brdbottom.$brdleft : '';
			$borderstyl = ( !empty( $styl['borderstyl'] ) ) ? $styl['borderstyl'] : '';
			$bordercolor= ( !empty( $styl['bordercolor'] ) ) ? $styl['bordercolor'] : '';
			$borderradius= ( !empty( $styl['borderradius'] ) ) ? $styl['borderradius'] : '';

			if ( $currentitem == '1' ){
				$current1 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}elseif ( $currentitem == '2' ){
				$current2 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}elseif ( $currentitem == '3' ){
				$current3 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}else{
				$current1 = $current2 = '';
			}
		}
	}

	$out = '';

		$out .= '<!-- Section gallery -->';
		$out .= '<section '.$id.' class="gallery with-bg'.esc_attr( $sectionbg_css ).'">';

			$headingdisplay = $heading_display ? $heading_display : 'show';
		if ( $headingdisplay !='hide' ) {
			$out .= '<div class="section-header">';
			if ( $headinganimation !='' ) { $heading_animation = $headinganimation; } else { $heading_animation = ''; }
				if ( $section_heading !='' ) { $out .= '<h2 class="wow '.$heading_animation.'" data-wow-delay=".2s"'.$current1.'>'.minfox_sanitize_data( $section_heading ).'</h2>'; }
				if ( $section_desc !='' ) { $out .= '<span class="wow '.$heading_animation.'" data-wow-delay=".4s"'.$current2.'>'.minfox_sanitize_data( $section_desc ).'</span>'; }
			$out .= '</div>';
		}

			$out .= '<div class="section-content container">';
				$out .= '<!-- Carousel -->';
				$out .= '<div class="gallery-slide">';
				foreach ( $gallery_loop as $g ) {
					if ( isset( $g['item_img'] ) !='' ){
						$itemimg = wp_get_attachment_url( $g['item_img'],'full' );
					$out .= '<div class="item">';
						$out .= '<img src="'.esc_url( $itemimg ).'" alt="gallery" />';
					$out .= '</div>';
					}
				}
				$out .= '</div>';
				$out .= '<!-- Carousel end -->';
				$out .= '<div id="gallery-dots"></div>';
			$out .= '</div>';
			$overlay = $overlay_c ? $overlay_c : 'show';
			$overlaycolor = ( $overlay_color != '' ) ? ' style="backgroud-color:'.$overlay_color.'!important;"' : '';
		if ( $overlay !='hide' ) {
			$out .= '<div class="overlay"'.$overlaycolor.'></div>';
		}
		$out .= '</section>';
		$out .= '<!-- Section gallery end -->';

	return $out;
}
add_shortcode('nt_minfox_section_gallery', 'theme_nt_minfox_section_gallery');

/*-----------------------------------------------------------------------------------*/
/*	TESTIMONIAL minfox
/*-----------------------------------------------------------------------------------*/
function theme_nt_minfox_section_testimonial( $atts, $content = null ) {
    extract( shortcode_atts(array(
		"section_id"	=> '',
		'heading_display'	=> '',
		'secheading'	=> '',
		'secdescription'		=> '',
		'headinganimation'	=> '',
		"testianimation"=> 'fadeInUp',
		"testiloop"		=> '',
		"testi_img"		=> '',
		"testi_quote"	=> '',
		"testi_name"	=> '',
		"testi_job"		=> '',
		"sectionbgcss"	=> '',
		"customstyle"	=> '',

	), $atts) );
	wp_enqueue_script( 'slick' );
	wp_enqueue_script( 'nt-minfox-slick-set' );
	$sectionbg_css = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $sectionbgcss, ' ' ),  $atts );
	$id = ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';
	$testi_loop = (array) vc_param_group_parse_atts($testiloop);

	$current1 = $current2 = $current3 = $current4 = $current5 = '';
	$custom_style = (array) vc_param_group_parse_atts($customstyle);
	foreach ( $custom_style as $styl ) {
		if ( !empty( $styl ) ){
			$currentitem= ( !empty( $styl['currentitem'] ) ) ? $styl['currentitem'] : '';
			$size 		= ( !empty( $styl['size'] ) ) ? $styl['size'] : '';
			$weight 	= ( !empty( $styl['weight'] ) ) ? $styl['weight'] : '';
			$lineh 		= ( !empty( $styl['lineh'] ) ) ? $styl['lineh'] : '';
			$color 		= ( !empty( $styl['color'] ) ) ? $styl['color'] : '';
			$position 	= ( !empty( $styl['position'] ) ) ? $styl['position'] : '';
			$fstyle 	= ( !empty( $styl['fstyle'] ) ) ? $styl['fstyle'] : '';
			$bgcolor 	= ( !empty( $styl['bgcolor'] ) ) ? $styl['bgcolor'] : '';
			$padtop 	= ( !empty( $styl['padtop'] ) ) ? ' padding-top:'.$styl['padtop'].';' : '';
			$padright 	= ( !empty( $styl['padright'] ) ) ? ' padding-right:'.$styl['padright'].';' : '';
			$padbottom 	= ( !empty( $styl['padbottom'] ) ) ? ' padding-bottom:'.$styl['padbottom'].';' : '';
			$padleft 	= ( !empty( $styl['padleft'] ) ) ? ' padding-left:'.$styl['padleft'].';' : '';
			$padding 	= ( $padtop || $padright || $padbottom || $padleft ) ? $padtop.$padright.$padbottom.$padleft : '';
			$brdtop 	= ( !empty( $styl['brdtop'] ) ) ? ' border-top-width:'.$styl['brdtop'].';' : '';
			$brdright 	= ( !empty( $styl['brdright'] ) ) ? ' border-right-width:'.$styl['brdright'].';' : '';
			$brdbottom 	= ( !empty( $styl['brdbottom'] ) ) ? ' border-bottom-width:'.$styl['brdbottom'].';' : '';
			$brdleft 	= ( !empty( $styl['brdleft'] ) ) ? ' border-left-width:'.$styl['brdleft'].';' : '';
			$border 	= ( $brdtop || $brdright || $brdbottom || $brdleft ) ? $brdtop.$brdright.$brdbottom.$brdleft : '';
			$borderstyl = ( !empty( $styl['borderstyl'] ) ) ? $styl['borderstyl'] : '';
			$bordercolor= ( !empty( $styl['bordercolor'] ) ) ? $styl['bordercolor'] : '';
			$borderradius= ( !empty( $styl['borderradius'] ) ) ? $styl['borderradius'] : '';

			if ( $currentitem == '1' ){
				$current1 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}elseif ( $currentitem == '2' ){
				$current2 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}elseif ( $currentitem == '3' ){
				$current3 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
				$iconposition = ($position == 'left') ? ' icon-'.$position.'' : '';
			}elseif ( $currentitem == '4' ){
				$current4 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}elseif ( $currentitem == '5' ){
				$current5 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}else{
				$current1 = $current2 = $current3 = $current4 = $current5 = '';
			}
		}
	}

	$out = '';

		$out .= '<!-- Section Testimonials -->';
		$out .= '<section '.$id.' class="testimonials gray'.esc_attr( $sectionbg_css ).'">';
			$headingdisplay = $heading_display ? $heading_display : 'show';
		if ( $headingdisplay !='hide' ) {
			$out .= '<div class="section-header">';
			if ( $headinganimation !='' ) { $heading_animation = $headinganimation; } else { $heading_animation = ''; }
				if ( $secheading !='' ) { $out .= '<h2 class="wow '.$heading_animation.'" data-wow-delay=".2s"'.$current1.'>'.minfox_sanitize_data( $secheading ).'</h2>'; }
				if ( $secdescription !='' ) { $out .= '<span class="wow '.$heading_animation.'" data-wow-delay=".4s"'.$current2.'>'.minfox_sanitize_data( $secdescription ).'</span>'; }
			$out .= '</div>';
		}
			$out .= '<div class="container">';
				$out .= '<!-- Carousel -->';
				$out .= '<div class="testimonial-slide">';
				foreach ( $testi_loop as $testi ) {
					if ( $testianimation !='' ) { $testi_animation = ' wow '.$testianimation.'" data-wow-delay=".2s"'; } else { $testi_animation = '"'; }
					$out .= '<div class="item'.$testi_animation.'>';
						if ( isset( $testi['testi_quote'] ) !='' ){ $out .= '<p'.$current3.'>'.$testi['testi_quote'].' </p>'; }
						$out .= '<div class="user">';
						if ( isset( $testi['testi_img'] ) !='' ){
							$testiimg = wp_get_attachment_url( $testi['testi_img'],'full' );
							$out .= '<div class="thumb">';
								$out .= '<img class="img-circle" src="'.esc_url( $testiimg ).'" alt="testimonial" />';
							$out .= '</div>';
						}
							$out .= '<div class="info clearfix">';
								if ( isset( $testi['testi_name'] ) !='' ){ $out .= '<h3'.$current4.'>'.$testi['testi_name'].'</h3>'; }
								if ( isset( $testi['testi_job'] ) !='' ){ $out .= '<span'.$current5.'>'.$testi['testi_job'].'</span>'; }
							$out .= '</div>';
						$out .= '</div>';
					$out .= '</div>';
				}
				$out .= '</div>';
				$out .= '<!-- Carousel end -->';
			$out .= '</div>';
		$out .= '</section>';
		$out .= '<!-- Section Testimonials end -->';

	return $out;
}
add_shortcode('nt_minfox_section_testimonial', 'theme_nt_minfox_section_testimonial');

/*-----------------------------------------------------------------------------------*/
/*	CTA minfox
/*-----------------------------------------------------------------------------------*/
function theme_nt_minfox_section_cta( $atts, $content = null ) {
    extract( shortcode_atts(array(
	"section_id"		=> '',
	"headinganimation"	=> '',
	"section_desc"		=> '',
	"section_heading"	=> '',
	"btnanimation"		=> '',
	"ctabtnlink"		=> '',
	"ctabtnlink2"		=> '',
	"sectionbgcss"		=> '',
	"customstyle"		=> '',

	), $atts) );

	$sectionbg_css = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $sectionbgcss, ' ' ),  $atts );
	$id = ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';

	$ctabtnlink 	= ( $ctabtnlink == '||' ) ? '' : $ctabtnlink;
	$ctabtnlink 	= vc_build_link( $ctabtnlink );
	$ctabtn_href 	= $ctabtnlink['url'];
	$ctabtn_title 	= $ctabtnlink['title'];
	$ctabtn_target 	= $ctabtnlink['target'];

	$ctabtnlink2 	= ( $ctabtnlink2 == '||' ) ? '' : $ctabtnlink2;
	$ctabtnlink2 	= vc_build_link( $ctabtnlink2 );
	$ctabtn_href2 	= $ctabtnlink2['url'];
	$ctabtn_title2 	= $ctabtnlink2['title'];
	$ctabtn_target2 = $ctabtnlink2['target'];

	$current1 = $current2 = $current3 = $current4 = '';
	$custom_style = (array) vc_param_group_parse_atts($customstyle);
	foreach ( $custom_style as $styl ) {
		if ( !empty( $styl ) ){
			$currentitem= ( !empty( $styl['currentitem'] ) ) ? $styl['currentitem'] : '';
			$size 		= ( !empty( $styl['size'] ) ) ? $styl['size'] : '';
			$weight 	= ( !empty( $styl['weight'] ) ) ? $styl['weight'] : '';
			$lineh 		= ( !empty( $styl['lineh'] ) ) ? $styl['lineh'] : '';
			$color 		= ( !empty( $styl['color'] ) ) ? $styl['color'] : '';
			$position 	= ( !empty( $styl['position'] ) ) ? $styl['position'] : '';
			$fstyle 	= ( !empty( $styl['fstyle'] ) ) ? $styl['fstyle'] : '';
			$bgcolor 	= ( !empty( $styl['bgcolor'] ) ) ? $styl['bgcolor'] : '';
			$padtop 	= ( !empty( $styl['padtop'] ) ) ? ' padding-top:'.$styl['padtop'].';' : '';
			$padright 	= ( !empty( $styl['padright'] ) ) ? ' padding-right:'.$styl['padright'].';' : '';
			$padbottom 	= ( !empty( $styl['padbottom'] ) ) ? ' padding-bottom:'.$styl['padbottom'].';' : '';
			$padleft 	= ( !empty( $styl['padleft'] ) ) ? ' padding-left:'.$styl['padleft'].';' : '';
			$padding 	= ( $padtop || $padright || $padbottom || $padleft ) ? $padtop.$padright.$padbottom.$padleft : '';
			$brdtop 	= ( !empty( $styl['brdtop'] ) ) ? ' border-top-width:'.$styl['brdtop'].';' : '';
			$brdright 	= ( !empty( $styl['brdright'] ) ) ? ' border-right-width:'.$styl['brdright'].';' : '';
			$brdbottom 	= ( !empty( $styl['brdbottom'] ) ) ? ' border-bottom-width:'.$styl['brdbottom'].';' : '';
			$brdleft 	= ( !empty( $styl['brdleft'] ) ) ? ' border-left-width:'.$styl['brdleft'].';' : '';
			$border 	= ( $brdtop || $brdright || $brdbottom || $brdleft ) ? $brdtop.$brdright.$brdbottom.$brdleft : '';
			$borderstyl = ( !empty( $styl['borderstyl'] ) ) ? $styl['borderstyl'] : '';
			$bordercolor= ( !empty( $styl['bordercolor'] ) ) ? $styl['bordercolor'] : '';
			$borderradius= ( !empty( $styl['borderradius'] ) ) ? $styl['borderradius'] : '';

			if ( $currentitem == '1' ){
				$current1 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}elseif ( $currentitem == '2' ){
				$current2 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}elseif ( $currentitem == '3' ){
				$current3 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
				$iconposition = ($position == 'left') ? ' icon-'.$position.'' : '';
			}elseif ( $currentitem == '4' ){
				$current4 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}elseif ( $currentitem == '5' ){
				$current5 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}else{
				$current1 = $current2 = $current3 = $current4 = '';
			}
		}
	}

	$out = '';

		$out .= '<!-- Section Call to Action -->';
		$out .= '<section '.$id.' class="cta-footer with-bg'.esc_attr( $sectionbg_css ).'">';
			$out .= '<div class="section-content container">';
				if ( $section_heading !='' ) { $out .= '<h2 class="wow '.$headinganimation.'" data-wow-delay=".2s"'.$current1.'>'.minfox_sanitize_data( $section_heading ).'</h2>'; }
					if ( $section_desc !='' ) { $out .= '<p class="wow '.$headinganimation.'" data-wow-delay=".4s"'.$current2.'>'.minfox_sanitize_data( $section_desc ).'</p>'; }
				$out .= '<div class="buttons wow '.$btnanimation.'" data-wow-delay=".4s">';
					if ( $ctabtn_title !='' ) {
						$out .= '<a href="'.esc_attr( $ctabtn_href ).'" '; if ( $ctabtn_target != '' ) { $out .= ' target="'.$ctabtn_target.'"';}$out .= 'class="btn-cta"'.$current3.'>'.esc_html( $ctabtn_title ).'</a>';
					}
					if ( $ctabtn_title2 !='' ) {
						$out .= '<a href="'.esc_attr( $ctabtn_href2 ).'" '; if ( $ctabtn_target2 != '' ) { $out .= ' target="'.$ctabtn_target2.'"';}$out .= 'class="btn-cta"'.$current4.'>'.esc_html( $ctabtn_title2 ).'</a>';
					}
				$out .= '</div>';
			$out .= '</div>';
		$out .= '</section>';
		$out .= '<!-- Section Call to Action end -->';

return $out;
}
add_shortcode('nt_minfox_section_cta', 'theme_nt_minfox_section_cta');

/*-----------------------------------------------------------------------------------*/
/*	TEAM
/*-----------------------------------------------------------------------------------*/
function theme_nt_minfox_section_team($atts){
	extract(shortcode_atts(array(
		'section_id'		=> '',
		'heading_display'	=> '',
		'section_heading'	=> '',
		'section_desc'		=> '',
		'headinganimation'	=> '',
		'sectionbgcss'		=> '',
		'teamanimation'     => '',
		'orderby'       	=> 'date',
		'order'         	=> 'DESC',
		'post_number'   	=> '4',
		'team_category' 	=> 'all',
		'customstyle' 		=> '',

    ), $atts));
	wp_enqueue_script('owl-carousel-js');
	wp_enqueue_script('nt-minfox-carousel-settigs');
	global $post;
	$nt_minfox_team_args = array(
		'post_type' 	 => 'team',
		'posts_per_page' => $post_number,
		'order' 		 => $order,
		'orderby' 		 => $orderby,
		'post_status' 	 => 'publish'
	);

	$sectionbg_css = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $sectionbgcss, ' ' ),  $atts );
	$id = ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';

    if( $team_category != 'all' ){
    	$str = $team_category;
    	$arr = explode( ',', $str );
		$nt_minfox_team_args['tax_query'][] = array( 'taxonomy' => 'team_category', 'field' => 'slug', 'terms' => $arr );
	}

	$current1 = $current2 = $current3 = $current4 = $current5 = '';
	$custom_style = (array) vc_param_group_parse_atts($customstyle);
	foreach ( $custom_style as $styl ) {
		if ( !empty( $styl ) ){
			$currentitem= ( !empty( $styl['currentitem'] ) ) ? $styl['currentitem'] : '';
			$size 		= ( !empty( $styl['size'] ) ) ? $styl['size'] : '';
			$weight 	= ( !empty( $styl['weight'] ) ) ? $styl['weight'] : '';
			$lineh 		= ( !empty( $styl['lineh'] ) ) ? $styl['lineh'] : '';
			$color 		= ( !empty( $styl['color'] ) ) ? $styl['color'] : '';
			$position 	= ( !empty( $styl['position'] ) ) ? $styl['position'] : '';
			$fstyle 	= ( !empty( $styl['fstyle'] ) ) ? $styl['fstyle'] : '';
			$bgcolor 	= ( !empty( $styl['bgcolor'] ) ) ? $styl['bgcolor'] : '';
			$padtop 	= ( !empty( $styl['padtop'] ) ) ? ' padding-top:'.$styl['padtop'].';' : '';
			$padright 	= ( !empty( $styl['padright'] ) ) ? ' padding-right:'.$styl['padright'].';' : '';
			$padbottom 	= ( !empty( $styl['padbottom'] ) ) ? ' padding-bottom:'.$styl['padbottom'].';' : '';
			$padleft 	= ( !empty( $styl['padleft'] ) ) ? ' padding-left:'.$styl['padleft'].';' : '';
			$padding 	= ( $padtop || $padright || $padbottom || $padleft ) ? $padtop.$padright.$padbottom.$padleft : '';
			$brdtop 	= ( !empty( $styl['brdtop'] ) ) ? ' border-top-width:'.$styl['brdtop'].';' : '';
			$brdright 	= ( !empty( $styl['brdright'] ) ) ? ' border-right-width:'.$styl['brdright'].';' : '';
			$brdbottom 	= ( !empty( $styl['brdbottom'] ) ) ? ' border-bottom-width:'.$styl['brdbottom'].';' : '';
			$brdleft 	= ( !empty( $styl['brdleft'] ) ) ? ' border-left-width:'.$styl['brdleft'].';' : '';
			$border 	= ( $brdtop || $brdright || $brdbottom || $brdleft ) ? $brdtop.$brdright.$brdbottom.$brdleft : '';
			$borderstyl = ( !empty( $styl['borderstyl'] ) ) ? $styl['borderstyl'] : '';
			$bordercolor= ( !empty( $styl['bordercolor'] ) ) ? $styl['bordercolor'] : '';
			$borderradius= ( !empty( $styl['borderradius'] ) ) ? $styl['borderradius'] : '';

			if ( $currentitem == '1' ){
				$current1 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}elseif ( $currentitem == '2' ){
				$current2 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}elseif ( $currentitem == '3' ){
				$current3 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
				$iconposition = ($position == 'left') ? ' icon-'.$position.'' : '';
			}elseif ( $currentitem == '4' ){
				$current4 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}elseif ( $currentitem == '5' ){
				$current5 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}else{
				$current1 = $current2 = $current3 = $current4 = $current5 = '';
			}
		}
	}

	$out = '';

		$out .= '<!-- Section Team -->';
		$out .= '<section '.$id.' class="gray'.esc_attr( $sectionbg_css ).'">';
			$headingdisplay = $heading_display ? $heading_display : 'show';
		if ( $headingdisplay !='hide' ) {
			$out .= '<div class="section-header">';
			if ( $headinganimation !='' ) { $heading_animation = $headinganimation; } else { $heading_animation = ''; }
				if ( $section_heading !='' ) { $out .= '<h2 class="wow '.$heading_animation.'" data-wow-delay=".2s"'.$current1.'>'.minfox_sanitize_data( $section_heading ).'</h2>'; }
				if ( $section_desc !='' ) { $out .= '<span class="wow '.$heading_animation.'" data-wow-delay=".4s"'.$current2.'>'.minfox_sanitize_data( $section_desc ).'</span>'; }
			$out .= '</div>';
		}
			$out .= '<div class="container">';
				$out .= '<div class="row team">	';
			$countteam = 0;
			$countdelay = 2;
			$nt_minfox_team_query = new WP_Query($nt_minfox_team_args);
			if ( $nt_minfox_team_query->have_posts() ) :
				while ($nt_minfox_team_query->have_posts()) : $nt_minfox_team_query->the_post();

					$excerp_content = get_post_meta( get_the_ID(), 'nt_minfox_excerpcontent', true );
					$contents      	= get_post_meta( get_the_ID(), 'nt_minfox_social_icon', true );
					$socialurl     	= get_post_meta( get_the_ID(), 'nt_minfox_social_url', true );
					$social_target  = get_post_meta( get_the_ID(), 'nt_minfox_social_target', true );
					$item_column 	= get_post_meta( get_the_ID(), 'nt_minfox_item_column', true );
					$team_job 		= get_post_meta( get_the_ID(), 'nt_minfox_team_job', true );

					$team_img_width	= get_post_meta( get_the_ID(), 'nt_minfox_img_width', true );
					$team_img_height= get_post_meta( get_the_ID(), 'nt_minfox_img_height', true );
					$team_imgwidth	= $team_img_width ? $team_img_width	: 390;
					$team_imgheight	= $team_img_height ? $team_img_height : 470;
					$excerpcontent	= $excerp_content ? $excerp_content : 150;

					$lg_col	= get_post_meta( get_the_ID(), 'nt_minfox_lg_col', true );
					$md_col	= get_post_meta( get_the_ID(), 'nt_minfox_md_col', true );
					$md_off	= get_post_meta( get_the_ID(), 'nt_minfox_md_off', true );
					$sm_col	= get_post_meta( get_the_ID(), 'nt_minfox_sm_col', true );
					$xs_col	= get_post_meta( get_the_ID(), 'nt_minfox_xs_col', true );

					$lgcol = $lg_col ? $lg_col : '';
					$mdcol = $md_col ? $md_col : 'col-md-3';
					$mdoff = $md_off ? $md_off : '';
					$smcol = $sm_col ? $sm_col : 'col-sm-6';
					$xscol = $xs_col ? $xs_col : 'col-xs-12';

					$itemcol =  ''.esc_attr( $lgcol ).' '.esc_attr( $mdcol ).' '.esc_attr( $mdoff ).' '.esc_attr( $smcol ).' '.esc_attr( $xscol ).'';
					$itemcolumntotal = preg_replace('/\s\s+/', ' ', $itemcol);

					$team_animation = ( $teamanimation !='' ) ? ' wow '.$teamanimation.'" data-wow-delay="'.(( $countteam + $countdelay )/10).'s"' : '';

					$out .= '<div class="'.$itemcolumntotal.''.$team_animation.'>';
						$out .= '<div class="team-bg text-center">';
							$nt_minfox_teamthumb = get_post_thumbnail_id();
						if ( $nt_minfox_teamthumb !='' ) {
    						if ( function_exists('nt_minfox_aq_resize') ) {
    							$nt_minfox_teamimg = nt_minfox_aq_resize( wp_get_attachment_url( $nt_minfox_teamthumb,'full' ), $team_imgwidth, $team_imgheight , true, true, true );
    							$out .= '<div class="thumb-team">';
    								$out .= '<img src="'.esc_url($nt_minfox_teamimg).'" alt="intro" />';
    							$out .= '</div>';
    						} else {
    							$nt_minfox_teamimg = wp_get_attachment_url( $nt_minfox_teamthumb,'full' );
    							$out .= '<div class="thumb-team">';
    								$out .= '<img src="'.esc_url($nt_minfox_teamimg).'" alt="intro" />';
    							$out .= '</div>';
    						}
                        }
						if ( get_the_title() !='' ) { $out .= '<h2 class="title"'.$current3.'>'.get_the_title().'</h2>'; }
						if ( $team_job !='' ) { $out .= '<span class="position"'.$current4.'>'.esc_html( $team_job ).'</span>'; }
						if( $contents ) {
							$out .= '<ul class="social-team">';
							foreach ( array_combine( $contents, $socialurl ) as $content => $url ) {
								$social_target = get_post_meta( get_the_ID(), 'nt_minfox_social_target', true );
								$socialtarget = $social_target ? 'target="'.esc_attr($social_target).'"' : '';
								$out .= '<li><a href="'.esc_url($url).'" '. $socialtarget .'><i class="'.esc_html($content).'" aria-hidden="true"'.$current5.'></i></a></li>';
							}
							$out .= '</ul>';
						}
						$out .= '</div>';
					$out .= '</div>';
				endwhile;
			endif;
			wp_reset_postdata();

				$out .= '</div>';
			$out .= '</div>';
		$out .= '</section>';
		$out .= '<!-- Section Team end -->';

	return $out;
}
add_shortcode('nt_minfox_section_team', 'theme_nt_minfox_section_team');

/*-----------------------------------------------------------------------------------*/
/*	TEAM ITEM
/*-----------------------------------------------------------------------------------*/
function theme_nt_minfox_section_teamitem($atts){
	extract(shortcode_atts(array(
		'postname'		=> '',
		'customstyle'   => '',

    ), $atts));

	$nt_minfox_team_args = array(
		'name' 	 		 => $postname,
		'post_type' 	 => 'team',
		'posts_per_page' => 1,
		'post_status' 	 => 'publish'
	);

	$current1 = $current2 = $current3 = '';
	$custom_style = (array) vc_param_group_parse_atts($customstyle);
	foreach ( $custom_style as $styl ) {
		if ( !empty( $styl ) ){
			$currentitem= ( !empty( $styl['currentitem'] ) ) ? $styl['currentitem'] : '';
			$size 		= ( !empty( $styl['size'] ) ) ? $styl['size'] : '';
			$weight 	= ( !empty( $styl['weight'] ) ) ? $styl['weight'] : '';
			$lineh 		= ( !empty( $styl['lineh'] ) ) ? $styl['lineh'] : '';
			$color 		= ( !empty( $styl['color'] ) ) ? $styl['color'] : '';
			$position 	= ( !empty( $styl['position'] ) ) ? $styl['position'] : '';
			$fstyle 	= ( !empty( $styl['fstyle'] ) ) ? $styl['fstyle'] : '';
			$bgcolor 	= ( !empty( $styl['bgcolor'] ) ) ? $styl['bgcolor'] : '';
			$padtop 	= ( !empty( $styl['padtop'] ) ) ? ' padding-top:'.$styl['padtop'].';' : '';
			$padright 	= ( !empty( $styl['padright'] ) ) ? ' padding-right:'.$styl['padright'].';' : '';
			$padbottom 	= ( !empty( $styl['padbottom'] ) ) ? ' padding-bottom:'.$styl['padbottom'].';' : '';
			$padleft 	= ( !empty( $styl['padleft'] ) ) ? ' padding-left:'.$styl['padleft'].';' : '';
			$padding 	= ( $padtop || $padright || $padbottom || $padleft ) ? $padtop.$padright.$padbottom.$padleft : '';
			$brdtop 	= ( !empty( $styl['brdtop'] ) ) ? ' border-top-width:'.$styl['brdtop'].';' : '';
			$brdright 	= ( !empty( $styl['brdright'] ) ) ? ' border-right-width:'.$styl['brdright'].';' : '';
			$brdbottom 	= ( !empty( $styl['brdbottom'] ) ) ? ' border-bottom-width:'.$styl['brdbottom'].';' : '';
			$brdleft 	= ( !empty( $styl['brdleft'] ) ) ? ' border-left-width:'.$styl['brdleft'].';' : '';
			$border 	= ( $brdtop || $brdright || $brdbottom || $brdleft ) ? $brdtop.$brdright.$brdbottom.$brdleft : '';
			$borderstyl = ( !empty( $styl['borderstyl'] ) ) ? $styl['borderstyl'] : '';
			$bordercolor= ( !empty( $styl['bordercolor'] ) ) ? $styl['bordercolor'] : '';
			$borderradius= ( !empty( $styl['borderradius'] ) ) ? $styl['borderradius'] : '';

			if ( $currentitem == '1' ){
				$current1 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}elseif ( $currentitem == '2' ){
				$current2 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}elseif ( $currentitem == '3' ){
				$current3 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
				$iconposition = ($position == 'left') ? ' icon-'.$position.'' : '';
			}else{
				$current1 = $current2 = $current3 = '';
			}
		}
	}

	$out = '';

		$nt_minfox_team_query = new WP_Query($nt_minfox_team_args);
		if ( $nt_minfox_team_query->have_posts() ) :
			while ($nt_minfox_team_query->have_posts()) : $nt_minfox_team_query->the_post();

				$excerp_content = get_post_meta( get_the_ID(), 'nt_minfox_excerpcontent', true );
				$contents      	= get_post_meta( get_the_ID(), 'nt_minfox_social_icon', true );
				$socialurl     	= get_post_meta( get_the_ID(), 'nt_minfox_social_url', true );
				$social_target  = get_post_meta( get_the_ID(), 'nt_minfox_social_target', true );
				$item_column 	= get_post_meta( get_the_ID(), 'nt_minfox_item_column', true );
				$team_job 		= get_post_meta( get_the_ID(), 'nt_minfox_team_job', true );

				$team_img_width	= get_post_meta( get_the_ID(), 'nt_minfox_img_width', true );
				$team_img_height= get_post_meta( get_the_ID(), 'nt_minfox_img_height', true );
				$team_imgwidth	= $team_img_width ? $team_img_width	: 390;
				$team_imgheight	= $team_img_height ? $team_img_height : 470;
				$excerpcontent	= $excerp_content ? $excerp_content : 150;

				$out .= '<div class="team-item">';
					$out .= '<div class="team-bg text-center">';
						$nt_minfox_teamthumb = get_post_thumbnail_id();
					if ( $nt_minfox_teamthumb !='' ) {
						$nt_minfox_teamimg = nt_minfox_aq_resize( wp_get_attachment_url( $nt_minfox_teamthumb,'full' ), $team_imgwidth, $team_imgheight , true, true, true );
						$out .= '<div class="thumb-team">';
							$out .= '<img src="'.esc_url($nt_minfox_teamimg).'" alt="'.get_the_title().'" />';
						$out .= '</div>';
					}
					if ( get_the_title() !='' ) { $out .= '<h2 class="title"'.$current1.'>'.get_the_title().'</h2>'; }
					if ( $team_job !='' ) { $out .= '<span class="position"'.$current2.'>'.esc_html( $team_job ).'</span>'; }
					if( $contents ) {
						$out .= '<ul class="social-team">';
						foreach ( array_combine( $contents, $socialurl ) as $content => $url ) {
							$social_target = get_post_meta( get_the_ID(), 'nt_minfox_social_target', true );
							$socialtarget = $social_target ? 'target="'.esc_attr($social_target).'"' : '';
							$out .= '<li><a href="'.esc_url($url).'" '. $socialtarget .'><i class="'.esc_html($content).'" aria-hidden="true"'.$current3.'></i></a></li>';
						}
						$out .= '</ul>';
					}
					$out .= '</div>';
				$out .= '</div>';
			endwhile;
		endif;
		wp_reset_postdata();

	return $out;
}
add_shortcode('nt_minfox_section_teamitem', 'theme_nt_minfox_section_teamitem');

/*-----------------------------------------------------------------------------------*/
/*	PRICE TABLE
/*-----------------------------------------------------------------------------------*/
function theme_nt_minfox_section_pricing($atts){
	extract(shortcode_atts(array(
		'section_id'		=> '',
		'heading_display'	=> '',
		'section_heading'	=> '',
		'section_desc'		=> '',
		'headinganimation'	=> '',
		"btnlink"			=> '',
		"sectionbgcss"		=> '',
		'packanimation'     => '',
		'orderby'         	=> 'date',
		'order'           	=> 'DESC',
		'post_number'     	=> '4',
		'price_category'  	=> 'all',
		'customstyle'  		=> '',

		), $atts));

		global $post;
		$args = array(
			'post_type' 	 => 'price',
			'posts_per_page' => $post_number,
			'order' 		 => $order,
			'orderby' 		 => $orderby,
			'post_status' 	 => 'publish'
		);
		if($price_category != 'all'){
			$str = $price_category;
			$arr = explode(',', $str);
			$args['tax_query'][] = array( 'taxonomy' => 'price_category', 'field' => 'slug', 'terms' => $arr );
		}
	$sectionbg_css = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $sectionbgcss, ' ' ),  $atts );
	$id = ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';

	$btnlink 		= ( $btnlink == '||' ) ? '' : $btnlink;
	$btnlink 		= vc_build_link( $btnlink );
	$btn_href 		= $btnlink['url'];
	$btn_title 		= $btnlink['title'];
	$btn_target 	= $btnlink['target'];

	$currentitem = $current1 = $current2 = $current3 = $current4 = $current5 = $current6 = '';
	$custom_style = (array) vc_param_group_parse_atts($customstyle);
	foreach ( $custom_style as $styl ) {
		if ( !empty( $styl ) ){
			$currentitem= ( !empty( $styl['currentitem'] ) ) ? $styl['currentitem'] : '';
			$size 		= ( !empty( $styl['size'] ) ) ? $styl['size'] : '';
			$weight 	= ( !empty( $styl['weight'] ) ) ? $styl['weight'] : '';
			$lineh 		= ( !empty( $styl['lineh'] ) ) ? $styl['lineh'] : '';
			$color 		= ( !empty( $styl['color'] ) ) ? $styl['color'] : '';
			$position 	= ( !empty( $styl['position'] ) ) ? $styl['position'] : '';
			$fstyle 	= ( !empty( $styl['fstyle'] ) ) ? $styl['fstyle'] : '';
			$bgcolor 	= ( !empty( $styl['bgcolor'] ) ) ? $styl['bgcolor'] : '';
			$padtop 	= ( !empty( $styl['padtop'] ) ) ? ' padding-top:'.$styl['padtop'].';' : '';
			$padright 	= ( !empty( $styl['padright'] ) ) ? ' padding-right:'.$styl['padright'].';' : '';
			$padbottom 	= ( !empty( $styl['padbottom'] ) ) ? ' padding-bottom:'.$styl['padbottom'].';' : '';
			$padleft 	= ( !empty( $styl['padleft'] ) ) ? ' padding-left:'.$styl['padleft'].';' : '';
			$padding 	= ( $padtop || $padright || $padbottom || $padleft ) ? $padtop.$padright.$padbottom.$padleft : '';
			$brdtop 	= ( !empty( $styl['brdtop'] ) ) ? ' border-top-width:'.$styl['brdtop'].';' : '';
			$brdright 	= ( !empty( $styl['brdright'] ) ) ? ' border-right-width:'.$styl['brdright'].';' : '';
			$brdbottom 	= ( !empty( $styl['brdbottom'] ) ) ? ' border-bottom-width:'.$styl['brdbottom'].';' : '';
			$brdleft 	= ( !empty( $styl['brdleft'] ) ) ? ' border-left-width:'.$styl['brdleft'].';' : '';
			$border 	= ( $brdtop || $brdright || $brdbottom || $brdleft ) ? $brdtop.$brdright.$brdbottom.$brdleft : '';
			$borderstyl = ( !empty( $styl['borderstyl'] ) ) ? $styl['borderstyl'] : '';
			$bordercolor= ( !empty( $styl['bordercolor'] ) ) ? $styl['bordercolor'] : '';
			$borderradius= ( !empty( $styl['borderradius'] ) ) ? $styl['borderradius'] : '';

		}
		if ( $currentitem == '1' ){
			$current1 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
		}elseif ( $currentitem == '2' ){
			$current2 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
		}elseif ( $currentitem == '3' ){
			$current3 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			$iconposition = ($position == 'left') ? ' icon-'.$position.'' : '';
		}elseif ( $currentitem == '4' ){
			$current4 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
		}elseif ( $currentitem == '5' ){
			$current5 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
		}elseif ( $currentitem == '6' ){
			$current6 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
		}else{
			$current1 = $current2 = $current3 = $current4 = $current5 = $current6 = '';
		}
	}


    $out = '';

		$out .= '<!-- Section Price -->';
		$out .= '<section '.$id.' class="pricing'.esc_attr( $sectionbg_css ).'">';
			$headingdisplay = $heading_display ? $heading_display : 'show';
		if ( $headingdisplay !='hide' ) {
			$out .= '<div class="section-header">';
			if ( $headinganimation !='' ) { $heading_animation = $headinganimation; } else { $heading_animation = ''; }
				if ( $section_heading !='' ) { $out .= '<h2 class="wow '.$heading_animation.'" data-wow-delay=".2s"'.$current1.'>'.minfox_sanitize_data( $section_heading ).'</h2>'; }
				if ( $section_desc !='' ) { $out .= '<span class="wow '.$heading_animation.'" data-wow-delay=".4s"'.$current2.'>'.minfox_sanitize_data( $section_desc ).'</span>'; }
			$out .= '</div>';
		}
			$out .= '<div class="container">';
				$out .= '<div class="row">	';
			$countprice = 0;
			$pricedelay = 2;
			$nt_minfox_price_query = new WP_Query($args);
			if( $nt_minfox_price_query->have_posts() ) :
				while ($nt_minfox_price_query->have_posts()) : $nt_minfox_price_query->the_post();

					$price			= get_post_meta( get_the_ID(), 'nt_minfox_price', true );
					$price_small	= get_post_meta( get_the_ID(), 'nt_minfox_price_small', true );
					$tablefeatures	= get_post_meta( get_the_ID(), 'nt_minfox_features_list', true );
					$price_link	    = rwmb_meta( 'nt_minfox_price_link' );
					$price_target	= rwmb_meta( 'nt_minfox_price_target' );
					$price_btn_title = rwmb_meta( 'nt_minfox_price_btn_title' );

					$lg_col	= get_post_meta( get_the_ID(), 'nt_minfox_lg_col', true );
					$md_col	= get_post_meta( get_the_ID(), 'nt_minfox_md_col', true );
					$md_off	= get_post_meta( get_the_ID(), 'nt_minfox_md_off', true );
					$sm_col	= get_post_meta( get_the_ID(), 'nt_minfox_sm_col', true );
					$xs_col	= get_post_meta( get_the_ID(), 'nt_minfox_xs_col', true );

					$lgcol = $lg_col ? $lg_col : '';
					$mdcol = $md_col ? $md_col : 'col-md-4';
					$mdoff = $md_off ? $md_off : '';
					$smcol = $sm_col ? $sm_col : 'col-sm-4';
					$xscol = $xs_col ? $xs_col : 'col-xs-12';

					$itemcol =  ''.esc_attr( $lgcol ).' '.esc_attr( $mdcol ).' '.esc_attr( $mdoff ).' '.esc_attr( $smcol ).' '.esc_attr( $xscol ).'';
					$itemcolumntotal = preg_replace('/\s\s+/', ' ', $itemcol);

			if ( $packanimation !='' ) { $pack_animation = ' wow '.$packanimation.'" data-wow-delay=".'.(($countprice++)+($pricedelay++)).'s"'; } else { $pack_animation = '"'; }
					$out .= '<div class="'.$itemcolumntotal.''.$pack_animation.'>';
						$out .= '<div class="price-table">';
							$out .= '<div class="header text-center">';
								if ( get_the_title() !='' ) { $out .= '<h2'.$current3.'>'.get_the_title().'</h2>'; }
								if ( $price !='' || $price_small !='' ) { $out .= '<h1'.$current4.'>'.esc_html( $price ).'<span>.'.esc_html( $price_small ).'</span></h1>'; }
							$out .= '</div>';
							$out .= '<div class="content price-cent">';
							if ( !empty($tablefeatures) ) {
								$out .= '<ul class="content price-cent">';
								foreach ( $tablefeatures as $listitem ) {
									$out .= '<li'.$current5.'>'.esc_html( $listitem ).'</li>';
								}
								$out .= '</ul>';
							}
							$out .= '</div>';
                            $btntitle = $price_btn_title ? $price_btn_title : $btn_title;
							if ( $btntitle ) {
							$out .= '<div class="footer">';
                                $href = $price_link ? ' href="'.$price_link.'"' : ' href="'.$btn_href.'"';
                                $target = $price_target ? ' target="'.$price_target.'"' : ' target="'.$btn_target.'"';

								$out .= '<a'.$href.$target.'class="btn-price"'.$current6.'>'.$btntitle.'</a>';
							$out .= '</div>';
							}
						$out .= '</div>';
					$out .= '</div>';
				endwhile;
			endif;
			wp_reset_postdata();


				$out .= '</div>';
			$out .= '</div>';
		$out .= '</section>';
		$out .= '<!-- Section Price end -->';

	return $out;
}
add_shortcode('nt_minfox_section_pricing', 'theme_nt_minfox_section_pricing');

/*-----------------------------------------------------------------------------------*/
/*	PRICE ITEM TABLE
/*-----------------------------------------------------------------------------------*/
function theme_nt_minfox_section_pricingitem($atts){
	extract(shortcode_atts(array(
		'postname'		=> '',
		'btnlink'  		=> '',
		'customstyle'  	=> '',

	), $atts));

	global $post;
	$args = array(
		'post_type' 	 => 'price',
		'name' 	 		 => $postname,
		'posts_per_page' => 1,
		'post_status' 	 => 'publish'
	);

	$btnlink 		= ( $btnlink == '||' ) ? '' : $btnlink;
	$btnlink 		= vc_build_link( $btnlink );
	$btn_href 		= $btnlink['url'];
	$btn_title 		= $btnlink['title'];
	$btn_target 	= $btnlink['target'];

	$current1 = $current2 = $current3 = $current4 = '';
	$custom_style = (array) vc_param_group_parse_atts($customstyle);
	foreach ( $custom_style as $styl ) {
		if ( !empty( $styl ) ){
			$currentitem= ( !empty( $styl['currentitem'] ) ) ? $styl['currentitem'] : '';
			$size 		= ( !empty( $styl['size'] ) ) ? $styl['size'] : '';
			$weight 	= ( !empty( $styl['weight'] ) ) ? $styl['weight'] : '';
			$lineh 		= ( !empty( $styl['lineh'] ) ) ? $styl['lineh'] : '';
			$color 		= ( !empty( $styl['color'] ) ) ? $styl['color'] : '';
			$position 	= ( !empty( $styl['position'] ) ) ? $styl['position'] : '';
			$fstyle 	= ( !empty( $styl['fstyle'] ) ) ? $styl['fstyle'] : '';
			$bgcolor 	= ( !empty( $styl['bgcolor'] ) ) ? $styl['bgcolor'] : '';
			$padtop 	= ( !empty( $styl['padtop'] ) ) ? ' padding-top:'.$styl['padtop'].';' : '';
			$padright 	= ( !empty( $styl['padright'] ) ) ? ' padding-right:'.$styl['padright'].';' : '';
			$padbottom 	= ( !empty( $styl['padbottom'] ) ) ? ' padding-bottom:'.$styl['padbottom'].';' : '';
			$padleft 	= ( !empty( $styl['padleft'] ) ) ? ' padding-left:'.$styl['padleft'].';' : '';
			$padding 	= ( $padtop || $padright || $padbottom || $padleft ) ? $padtop.$padright.$padbottom.$padleft : '';
			$brdtop 	= ( !empty( $styl['brdtop'] ) ) ? ' border-top-width:'.$styl['brdtop'].';' : '';
			$brdright 	= ( !empty( $styl['brdright'] ) ) ? ' border-right-width:'.$styl['brdright'].';' : '';
			$brdbottom 	= ( !empty( $styl['brdbottom'] ) ) ? ' border-bottom-width:'.$styl['brdbottom'].';' : '';
			$brdleft 	= ( !empty( $styl['brdleft'] ) ) ? ' border-left-width:'.$styl['brdleft'].';' : '';
			$border 	= ( $brdtop || $brdright || $brdbottom || $brdleft ) ? $brdtop.$brdright.$brdbottom.$brdleft : '';
			$borderstyl = ( !empty( $styl['borderstyl'] ) ) ? $styl['borderstyl'] : '';
			$bordercolor= ( !empty( $styl['bordercolor'] ) ) ? $styl['bordercolor'] : '';
			$borderradius= ( !empty( $styl['borderradius'] ) ) ? $styl['borderradius'] : '';

			if ( $currentitem == '1' ){
				$current1 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}elseif ( $currentitem == '2' ){
				$current2 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}elseif ( $currentitem == '3' ){
				$current3 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
				$iconposition = ($position == 'left') ? ' icon-'.$position.'' : '';
			}elseif ( $currentitem == '4' ){
				$current4 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			}else{
				$current1 = $current2 = $current3 = $current4 = '';
			}
		}
	}


    $out = '';

		$nt_minfox_price_query = new WP_Query($args);
		if( $nt_minfox_price_query->have_posts() ) :
			while ($nt_minfox_price_query->have_posts()) : $nt_minfox_price_query->the_post();

				$price			= get_post_meta( get_the_ID(), 'nt_minfox_price', true );
				$price_small	= get_post_meta( get_the_ID(), 'nt_minfox_price_small', true );
				$tablefeatures	= get_post_meta( get_the_ID(), 'nt_minfox_features_list', true );

				$out .= '<div class="price-item pricing">';
					$out .= '<div class="price-table">';
						$out .= '<div class="header text-center">';
							if ( get_the_title() !='' ) { $out .= '<h2'.$current1.'>'.get_the_title().'</h2>'; }
                            $sep = '' != $sep ? esc_html( $sep ) : '.';
                            if ( $price !='' || $price_small !='' ) { $out .= '<div class="price" '.$current2.'>'.esc_html( $price ).'<span>'.$sep.esc_html( $price_small ).'</span></div>'; }

						$out .= '</div>';
						$out .= '<div class="content price-cent">';
						if ( !empty($tablefeatures) ) {
							$out .= '<ul class="content price-cent">';
							foreach ( $tablefeatures as $listitem ) {
								$out .= '<li'.$current3.'>'.esc_html( $listitem ).'</li>';
							}
							$out .= '</ul>';
						}
						$out .= '</div>';
						if ( $btn_title !='' ) {
						$out .= '<div class="footer">';
							$out .= '<a href="'.esc_attr( $btn_href ).'" '; if ( $btn_target != '' ) { $out .= ' target="'.$btn_target.'"';}$out .= 'class="btn-price"'.$current4.'>'.esc_html( $btn_title ).'</a>';
						$out .= '</div>';
						}
					$out .= '</div>';
				$out .= '</div>';
			endwhile;
		endif;
		wp_reset_postdata();

	return $out;
}
add_shortcode('nt_minfox_section_pricingitem', 'theme_nt_minfox_section_pricingitem');

/*-----------------------------------------------------------------------------------*/
/*	LATEST BLOG
/*-----------------------------------------------------------------------------------*/
function theme_nt_minfox_section_blog($atts){
	extract(shortcode_atts(array(
		'section_id'		=> '',
		'heading_display'	=> '',
		'section_heading'	=> '',
		'section_desc'		=> '',
		'headinganimation'	=> '',
		'readmore'			=> '',
		'beforedate'		=> '',
		'newsanimation'		=> '',
		'build_query'		=> '',
		'categories'		=> 'all',
		'order'				=> 'DESC',
		'orderby'			=> 'date',
		'sectionbgcss'		=> '',
		'customstyle'		=> '',

    ), 	$atts));

	$sectionbg_css = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $sectionbgcss, ' ' ),  $atts );
	$id = ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';

	$current1 = $current2 = $current3 = $current4 = $current5 = '';
	$custom_style = (array) vc_param_group_parse_atts($customstyle);
	foreach ( $custom_style as $styl ) {
		if ( !empty( $styl ) ){
			$currentitem= ( !empty( $styl['currentitem'] ) ) ? $styl['currentitem'] : '';
			$size 		= ( !empty( $styl['size'] ) ) ? $styl['size'] : '';
			$weight 	= ( !empty( $styl['weight'] ) ) ? $styl['weight'] : '';
			$lineh 		= ( !empty( $styl['lineh'] ) ) ? $styl['lineh'] : '';
			$color 		= ( !empty( $styl['color'] ) ) ? $styl['color'] : '';
			$position 	= ( !empty( $styl['position'] ) ) ? $styl['position'] : '';
			$fstyle 	= ( !empty( $styl['fstyle'] ) ) ? $styl['fstyle'] : '';
			$bgcolor 	= ( !empty( $styl['bgcolor'] ) ) ? $styl['bgcolor'] : '';
			$padtop 	= ( !empty( $styl['padtop'] ) ) ? ' padding-top:'.$styl['padtop'].';' : '';
			$padright 	= ( !empty( $styl['padright'] ) ) ? ' padding-right:'.$styl['padright'].';' : '';
			$padbottom 	= ( !empty( $styl['padbottom'] ) ) ? ' padding-bottom:'.$styl['padbottom'].';' : '';
			$padleft 	= ( !empty( $styl['padleft'] ) ) ? ' padding-left:'.$styl['padleft'].';' : '';
			$padding 	= ( $padtop || $padright || $padbottom || $padleft ) ? $padtop.$padright.$padbottom.$padleft : '';
			$brdtop 	= ( !empty( $styl['brdtop'] ) ) ? ' border-top-width:'.$styl['brdtop'].';' : '';
			$brdright 	= ( !empty( $styl['brdright'] ) ) ? ' border-right-width:'.$styl['brdright'].';' : '';
			$brdbottom 	= ( !empty( $styl['brdbottom'] ) ) ? ' border-bottom-width:'.$styl['brdbottom'].';' : '';
			$brdleft 	= ( !empty( $styl['brdleft'] ) ) ? ' border-left-width:'.$styl['brdleft'].';' : '';
			$border 	= ( $brdtop || $brdright || $brdbottom || $brdleft ) ? $brdtop.$brdright.$brdbottom.$brdleft : '';
			$borderstyl = ( !empty( $styl['borderstyl'] ) ) ? $styl['borderstyl'] : '';
			$bordercolor= ( !empty( $styl['bordercolor'] ) ) ? $styl['bordercolor'] : '';
			$borderradius= ( !empty( $styl['borderradius'] ) ) ? $styl['borderradius'] : '';

		}
		if ( $currentitem == '1' ){
			$current1 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
		}elseif ( $currentitem == '2' ){
			$current2 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
		}elseif ( $currentitem == '3' ){
			$current3 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			$iconposition = ($position == 'left') ? ' icon-'.$position.'' : '';
		}elseif ( $currentitem == '4' ){
			$current4 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
		}elseif ( $currentitem == '5' ){
			$current5 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
		}else{
			$current1 = $current2 = $current3 = $current4 = $current5 = '';
		}
	}

    $out = '';


		$out .='<!-- Section Blog -->';
		$out .='<section '.$id.' class="blog'.esc_attr( $sectionbg_css ).'">';
			$headingdisplay = $heading_display ? $heading_display : 'show';
		if ( $headingdisplay !='hide' ) {
			$out .='<div class="section-header">';
				if ( $headinganimation !='' ) { $heading_animation = $headinganimation; } else { $heading_animation = ''; }
				if ( $section_heading !='' ) { $out .= '<h2 class="wow '.$heading_animation.'" data-wow-delay=".2s"'.$current1.'>'.minfox_sanitize_data( $section_heading ).'</h2>'; }
				if ( $section_desc !='' ) { $out .= '<span class="wow '.$heading_animation.'" data-wow-delay=".4s"'.$current2.'>'.minfox_sanitize_data( $section_desc ).'</span>'; }
			$out .='</div>';
		}
			$out .='<div class="container">';
				$out .='<div class="row">';



            global $post;

            list($args) = vc_build_loop_query($build_query);
            $args['paged'] = (get_query_var('paged')) ? get_query_var('paged') : 1;

            query_posts($args);


			$countblog = 0;
			$postdelay = 2;

            $lumire_query = new WP_Query($args);
            if ($lumire_query->have_posts()) {

                // The Loop
                while ($lumire_query->have_posts()) {
                    $lumire_query->the_post();

					$blog_img_width	= get_post_meta( get_the_ID(), 'nt_minfox_img_width', true );
					$blog_img_height= get_post_meta( get_the_ID(), 'nt_minfox_img_height', true );
					$blog_imgwidth	= $blog_img_width ? $blog_img_width	: 700;
					$blog_imgheight	= $blog_img_height ? $blog_img_height : 816;

					$nt_minfox_blogthumb = get_post_thumbnail_id();
					$nt_minfox_blogimg = nt_minfox_aq_resize( wp_get_attachment_url( $nt_minfox_blogthumb,'full' ), $blog_imgwidth, $blog_imgheight , true, true, true );

					$lg_col	= get_post_meta( get_the_ID(), 'nt_minfox_lg_col', true );
					$md_col	= get_post_meta( get_the_ID(), 'nt_minfox_md_col', true );
					$md_off	= get_post_meta( get_the_ID(), 'nt_minfox_md_off', true );
					$sm_col	= get_post_meta( get_the_ID(), 'nt_minfox_sm_col', true );
					$xs_col	= get_post_meta( get_the_ID(), 'nt_minfox_xs_col', true );

					$lgcol = $lg_col ? $lg_col : '';
					$mdcol = $md_col ? $md_col : 'col-md-3';
					$mdoff = $md_off ? $md_off : '';
					$smcol = $sm_col ? $sm_col : 'col-sm-6';
					$xscol = $xs_col ? $xs_col : 'col-xs-12';

					$itemcol =  ''.esc_attr( $lgcol ).' '.esc_attr( $mdcol ).' '.esc_attr( $mdoff ).' '.esc_attr( $smcol ).' '.esc_attr( $xscol ).'';
					$itemcolumntotal = preg_replace('/\s\s+/', ' ', $itemcol);
					$news_animation = ( $newsanimation !='' ) ? ' wow '.$newsanimation.'" data-wow-delay="'.(( $countblog + $postdelay )/10).'s"' : '';
					$out .='<div class="'.$itemcolumntotal.''.$news_animation.'>';
						$out .='<div class="blog-bg">';
						if ( $nt_minfox_blogimg !='' ) {
							$out .='<div class="thumb">';
								$out .='<img src="'.esc_url( $nt_minfox_blogimg ).'" alt="blog" />';
							$out .='</div>';
						}
							$out .='<h2 class="title"><a href="'.get_permalink().'"'.$current3.'>'.get_the_title().'</a></h2>';
							$out .='<p'.$current4.'>'.esc_html( $beforedate ).' | '.get_the_date().'</p>';
							$out .='<a href="'.get_permalink().'" class="btn-blog"'.$current5.'>'.esc_html( $readmore ).' <i class="fa fa-long-arrow-right"></i></a>';
						$out .='</div>';
					$out .='</div>';
				}
            }

			wp_reset_query();


				$out .='</div>';
			$out .='</div>';
		$out .='</section>';
		$out .='<!-- Section Blog end -->';

	return $out;
}
add_shortcode('nt_minfox_section_blog', 'theme_nt_minfox_section_blog');

/*-----------------------------------------------------------------------------------*/
/*	CONTACT minfox
/*-----------------------------------------------------------------------------------*/

function theme_nt_minfox_section_contact( $atts, $content = null ) {
    extract( shortcode_atts(array(
		"section_id"		=> '',
		'heading_display'	=> '',
		'section_heading'	=> '',
		'section_desc'		=> '',
		'headinganimation'	=> '',
		"contact_desc"		=> '',
		"sectionbgcss"		=> '',
		"customstyle"		=> '',

	), $atts) );

	$sectionbg_css = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $sectionbgcss, ' ' ),  $atts );
	$id = ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';

	$current1 = $current2 = $current3 = '';
	$custom_style = (array) vc_param_group_parse_atts($customstyle);
	foreach ( $custom_style as $styl ) {
		if ( !empty( $styl ) ){
			$currentitem= ( !empty( $styl['currentitem'] ) ) ? $styl['currentitem'] : '';
			$size 		= ( !empty( $styl['size'] ) ) ? $styl['size'] : '';
			$weight 	= ( !empty( $styl['weight'] ) ) ? $styl['weight'] : '';
			$lineh 		= ( !empty( $styl['lineh'] ) ) ? $styl['lineh'] : '';
			$color 		= ( !empty( $styl['color'] ) ) ? $styl['color'] : '';
			$position 	= ( !empty( $styl['position'] ) ) ? $styl['position'] : '';
			$fstyle 	= ( !empty( $styl['fstyle'] ) ) ? $styl['fstyle'] : '';
			$bgcolor 	= ( !empty( $styl['bgcolor'] ) ) ? $styl['bgcolor'] : '';
			$padtop 	= ( !empty( $styl['padtop'] ) ) ? ' padding-top:'.$styl['padtop'].';' : '';
			$padright 	= ( !empty( $styl['padright'] ) ) ? ' padding-right:'.$styl['padright'].';' : '';
			$padbottom 	= ( !empty( $styl['padbottom'] ) ) ? ' padding-bottom:'.$styl['padbottom'].';' : '';
			$padleft 	= ( !empty( $styl['padleft'] ) ) ? ' padding-left:'.$styl['padleft'].';' : '';
			$padding 	= ( $padtop || $padright || $padbottom || $padleft ) ? $padtop.$padright.$padbottom.$padleft : '';
			$brdtop 	= ( !empty( $styl['brdtop'] ) ) ? ' border-top-width:'.$styl['brdtop'].';' : '';
			$brdright 	= ( !empty( $styl['brdright'] ) ) ? ' border-right-width:'.$styl['brdright'].';' : '';
			$brdbottom 	= ( !empty( $styl['brdbottom'] ) ) ? ' border-bottom-width:'.$styl['brdbottom'].';' : '';
			$brdleft 	= ( !empty( $styl['brdleft'] ) ) ? ' border-left-width:'.$styl['brdleft'].';' : '';
			$border 	= ( $brdtop || $brdright || $brdbottom || $brdleft ) ? $brdtop.$brdright.$brdbottom.$brdleft : '';
			$borderstyl = ( !empty( $styl['borderstyl'] ) ) ? $styl['borderstyl'] : '';
			$bordercolor= ( !empty( $styl['bordercolor'] ) ) ? $styl['bordercolor'] : '';
			$borderradius= ( !empty( $styl['borderradius'] ) ) ? $styl['borderradius'] : '';

		}
		if ( $currentitem == '1' ){
			$current1 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
		}elseif ( $currentitem == '2' ){
			$current2 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
		}elseif ( $currentitem == '3' ){
			$current3 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
			$iconposition = ($position == 'left') ? ' icon-'.$position.'' : '';
		}else{
			$current1 = $current2 = $current3 = '';
		}
	}

	$out = '';

		$out .= '<!-- Section Contact -->';
		$out .= '<section '.$id.' class="contact'.esc_attr( $sectionbg_css ).'">';
			$headingdisplay = $heading_display ? $heading_display : 'show';
		if ( $headingdisplay !='hide' ) {
			$out .='<div class="section-header">';
				if ( $headinganimation !='' ) { $heading_animation = $headinganimation; } else { $heading_animation = ''; }
				if ( $section_heading !='' ) { $out .= '<h2 class="wow '.$heading_animation.'" data-wow-delay=".2s"'.$current1.'>'.minfox_sanitize_data( $section_heading ).'</h2>'; }
				if ( $section_desc !='' ) { $out .= '<span class="wow '.$heading_animation.'" data-wow-delay=".4s"'.$current2.'>'.minfox_sanitize_data( $section_desc ).'</span>'; }
			$out .='</div>';
		}
			$out .= '<div class="container contact-container">';
				if ( $contact_desc !='' ) { $out .= '<p class="contact-extra wow '.$heading_animation.'" data-wow-delay=".6s"'.$current3.'>'.minfox_sanitize_data( $contact_desc ).'</p>'; }

				$out .= '<!-- Contact Form -->';
					$out .= ''.do_shortcode( $content ).'';
				$out .= '<!-- Contact Form end -->';

			$out .= '</div>';
		$out .= '</section>';
		$out .= '<!-- Section Contact end -->';

	return $out;
}
add_shortcode('nt_minfox_section_contact', 'theme_nt_minfox_section_contact');

/*-----------------------------------------------------------------------------------*/
/*	SUBSCRIBE minfox
/*-----------------------------------------------------------------------------------*/
function theme_nt_minfox_section_subscribe( $atts, $content = null ) {
    extract( shortcode_atts(array(
	"section_id"		=> '',
	"section_heading"	=> '',
	"section_desc"		=> '',
	"headinganimation"	=> '',
	"sectionbgcss"		=> '',
	"customstyle"		=> '',

	), $atts) );

	$sectionbg_css = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $sectionbgcss, ' ' ),  $atts );
	$id = ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';

	$current1 = $current2 = '';
	$custom_style = (array) vc_param_group_parse_atts($customstyle);
	foreach ( $custom_style as $styl ) {
		if ( !empty( $styl ) ){
			$currentitem= ( !empty( $styl['currentitem'] ) ) ? $styl['currentitem'] : '';
			$size 		= ( !empty( $styl['size'] ) ) ? $styl['size'] : '';
			$weight 	= ( !empty( $styl['weight'] ) ) ? $styl['weight'] : '';
			$lineh 		= ( !empty( $styl['lineh'] ) ) ? $styl['lineh'] : '';
			$color 		= ( !empty( $styl['color'] ) ) ? $styl['color'] : '';
			$position 	= ( !empty( $styl['position'] ) ) ? $styl['position'] : '';
			$fstyle 	= ( !empty( $styl['fstyle'] ) ) ? $styl['fstyle'] : '';
			$bgcolor 	= ( !empty( $styl['bgcolor'] ) ) ? $styl['bgcolor'] : '';
			$padtop 	= ( !empty( $styl['padtop'] ) ) ? ' padding-top:'.$styl['padtop'].';' : '';
			$padright 	= ( !empty( $styl['padright'] ) ) ? ' padding-right:'.$styl['padright'].';' : '';
			$padbottom 	= ( !empty( $styl['padbottom'] ) ) ? ' padding-bottom:'.$styl['padbottom'].';' : '';
			$padleft 	= ( !empty( $styl['padleft'] ) ) ? ' padding-left:'.$styl['padleft'].';' : '';
			$padding 	= ( $padtop || $padright || $padbottom || $padleft ) ? $padtop.$padright.$padbottom.$padleft : '';
			$brdtop 	= ( !empty( $styl['brdtop'] ) ) ? ' border-top-width:'.$styl['brdtop'].';' : '';
			$brdright 	= ( !empty( $styl['brdright'] ) ) ? ' border-right-width:'.$styl['brdright'].';' : '';
			$brdbottom 	= ( !empty( $styl['brdbottom'] ) ) ? ' border-bottom-width:'.$styl['brdbottom'].';' : '';
			$brdleft 	= ( !empty( $styl['brdleft'] ) ) ? ' border-left-width:'.$styl['brdleft'].';' : '';
			$border 	= ( $brdtop || $brdright || $brdbottom || $brdleft ) ? $brdtop.$brdright.$brdbottom.$brdleft : '';
			$borderstyl = ( !empty( $styl['borderstyl'] ) ) ? $styl['borderstyl'] : '';
			$bordercolor= ( !empty( $styl['bordercolor'] ) ) ? $styl['bordercolor'] : '';
			$borderradius= ( !empty( $styl['borderradius'] ) ) ? $styl['borderradius'] : '';

		}
		if ( $currentitem == '1' ){
			$current1 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
		}elseif ( $currentitem == '2' ){
			$current2 = nt_minfox_customstyle( $size, $lineh, $weight, $color, $position, $fstyle, $bgcolor, $padding, $border, $borderstyl, $bordercolor, $borderradius );
		}else{
			$current1 = $current2 = '';
		}
	}

	$out = '';

		$out .= '<!-- Section Subscribe -->';
		$out .= '<section '.$id.' class="subscribe-half-right subscribe with-bg'.esc_attr( $sectionbg_css ).'">';
			$out .= '<div class="section-content container">';
				$out .= '<div class="row">';
					$out .= '<div class="col-md-4 col-sm-12 col-xs-12">';
						if ( $headinganimation !='' ) { $heading_animation = $headinganimation; } else { $heading_animation = ''; }
						if ( $section_heading !='' ) { $out .= '<h2 class="wow '.$heading_animation.'" data-wow-delay=".2s"'.$current1.'>'.minfox_sanitize_data( $section_heading ).'</h2>'; }
						if ( $section_desc !='' ) { $out .= '<p class="wow '.$heading_animation.'" data-wow-delay=".4s"'.$current2.'>'.minfox_sanitize_data( $section_desc ).'</p>'; }
					$out .= '</div>';
					$out .= '<div class="col-md-8 col-sm-12 col-xs-12">';
						$out .= ''.do_shortcode( $content ).'';
					$out .= '</div>';
				$out .= '</div>';
			$out .= '</div>';
		$out .= '</section>';
		$out .= '<!-- Section Subscribe end -->';

	return $out;
}
add_shortcode('nt_minfox_section_subscribe', 'theme_nt_minfox_section_subscribe');
