<?php

/*-----------------------------------------------------------------------------------*/
/*	Shortcode Filter
/*-----------------------------------------------------------------------------------*/

vc_set_as_theme( $disable_updater = false );
vc_is_updater_disabled();


//FOR ROW EXTRA ATTR
$nt_minfox_background_one_attributes = array(

	array(
		'type'        	=> 'dropdown',
		'heading'     	=> esc_html__('Background position Y-X axis', 'nt-minfox' ),
		'param_name'  	=> 'nt_minfox_bg_position',
		'description' 	=> esc_html__('Change position Y-X axis for bg image.', 'nt-minfox'),
		'group' 		=> esc_html__('Design Options','nt-minfox'),
		'value'       	=> array(
			esc_html__('Select Y-X position', 	'nt-minfox' )	=> '',
			esc_html__('Left-Top', 		'nt-minfox' )	=> 'left top',
			esc_html__('Left-Center', 	'nt-minfox' )	=> 'left center',
			esc_html__('Left-Bottom', 	'nt-minfox' )	=> 'left bottom',
			esc_html__('Right-Top', 	'nt-minfox' )	=> 'right top',
			esc_html__('Right-Center', 	'nt-minfox' )	=> 'right center',
			esc_html__('Right-Bottom', 	'nt-minfox' )	=> 'right bottom',
			esc_html__('Center-Top', 	'nt-minfox' )	=> 'center top',
			esc_html__('Center-Center', 'nt-minfox' )	=> 'center center',
			esc_html__('Center-Bottom', 'nt-minfox' )	=> 'center bottom',
			esc_html__('Custom', 		'nt-minfox' )	=> 'custom',
		),
	),

	array(
		'type' 			=> 'textfield',
		'heading' 		=> esc_html__('Background position Y axis', 'nt-minfox'),
		'param_name' 	=> 'nt_minfox_bg_positiony',
		'description' 	=> esc_html__('Change position X axis offset for bg image.example: center or 40px or 25% ...etc', 'nt-minfox'),
		'group' 		=> esc_html__('Design Options','nt-minfox'),
		'dependency' 	=> array(
						'element' 	=> 'nt_minfox_bg_position',
						'value'   	=> 'custom'
		)
	),
	array(
		'type' 			=> 'textfield',
		'heading' 		=> esc_html__('Background position X axis', 'nt-minfox'),
		'param_name' 	=> 'nt_minfox_bg_positionx',
		'description' 	=> esc_html__('Change position X axis offset for bg image.example: center or 40px or 25% ...etc', 'nt-minfox'),
		'group' 		=> esc_html__('Design Options','nt-minfox'),
		'dependency' 	=> array(
						'element' 	=> 'nt_minfox_bg_position',
						'value'   	=> 'custom'
		)
	),
	array(
		'type' 			=> 'textfield',
		'heading' 		=> esc_html__('Background position X axis offset', 'nt-minfox'),
		'param_name' 	=> 'nt_minfox_bg_xoffset',
		'description' 	=> esc_html__('Change position X axis offset for bg image.example: 40px or 25% ...etc', 'nt-minfox'),
		'group' 		=> esc_html__('Design Options','nt-minfox'),
		'dependency' 	=> array(
						'element' 	=> 'nt_minfox_bg_position',
						'value'   	=> 'custom'
		)
	),
	array(
		'type' 			=> 'textfield',
		'heading' 		=> esc_html__('Background size', 'nt-minfox'),
		'param_name' 	=> 'nt_minfox_bg_size',
		'description' 	=> esc_html__('Change size for bg image.example: 100px or 100% or 100vh', 'nt-minfox'),
		'group' 		=> esc_html__('Design Options','nt-minfox'),
	),
	array(
		'type'        	=> 'checkbox',
		'heading'     	=> esc_html__('Background image display ( 992px )', 'nt-minfox' ),
		'param_name'  	=> 'nt_minfox_bg_ontablet',
		'value'       	=> array(
			'Hide background image'=>'hide',
			), //value
		'std'         	=> '',
		'description' 	=> esc_html__('This option is for disabling the row background image when the screen width maximum 992px', 'nt-minfox'),
		'group' 		=> esc_html__('Design Options','nt-minfox'),
	),
	array(
		'type'        	=> 'checkbox',
		'heading'     	=> esc_html__('Background image display ( 768px )', 'nt-minfox' ),
		'param_name'  	=> 'nt_minfox_bg_onmobile',
		'value'       	=> array(
			'Hide background image'=>'hide',
			), //value
		'std'         	=> '',
		'description' 	=> esc_html__('This option is for disabling the row background image when the screen width maximum 768px', 'nt-minfox'),
		'group' 		=> esc_html__('Design Options','nt-minfox'),
	),
	array(
		'type'        	=> 'checkbox',
		'heading'     	=> esc_html__('Background image display ( 480px )', 'nt-minfox' ),
		'param_name'  	=> 'nt_minfox_bg_onphone',
		'value'       	=> array(
			'Hide background image'=>'hide',
			), //value
		'std'         	=> '',
		'description' 	=> esc_html__('This option is for disabling the row background image when the screen width maximum 480px', 'nt-minfox'),
		'group' 		=> esc_html__('Design Options','nt-minfox'),
	),
);
vc_add_params( 'vc_row', $nt_minfox_background_one_attributes );


//FOR ROW 480 RESOLUTION
$nt_minfox_vc_row_responsive_attributes = array(

	array(
		'type'        	=> 'checkbox',
		'heading'     	=> esc_html__('Add container ?', 'nt-minfox'),
		'param_name'  	=> 'nt_minfox_container_display',
		'weight' 	  	=> 1,
		'value'       	=> array(
			'Add container'=>'true',
			), //value
		'std'         	=> '',
		'description' 	=> esc_html__('This option is only for Row stretch : Default and Row stretch : Stretch row.', 'nt-minfox')
	),

	array(
		'type' 			=> 'css_editor',
		'heading' 		=> esc_html__( 'Max width 992px resolution', 'nt-minfox' ),
		'param_name' 	=> 'nt_minfox_vc_row_992_responsive',
		'description' 	=> esc_html__( 'These options for 992px resolution - responsive medya', 'nt-minfox' ),
		'group' 		=> esc_html__('Responsive Extra','nt-minfox'),
	),
	array(
		'type' 			=> 'css_editor',
		'heading' 		=> esc_html__( 'Max width 768px resolution', 'nt-minfox' ),
		'param_name' 	=> 'nt_minfox_vc_row_768_responsive',
		'description' 	=> esc_html__( 'These options for 768px resolution - responsive medya', 'nt-minfox' ),
		'group' 		=> esc_html__('Responsive Extra','nt-minfox'),
	),
	array(
		'type' 			=> 'css_editor',
		'heading' 		=> esc_html__( 'Max width 480px resolution', 'nt-minfox' ),
		'param_name' 	=> 'nt_minfox_vc_row_480_responsive',
		'description' 	=> esc_html__( 'These options for 480px resolution - responsive medya', 'nt-minfox' ),
		'group' 		=> esc_html__('Responsive Extra','nt-minfox'),
	),

);
vc_add_params( 'vc_row', $nt_minfox_vc_row_responsive_attributes );


//FOR ROW EXTRA 3 OVERLAY ATTR
$nt_minfox_row_overlay_attributes = array(

	//OVERLAY 1
	array(
		'type'			=> 'colorpicker',
		'heading'		=> esc_html__('Overlay Color', 'nt-minfox'),
		'param_name'	=> 'overlaybg',
		'description'	=> esc_html__('Add color.', 'nt-minfox'),
		'group' 		=> esc_html__('Overlay 1','nt-minfox'),
	),
	array(
		'type'			=> 'textfield',
		'heading'		=> esc_html__('Width', 'nt-minfox'),
		'param_name'	=> 'overlaywidth',
		'description'	=> esc_html__('Add width.example:100% or 75%....etc.', 'nt-minfox'),
		'group' 		=> esc_html__('Overlay 1','nt-minfox'),
	),
	array(
		'type'			=> 'textfield',
		'heading'		=> esc_html__('Height', 'nt-minfox'),
		'param_name'	=> 'overlayheight',
		'description'	=> esc_html__('Add width.example:100% or 75%....etc.', 'nt-minfox'),
		'group' 		=> esc_html__('Overlay 1','nt-minfox'),
	),
	array(
		'type'			=> 'textfield',
		'heading'		=> esc_html__('Top offset', 'nt-minfox'),
		'param_name'	=> 'overlaytop',
		'description'	=> esc_html__('Add Top offset for top position.example:10px or 10%.', 'nt-minfox'),
		'group' 		=> esc_html__('Overlay 1','nt-minfox'),
	),
	array(
		'type'			=> 'textfield',
		'heading'		=> esc_html__('Left offset', 'nt-minfox'),
		'param_name'	=> 'overlayleft',
		'description'	=> esc_html__('Add left offset for left position.example:10px or 10%.', 'nt-minfox'),
		'group' 		=> esc_html__('Overlay 1','nt-minfox'),
	),
	array(
		'type'			=> 'textfield',
		'heading'		=> esc_html__('Right offset', 'nt-minfox'),
		'param_name'	=> 'overlayright',
		'description'	=> esc_html__('Add right offset for right position.example:10px or 10%.', 'nt-minfox'),
		'group' 		=> esc_html__('Overlay 1','nt-minfox'),
	),
	array(
		'type'			=> 'textfield',
		'heading'		=> esc_html__('Bottom offset', 'nt-minfox'),
		'param_name'	=> 'overlaybottom',
		'description'	=> esc_html__('Add bottom offset for bottom position.example:10px or 10%.', 'nt-minfox'),
		'group' 		=> esc_html__('Overlay 1','nt-minfox'),
	),
	array(
		'type'        	=> 'checkbox',
		'heading'     	=> esc_html__('Display under 992px ?', 'nt-minfox'),
		'param_name'  	=> 'overlay992',
		'value'       	=> array(
			'Hide overlay'=>'hide',
			), //value
		'std'         	=> '',
		'description' 	=> esc_html__('This option is for disabling the overlay color when the screen width maximum 992px', 'nt-minfox'),
		'group' 		=> esc_html__('Overlay 1','nt-minfox'),
	),
	array(
		'type'        	=> 'checkbox',
		'heading'     	=> esc_html__('Display under 768px ?', 'nt-minfox'),
		'param_name'  	=> 'overlay768',
		'value'       	=> array(
			'Hide overlay'=>'hide',
			), //value
		'std'         	=> '',
		'description' 	=> esc_html__('This option is for disabling the overlay color when the screen width maximum 768px', 'nt-minfox'),
		'group' 		=> esc_html__('Overlay 1','nt-minfox'),
	),
	array(
		'type'        	=> 'checkbox',
		'heading'     	=> esc_html__('Display under overlay480px ?', 'nt-minfox'),
		'param_name'  	=> 'overlay480',
		'value'       	=> array(
			'Hide overlay'=>'hide',
			), //value
		'std'         	=> '',
		'description' 	=> esc_html__('This option is for disabling the overlay color when the screen width maximum overlay480px', 'nt-minfox'),
		'group' 		=> esc_html__('Overlay 1','nt-minfox'),
	),

	//OVERLAY 2
	array(
		'type'			=> 'colorpicker',
		'heading'		=> esc_html__('Overlay Color', 'nt-minfox'),
		'param_name'	=> 'overlaybg2',
		'description'	=> esc_html__('Add color.', 'nt-minfox'),
		'group' 		=> esc_html__('Overlay 2','nt-minfox'),
	),
	array(
		'type'			=> 'textfield',
		'heading'		=> esc_html__('Width', 'nt-minfox'),
		'param_name'	=> 'overlaywidth2',
		'description'	=> esc_html__('Add width.example:100% or 75%....etc.', 'nt-minfox'),
		'group' 		=> esc_html__('Overlay 2','nt-minfox'),
	),
	array(
		'type'			=> 'textfield',
		'heading'		=> esc_html__('Height', 'nt-minfox'),
		'param_name'	=> 'overlayheight2',
		'description'	=> esc_html__('Add width.example:100% or 75%....etc.', 'nt-minfox'),
		'group' 		=> esc_html__('Overlay 2','nt-minfox'),
	),
	array(
		'type'			=> 'textfield',
		'heading'		=> esc_html__('Top offset', 'nt-minfox'),
		'param_name'	=> 'overlaytop2',
		'description'	=> esc_html__('Add Top offset for top position.example:10px or 10%.', 'nt-minfox'),
		'group' 		=> esc_html__('Overlay 2','nt-minfox'),
	),
	array(
		'type'			=> 'textfield',
		'heading'		=> esc_html__('Left offset', 'nt-minfox'),
		'param_name'	=> 'overlayleft2',
		'description'	=> esc_html__('Add left offset for left position.example:10px or 10%.', 'nt-minfox'),
		'group' 		=> esc_html__('Overlay 2','nt-minfox'),
	),
	array(
		'type'			=> 'textfield',
		'heading'		=> esc_html__('Right offset', 'nt-minfox'),
		'param_name'	=> 'overlayright2',
		'description'	=> esc_html__('Add right offset for right position.example:10px or 10%.', 'nt-minfox'),
		'group' 		=> esc_html__('Overlay 2','nt-minfox'),
	),
	array(
		'type'			=> 'textfield',
		'heading'		=> esc_html__('Bottom offset', 'nt-minfox'),
		'param_name'	=> 'overlaybottom2',
		'description'	=> esc_html__('Add bottom offset for bottom position.example:10px or 10%.', 'nt-minfox'),
		'group' 		=> esc_html__('Overlay 2','nt-minfox'),
	),
	array(
		'type'        	=> 'checkbox',
		'heading'     	=> esc_html__('Display under 992px ?', 'nt-minfox'),
		'param_name'  	=> 'overlay2_992',
		'value'       	=> array(
			'Hide overlay'=>'hide',
			), //value
		'std'         	=> '',
		'description' 	=> esc_html__('This option is for disabling the overlay color when the screen width maximum 992px', 'nt-minfox'),
		'group' 		=> esc_html__('Overlay 2','nt-minfox'),
	),
	array(
		'type'        	=> 'checkbox',
		'heading'     	=> esc_html__('Display under 768px ?', 'nt-minfox'),
		'param_name'  	=> 'overlay2_768',
		'value'       	=> array(
			'Hide overlay'=>'hide',
			), //value
		'std'         	=> '',
		'description' 	=> esc_html__('This option is for disabling the overlay color when the screen width maximum 768px', 'nt-minfox'),
		'group' 		=> esc_html__('Overlay 2','nt-minfox'),
	),
	array(
		'type'        	=> 'checkbox',
		'heading'     	=> esc_html__('Display under overlay480px ?', 'nt-minfox'),
		'param_name'  	=> 'overlay2_480',
		'value'       	=> array(
			'Hide overlay'=>'hide',
			), //value
		'std'         	=> '',
		'description' 	=> esc_html__('This option is for disabling the overlay color when the screen width maximum 480px', 'nt-minfox'),
		'group' 		=> esc_html__('Overlay 2','nt-minfox'),
	),
);
vc_add_params( 'vc_row', $nt_minfox_row_overlay_attributes );

//FOR COLUMN
$nt_minfox_vc_column_responsive_attributes = array(

	array(
		'type' 			=> 'css_editor',
		'heading' 		=> esc_html__( 'Max width 992px resolution', 'nt-minfox' ),
		'param_name' 	=> 'nt_minfox_vc_column_992',
		'description' 	=> esc_html__( 'These options for 992px resolution - responsive medya', 'nt-minfox' ),
		'group' 		=> esc_html__('Responsive Extra','nt-minfox'),
	),
	array(
		'type' 			=> 'css_editor',
		'heading' 		=> esc_html__( 'Max width 768px resolution', 'nt-minfox' ),
		'param_name' 	=> 'nt_minfox_vc_column_768',
		'description' 	=> esc_html__( 'These options for 768px resolution - responsive medya', 'nt-minfox' ),
		'group' 		=> esc_html__('Responsive Extra','nt-minfox'),
	),
	array(
		'type' 			=> 'css_editor',
		'heading' 		=> esc_html__( 'Max width 480px resolution', 'nt-minfox' ),
		'param_name' 	=> 'nt_minfox_vc_column_480',
		'description' 	=> esc_html__( 'These options for 480px resolution - responsive medya', 'nt-minfox' ),
		'group' 		=> esc_html__('Responsive Extra','nt-minfox'),
	),

);
vc_add_params( 'vc_column', $nt_minfox_vc_column_responsive_attributes );

//FOR COLUMN INNER
$nt_minfox_vc_column_inner_responsive_attributes = array(

	array(
		'type' 			=> 'css_editor',
		'heading' 		=> esc_html__( 'Max width 992px resolution', 'nt-minfox' ),
		'param_name' 	=> 'nt_minfox_vc_colinner_992',
		'description' 	=> esc_html__( 'These options for 992px resolution - responsive medya', 'nt-minfox' ),
		'group' 		=> esc_html__('Responsive Extra','nt-minfox'),
	),
	array(
		'type' 			=> 'css_editor',
		'heading' 		=> esc_html__( 'Max width 768px resolution', 'nt-minfox' ),
		'param_name' 	=> 'nt_minfox_vc_colinner_768',
		'description' 	=> esc_html__( 'These options for 768px resolution - responsive medya', 'nt-minfox' ),
		'group' 		=> esc_html__('Responsive Extra','nt-minfox'),
	),
	array(
		'type' 			=> 'css_editor',
		'heading' 		=> esc_html__( 'Max width 480px resolution', 'nt-minfox' ),
		'param_name' 	=> 'nt_minfox_vc_colinner_480',
		'description' 	=> esc_html__( 'These options for 480px resolution - responsive medya', 'nt-minfox' ),
		'group' 		=> esc_html__('Responsive Extra','nt-minfox'),
	),

);
vc_add_params( 'vc_column_inner', $nt_minfox_vc_column_inner_responsive_attributes );





/*-----------------------------------------------------------------------------------*/
/*	HERO 1 PRODUCT minfox
/*-----------------------------------------------------------------------------------*/
add_action( 'vc_before_init', 'NT_Minfox_herostatic_integrateWithVC' );
function NT_Minfox_herostatic_integrateWithVC() {
   vc_map( array(
		"name" 	   	=> esc_html__( "Hero ( 6 Style )", "nt-minfox" ),
		"base" 	   	=> "nt_minfox_section_herostatic",
		"category"  => esc_html__( "NT Minfox", "nt-minfox"),
		"params"    => array(
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__('Section ID', 'nt-minfox' ),
				'param_name'    => 'section_id',
				'description'   => esc_html__("Add Your Section ID for scroll", "nt-minfox"),
			),
			//Section heading
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__('Hero Type', 'nt-minfox' ),
				'param_name'  => 'hero_type',
				'description' => esc_html__('You can select hero type', 'nt-minfox' ),
				'value'       => array(
					esc_html__('Button action', 'nt-minfox' )	=> '1',
					esc_html__('Simple image', 	'nt-minfox' )	=> '2',
					esc_html__('Popup video', 	'nt-minfox' )	=> '3'
				),
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Video URL', 'nt-minfox' ),
				'param_name'    => 'video_url',
				'description'   => esc_html__("Add your vimeo or youtube video url for this section", "nt-minfox"),
				'dependency' 	=> array(
						'element' 	=> 'hero_type',
						'value'   	=> '3'
				)
			),
			array(
				"type" 		  	=> "attach_image",
				"heading" 	  	=> esc_html__("Hero logo image", "nt-minfox"),
				"param_name"  	=> "logo_img",
				"description" 	=> esc_html__("Add your logo image", "nt-minfox"),
				'dependency' 	=> array(
						'element' 	=> 'hero_type',
						'value'   	=> '1'
				)
			),
			array(
				"type" 		  	=> "attach_image",
				"heading" 	  	=> esc_html__("Hero image", "nt-minfox"),
				"param_name"  	=> "hero_img",
				"description" 	=> esc_html__("Add your image", "nt-minfox"),
				'dependency' 	=> array(
						'element' 	=> 'hero_type',
						'value' 	=> array('2','3'),
				)
			),
			array(
				'type' 			=> 'animation_style',
				'heading' 		=> esc_html__( 'Animation image', 'nt-minfox' ),
				'param_name' 	=> 'imganimation',
			),
			//Particles heading
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__('Particles effect display ( hide or show )', 'nt-minfox' ),
				'param_name'  => 'particles',
				'description' => esc_html__('You can select hide or show particles effect ', 'nt-minfox' ),
				'value'       => array(
					esc_html__('Show', 	'nt-minfox' )	=> 'show',
					esc_html__('Hide', 	'nt-minfox' )	=> 'hide',
				),
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Company name', 'nt-minfox' ),
				'param_name'    => 'company_name',
				'description'   => esc_html__("Add company name for this section", "nt-minfox"),
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Heading', 'nt-minfox' ),
				'param_name'    => 'section_heading',
				'description'   => esc_html__("Add heading for this section", "nt-minfox"),
			),
			array(
				'type' 			=> 'animation_style',
				'heading' 		=> esc_html__( 'Animation heading and description', 'nt-minfox' ),
				'param_name' 	=> 'headinganimation',
			),
			array(
				'type'          => 'vc_link',
				'heading'       => esc_html__('Button (Link)', 'nt-minfox' ),
				'param_name'    => 'herobtnlink',
				'description'   => esc_html__('Add custom link.', 'nt-minfox' ),
				'dependency' 	=> array(
						'element' 	=> 'hero_type',
						'value'   	=> '1'
				)
			),
			array(
				'type'          => 'vc_link',
				'heading'       => esc_html__('Button (Link)', 'nt-minfox' ),
				'param_name'    => 'herobtnlink2',
				'description'   => esc_html__('Add custom link.', 'nt-minfox' ),
				'dependency' 	=> array(
						'element' 	=> 'hero_type',
						'value'   	=> '1'
					)
			),
			array(
				'type' 			=> 'animation_style',
				'heading' 		=> esc_html__( 'Animation for button', 'nt-minfox' ),
				'param_name' 	=> 'btnanimation',
				'dependency' 	=> array(
						'element' 	=> 'hero_type',
						'value'   	=> '1'
				)
			),
			//Background CSS
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__('Overlay color display ( hide or show )', 'nt-minfox' ),
				'param_name'  => 'overlay_c',
				'description' => esc_html__('You can select hide or show section overlay color on bg image', 'nt-minfox' ),
				'group' 	  => esc_html__('Background Image', 'nt-minfox' ),
				'value'       => array(
					esc_html__('Show', 	'nt-minfox' )	=> 'show',
					esc_html__('Hide', 	'nt-minfox' )	=> 'hide',
				),
			),
			array(
				'type'          => 'css_editor',
				'heading'       => esc_html__('Background CSS', 'nt-minfox' ),
				'param_name'    => 'sectionbgcss',
				'group' 	    => esc_html__('Background Image', 'nt-minfox' ),
			),
			// custom style
			array(
				'type'        => 'param_group',
				'heading'     => esc_html__('Select item and change style', 'nt-minfox' ),
				'param_name'  => 'customstyle',
				'group'		  => esc_html__('Custom Style', 'nt-minfox' ),
				'params' 	  => array(
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Current', 'nt-minfox' ),
						'param_name'  => 'currentitem',
						'admin_label'  => true,
						'description' => esc_html__('You can select element for custom style', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select item for custom style', 'nt-minfox' ) => '',
                            esc_html__('Company name', 'nt-minfox' ) => '1',
							esc_html__('Section heading', 'nt-minfox' ) => '2',
							esc_html__('Button 1', 'nt-minfox' ) => '3',
							esc_html__('Button 2', 'nt-minfox' ) => '4',
						),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Font-size', 'nt-minfox'),
						'param_name'	=> 'size',
						'description'	=> esc_html__('Change fontsize.use number in ( px or unit )', 'nt-minfox'),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Line-height', 'nt-minfox'),
						'param_name'	=> 'lineh',
						'description'	=> esc_html__('Change line-height.use number in ( px or unit ).example line-height: 1.1 or 24px or 1.4rem', 'nt-minfox'),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Font-weight', 'nt-minfox' ),
						'param_name'  => 'weight',
						'description' => esc_html__('Change font-weight.', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select font-weight', 	'nt-minfox' )	=> '',
							esc_html__('100', 	'nt-minfox' )	=> '100',
							esc_html__('200', 	'nt-minfox' )	=> '200',
							esc_html__('300', 	'nt-minfox' )	=> '300',
							esc_html__('400', 	'nt-minfox' )	=> '400',
							esc_html__('500', 	'nt-minfox' )	=> '500',
							esc_html__('600', 	'nt-minfox' )	=> '600',
							esc_html__('700', 	'nt-minfox' )	=> '700',
							esc_html__('800', 	'nt-minfox' )	=> '900',
						),
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Color', 'nt-minfox'),
						'param_name'	=> 'color',
						'description'	=> esc_html__('Change color.', 'nt-minfox'),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Text align( position )', 'nt-minfox' ),
						'param_name'  => 'position',
						'description' => esc_html__('You can select position for current item', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select text align', 'nt-minfox' )	=> '',
							esc_html__('Left', 		'nt-minfox' )	=> 'left',
							esc_html__('Center', 	'nt-minfox' )	=> 'center',
							esc_html__('Right', 	'nt-minfox' )	=> 'right',
						),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Font style', 'nt-minfox' ),
						'param_name'  => 'fstyle',
						'value'       => array(
							esc_html__('Select font style', 	'nt-minfox' )	=> '',
							esc_html__('normal', 	'nt-minfox' )	=> 'normal',
							esc_html__('italic', 	'nt-minfox' )	=> 'italic',
							esc_html__('oblique', 	'nt-minfox' )	=> 'oblique',
						),
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Background color', 'nt-minfox'),
						'param_name'	=> 'bgcolor',
						'description'	=> esc_html__('Change background.', 'nt-minfox'),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding top', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padtop',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding right', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padright',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding bottom', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padbottom',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding left', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padleft',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Border', 'nt-minfox' ),
						'param_name'  => 'borderstyl',
						'description' => esc_html__('Select border style and enter border width in ( px or unit ).example:5px', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select border style', 	'nt-minfox' )	=> '',
							esc_html__('solid', 	'nt-minfox' )	=> 'solid',
							esc_html__('dotted', 	'nt-minfox' )	=> 'dotted',
							esc_html__('dashed', 	'nt-minfox' )	=> 'dashed',
							esc_html__('double', 	'nt-minfox' )	=> 'double',
							esc_html__('groove', 	'nt-minfox' )	=> 'groove',
							esc_html__('inset', 	'nt-minfox' )	=> 'inset',
							esc_html__('outset', 	'nt-minfox' )	=> 'outset',
							esc_html__('ridge', 	'nt-minfox' )	=> 'ridge',
						),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border top', 'nt-minfox'),
						'description'   => esc_html__('example:5px', 'nt-minfox' ),
						'param_name'	=> 'brdtop',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border right', 'nt-minfox'),
						'description'   => esc_html__('example:10px', 'nt-minfox' ),
						'param_name'	=> 'brdright',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border bottom', 'nt-minfox'),
						'description'   => esc_html__('example:3px', 'nt-minfox' ),
						'param_name'	=> 'brdbottom',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border left', 'nt-minfox'),
						'description'   => esc_html__('example:1px', 'nt-minfox' ),
						'param_name'	=> 'brdleft',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Border color', 'nt-minfox'),
						'param_name'	=> 'bordercolor',
						'description'	=> esc_html__('Change border color.', 'nt-minfox'),
						'edit_field_class'	=> 'vc_col-sm-6',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border radius', 'nt-minfox'),
						'description'   => esc_html__('Example:30px or 30%', 'nt-minfox' ),
						'param_name'	=> 'borderradius',
						'edit_field_class'	=> 'vc_col-sm-6',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
				)
			),
		),
	));
} class NT_Minfox_section_herostatic extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	ABOUTONE  minfox
/*-----------------------------------------------------------------------------------*/
add_action( 'vc_before_init', 'NT_Minfox_aboutone_integrateWithVC' );
function NT_Minfox_aboutone_integrateWithVC() {
   vc_map( array(
		"name" 	   => esc_html__( "About Section", "nt-minfox" ),
		"base" 	   => "nt_minfox_section_aboutone",
		"category"   => esc_html__( "NT Minfox", "nt-minfox"),
		"params"     => array(
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__('Section ID', 'nt-minfox' ),
				'param_name'    => 'section_id',
				'description'   => esc_html__("Add Your Section ID for scroll", "nt-minfox"),
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Subtitle', 'nt-minfox' ),
				'param_name'    => 'section_subtitle',
				'description'   => esc_html__("Add Subtitle for this section", "nt-minfox"),
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Heading', 'nt-minfox' ),
				'param_name'    => 'section_heading',
				'description'   => esc_html__("Add heading for this section", "nt-minfox"),
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Description', 'nt-minfox' ),
				'param_name'    => 'section_desc',
				'description'   => esc_html__("Add description for this section", "nt-minfox"),
			),
			array(
				'type' 			=> 'animation_style',
				'heading' 		=> esc_html__( 'Animation subtitle, heading and description', 'nt-minfox' ),
				'param_name' 	=> 'headinganimation',
			),
			//Center image
			array(
				"type" 		  	=> "attach_image",
				"heading" 	  	=> esc_html__("About image", "nt-minfox"),
				"param_name"  	=> "about_image",
				"description" 	=> esc_html__("Add your center image", "nt-minfox"),
			),
			array(
				'type' 			=> 'animation_style',
				'heading' 		=> esc_html__( 'Animation for image', 'nt-minfox' ),
				'param_name' 	=> 'imganimation',
			),
			array(
				'type'          => 'css_editor',
				'heading'       => esc_html__('Background CSS', 'nt-minfox' ),
				'param_name'    => 'sectionbgcss',
				'group' 	    => esc_html__('Background options', 'nt-minfox' ),
			),
			// custom style
			array(
				'type'        => 'param_group',
				'heading'     => esc_html__('Select item and change style', 'nt-minfox' ),
				'param_name'  => 'customstyle',
				'group'		  => esc_html__('Custom Style', 'nt-minfox' ),
				'params' 	  => array(
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Current', 'nt-minfox' ),
						'param_name'  => 'currentitem',
						'admin_label'  => true,
						'description' => esc_html__('You can select element for custom style', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select item for custom style', 	'nt-minfox' )	=> '',
							esc_html__('Section subtitle', 				'nt-minfox' )	=> '1',
							esc_html__('Section heading', 				'nt-minfox' )	=> '2',
							esc_html__('Section description', 			'nt-minfox' )	=> '3',
						),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Font-size', 'nt-minfox'),
						'param_name'	=> 'size',
						'description'	=> esc_html__('Change fontsize.use number in ( px or unit )', 'nt-minfox'),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Line-height', 'nt-minfox'),
						'param_name'	=> 'lineh',
						'description'	=> esc_html__('Change line-height.use number in ( px or unit ).example line-height: 1.1 or 24px or 1.4rem', 'nt-minfox'),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Font-weight', 'nt-minfox' ),
						'param_name'  => 'weight',
						'description' => esc_html__('Change font-weight.', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select font-weight', 	'nt-minfox' )	=> '',
							esc_html__('100', 	'nt-minfox' )	=> '100',
							esc_html__('200', 	'nt-minfox' )	=> '200',
							esc_html__('300', 	'nt-minfox' )	=> '300',
							esc_html__('400', 	'nt-minfox' )	=> '400',
							esc_html__('500', 	'nt-minfox' )	=> '500',
							esc_html__('600', 	'nt-minfox' )	=> '600',
							esc_html__('700', 	'nt-minfox' )	=> '700',
							esc_html__('800', 	'nt-minfox' )	=> '900',
						),
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Color', 'nt-minfox'),
						'param_name'	=> 'color',
						'description'	=> esc_html__('Change color.', 'nt-minfox'),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Text align( position )', 'nt-minfox' ),
						'param_name'  => 'position',
						'description' => esc_html__('You can select position for current item', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select text align', 'nt-minfox' )	=> '',
							esc_html__('Left', 		'nt-minfox' )	=> 'left',
							esc_html__('Center', 	'nt-minfox' )	=> 'center',
							esc_html__('Right', 	'nt-minfox' )	=> 'right',
						),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Font style', 'nt-minfox' ),
						'param_name'  => 'fstyle',
						'value'       => array(
							esc_html__('Select font style', 	'nt-minfox' )	=> '',
							esc_html__('normal', 	'nt-minfox' )	=> 'normal',
							esc_html__('italic', 	'nt-minfox' )	=> 'italic',
							esc_html__('oblique', 	'nt-minfox' )	=> 'oblique',
						),
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Background color', 'nt-minfox'),
						'param_name'	=> 'bgcolor',
						'description'	=> esc_html__('Change background.', 'nt-minfox'),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding top', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padtop',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding right', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padright',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding bottom', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padbottom',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding left', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padleft',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Border', 'nt-minfox' ),
						'param_name'  => 'borderstyl',
						'description' => esc_html__('Select border style and enter border width in ( px or unit ).example:5px', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select border style', 	'nt-minfox' )	=> '',
							esc_html__('solid', 	'nt-minfox' )	=> 'solid',
							esc_html__('dotted', 	'nt-minfox' )	=> 'dotted',
							esc_html__('dashed', 	'nt-minfox' )	=> 'dashed',
							esc_html__('double', 	'nt-minfox' )	=> 'double',
							esc_html__('groove', 	'nt-minfox' )	=> 'groove',
							esc_html__('inset', 	'nt-minfox' )	=> 'inset',
							esc_html__('outset', 	'nt-minfox' )	=> 'outset',
							esc_html__('ridge', 	'nt-minfox' )	=> 'ridge',
						),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border top', 'nt-minfox'),
						'description'   => esc_html__('example:5px', 'nt-minfox' ),
						'param_name'	=> 'brdtop',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border right', 'nt-minfox'),
						'description'   => esc_html__('example:10px', 'nt-minfox' ),
						'param_name'	=> 'brdright',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border bottom', 'nt-minfox'),
						'description'   => esc_html__('example:3px', 'nt-minfox' ),
						'param_name'	=> 'brdbottom',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border left', 'nt-minfox'),
						'description'   => esc_html__('example:1px', 'nt-minfox' ),
						'param_name'	=> 'brdleft',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Border color', 'nt-minfox'),
						'param_name'	=> 'bordercolor',
						'description'	=> esc_html__('Change border color.', 'nt-minfox'),
						'edit_field_class'	=> 'vc_col-sm-6',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border radius', 'nt-minfox'),
						'description'   => esc_html__('Example:30px or 30%', 'nt-minfox' ),
						'param_name'	=> 'borderradius',
						'edit_field_class'	=> 'vc_col-sm-6',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
				)
			),
		),
   ));
} class NT_Minfox_section_aboutone extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	FEATURES  minfox
/*-----------------------------------------------------------------------------------*/
add_action( 'vc_before_init', 'NT_Minfox_features_integrateWithVC' );
function NT_Minfox_features_integrateWithVC() {
   vc_map( array(
		"name" 	   => esc_html__( "Features Section", "nt-minfox" ),
		"base" 	   => "nt_minfox_section_features",
		"category"   => esc_html__( "NT Minfox", "nt-minfox"),
		"params"     => array(
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__('Section ID', 'nt-minfox' ),
				'param_name'    => 'section_id',
				'description'   => esc_html__("Add Your Section ID for scroll", "nt-minfox"),
			),
			//Section heading
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__('Heading display ( hide or show )', 'nt-minfox' ),
				'param_name'  => 'heading_display',
				'description' => esc_html__('You can select hide or show section heading all text', 'nt-minfox' ),
				'group' 	  => esc_html__('Heading', 'nt-minfox' ),
				'value'       => array(
					esc_html__('Show', 	'nt-minfox' )	=> 'show',
					esc_html__('Hide', 	'nt-minfox' )	=> 'hide',
				),
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Heading', 'nt-minfox' ),
				'param_name'    => 'section_heading',
				'description'   => esc_html__("Add heading for this section", "nt-minfox"),
				'group' 	  	=> esc_html__('Heading', 'nt-minfox' ),
				'dependency' 	=> array(
						'element' 	=> 'heading_display',
						'value'   	=> 'show'
					)
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Description', 'nt-minfox' ),
				'param_name'    => 'section_desc',
				'description'   => esc_html__("Add description for this section", "nt-minfox"),
				'group' 	  	=> esc_html__('Heading', 'nt-minfox' ),
				'dependency' 	=> array(
						'element' 	=> 'heading_display',
						'value'   	=> 'show'
					)
			),
			array(
				'type' 			=> 'animation_style',
				'heading' 		=> esc_html__( 'Animation heading and description', 'nt-minfox' ),
				'param_name' 	=> 'headinganimation',
				'group' 	  	=> esc_html__('Heading', 'nt-minfox' ),
				'dependency' 	=> array(
						'element' 	=> 'heading_display',
						'value'   	=> 'show'
					)
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__('Item column size', 'nt-minfox' ),
				'param_name'  => 'item_column',
				'description' => esc_html__('You can select detail item column size', 'nt-minfox' ),
				'group' 	  => esc_html__('Features', 'nt-minfox' ),
				'value'       => array(
					esc_html__('Select column for all item', 	'nt-minfox' )	=> '',
					esc_html__('1 Column', 	'nt-minfox' )	=> 'col-md-4 col-sm-12 col-xs-12',
					esc_html__('2 Column', 	'nt-minfox' )	=> 'col-md-6 col-sm-6 col-xs-12',
					esc_html__('3 Column', 	'nt-minfox' )	=> 'col-md-4 col-sm-6 col-xs-12',
					esc_html__('4 Column', 	'nt-minfox' )	=> 'col-md-3 col-sm-6 col-xs-12',
					esc_html__('6 Column', 	'nt-minfox' )	=> 'col-md-2 col-sm-6 col-xs-12',
					esc_html__('Custom Column', 'nt-minfox' )	=> 'custom',
				),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__('Desktop device column', 'nt-minfox' ),
				'param_name'  => 'md_col',
				'description' => esc_html__('You can select desktop column size', 'nt-minfox' ),
				'group' 	  => esc_html__('Features', 'nt-minfox' ),
				'value'       => array(
					esc_html__('Select desktop column for all item', 	'nt-minfox' )	=> '',
					esc_html__('col-md-1', 	'nt-minfox' )	=> 'col-md-1',
					esc_html__('col-md-2', 	'nt-minfox' )	=> 'col-md-2',
					esc_html__('col-md-3', 	'nt-minfox' )	=> 'col-md-3',
					esc_html__('col-md-4', 	'nt-minfox' )	=> 'col-md-4',
					esc_html__('col-md-5', 	'nt-minfox' )	=> 'col-md-5',
					esc_html__('col-md-6', 	'nt-minfox' )	=> 'col-md-6',
					esc_html__('col-md-7', 	'nt-minfox' )	=> 'col-md-7',
					esc_html__('col-md-8', 	'nt-minfox' )	=> 'col-md-8',
					esc_html__('col-md-9', 	'nt-minfox' )	=> 'col-md-9',
					esc_html__('col-md-10', 'nt-minfox' )	=> 'col-md-10',
					esc_html__('col-md-11', 'nt-minfox' )	=> 'col-md-11',
					esc_html__('col-md-12', 'nt-minfox' )	=> 'col-md-12',
				),
				'dependency' 	=> array(
						'element' 	=> 'item_column',
						'value'   	=> 'custom'
					)
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__('Desktop column offset', 'nt-minfox' ),
				'param_name'  => 'md_off',
				'description' => esc_html__('You can select desktop column offset size', 'nt-minfox' ),
				'group' 	  => esc_html__('Features', 'nt-minfox' ),
				'value'       => array(
					esc_html__('Select desktop column offset for all item', 	'nt-minfox' )	=> '',
					esc_html__('col-md-offset-1', 	'nt-minfox' )	=> 'col-md-offset-1',
					esc_html__('col-md-offset-2', 	'nt-minfox' )	=> 'col-md-offset-2',
					esc_html__('col-md-offset-3', 	'nt-minfox' )	=> 'col-md-offset-3',
					esc_html__('col-md-offset-4', 	'nt-minfox' )	=> 'col-md-offset-4',
					esc_html__('col-md-offset-5', 	'nt-minfox' )	=> 'col-md-offset-5',
					esc_html__('col-md-offset-6', 	'nt-minfox' )	=> 'col-md-offset-6',
					esc_html__('col-md-offset-7', 	'nt-minfox' )	=> 'col-md-offset-7',
					esc_html__('col-md-offset-8', 	'nt-minfox' )	=> 'col-md-offset-8',
					esc_html__('col-md-offset-9', 	'nt-minfox' )	=> 'col-md-offset-9',
					esc_html__('col-md-offset-10', 'nt-minfox' )	=> 'col-md-offset-10',
					esc_html__('col-md-offset-11', 'nt-minfox' )	=> 'col-md-offset-11',
					esc_html__('col-md-offset-12', 'nt-minfox' )	=> 'col-md-offset-12',
				),
				'dependency' 	=> array(
						'element' 	=> 'item_column',
						'value'   	=> 'custom'
					)
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__('Tablet device column', 'nt-minfox' ),
				'param_name'  => 'sm_col',
				'description' => esc_html__('You can select tablet device column size', 'nt-minfox' ),
				'group' 	  => esc_html__('Features', 'nt-minfox' ),
				'value'       => array(
					esc_html__('Select tablet column for all item', 	'nt-minfox' )	=> '',
					esc_html__('col-sm-1', 	'nt-minfox' )	=> 'col-sm-1',
					esc_html__('col-sm-2', 	'nt-minfox' )	=> 'col-sm-2',
					esc_html__('col-sm-3', 	'nt-minfox' )	=> 'col-sm-3',
					esc_html__('col-sm-4', 	'nt-minfox' )	=> 'col-sm-4',
					esc_html__('col-sm-5', 	'nt-minfox' )	=> 'col-sm-5',
					esc_html__('col-sm-6', 	'nt-minfox' )	=> 'col-sm-6',
					esc_html__('col-sm-7', 	'nt-minfox' )	=> 'col-sm-7',
					esc_html__('col-sm-8', 	'nt-minfox' )	=> 'col-sm-8',
					esc_html__('col-sm-9', 	'nt-minfox' )	=> 'col-sm-9',
					esc_html__('col-sm-10', 'nt-minfox' )	=> 'col-sm-10',
					esc_html__('col-sm-11', 'nt-minfox' )	=> 'col-sm-11',
					esc_html__('col-sm-12', 'nt-minfox' )	=> 'col-sm-12',
				),
				'dependency' 	=> array(
						'element' 	=> 'item_column',
						'value'   	=> 'custom'
					)
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__('Phone device column', 'nt-minfox' ),
				'param_name'  => 'xs_col',
				'description' => esc_html__('You can select phone device column size', 'nt-minfox' ),
				'group' 	  => esc_html__('Features', 'nt-minfox' ),
				'value'       => array(
					esc_html__('Select phone column for all item', 	'nt-minfox' )	=> '',
					esc_html__('col-xs-1', 	'nt-minfox' )	=> 'col-xs-1',
					esc_html__('col-xs-2', 	'nt-minfox' )	=> 'col-xs-2',
					esc_html__('col-xs-3', 	'nt-minfox' )	=> 'col-xs-3',
					esc_html__('col-xs-4', 	'nt-minfox' )	=> 'col-xs-4',
					esc_html__('col-xs-5', 	'nt-minfox' )	=> 'col-xs-5',
					esc_html__('col-xs-6', 	'nt-minfox' )	=> 'col-xs-6',
					esc_html__('col-xs-7', 	'nt-minfox' )	=> 'col-xs-7',
					esc_html__('col-xs-8', 	'nt-minfox' )	=> 'col-xs-8',
					esc_html__('col-xs-9', 	'nt-minfox' )	=> 'col-xs-9',
					esc_html__('col-xs-10', 'nt-minfox' )	=> 'col-xs-10',
					esc_html__('col-xs-11', 'nt-minfox' )	=> 'col-xs-11',
					esc_html__('col-xs-12', 'nt-minfox' )	=> 'col-xs-12',
				),
				'dependency' 	=> array(
						'element' 	=> 'item_column',
						'value'   	=> 'custom'
					)
			),
			array(
				'type' 		 => 'animation_style',
				'heading' 	 => esc_html__( 'Features item animation', 'nt-minfox' ),
				'group' 	 => esc_html__('Features', 'nt-minfox' ),
				'param_name' => 'itemanimation',
			),
			//Features loop
			array(
				'type'        => 'param_group',
				'heading'     => esc_html__('Features item', 'nt-minfox' ),
				'param_name'  => 'featuresloop',
				'group' 	  => esc_html__('Features', 'nt-minfox' ),
				'params' 	  => array(
					array(
						"type" 			  => "textfield",
						"heading" 		  => esc_html__("Icon name", "nt-minfox"),
						"param_name" 	  => "item_icon",
                        "description"     => sprintf('%s <a href="%s" target="_blank">Get Et-line Icons</a>',
                        esc_html__("Add icon name(fonticon class name). example : icon icon-browser", "nt-minfox"),
                        esc_url("https://ninetheme.com/themes/minfox/et-line-icons/") ),
					),
                    array(
                        'type' => 'iconpicker',
                        'heading' => esc_html__('Font icon list', 'nt-minfox'),
                        'param_name' => 'item_icon2',
                        'description' => esc_html__('If you want to use FontAwesome icons please select from list.', 'nt-minfox'),
                    ),
					//Center image
					array(
						"type" 		  	=> "attach_image",
						"heading" 	  	=> esc_html__("Image Icon", "nt-minfox"),
						"param_name"  	=> "img_icon",
						"description" 	=> esc_html__("Upload your image if you want to use image icon", "nt-minfox"),
					),
					array(
						"type" 			  => "textfield",
						"heading" 		  => esc_html__("Title", "nt-minfox"),
						"param_name" 	  => "item_title",
						"description" 	  => esc_html__("Add title for item.", "nt-minfox"),
					),
					array(
						"type" 			  => "textarea",
						"heading" 		  => esc_html__("Detail", "nt-minfox"),
						"param_name" 	  => "item_desc",
						"description" 	  => esc_html__("Add detail for item.", "nt-minfox"),
					),
					array(
						"type" 			  => "vc_link",
						"heading" 		  => esc_html__("Link", "nt-minfox"),
						"param_name" 	  => "link",
						"description" 	  => esc_html__("Add link to item.", "nt-minfox")
					)
				)
			),

			//Background CSS
			array(
				'type'          => 'css_editor',
				'heading'       => esc_html__('Background CSS', 'nt-minfox' ),
				'param_name'    => 'sectionbgcss',
				'group' 	    => esc_html__('Background options', 'nt-minfox' ),
			),
			// custom style
			array(
				'type'        => 'param_group',
				'heading'     => esc_html__('Select item and change style', 'nt-minfox' ),
				'param_name'  => 'customstyle',
				'group'		  => esc_html__('Custom Style', 'nt-minfox' ),
				'params' 	  => array(
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Current', 'nt-minfox' ),
						'param_name'  => 'currentitem',
						'admin_label'  => true,
						'description' => esc_html__('You can select element for custom style', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select item for custom style', 	'nt-minfox' )	=> '',
							esc_html__('Section heading', 				'nt-minfox' )	=> '1',
							esc_html__('Section description', 			'nt-minfox' )	=> '2',
							esc_html__('Item icon', 					'nt-minfox' )	=> '3',
							esc_html__('Item title', 					'nt-minfox' )	=> '4',
							esc_html__('Item description', 				'nt-minfox' )	=> '5',
						),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Font-size', 'nt-minfox'),
						'param_name'	=> 'size',
						'description'	=> esc_html__('Change fontsize.use number in ( px or unit )', 'nt-minfox'),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Line-height', 'nt-minfox'),
						'param_name'	=> 'lineh',
						'description'	=> esc_html__('Change line-height.use number in ( px or unit ).example line-height: 1.1 or 24px or 1.4rem', 'nt-minfox'),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Font-weight', 'nt-minfox' ),
						'param_name'  => 'weight',
						'description' => esc_html__('Change font-weight.', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select font-weight', 	'nt-minfox' )	=> '',
							esc_html__('100', 	'nt-minfox' )	=> '100',
							esc_html__('200', 	'nt-minfox' )	=> '200',
							esc_html__('300', 	'nt-minfox' )	=> '300',
							esc_html__('400', 	'nt-minfox' )	=> '400',
							esc_html__('500', 	'nt-minfox' )	=> '500',
							esc_html__('600', 	'nt-minfox' )	=> '600',
							esc_html__('700', 	'nt-minfox' )	=> '700',
							esc_html__('800', 	'nt-minfox' )	=> '900',
						),
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Color', 'nt-minfox'),
						'param_name'	=> 'color',
						'description'	=> esc_html__('Change color.', 'nt-minfox'),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Text align( position )', 'nt-minfox' ),
						'param_name'  => 'position',
						'description' => esc_html__('You can select position for current item', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select text align', 'nt-minfox' )	=> '',
							esc_html__('Left', 		'nt-minfox' )	=> 'left',
							esc_html__('Center', 	'nt-minfox' )	=> 'center',
							esc_html__('Right', 	'nt-minfox' )	=> 'right',
						),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Font style', 'nt-minfox' ),
						'param_name'  => 'fstyle',
						'value'       => array(
							esc_html__('Select font style', 	'nt-minfox' )	=> '',
							esc_html__('normal', 	'nt-minfox' )	=> 'normal',
							esc_html__('italic', 	'nt-minfox' )	=> 'italic',
							esc_html__('oblique', 	'nt-minfox' )	=> 'oblique',
						),
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Background color', 'nt-minfox'),
						'param_name'	=> 'bgcolor',
						'description'	=> esc_html__('Change background.', 'nt-minfox'),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding top', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padtop',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding right', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padright',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding bottom', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padbottom',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding left', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padleft',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Border', 'nt-minfox' ),
						'param_name'  => 'borderstyl',
						'description' => esc_html__('Select border style and enter border width in ( px or unit ).example:5px', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select border style', 	'nt-minfox' )	=> '',
							esc_html__('solid', 	'nt-minfox' )	=> 'solid',
							esc_html__('dotted', 	'nt-minfox' )	=> 'dotted',
							esc_html__('dashed', 	'nt-minfox' )	=> 'dashed',
							esc_html__('double', 	'nt-minfox' )	=> 'double',
							esc_html__('groove', 	'nt-minfox' )	=> 'groove',
							esc_html__('inset', 	'nt-minfox' )	=> 'inset',
							esc_html__('outset', 	'nt-minfox' )	=> 'outset',
							esc_html__('ridge', 	'nt-minfox' )	=> 'ridge',
						),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border top', 'nt-minfox'),
						'description'   => esc_html__('example:5px', 'nt-minfox' ),
						'param_name'	=> 'brdtop',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border right', 'nt-minfox'),
						'description'   => esc_html__('example:10px', 'nt-minfox' ),
						'param_name'	=> 'brdright',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border bottom', 'nt-minfox'),
						'description'   => esc_html__('example:3px', 'nt-minfox' ),
						'param_name'	=> 'brdbottom',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border left', 'nt-minfox'),
						'description'   => esc_html__('example:1px', 'nt-minfox' ),
						'param_name'	=> 'brdleft',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Border color', 'nt-minfox'),
						'param_name'	=> 'bordercolor',
						'description'	=> esc_html__('Change border color.', 'nt-minfox'),
						'edit_field_class'	=> 'vc_col-sm-6',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border radius', 'nt-minfox'),
						'description'   => esc_html__('Example:30px or 30%', 'nt-minfox' ),
						'param_name'	=> 'borderradius',
						'edit_field_class'	=> 'vc_col-sm-6',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
				)
			),
		),
   ));
} class NT_Minfox_section_features extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	Services Item  minfox
/*-----------------------------------------------------------------------------------*/
add_action( 'vc_before_init', 'nt_minfox_services_integrateWithVC' );
function nt_minfox_services_integrateWithVC() {
   vc_map( array(
		"name" 	   => esc_html__( "Services Item", "nt-minfox" ),
		"base" 	   => "nt_minfox_services_item",
		"category"   => esc_html__( "NT Minfox", "nt-minfox"),
		"params"     => array(
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__('Item alignment', 'nt-minfox' ),
				'param_name'  => 'align',
				'value'       => array(
					esc_html__('Select alignment', 'nt-minfox' ) => '',
					esc_html__('left', 'nt-minfox' ) => 'item_left',
					esc_html__('right', 'nt-minfox' ) => 'item_right',
				),
			),
			array(
				"type" 			  => "iconpicker",
				"heading" 		  => esc_html__("Select icon from library", "nt-minfox"),
				"param_name" 	  => "icon"
			),
			array(
				"type" 			  => "textfield",
				"heading" 		  => esc_html__("Custom icon", "nt-minfox"),
				"param_name" 	  => "customicon",
                "description"     => sprintf('%s <a href="%s" target="_blank">Get Et-line Icons</a>',
                esc_html__("Add icon name(fonticon class name). example : icon icon-browser", "nt-minfox"),
                esc_url("https://ninetheme.com/themes/minfox/et-line-icons/") ),
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Title', 'nt-minfox' ),
				'param_name'    => 'title',
				'description'   => esc_html__("Add title to item", "nt-minfox"),
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Description', 'nt-minfox' ),
				'param_name'    => 'desc',
				'description'   => esc_html__("Add description to item", "nt-minfox"),
			),
			array(
				'type' 			=> 'animation_style',
				'heading' 		=> esc_html__( 'Animation', 'nt-minfox' ),
				'param_name' 	=> 'animation',
			),
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__('Animation delay', 'nt-minfox' ),
				'param_name'    => 'delay',
				'description'   => esc_html__("Example : 0.2", "nt-minfox"),
			),
			array(
				"type" 			  => "vc_link",
				"heading" 		  => esc_html__("Link", "nt-minfox"),
				"param_name" 	  => "link",
				"description" 	  => esc_html__("Add link to item.", "nt-minfox")
			),
			// cujstom style
			array(
				'type'			=> 'colorpicker',
				'heading'		=> esc_html__('Color', 'nt-minfox'),
				'param_name'	=> 'iclr',
				'description'	=> esc_html__('Change color.', 'nt-minfox'),
				'group'		    => esc_html__('Custom Style', 'nt-minfox' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__('Font-size', 'nt-minfox'),
				'param_name'	=> 'tsz',
				'description'	=> esc_html__('Change fontsize.use number in ( px or unit )', 'nt-minfox'),
				'group'		    => esc_html__('Custom Style', 'nt-minfox' ),
				'edit_field_class' => 'vc_col-sm-4',
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__('Line-height', 'nt-minfox'),
				'param_name'	=> 'tlh',
				'description'	=> esc_html__('Change line-height.use number in ( px or unit ).', 'nt-minfox'),
				'group'		    => esc_html__('Custom Style', 'nt-minfox' ),
				'edit_field_class' => 'vc_col-sm-4',
			),
			array(
				'type'			=> 'colorpicker',
				'heading'		=> esc_html__('Color', 'nt-minfox'),
				'param_name'	=> 'tclr',
				'description'	=> esc_html__('Change color.', 'nt-minfox'),
				'group'		    => esc_html__('Custom Style', 'nt-minfox' ),
				'edit_field_class' => 'vc_col-sm-4',
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__('Font-size', 'nt-minfox'),
				'param_name'	=> 'dtsz',
				'description'	=> esc_html__('Change fontsize.use number in ( px or unit )', 'nt-minfox'),
				'group'		    => esc_html__('Custom Style', 'nt-minfox' ),
				'edit_field_class' => 'vc_col-sm-4',
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__('Line-height', 'nt-minfox'),
				'param_name'	=> 'dtlh',
				'description'	=> esc_html__('Change line-height.use number in ( px or unit ).', 'nt-minfox'),
				'group'		    => esc_html__('Custom Style', 'nt-minfox' ),
				'edit_field_class' => 'vc_col-sm-4',
			),
			array(
				'type'			=> 'colorpicker',
				'heading'		=> esc_html__('Color', 'nt-minfox'),
				'param_name'	=> 'dtclr',
				'description'	=> esc_html__('Change color.', 'nt-minfox'),
				'group'		    => esc_html__('Custom Style', 'nt-minfox' ),
				'edit_field_class' => 'vc_col-sm-4',
			),
		)
   ));
} class NT_Minfox_Services_Item extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	GALLERY SLIDER  minfox
/*-----------------------------------------------------------------------------------*/
add_action( 'vc_before_init', 'NT_Minfox_gallery_integrateWithVC' );
function NT_Minfox_gallery_integrateWithVC() {
   vc_map( array(
		"name" 	   => esc_html__( "Gallery Carousel Section", "nt-minfox" ),
		"base" 	   => "nt_minfox_section_gallery",
		"category"   => esc_html__( "NT Minfox", "nt-minfox"),
		"params"     => array(
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__('Section ID', 'nt-minfox' ),
				'param_name'    => 'section_id',
				'description'   => esc_html__("Add Your Section ID for scroll", "nt-minfox"),
			),
			//Heading
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__('Heading display ( hide or show )', 'nt-minfox' ),
				'param_name'  => 'heading_display',
				'description' => esc_html__('You can select hide or show section heading all text', 'nt-minfox' ),
				'group' 	  => esc_html__('Heading', 'nt-minfox' ),
				'value'       => array(
					esc_html__('Show', 	'nt-minfox' )	=> 'show',
					esc_html__('Hide', 	'nt-minfox' )	=> 'hide',
				),
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Heading', 'nt-minfox' ),
				'param_name'    => 'section_heading',
				'description'   => esc_html__("Add heading for this section", "nt-minfox"),
				'group' 	  	=> esc_html__('Heading', 'nt-minfox' ),
				'dependency' 	=> array(
						'element' 	=> 'heading_display',
						'value'   	=> 'show'
					)
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Description', 'nt-minfox' ),
				'param_name'    => 'section_desc',
				'description'   => esc_html__("Add description for this section", "nt-minfox"),
				'group' 	  	=> esc_html__('Heading', 'nt-minfox' ),
				'dependency' 	=> array(
						'element' 	=> 'heading_display',
						'value'   	=> 'show'
					)
			),
			array(
				'type' 			=> 'animation_style',
				'heading' 		=> esc_html__( 'Animation for heading and description', 'nt-minfox' ),
				'param_name' 	=> 'headinganimation',
				'group' 	  	=> esc_html__('Heading', 'nt-minfox' ),
				'dependency' 	=> array(
						'element' 	=> 'heading_display',
						'value'   	=> 'show'
					)
			),
			//Gallery loop
			array(
				'type'        => 'param_group',
				'heading'     => esc_html__('Gallery item', 'nt-minfox' ),
				'param_name'  => 'galleryloop',
				'group' 	  => esc_html__('Gallery', 'nt-minfox' ),
				'params' 	  => array(
					array(
						"type" 		  	=> "attach_image",
						"heading" 	  	=> esc_html__("Gallery image", "nt-minfox"),
						"param_name"  	=> "item_img",
						"description" 	=> esc_html__("Add your gallery image", "nt-minfox"),
					)
				)
			),
			//Background CSS
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__('Overlay color display ( hide or show )', 'nt-minfox' ),
				'param_name'  => 'overlay_c',
				'description' => esc_html__('You can select hide or show section overlay color on bg image', 'nt-minfox' ),
				'group' 	  => esc_html__('Heading', 'nt-minfox' ),
				'value'       => array(
					esc_html__('Show', 	'nt-minfox' )	=> 'show',
					esc_html__('Hide', 	'nt-minfox' )	=> 'hide',
				),
			),
			array(
				'type'        => 'colorpicker',
				'heading'     => esc_html__('Overlay color', 'nt-minfox' ),
				'param_name'  => 'overlay_color',
				'description' => esc_html__('Change overlay color', 'nt-minfox' ),
				'group' 	  => esc_html__('Heading', 'nt-minfox' ),
				'dependency'  => array(
					'element' 	=> 'overlay_c',
					'value'   	=> 'show',
				)
			),
			array(
				'type'          => 'css_editor',
				'heading'       => esc_html__('Background CSS', 'nt-minfox' ),
				'param_name'    => 'sectionbgcss',
				'group' 	    => esc_html__('Background Image', 'nt-minfox' ),
			),
			// custom style
			array(
				'type'        => 'param_group',
				'heading'     => esc_html__('Select item and change style', 'nt-minfox' ),
				'param_name'  => 'customstyle',
				'group'		  => esc_html__('Custom Style', 'nt-minfox' ),
				'params' 	  => array(
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Current', 'nt-minfox' ),
						'param_name'  => 'currentitem',
						'admin_label'  => true,
						'description' => esc_html__('You can select element for custom style', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select item for custom style', 	'nt-minfox' )	=> '',
							esc_html__('Section heading', 				'nt-minfox' )	=> '1',
							esc_html__('Section description', 			'nt-minfox' )	=> '2',
						),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Font-size', 'nt-minfox'),
						'param_name'	=> 'size',
						'description'	=> esc_html__('Change fontsize.use number in ( px or unit )', 'nt-minfox'),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Line-height', 'nt-minfox'),
						'param_name'	=> 'lineh',
						'description'	=> esc_html__('Change line-height.use number in ( px or unit ).example line-height: 1.1 or 24px or 1.4rem', 'nt-minfox'),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Font-weight', 'nt-minfox' ),
						'param_name'  => 'weight',
						'description' => esc_html__('Change font-weight.', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select font-weight', 	'nt-minfox' )	=> '',
							esc_html__('100', 	'nt-minfox' )	=> '100',
							esc_html__('200', 	'nt-minfox' )	=> '200',
							esc_html__('300', 	'nt-minfox' )	=> '300',
							esc_html__('400', 	'nt-minfox' )	=> '400',
							esc_html__('500', 	'nt-minfox' )	=> '500',
							esc_html__('600', 	'nt-minfox' )	=> '600',
							esc_html__('700', 	'nt-minfox' )	=> '700',
							esc_html__('800', 	'nt-minfox' )	=> '900',
						),
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Color', 'nt-minfox'),
						'param_name'	=> 'color',
						'description'	=> esc_html__('Change color.', 'nt-minfox'),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Text align( position )', 'nt-minfox' ),
						'param_name'  => 'position',
						'description' => esc_html__('You can select position for current item', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select text align', 'nt-minfox' )	=> '',
							esc_html__('Left', 		'nt-minfox' )	=> 'left',
							esc_html__('Center', 	'nt-minfox' )	=> 'center',
							esc_html__('Right', 	'nt-minfox' )	=> 'right',
						),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Font style', 'nt-minfox' ),
						'param_name'  => 'fstyle',
						'value'       => array(
							esc_html__('Select font style', 	'nt-minfox' )	=> '',
							esc_html__('normal', 	'nt-minfox' )	=> 'normal',
							esc_html__('italic', 	'nt-minfox' )	=> 'italic',
							esc_html__('oblique', 	'nt-minfox' )	=> 'oblique',
						),
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Background color', 'nt-minfox'),
						'param_name'	=> 'bgcolor',
						'description'	=> esc_html__('Change background.', 'nt-minfox'),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding top', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padtop',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding right', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padright',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding bottom', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padbottom',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding left', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padleft',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Border', 'nt-minfox' ),
						'param_name'  => 'borderstyl',
						'description' => esc_html__('Select border style and enter border width in ( px or unit ).example:5px', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select border style', 	'nt-minfox' )	=> '',
							esc_html__('solid', 	'nt-minfox' )	=> 'solid',
							esc_html__('dotted', 	'nt-minfox' )	=> 'dotted',
							esc_html__('dashed', 	'nt-minfox' )	=> 'dashed',
							esc_html__('double', 	'nt-minfox' )	=> 'double',
							esc_html__('groove', 	'nt-minfox' )	=> 'groove',
							esc_html__('inset', 	'nt-minfox' )	=> 'inset',
							esc_html__('outset', 	'nt-minfox' )	=> 'outset',
							esc_html__('ridge', 	'nt-minfox' )	=> 'ridge',
						),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border top', 'nt-minfox'),
						'description'   => esc_html__('example:5px', 'nt-minfox' ),
						'param_name'	=> 'brdtop',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border right', 'nt-minfox'),
						'description'   => esc_html__('example:10px', 'nt-minfox' ),
						'param_name'	=> 'brdright',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border bottom', 'nt-minfox'),
						'description'   => esc_html__('example:3px', 'nt-minfox' ),
						'param_name'	=> 'brdbottom',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border left', 'nt-minfox'),
						'description'   => esc_html__('example:1px', 'nt-minfox' ),
						'param_name'	=> 'brdleft',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Border color', 'nt-minfox'),
						'param_name'	=> 'bordercolor',
						'description'	=> esc_html__('Change border color.', 'nt-minfox'),
						'edit_field_class'	=> 'vc_col-sm-6',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border radius', 'nt-minfox'),
						'description'   => esc_html__('Example:30px or 30%', 'nt-minfox' ),
						'param_name'	=> 'borderradius',
						'edit_field_class'	=> 'vc_col-sm-6',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
				)
			),//custom style end
		),
   ));
} class NT_Minfox_section_gallery extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	TESTIMONIAL minfox
/*-----------------------------------------------------------------------------------*/
add_action( 'vc_before_init', 'NT_Minfox_testimonial_integrateWithVC' );
function NT_Minfox_testimonial_integrateWithVC() {
   vc_map( array(
		"name" 	   => esc_html__( "Testimonial Section", "nt-minfox" ),
		"base" 	   => "nt_minfox_section_testimonial",
		"category"   => esc_html__( "NT Minfox", "nt-minfox"),
		"params"     => array(
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__('Section ID', 'nt-minfox' ),
				'param_name'    => 'section_id',
				'description'   => esc_html__("Add Your Section ID for scroll", "nt-minfox"),
			),
			//TESTIMONIAL LOOP
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__('Heading display ( hide or show )', 'nt-minfox' ),
				'param_name'  => 'heading_display',
				'description' => esc_html__('You can select hide or show section heading all text', 'nt-minfox' ),
				'group' 	  => esc_html__('Heading', 'nt-minfox' ),
				'value'       => array(
					esc_html__('Show', 	'nt-minfox' )	=> 'show',
					esc_html__('Hide', 	'nt-minfox' )	=> 'hide',
				),
			),

			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Heading', 'nt-minfox' ),
				'param_name'    => 'secheading',
				'description'   => esc_html__("Add heading for pricing section", "nt-minfox"),
				'group' 	  	=> esc_html__('Heading', 'nt-minfox' ),
				'dependency' 	=> array(
						'element' 	=> 'heading_display',
						'value'   	=> 'show'
					)
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Section description', 'nt-minfox' ),
				'param_name'    => 'secdescription',
				'description'   => esc_html__("Add description for pricing section", "nt-minfox"),
				'group' 	  	=> esc_html__('Heading', 'nt-minfox' ),
				'dependency' 	=> array(
						'element' 	=> 'heading_display',
						'value'   	=> 'show'
					)
			),
			array(
				'type' 			=> 'animation_style',
				'heading' 		=> esc_html__( 'Animation heading and description', 'nt-minfox' ),
				'param_name' 	=> 'headinganimation',
				'group' 	  	=> esc_html__('Heading', 'nt-minfox' ),
				'dependency' 	=> array(
						'element' 	=> 'heading_display',
						'value'   	=> 'show'
					)
			),
			//TESTIMONIAL LOOP
			array(
				'type' 			=> 'animation_style',
				'heading' 		=> esc_html__( 'Animation item', 'nt-minfox' ),
				'param_name' 	=> 'testianimation',
				'group' 	  	=> esc_html__('Testimonial', 'nt-minfox' ),
			),
			array(
				'type'        => 'param_group',
				'heading'     => esc_html__('Testimonial items', 'nt-minfox' ),
				'param_name'  => 'testiloop',
				'group' 	  => esc_html__('Testimonial', 'nt-minfox' ),
				'params' 	  => array(

					array(
						"type" 		  	=> "attach_image",
						"heading" 	  	=> esc_html__("Testimonial image", "nt-minfox"),
						"param_name"  	=> "testi_img",
						"description" 	=> esc_html__("Add your client image", "nt-minfox"),
					),
					array(
						"type" 			  => "textfield",
						"heading" 		  => esc_html__("Testimonial name", "nt-minfox"),
						"param_name" 	  => "testi_name",
						"description" 	  => esc_html__("Add your testimonial name", "nt-minfox"),
					),
					array(
						"type" 			  => "textfield",
						"heading" 		  => esc_html__("Testimonial job", "nt-minfox"),
						"param_name" 	  => "testi_job",
						"description" 	  => esc_html__("Add your testimonial job or detail", "nt-minfox"),
					),
					array(
						"type" 			  => "textarea",
						"heading" 		  => esc_html__("Testimonial quote", "nt-minfox"),
						"param_name" 	  => "testi_quote",
						"description" 	  => esc_html__("Add your testimonial quote text", "nt-minfox"),
					)
				)
			),
			//BACKGROUND CSS
			array(
				'type'          => 'css_editor',
				'heading'       => esc_html__('Background CSS', 'nt-minfox' ),
				'param_name'    => 'sectionbgcss',
				'group' 	    => esc_html__('Background options', 'nt-minfox' ),
			),
			// custom style
			array(
				'type'        => 'param_group',
				'heading'     => esc_html__('Select item and change style', 'nt-minfox' ),
				'param_name'  => 'customstyle',
				'group'		  => esc_html__('Custom Style', 'nt-minfox' ),
				'params' 	  => array(
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Current', 'nt-minfox' ),
						'param_name'  => 'currentitem',
						'admin_label'  => true,
						'description' => esc_html__('You can select element for custom style', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select item for custom style', 	'nt-minfox' )	=> '',
							esc_html__('Section heading', 				'nt-minfox' )	=> '1',
							esc_html__('Section description', 			'nt-minfox' )	=> '2',
							esc_html__('Testimonial quote', 			'nt-minfox' )	=> '3',
							esc_html__('Testimonial name', 				'nt-minfox' )	=> '4',
							esc_html__('Testimonial job', 				'nt-minfox' )	=> '5',
						),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Font-size', 'nt-minfox'),
						'param_name'	=> 'size',
						'description'	=> esc_html__('Change fontsize.use number in ( px or unit )', 'nt-minfox'),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Line-height', 'nt-minfox'),
						'param_name'	=> 'lineh',
						'description'	=> esc_html__('Change line-height.use number in ( px or unit ).example line-height: 1.1 or 24px or 1.4rem', 'nt-minfox'),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Font-weight', 'nt-minfox' ),
						'param_name'  => 'weight',
						'description' => esc_html__('Change font-weight.', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select font-weight', 	'nt-minfox' )	=> '',
							esc_html__('100', 	'nt-minfox' )	=> '100',
							esc_html__('200', 	'nt-minfox' )	=> '200',
							esc_html__('300', 	'nt-minfox' )	=> '300',
							esc_html__('400', 	'nt-minfox' )	=> '400',
							esc_html__('500', 	'nt-minfox' )	=> '500',
							esc_html__('600', 	'nt-minfox' )	=> '600',
							esc_html__('700', 	'nt-minfox' )	=> '700',
							esc_html__('800', 	'nt-minfox' )	=> '900',
						),
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Color', 'nt-minfox'),
						'param_name'	=> 'color',
						'description'	=> esc_html__('Change color.', 'nt-minfox'),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Text align( position )', 'nt-minfox' ),
						'param_name'  => 'position',
						'description' => esc_html__('You can select position for current item', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select text align', 'nt-minfox' )	=> '',
							esc_html__('Left', 		'nt-minfox' )	=> 'left',
							esc_html__('Center', 	'nt-minfox' )	=> 'center',
							esc_html__('Right', 	'nt-minfox' )	=> 'right',
						),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Font style', 'nt-minfox' ),
						'param_name'  => 'fstyle',
						'value'       => array(
							esc_html__('Select font style', 	'nt-minfox' )	=> '',
							esc_html__('normal', 	'nt-minfox' )	=> 'normal',
							esc_html__('italic', 	'nt-minfox' )	=> 'italic',
							esc_html__('oblique', 	'nt-minfox' )	=> 'oblique',
						),
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Background color', 'nt-minfox'),
						'param_name'	=> 'bgcolor',
						'description'	=> esc_html__('Change background.', 'nt-minfox'),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding top', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padtop',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding right', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padright',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding bottom', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padbottom',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding left', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padleft',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Border', 'nt-minfox' ),
						'param_name'  => 'borderstyl',
						'description' => esc_html__('Select border style and enter border width in ( px or unit ).example:5px', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select border style', 	'nt-minfox' )	=> '',
							esc_html__('solid', 	'nt-minfox' )	=> 'solid',
							esc_html__('dotted', 	'nt-minfox' )	=> 'dotted',
							esc_html__('dashed', 	'nt-minfox' )	=> 'dashed',
							esc_html__('double', 	'nt-minfox' )	=> 'double',
							esc_html__('groove', 	'nt-minfox' )	=> 'groove',
							esc_html__('inset', 	'nt-minfox' )	=> 'inset',
							esc_html__('outset', 	'nt-minfox' )	=> 'outset',
							esc_html__('ridge', 	'nt-minfox' )	=> 'ridge',
						),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border top', 'nt-minfox'),
						'description'   => esc_html__('example:5px', 'nt-minfox' ),
						'param_name'	=> 'brdtop',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border right', 'nt-minfox'),
						'description'   => esc_html__('example:10px', 'nt-minfox' ),
						'param_name'	=> 'brdright',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border bottom', 'nt-minfox'),
						'description'   => esc_html__('example:3px', 'nt-minfox' ),
						'param_name'	=> 'brdbottom',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border left', 'nt-minfox'),
						'description'   => esc_html__('example:1px', 'nt-minfox' ),
						'param_name'	=> 'brdleft',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Border color', 'nt-minfox'),
						'param_name'	=> 'bordercolor',
						'description'	=> esc_html__('Change border color.', 'nt-minfox'),
						'edit_field_class'	=> 'vc_col-sm-6',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border radius', 'nt-minfox'),
						'description'   => esc_html__('Example:30px or 30%', 'nt-minfox' ),
						'param_name'	=> 'borderradius',
						'edit_field_class'	=> 'vc_col-sm-6',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
				)
			),//custom style end
		)
   ));
} class NT_Minfox_section_testimonial extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	CTA minfox
/*-----------------------------------------------------------------------------------*/
add_action( 'vc_before_init', 'NT_Minfox_cta_integrateWithVC' );
function NT_Minfox_cta_integrateWithVC() {
   vc_map( array(
		"name" 	   => esc_html__( "Call To Action", "nt-minfox" ),
		"base" 	   => "nt_minfox_section_cta",
		"category"   => esc_html__( "NT Minfox", "nt-minfox"),
		"params"     => array(
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__('Section ID', 'nt-minfox' ),
				'param_name'    => 'section_id',
				'description'   => esc_html__("Add Your Section ID for scroll", "nt-minfox"),
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Heading', 'nt-minfox' ),
				'param_name'    => 'section_heading',
				'description'   => esc_html__("Add heading for this section", "nt-minfox"),
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Description', 'nt-minfox' ),
				'param_name'    => 'section_desc',
				'description'   => esc_html__("Add description for this section", "nt-minfox"),
			),
			array(
				'type' 			=> 'animation_style',
				'heading' 		=> esc_html__( 'Animation heading and description', 'nt-minfox' ),
				'param_name' 	=> 'headinganimation',
			),
			array(
				'type'          => 'vc_link',
				'heading'       => esc_html__('Button (Link)', 'nt-minfox' ),
				'param_name'    => 'ctabtnlink',
				'description'   => esc_html__('Add custom link.', 'nt-minfox' ),
				'group' 	  	=> esc_html__('Button', 'nt-minfox' ),
			),
			array(
				'type'          => 'vc_link',
				'heading'       => esc_html__('Button (Link)', 'nt-minfox' ),
				'param_name'    => 'ctabtnlink2',
				'description'   => esc_html__('Add custom link.', 'nt-minfox' ),
				'group' 	  	=> esc_html__('Button', 'nt-minfox' ),
			),
			array(
				'type' 			=> 'animation_style',
				'heading' 		=> esc_html__( 'Animation for button', 'nt-minfox' ),
				'param_name' 	=> 'btnanimation',
				'group' 	  	=> esc_html__('Button', 'nt-minfox' ),
			),
			array(
				'type'          => 'css_editor',
				'heading'       => esc_html__('Background CSS', 'nt-minfox' ),
				'param_name'    => 'sectionbgcss',
				'group' 	    => esc_html__('Background options', 'nt-minfox' ),
			),
			// custom style
			array(
				'type'        => 'param_group',
				'heading'     => esc_html__('Select item and change style', 'nt-minfox' ),
				'param_name'  => 'customstyle',
				'group'		  => esc_html__('Custom Style', 'nt-minfox' ),
				'params' 	  => array(
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Current', 'nt-minfox' ),
						'param_name'  => 'currentitem',
						'admin_label'  => true,
						'description' => esc_html__('You can select element for custom style', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select item for custom style', 	'nt-minfox' )	=> '',
							esc_html__('Section heading', 				'nt-minfox' )	=> '1',
							esc_html__('Section description', 			'nt-minfox' )	=> '2',
							esc_html__('Button 1', 						'nt-minfox' )	=> '3',
							esc_html__('Button 2', 						'nt-minfox' )	=> '4',
						),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Font-size', 'nt-minfox'),
						'param_name'	=> 'size',
						'description'	=> esc_html__('Change fontsize.use number in ( px or unit )', 'nt-minfox'),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Line-height', 'nt-minfox'),
						'param_name'	=> 'lineh',
						'description'	=> esc_html__('Change line-height.use number in ( px or unit ).example line-height: 1.1 or 24px or 1.4rem', 'nt-minfox'),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Font-weight', 'nt-minfox' ),
						'param_name'  => 'weight',
						'description' => esc_html__('Change font-weight.', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select font-weight', 	'nt-minfox' )	=> '',
							esc_html__('100', 	'nt-minfox' )	=> '100',
							esc_html__('200', 	'nt-minfox' )	=> '200',
							esc_html__('300', 	'nt-minfox' )	=> '300',
							esc_html__('400', 	'nt-minfox' )	=> '400',
							esc_html__('500', 	'nt-minfox' )	=> '500',
							esc_html__('600', 	'nt-minfox' )	=> '600',
							esc_html__('700', 	'nt-minfox' )	=> '700',
							esc_html__('800', 	'nt-minfox' )	=> '900',
						),
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Color', 'nt-minfox'),
						'param_name'	=> 'color',
						'description'	=> esc_html__('Change color.', 'nt-minfox'),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Text align( position )', 'nt-minfox' ),
						'param_name'  => 'position',
						'description' => esc_html__('You can select position for current item', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select text align', 'nt-minfox' )	=> '',
							esc_html__('Left', 		'nt-minfox' )	=> 'left',
							esc_html__('Center', 	'nt-minfox' )	=> 'center',
							esc_html__('Right', 	'nt-minfox' )	=> 'right',
						),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Font style', 'nt-minfox' ),
						'param_name'  => 'fstyle',
						'value'       => array(
							esc_html__('Select font style', 	'nt-minfox' )	=> '',
							esc_html__('normal', 	'nt-minfox' )	=> 'normal',
							esc_html__('italic', 	'nt-minfox' )	=> 'italic',
							esc_html__('oblique', 	'nt-minfox' )	=> 'oblique',
						),
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Background color', 'nt-minfox'),
						'param_name'	=> 'bgcolor',
						'description'	=> esc_html__('Change background.', 'nt-minfox'),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding top', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padtop',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding right', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padright',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding bottom', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padbottom',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding left', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padleft',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Border', 'nt-minfox' ),
						'param_name'  => 'borderstyl',
						'description' => esc_html__('Select border style and enter border width in ( px or unit ).example:5px', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select border style', 	'nt-minfox' )	=> '',
							esc_html__('solid', 	'nt-minfox' )	=> 'solid',
							esc_html__('dotted', 	'nt-minfox' )	=> 'dotted',
							esc_html__('dashed', 	'nt-minfox' )	=> 'dashed',
							esc_html__('double', 	'nt-minfox' )	=> 'double',
							esc_html__('groove', 	'nt-minfox' )	=> 'groove',
							esc_html__('inset', 	'nt-minfox' )	=> 'inset',
							esc_html__('outset', 	'nt-minfox' )	=> 'outset',
							esc_html__('ridge', 	'nt-minfox' )	=> 'ridge',
						),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border top', 'nt-minfox'),
						'description'   => esc_html__('example:5px', 'nt-minfox' ),
						'param_name'	=> 'brdtop',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border right', 'nt-minfox'),
						'description'   => esc_html__('example:10px', 'nt-minfox' ),
						'param_name'	=> 'brdright',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border bottom', 'nt-minfox'),
						'description'   => esc_html__('example:3px', 'nt-minfox' ),
						'param_name'	=> 'brdbottom',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border left', 'nt-minfox'),
						'description'   => esc_html__('example:1px', 'nt-minfox' ),
						'param_name'	=> 'brdleft',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Border color', 'nt-minfox'),
						'param_name'	=> 'bordercolor',
						'description'	=> esc_html__('Change border color.', 'nt-minfox'),
						'edit_field_class'	=> 'vc_col-sm-6',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border radius', 'nt-minfox'),
						'description'   => esc_html__('Example:30px or 30%', 'nt-minfox' ),
						'param_name'	=> 'borderradius',
						'edit_field_class'	=> 'vc_col-sm-6',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
				)
			),//custom style end
		),
   ));
} class NT_Minfox_section_cta extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	TEAM minfox
/*-----------------------------------------------------------------------------------*/
add_action( 'vc_before_init', 'NT_Minfox_section_team_integrateWithVC' );
function NT_Minfox_section_team_integrateWithVC() {
   vc_map( array(
      "name"       => esc_html__("TEAM ( Plugin )", "nt-minfox"),
      "base"       => "nt_minfox_section_team",
	  "icon"       => "icon-wpb-row",
	  "category"   => esc_html__("NT Minfox", "nt-minfox"),
      "params"     => array(
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__('Section ID', 'nt-minfox'),
				'param_name'  => 'section_id',
				'description' => esc_html__('Add your section ID for scroll', 'nt-minfox'),
			),
			//Section heading
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__('Heading display ( hide or show )', 'nt-minfox' ),
				'param_name'  => 'heading_display',
				'description' => esc_html__('You can select hide or show section heading all text', 'nt-minfox' ),
				'group' 	  => esc_html__('Heading', 'nt-minfox' ),
				'value'       => array(
					esc_html__('Show', 	'nt-minfox' )	=> 'show',
					esc_html__('Hide', 	'nt-minfox' )	=> 'hide',
				),
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Heading', 'nt-minfox' ),
				'param_name'    => 'section_heading',
				'description'   => esc_html__("Add heading for this section", "nt-minfox"),
				'group' 	  	=> esc_html__('Heading', 'nt-minfox' ),
				'dependency' 	=> array(
						'element' 	=> 'heading_display',
						'value'   	=> 'show'
					)
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Description', 'nt-minfox' ),
				'param_name'    => 'section_desc',
				'description'   => esc_html__("Add description for this section", "nt-minfox"),
				'group' 	  	=> esc_html__('Heading', 'nt-minfox' ),
				'dependency' 	=> array(
						'element' 	=> 'heading_display',
						'value'   	=> 'show'
					)
			),
			array(
				'type' 			=> 'animation_style',
				'heading' 		=> esc_html__( 'Animation heading and description', 'nt-minfox' ),
				'param_name' 	=> 'headinganimation',
				'group' 	  	=> esc_html__('Heading', 'nt-minfox' ),
				'dependency' 	=> array(
						'element' 	=> 'heading_display',
						'value'   	=> 'show'
					)
			),
			array(
				'type' 			=> 'animation_style',
				'heading' 		=> esc_html__( 'Animation for team item', 'nt-minfox' ),
				'param_name' 	=> 'teamanimation',
				'group' 	  	=> esc_html__('Post Options', 'nt-minfox' )
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__('Team post count', 'nt-minfox' ),
				'param_name'  => 'post_number',
				'group'       => esc_html__('Post Options', 'nt-minfox'),
				'description' => esc_html__('You can control with number your team members post.Please enter a number', 'nt-minfox'),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__('order', 'nt-minfox' ),
				'param_name'  => 'order',
				'group'       => esc_html__('Post Options', 'nt-minfox'),
				'description' => esc_html__('Enter Team order. DESC or ASC', 'nt-minfox'),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__('orderby', 'nt-minfox' ),
				'param_name'  => 'orderby',
				'group'       => esc_html__('Post Options', 'nt-minfox'),
				'description' => esc_html__('Enter Team orderby. Default is : date', 'nt-minfox'),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__('Category', 'nt-minfox' ),
				'param_name'  => 'team_category',
				'group'       => esc_html__('Post Options', 'nt-minfox'),
				'description' => esc_html__('Enter Team category or write all', 'nt-minfox'),
			),
			array(
				'type'          => 'css_editor',
				'heading'       => esc_html__('Background CSS', 'nt-minfox' ),
				'param_name'    => 'sectionbgcss',
				'group' 	    => esc_html__('Background options', 'nt-minfox' ),
			),
			// custom style
			array(
				'type'        => 'param_group',
				'heading'     => esc_html__('Select item and change style', 'nt-minfox' ),
				'param_name'  => 'customstyle',
				'group'		  => esc_html__('Custom Style', 'nt-minfox' ),
				'params' 	  => array(
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Current', 'nt-minfox' ),
						'param_name'  => 'currentitem',
						'admin_label'  => true,
						'description' => esc_html__('You can select element for custom style', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select item for custom style', 	'nt-minfox' )	=> '',
							esc_html__('Section heading', 				'nt-minfox' )	=> '1',
							esc_html__('Section description', 			'nt-minfox' )	=> '2',
							esc_html__('Team name', 					'nt-minfox' )	=> '3',
							esc_html__('Team job', 						'nt-minfox' )	=> '4',
							esc_html__('Team social', 					'nt-minfox' )	=> '5',
						),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Font-size', 'nt-minfox'),
						'param_name'	=> 'size',
						'description'	=> esc_html__('Change fontsize.use number in ( px or unit )', 'nt-minfox'),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Line-height', 'nt-minfox'),
						'param_name'	=> 'lineh',
						'description'	=> esc_html__('Change line-height.use number in ( px or unit ).example line-height: 1.1 or 24px or 1.4rem', 'nt-minfox'),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Font-weight', 'nt-minfox' ),
						'param_name'  => 'weight',
						'description' => esc_html__('Change font-weight.', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select font-weight', 	'nt-minfox' )	=> '',
							esc_html__('100', 	'nt-minfox' )	=> '100',
							esc_html__('200', 	'nt-minfox' )	=> '200',
							esc_html__('300', 	'nt-minfox' )	=> '300',
							esc_html__('400', 	'nt-minfox' )	=> '400',
							esc_html__('500', 	'nt-minfox' )	=> '500',
							esc_html__('600', 	'nt-minfox' )	=> '600',
							esc_html__('700', 	'nt-minfox' )	=> '700',
							esc_html__('800', 	'nt-minfox' )	=> '900',
						),
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Color', 'nt-minfox'),
						'param_name'	=> 'color',
						'description'	=> esc_html__('Change color.', 'nt-minfox'),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Text align( position )', 'nt-minfox' ),
						'param_name'  => 'position',
						'description' => esc_html__('You can select position for current item', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select text align', 'nt-minfox' )	=> '',
							esc_html__('Left', 		'nt-minfox' )	=> 'left',
							esc_html__('Center', 	'nt-minfox' )	=> 'center',
							esc_html__('Right', 	'nt-minfox' )	=> 'right',
						),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Font style', 'nt-minfox' ),
						'param_name'  => 'fstyle',
						'value'       => array(
							esc_html__('Select font style', 	'nt-minfox' )	=> '',
							esc_html__('normal', 	'nt-minfox' )	=> 'normal',
							esc_html__('italic', 	'nt-minfox' )	=> 'italic',
							esc_html__('oblique', 	'nt-minfox' )	=> 'oblique',
						),
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Background color', 'nt-minfox'),
						'param_name'	=> 'bgcolor',
						'description'	=> esc_html__('Change background.', 'nt-minfox'),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding top', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padtop',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding right', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padright',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding bottom', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padbottom',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding left', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padleft',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Border', 'nt-minfox' ),
						'param_name'  => 'borderstyl',
						'description' => esc_html__('Select border style and enter border width in ( px or unit ).example:5px', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select border style', 	'nt-minfox' )	=> '',
							esc_html__('solid', 	'nt-minfox' )	=> 'solid',
							esc_html__('dotted', 	'nt-minfox' )	=> 'dotted',
							esc_html__('dashed', 	'nt-minfox' )	=> 'dashed',
							esc_html__('double', 	'nt-minfox' )	=> 'double',
							esc_html__('groove', 	'nt-minfox' )	=> 'groove',
							esc_html__('inset', 	'nt-minfox' )	=> 'inset',
							esc_html__('outset', 	'nt-minfox' )	=> 'outset',
							esc_html__('ridge', 	'nt-minfox' )	=> 'ridge',
						),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border top', 'nt-minfox'),
						'description'   => esc_html__('example:5px', 'nt-minfox' ),
						'param_name'	=> 'brdtop',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border right', 'nt-minfox'),
						'description'   => esc_html__('example:10px', 'nt-minfox' ),
						'param_name'	=> 'brdright',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border bottom', 'nt-minfox'),
						'description'   => esc_html__('example:3px', 'nt-minfox' ),
						'param_name'	=> 'brdbottom',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border left', 'nt-minfox'),
						'description'   => esc_html__('example:1px', 'nt-minfox' ),
						'param_name'	=> 'brdleft',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Border color', 'nt-minfox'),
						'param_name'	=> 'bordercolor',
						'description'	=> esc_html__('Change border color.', 'nt-minfox'),
						'edit_field_class'	=> 'vc_col-sm-6',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border radius', 'nt-minfox'),
						'description'   => esc_html__('Example:30px or 30%', 'nt-minfox' ),
						'param_name'	=> 'borderradius',
						'edit_field_class'	=> 'vc_col-sm-6',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
				)
			),//custom style end
		)
	));
}
class NT_Minfox_section_team extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	TEAM ITEM minfox
/*-----------------------------------------------------------------------------------*/
add_action( 'vc_before_init', 'NT_Minfox_section_teamitem_integrateWithVC' );
function NT_Minfox_section_teamitem_integrateWithVC() {
   vc_map( array(
      "name"       => esc_html__("TEAM ITEM( Plugin )", "nt-minfox"),
      "base"       => "nt_minfox_section_teamitem",
	  "icon"       => "icon-wpb-row",
	  "category"   => esc_html__("NT Minfox", "nt-minfox"),
      "params"     => array(
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__('Team post slug name', 'nt-minfox'),
				'param_name'  => 'postname',
				'description' => esc_html__('Add your team slug name', 'nt-minfox'),
			),
			// custom style
			array(
				'type'        => 'param_group',
				'heading'     => esc_html__('Select item and change style', 'nt-minfox' ),
				'param_name'  => 'customstyle',
				'group'		  => esc_html__('Custom Style', 'nt-minfox' ),
				'params' 	  => array(
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Current', 'nt-minfox' ),
						'param_name'  => 'currentitem',
						'admin_label'  => true,
						'description' => esc_html__('You can select element for custom style', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select item for custom style', 	'nt-minfox' )	=> '',
							esc_html__('Team name', 					'nt-minfox' )	=> '1',
							esc_html__('Team job', 						'nt-minfox' )	=> '2',
							esc_html__('Team social', 					'nt-minfox' )	=> '3',
						),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Font-size', 'nt-minfox'),
						'param_name'	=> 'size',
						'description'	=> esc_html__('Change fontsize.use number in ( px or unit )', 'nt-minfox'),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Line-height', 'nt-minfox'),
						'param_name'	=> 'lineh',
						'description'	=> esc_html__('Change line-height.use number in ( px or unit ).example line-height: 1.1 or 24px or 1.4rem', 'nt-minfox'),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Font-weight', 'nt-minfox' ),
						'param_name'  => 'weight',
						'description' => esc_html__('Change font-weight.', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select font-weight', 	'nt-minfox' )	=> '',
							esc_html__('100', 	'nt-minfox' )	=> '100',
							esc_html__('200', 	'nt-minfox' )	=> '200',
							esc_html__('300', 	'nt-minfox' )	=> '300',
							esc_html__('400', 	'nt-minfox' )	=> '400',
							esc_html__('500', 	'nt-minfox' )	=> '500',
							esc_html__('600', 	'nt-minfox' )	=> '600',
							esc_html__('700', 	'nt-minfox' )	=> '700',
							esc_html__('800', 	'nt-minfox' )	=> '900',
						),
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Color', 'nt-minfox'),
						'param_name'	=> 'color',
						'description'	=> esc_html__('Change color.', 'nt-minfox'),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Text align( position )', 'nt-minfox' ),
						'param_name'  => 'position',
						'description' => esc_html__('You can select position for current item', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select text align', 'nt-minfox' )	=> '',
							esc_html__('Left', 		'nt-minfox' )	=> 'left',
							esc_html__('Center', 	'nt-minfox' )	=> 'center',
							esc_html__('Right', 	'nt-minfox' )	=> 'right',
						),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Font style', 'nt-minfox' ),
						'param_name'  => 'fstyle',
						'value'       => array(
							esc_html__('Select font style', 	'nt-minfox' )	=> '',
							esc_html__('normal', 	'nt-minfox' )	=> 'normal',
							esc_html__('italic', 	'nt-minfox' )	=> 'italic',
							esc_html__('oblique', 	'nt-minfox' )	=> 'oblique',
						),
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Background color', 'nt-minfox'),
						'param_name'	=> 'bgcolor',
						'description'	=> esc_html__('Change background.', 'nt-minfox'),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding top', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padtop',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding right', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padright',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding bottom', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padbottom',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding left', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padleft',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Border', 'nt-minfox' ),
						'param_name'  => 'borderstyl',
						'description' => esc_html__('Select border style and enter border width in ( px or unit ).example:5px', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select border style', 	'nt-minfox' )	=> '',
							esc_html__('solid', 	'nt-minfox' )	=> 'solid',
							esc_html__('dotted', 	'nt-minfox' )	=> 'dotted',
							esc_html__('dashed', 	'nt-minfox' )	=> 'dashed',
							esc_html__('double', 	'nt-minfox' )	=> 'double',
							esc_html__('groove', 	'nt-minfox' )	=> 'groove',
							esc_html__('inset', 	'nt-minfox' )	=> 'inset',
							esc_html__('outset', 	'nt-minfox' )	=> 'outset',
							esc_html__('ridge', 	'nt-minfox' )	=> 'ridge',
						),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border top', 'nt-minfox'),
						'description'   => esc_html__('example:5px', 'nt-minfox' ),
						'param_name'	=> 'brdtop',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border right', 'nt-minfox'),
						'description'   => esc_html__('example:10px', 'nt-minfox' ),
						'param_name'	=> 'brdright',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border bottom', 'nt-minfox'),
						'description'   => esc_html__('example:3px', 'nt-minfox' ),
						'param_name'	=> 'brdbottom',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border left', 'nt-minfox'),
						'description'   => esc_html__('example:1px', 'nt-minfox' ),
						'param_name'	=> 'brdleft',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Border color', 'nt-minfox'),
						'param_name'	=> 'bordercolor',
						'description'	=> esc_html__('Change border color.', 'nt-minfox'),
						'edit_field_class'	=> 'vc_col-sm-6',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border radius', 'nt-minfox'),
						'description'   => esc_html__('Example:30px or 30%', 'nt-minfox' ),
						'param_name'	=> 'borderradius',
						'edit_field_class'	=> 'vc_col-sm-6',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
				)
			),//custom style end
		)
	));
}
class NT_Minfox_section_teamitem extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	PRICING minfox
/*-----------------------------------------------------------------------------------*/
add_action( 'vc_before_init', 'NT_Minfox_section_pricing_integrateWithVC' );
function NT_Minfox_section_pricing_integrateWithVC() {
   vc_map( array(
      "name"       => esc_html__("PRICING ( Plugin )", "nt-minfox"),
      "base"       => "nt_minfox_section_pricing",
	  "icon"       => "icon-wpb-row",
	  "category"   => esc_html__("NT Minfox", "nt-minfox"),
      "params"     => array(
			 array(
				'type'        => 'textfield',
				'heading'     => esc_html__('Section ID', 'nt-minfox'),
				'param_name'  => 'section_id',
				'description' => esc_html__('Add your Section ID for scroll', 'nt-minfox'),
			),
			//Section heading
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__('Heading display ( hide or show )', 'nt-minfox' ),
				'param_name'  => 'heading_display',
				'description' => esc_html__('You can select hide or show section heading all text', 'nt-minfox' ),
				'group' 	  => esc_html__('Heading', 'nt-minfox' ),
				'value'       => array(
					esc_html__('Show', 	'nt-minfox' )	=> 'show',
					esc_html__('Hide', 	'nt-minfox' )	=> 'hide',
				),
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Heading', 'nt-minfox' ),
				'param_name'    => 'section_heading',
				'description'   => esc_html__("Add heading for this section", "nt-minfox"),
				'group' 	  	=> esc_html__('Heading', 'nt-minfox' ),
				'dependency' 	=> array(
						'element' 	=> 'heading_display',
						'value'   	=> 'show'
					)
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Description', 'nt-minfox' ),
				'param_name'    => 'section_desc',
				'description'   => esc_html__("Add description for this section", "nt-minfox"),
				'group' 	  	=> esc_html__('Heading', 'nt-minfox' ),
				'dependency' 	=> array(
						'element' 	=> 'heading_display',
						'value'   	=> 'show'
					)
			),
			array(
				'type' 			=> 'animation_style',
				'heading' 		=> esc_html__( 'Animation heading and description', 'nt-minfox' ),
				'param_name' 	=> 'headinganimation',
				'group' 	  	=> esc_html__('Heading', 'nt-minfox' ),
				'dependency' 	=> array(
						'element' 	=> 'heading_display',
						'value'   	=> 'show'
					)
			),
			array(
				'type' 			=> 'animation_style',
				'heading' 		=> esc_html__( 'Animation for team item', 'nt-minfox' ),
				'param_name' 	=> 'packanimation',
				'group' 	  	=> esc_html__('Post Options', 'nt-minfox' )
			),
			array(
				'type'          => 'vc_link',
				'heading'       => esc_html__('Button (Link)', 'nt-minfox' ),
				'param_name'    => 'btnlink',
				'description'   => esc_html__('Add custom button title and link for pricing pack', 'nt-minfox' ),
			),
			//post options
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__('Price Table Count', 'nt-minfox' ),
				'param_name'  => 'post_number',
				'group'       => esc_html__('Post Options', 'nt-minfox'),
				'description' => esc_html__('You can control with number your price tables.Please enter a number', 'nt-minfox'),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__('Order', 'nt-minfox' ),
				'param_name'  => 'order',
				'group'       => esc_html__('Post Options', 'nt-minfox'),
				'description' => esc_html__('Enter Price table order. DESC or ASC', 'nt-minfox'),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__('Orderby', 'nt-minfox' ),
				'param_name'  => 'orderby',
				'group'       => esc_html__('Post Options', 'nt-minfox'),
				'description' => esc_html__('Enter Price table orderby. Default is : date', 'nt-minfox'),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__('Category', 'nt-minfox' ),
				'param_name'  => 'price_category',
				'group'       => esc_html__('Post Options', 'nt-minfox'),
				'description' => esc_html__('Enter Price table category or write all', 'nt-minfox'),
			),
			array(
				'type'          => 'css_editor',
				'heading'       => esc_html__('Background CSS', 'nt-minfox' ),
				'param_name'    => 'sectionbgcss',
				'group' 	    => esc_html__('Background options', 'nt-minfox' ),
			),
			// custom style
			array(
				'type'        => 'param_group',
				'heading'     => esc_html__('Select item and change style', 'nt-minfox' ),
				'param_name'  => 'customstyle',
				'group'		  => esc_html__('Custom Style', 'nt-minfox' ),
				'params' 	  => array(
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Current', 'nt-minfox' ),
						'param_name'  => 'currentitem',
						'admin_label'  => true,
						'description' => esc_html__('You can select element for custom style', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select item for custom style', 	'nt-minfox' )	=> '',
							esc_html__('Section heading', 				'nt-minfox' )	=> '1',
							esc_html__('Section description', 			'nt-minfox' )	=> '2',
							esc_html__('Price title', 					'nt-minfox' )	=> '3',
							esc_html__('Price', 						'nt-minfox' )	=> '4',
							esc_html__('Price features', 				'nt-minfox' )	=> '5',
							esc_html__('Price button', 					'nt-minfox' )	=> '6',
						),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Font-size', 'nt-minfox'),
						'param_name'	=> 'size',
						'description'	=> esc_html__('Change fontsize.use number in ( px or unit )', 'nt-minfox'),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Line-height', 'nt-minfox'),
						'param_name'	=> 'lineh',
						'description'	=> esc_html__('Change line-height.use number in ( px or unit ).example line-height: 1.1 or 24px or 1.4rem', 'nt-minfox'),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Font-weight', 'nt-minfox' ),
						'param_name'  => 'weight',
						'description' => esc_html__('Change font-weight.', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select font-weight', 	'nt-minfox' )	=> '',
							esc_html__('100', 	'nt-minfox' )	=> '100',
							esc_html__('200', 	'nt-minfox' )	=> '200',
							esc_html__('300', 	'nt-minfox' )	=> '300',
							esc_html__('400', 	'nt-minfox' )	=> '400',
							esc_html__('500', 	'nt-minfox' )	=> '500',
							esc_html__('600', 	'nt-minfox' )	=> '600',
							esc_html__('700', 	'nt-minfox' )	=> '700',
							esc_html__('800', 	'nt-minfox' )	=> '900',
						),
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Color', 'nt-minfox'),
						'param_name'	=> 'color',
						'description'	=> esc_html__('Change color.', 'nt-minfox'),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Text align( position )', 'nt-minfox' ),
						'param_name'  => 'position',
						'description' => esc_html__('You can select position for current item', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select text align', 'nt-minfox' )	=> '',
							esc_html__('Left', 		'nt-minfox' )	=> 'left',
							esc_html__('Center', 	'nt-minfox' )	=> 'center',
							esc_html__('Right', 	'nt-minfox' )	=> 'right',
						),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Font style', 'nt-minfox' ),
						'param_name'  => 'fstyle',
						'value'       => array(
							esc_html__('Select font style', 	'nt-minfox' )	=> '',
							esc_html__('normal', 	'nt-minfox' )	=> 'normal',
							esc_html__('italic', 	'nt-minfox' )	=> 'italic',
							esc_html__('oblique', 	'nt-minfox' )	=> 'oblique',
						),
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Background color', 'nt-minfox'),
						'param_name'	=> 'bgcolor',
						'description'	=> esc_html__('Change background.', 'nt-minfox'),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding top', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padtop',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding right', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padright',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding bottom', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padbottom',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding left', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padleft',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Border', 'nt-minfox' ),
						'param_name'  => 'borderstyl',
						'description' => esc_html__('Select border style and enter border width in ( px or unit ).example:5px', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select border style', 	'nt-minfox' )	=> '',
							esc_html__('solid', 	'nt-minfox' )	=> 'solid',
							esc_html__('dotted', 	'nt-minfox' )	=> 'dotted',
							esc_html__('dashed', 	'nt-minfox' )	=> 'dashed',
							esc_html__('double', 	'nt-minfox' )	=> 'double',
							esc_html__('groove', 	'nt-minfox' )	=> 'groove',
							esc_html__('inset', 	'nt-minfox' )	=> 'inset',
							esc_html__('outset', 	'nt-minfox' )	=> 'outset',
							esc_html__('ridge', 	'nt-minfox' )	=> 'ridge',
						),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border top', 'nt-minfox'),
						'description'   => esc_html__('example:5px', 'nt-minfox' ),
						'param_name'	=> 'brdtop',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border right', 'nt-minfox'),
						'description'   => esc_html__('example:10px', 'nt-minfox' ),
						'param_name'	=> 'brdright',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border bottom', 'nt-minfox'),
						'description'   => esc_html__('example:3px', 'nt-minfox' ),
						'param_name'	=> 'brdbottom',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border left', 'nt-minfox'),
						'description'   => esc_html__('example:1px', 'nt-minfox' ),
						'param_name'	=> 'brdleft',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Border color', 'nt-minfox'),
						'param_name'	=> 'bordercolor',
						'description'	=> esc_html__('Change border color.', 'nt-minfox'),
						'edit_field_class'	=> 'vc_col-sm-6',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border radius', 'nt-minfox'),
						'description'   => esc_html__('Example:30px or 30%', 'nt-minfox' ),
						'param_name'	=> 'borderradius',
						'edit_field_class'	=> 'vc_col-sm-6',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
				)
			),//custom style end
		),
   ));
}
class NT_Minfox_section_pricing extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	PRICING minfox
/*-----------------------------------------------------------------------------------*/
add_action( 'vc_before_init', 'NT_Minfox_section_pricingitem_integrateWithVC' );
function NT_Minfox_section_pricingitem_integrateWithVC() {
   vc_map( array(
      "name"       => esc_html__("PRICING ITEM( Plugin )", "nt-minfox"),
      "base"       => "nt_minfox_section_pricingitem",
	  "icon"       => "icon-wpb-row",
	  "category"   => esc_html__("NT Minfox", "nt-minfox"),
      "params"     => array(
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__('Price post slug name', 'nt-minfox'),
				'param_name'  => 'postname',
				'description' => esc_html__('Add your price post slug name', 'nt-minfox'),
			),
			array(
				'type'          => 'vc_link',
				'heading'       => esc_html__('Button (Link)', 'nt-minfox' ),
				'param_name'    => 'btnlink',
				'description'   => esc_html__('Add custom button title and link for pricing pack', 'nt-minfox' ),
			),
            array(
				'type'        => 'textfield',
				'heading'     => esc_html__('Price separator', 'nt-minfox'),
				'param_name'  => 'sep',
				'description' => esc_html__('Add separator between price and small price.', 'nt-minfox'),
			),
			// custom style
			array(
				'type'        => 'param_group',
				'heading'     => esc_html__('Select item and change style', 'nt-minfox' ),
				'param_name'  => 'customstyle',
				'group'		  => esc_html__('Custom Style', 'nt-minfox' ),
				'params' 	  => array(
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Current', 'nt-minfox' ),
						'param_name'  => 'currentitem',
						'admin_label'  => true,
						'description' => esc_html__('You can select element for custom style', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select item for custom style', 	'nt-minfox' )	=> '',
							esc_html__('Price title', 					'nt-minfox' )	=> '1',
							esc_html__('Price', 						'nt-minfox' )	=> '2',
							esc_html__('Price features', 				'nt-minfox' )	=> '3',
							esc_html__('Price button', 					'nt-minfox' )	=> '4',
						),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Font-size', 'nt-minfox'),
						'param_name'	=> 'size',
						'description'	=> esc_html__('Change fontsize.use number in ( px or unit )', 'nt-minfox'),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Line-height', 'nt-minfox'),
						'param_name'	=> 'lineh',
						'description'	=> esc_html__('Change line-height.use number in ( px or unit ).example line-height: 1.1 or 24px or 1.4rem', 'nt-minfox'),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Font-weight', 'nt-minfox' ),
						'param_name'  => 'weight',
						'description' => esc_html__('Change font-weight.', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select font-weight', 	'nt-minfox' )	=> '',
							esc_html__('100', 	'nt-minfox' )	=> '100',
							esc_html__('200', 	'nt-minfox' )	=> '200',
							esc_html__('300', 	'nt-minfox' )	=> '300',
							esc_html__('400', 	'nt-minfox' )	=> '400',
							esc_html__('500', 	'nt-minfox' )	=> '500',
							esc_html__('600', 	'nt-minfox' )	=> '600',
							esc_html__('700', 	'nt-minfox' )	=> '700',
							esc_html__('800', 	'nt-minfox' )	=> '900',
						),
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Color', 'nt-minfox'),
						'param_name'	=> 'color',
						'description'	=> esc_html__('Change color.', 'nt-minfox'),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Text align( position )', 'nt-minfox' ),
						'param_name'  => 'position',
						'description' => esc_html__('You can select position for current item', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select text align', 'nt-minfox' )	=> '',
							esc_html__('Left', 		'nt-minfox' )	=> 'left',
							esc_html__('Center', 	'nt-minfox' )	=> 'center',
							esc_html__('Right', 	'nt-minfox' )	=> 'right',
						),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Font style', 'nt-minfox' ),
						'param_name'  => 'fstyle',
						'value'       => array(
							esc_html__('Select font style', 	'nt-minfox' )	=> '',
							esc_html__('normal', 	'nt-minfox' )	=> 'normal',
							esc_html__('italic', 	'nt-minfox' )	=> 'italic',
							esc_html__('oblique', 	'nt-minfox' )	=> 'oblique',
						),
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Background color', 'nt-minfox'),
						'param_name'	=> 'bgcolor',
						'description'	=> esc_html__('Change background.', 'nt-minfox'),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding top', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padtop',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding right', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padright',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding bottom', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padbottom',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding left', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padleft',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Border', 'nt-minfox' ),
						'param_name'  => 'borderstyl',
						'description' => esc_html__('Select border style and enter border width in ( px or unit ).example:5px', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select border style', 	'nt-minfox' )	=> '',
							esc_html__('solid', 	'nt-minfox' )	=> 'solid',
							esc_html__('dotted', 	'nt-minfox' )	=> 'dotted',
							esc_html__('dashed', 	'nt-minfox' )	=> 'dashed',
							esc_html__('double', 	'nt-minfox' )	=> 'double',
							esc_html__('groove', 	'nt-minfox' )	=> 'groove',
							esc_html__('inset', 	'nt-minfox' )	=> 'inset',
							esc_html__('outset', 	'nt-minfox' )	=> 'outset',
							esc_html__('ridge', 	'nt-minfox' )	=> 'ridge',
						),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border top', 'nt-minfox'),
						'description'   => esc_html__('example:5px', 'nt-minfox' ),
						'param_name'	=> 'brdtop',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border right', 'nt-minfox'),
						'description'   => esc_html__('example:10px', 'nt-minfox' ),
						'param_name'	=> 'brdright',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border bottom', 'nt-minfox'),
						'description'   => esc_html__('example:3px', 'nt-minfox' ),
						'param_name'	=> 'brdbottom',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border left', 'nt-minfox'),
						'description'   => esc_html__('example:1px', 'nt-minfox' ),
						'param_name'	=> 'brdleft',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Border color', 'nt-minfox'),
						'param_name'	=> 'bordercolor',
						'description'	=> esc_html__('Change border color.', 'nt-minfox'),
						'edit_field_class'	=> 'vc_col-sm-6',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border radius', 'nt-minfox'),
						'description'   => esc_html__('Example:30px or 30%', 'nt-minfox' ),
						'param_name'	=> 'borderradius',
						'edit_field_class'	=> 'vc_col-sm-6',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
				)
			),//custom style end
		),
   ));
}
class NT_Minfox_section_pricingitem extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	BLOG minfox
/*-----------------------------------------------------------------------------------*/
add_action( 'vc_before_init', 'NT_Minfox_section_blog_integrateWithVC' );
function NT_Minfox_section_blog_integrateWithVC() {
   vc_map( array(
      "name"       => esc_html__("Latest News ( Default Post )", "nt-minfox"),
      "base"       => "nt_minfox_section_blog",
	  "icon"       => "icon-wpb-row",
	  "category"   => esc_html__("NT Minfox", "nt-minfox"),
      "params"     => array(

          array(
              "type" => "loop",
              "heading" => esc_html__("Post Query", 'nt-minfox'),
              "param_name" => "build_query",
              'settings' => array(
              'size' => array( 'hidden' => false, 'value' =>  '' ),
              'order_by' => array( 'value' => 'date' ),
              'post_type' => array( 'value' => 'post', 'hidden' => true)
              ),
              "description" 	=> esc_html__("Create WordPress loop, to populate products from your site.", 'nt-minfox')
          ),
          array(
				'type'        => 'textfield',
				'heading'     => esc_html__('Section ID', 'nt-minfox'),
				'param_name'  => 'section_id',
				'description' => esc_html__('Add your Section ID for scroll menu', 'nt-minfox'),
			),
			//Section heading
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__('Heading display ( hide or show )', 'nt-minfox' ),
				'param_name'  => 'heading_display',
				'description' => esc_html__('You can select hide or show section heading all text', 'nt-minfox' ),
				'group' 	  => esc_html__('Heading', 'nt-minfox' ),
				'value'       => array(
					esc_html__('Show', 	'nt-minfox' )	=> 'show',
					esc_html__('Hide', 	'nt-minfox' )	=> 'hide',
				),
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Heading', 'nt-minfox' ),
				'param_name'    => 'section_heading',
				'description'   => esc_html__("Add heading for this section", "nt-minfox"),
				'group' 	  	=> esc_html__('Heading', 'nt-minfox' ),
				'dependency' 	=> array(
						'element' 	=> 'heading_display',
						'value'   	=> 'show'
					)
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Description', 'nt-minfox' ),
				'param_name'    => 'section_desc',
				'description'   => esc_html__("Add description for this section", "nt-minfox"),
				'group' 	  	=> esc_html__('Heading', 'nt-minfox' ),
				'dependency' 	=> array(
						'element' 	=> 'heading_display',
						'value'   	=> 'show'
					)
			),
			array(
				'type' 			=> 'animation_style',
				'heading' 		=> esc_html__( 'Animation heading and description', 'nt-minfox' ),
				'param_name' 	=> 'headinganimation',
				'group' 	  	=> esc_html__('Heading', 'nt-minfox' ),
				'dependency' 	=> array(
						'element' 	=> 'heading_display',
						'value'   	=> 'show'
					)
			),
			array(
				'type' 			=> 'animation_style',
				'heading' 		=> esc_html__( 'Animation post item', 'nt-minfox' ),
				'param_name' 	=> 'newsanimation',
				'group' 	  	=> esc_html__('Post Options', 'nt-minfox' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__('Post button title', 'nt-minfox'),
				'param_name'  => 'readmore',
				'group'       => esc_html__('Post Options', 'nt-minfox'),
				'description' => esc_html__('Add read more button title', 'nt-minfox'),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__('Post before date title', 'nt-minfox'),
				'param_name'  => 'beforedate',
				'group'       => esc_html__('Post Options', 'nt-minfox'),
				'description' => esc_html__('Add before date title', 'nt-minfox'),
			),

			array(
				'type'          => 'css_editor',
				'heading'       => esc_html__('Background CSS', 'nt-minfox' ),
				'param_name'    => 'sectionbgcss',
				'group' 	    => esc_html__('Background options', 'nt-minfox' ),
			),
			// custom style
			array(
				'type'        => 'param_group',
				'heading'     => esc_html__('Select item and change style', 'nt-minfox' ),
				'param_name'  => 'customstyle',
				'group'		  => esc_html__('Custom Style', 'nt-minfox' ),
				'params' 	  => array(
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Current', 'nt-minfox' ),
						'param_name'  => 'currentitem',
						'admin_label'  => true,
						'description' => esc_html__('You can select element for custom style', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select item for custom style', 	'nt-minfox' )	=> '',
							esc_html__('Section heading', 				'nt-minfox' )	=> '1',
							esc_html__('Section description', 			'nt-minfox' )	=> '2',
							esc_html__('Post title', 					'nt-minfox' )	=> '3',
							esc_html__('Post date', 					'nt-minfox' )	=> '4',
							esc_html__('Post button', 					'nt-minfox' )	=> '5',
						),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Font-size', 'nt-minfox'),
						'param_name'	=> 'size',
						'description'	=> esc_html__('Change fontsize.use number in ( px or unit )', 'nt-minfox'),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Line-height', 'nt-minfox'),
						'param_name'	=> 'lineh',
						'description'	=> esc_html__('Change line-height.use number in ( px or unit ).example line-height: 1.1 or 24px or 1.4rem', 'nt-minfox'),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Font-weight', 'nt-minfox' ),
						'param_name'  => 'weight',
						'description' => esc_html__('Change font-weight.', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select font-weight', 	'nt-minfox' )	=> '',
							esc_html__('100', 	'nt-minfox' )	=> '100',
							esc_html__('200', 	'nt-minfox' )	=> '200',
							esc_html__('300', 	'nt-minfox' )	=> '300',
							esc_html__('400', 	'nt-minfox' )	=> '400',
							esc_html__('500', 	'nt-minfox' )	=> '500',
							esc_html__('600', 	'nt-minfox' )	=> '600',
							esc_html__('700', 	'nt-minfox' )	=> '700',
							esc_html__('800', 	'nt-minfox' )	=> '900',
						),
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Color', 'nt-minfox'),
						'param_name'	=> 'color',
						'description'	=> esc_html__('Change color.', 'nt-minfox'),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Text align( position )', 'nt-minfox' ),
						'param_name'  => 'position',
						'description' => esc_html__('You can select position for current item', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select text align', 'nt-minfox' )	=> '',
							esc_html__('Left', 		'nt-minfox' )	=> 'left',
							esc_html__('Center', 	'nt-minfox' )	=> 'center',
							esc_html__('Right', 	'nt-minfox' )	=> 'right',
						),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Font style', 'nt-minfox' ),
						'param_name'  => 'fstyle',
						'value'       => array(
							esc_html__('Select font style', 	'nt-minfox' )	=> '',
							esc_html__('normal', 	'nt-minfox' )	=> 'normal',
							esc_html__('italic', 	'nt-minfox' )	=> 'italic',
							esc_html__('oblique', 	'nt-minfox' )	=> 'oblique',
						),
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Background color', 'nt-minfox'),
						'param_name'	=> 'bgcolor',
						'description'	=> esc_html__('Change background.', 'nt-minfox'),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding top', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padtop',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding right', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padright',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding bottom', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padbottom',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding left', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padleft',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Border', 'nt-minfox' ),
						'param_name'  => 'borderstyl',
						'description' => esc_html__('Select border style and enter border width in ( px or unit ).example:5px', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select border style', 	'nt-minfox' )	=> '',
							esc_html__('solid', 	'nt-minfox' )	=> 'solid',
							esc_html__('dotted', 	'nt-minfox' )	=> 'dotted',
							esc_html__('dashed', 	'nt-minfox' )	=> 'dashed',
							esc_html__('double', 	'nt-minfox' )	=> 'double',
							esc_html__('groove', 	'nt-minfox' )	=> 'groove',
							esc_html__('inset', 	'nt-minfox' )	=> 'inset',
							esc_html__('outset', 	'nt-minfox' )	=> 'outset',
							esc_html__('ridge', 	'nt-minfox' )	=> 'ridge',
						),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border top', 'nt-minfox'),
						'description'   => esc_html__('example:5px', 'nt-minfox' ),
						'param_name'	=> 'brdtop',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border right', 'nt-minfox'),
						'description'   => esc_html__('example:10px', 'nt-minfox' ),
						'param_name'	=> 'brdright',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border bottom', 'nt-minfox'),
						'description'   => esc_html__('example:3px', 'nt-minfox' ),
						'param_name'	=> 'brdbottom',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border left', 'nt-minfox'),
						'description'   => esc_html__('example:1px', 'nt-minfox' ),
						'param_name'	=> 'brdleft',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Border color', 'nt-minfox'),
						'param_name'	=> 'bordercolor',
						'description'	=> esc_html__('Change border color.', 'nt-minfox'),
						'edit_field_class'	=> 'vc_col-sm-6',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border radius', 'nt-minfox'),
						'description'   => esc_html__('Example:30px or 30%', 'nt-minfox' ),
						'param_name'	=> 'borderradius',
						'edit_field_class'	=> 'vc_col-sm-6',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
				)
			),//custom style end
		),
   ));
}
class NT_Minfox_section_blog extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	CONTACT  minfox
/*-----------------------------------------------------------------------------------*/
add_action( 'vc_before_init', 'NT_Minfox_contact_integrateWithVC' );
function NT_Minfox_contact_integrateWithVC() {
   vc_map( array(
		"name" 	   => esc_html__( "Contact Section", "nt-minfox" ),
		"base" 	   => "nt_minfox_section_contact",
		"category"   => esc_html__( "NT Minfox", "nt-minfox"),
		"params"     => array(
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__('Section ID', 'nt-minfox' ),
				'param_name'    => 'section_id',
				'description'   => esc_html__("Add Your Section ID for scroll", "nt-minfox"),
			),
			//Section heading
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__('Heading display ( hide or show )', 'nt-minfox' ),
				'param_name'  => 'heading_display',
				'description' => esc_html__('You can select hide or show section heading all text', 'nt-minfox' ),
				'group' 	  => esc_html__('Heading', 'nt-minfox' ),
				'value'       => array(
					esc_html__('Show', 	'nt-minfox' )	=> 'show',
					esc_html__('Hide', 	'nt-minfox' )	=> 'hide',
				),
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Heading', 'nt-minfox' ),
				'param_name'    => 'section_heading',
				'description'   => esc_html__("Add heading for this section", "nt-minfox"),
				'group' 	  	=> esc_html__('Heading', 'nt-minfox' ),
				'dependency' 	=> array(
						'element' 	=> 'heading_display',
						'value'   	=> 'show'
					)
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Subtitle', 'nt-minfox' ),
				'param_name'    => 'section_desc',
				'description'   => esc_html__("Add subtitle for this section", "nt-minfox"),
				'group' 	  	=> esc_html__('Heading', 'nt-minfox' ),
				'dependency' 	=> array(
						'element' 	=> 'heading_display',
						'value'   	=> 'show'
					)
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Description', 'nt-minfox' ),
				'param_name'    => 'contact_desc',
				'description'   => esc_html__("Add description for this section", "nt-minfox"),
				'group' 	  	=> esc_html__('Heading', 'nt-minfox' ),
				'dependency' 	=> array(
						'element' 	=> 'heading_display',
						'value'   	=> 'show'
					)
			),
			array(
				'type' 			=> 'animation_style',
				'heading' 		=> esc_html__( 'Animation heading and description', 'nt-minfox' ),
				'param_name' 	=> 'section_desc',
				'group' 	  	=> esc_html__('Heading', 'nt-minfox' ),
				'dependency' 	=> array(
						'element' 	=> 'heading_display',
						'value'   	=> 'show'
					)
			),
			array(
				'type'          => 'textarea_html',
				'heading'       => esc_html__('Contact Form shortcode', 'nt-minfox' ),
				'param_name'    => 'content',
				'description'   => esc_html__("Add contact form 7 shortcode here", "nt-minfox"),
				'group' 	  	=> esc_html__('Contact Form', 'nt-minfox' ),
			),
			array(
				'type'          => 'css_editor',
				'heading'       => esc_html__('Background CSS', 'nt-minfox' ),
				'param_name'    => 'sectionbgcss',
				'group' 	    => esc_html__('Background options', 'nt-minfox' ),
			),
			// custom style
			array(
				'type'        => 'param_group',
				'heading'     => esc_html__('Select item and change style', 'nt-minfox' ),
				'param_name'  => 'customstyle',
				'group'		  => esc_html__('Custom Style', 'nt-minfox' ),
				'params' 	  => array(
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Current', 'nt-minfox' ),
						'param_name'  => 'currentitem',
						'admin_label'  => true,
						'description' => esc_html__('You can select element for custom style', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select item for custom style', 	'nt-minfox' )	=> '',
							esc_html__('Section heading', 				'nt-minfox' )	=> '1',
							esc_html__('Section description', 			'nt-minfox' )	=> '2',
							esc_html__('Post title', 					'nt-minfox' )	=> '3',
							esc_html__('Post date', 					'nt-minfox' )	=> '4',
							esc_html__('Post button', 					'nt-minfox' )	=> '5',
						),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Font-size', 'nt-minfox'),
						'param_name'	=> 'size',
						'description'	=> esc_html__('Change fontsize.use number in ( px or unit )', 'nt-minfox'),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Line-height', 'nt-minfox'),
						'param_name'	=> 'lineh',
						'description'	=> esc_html__('Change line-height.use number in ( px or unit ).example line-height: 1.1 or 24px or 1.4rem', 'nt-minfox'),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Font-weight', 'nt-minfox' ),
						'param_name'  => 'weight',
						'description' => esc_html__('Change font-weight.', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select font-weight', 	'nt-minfox' )	=> '',
							esc_html__('100', 	'nt-minfox' )	=> '100',
							esc_html__('200', 	'nt-minfox' )	=> '200',
							esc_html__('300', 	'nt-minfox' )	=> '300',
							esc_html__('400', 	'nt-minfox' )	=> '400',
							esc_html__('500', 	'nt-minfox' )	=> '500',
							esc_html__('600', 	'nt-minfox' )	=> '600',
							esc_html__('700', 	'nt-minfox' )	=> '700',
							esc_html__('800', 	'nt-minfox' )	=> '900',
						),
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Color', 'nt-minfox'),
						'param_name'	=> 'color',
						'description'	=> esc_html__('Change color.', 'nt-minfox'),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Text align( position )', 'nt-minfox' ),
						'param_name'  => 'position',
						'description' => esc_html__('You can select position for current item', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select text align', 'nt-minfox' )	=> '',
							esc_html__('Left', 		'nt-minfox' )	=> 'left',
							esc_html__('Center', 	'nt-minfox' )	=> 'center',
							esc_html__('Right', 	'nt-minfox' )	=> 'right',
						),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Font style', 'nt-minfox' ),
						'param_name'  => 'fstyle',
						'value'       => array(
							esc_html__('Select font style', 	'nt-minfox' )	=> '',
							esc_html__('normal', 	'nt-minfox' )	=> 'normal',
							esc_html__('italic', 	'nt-minfox' )	=> 'italic',
							esc_html__('oblique', 	'nt-minfox' )	=> 'oblique',
						),
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Background color', 'nt-minfox'),
						'param_name'	=> 'bgcolor',
						'description'	=> esc_html__('Change background.', 'nt-minfox'),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding top', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padtop',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding right', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padright',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding bottom', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padbottom',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding left', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padleft',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Border', 'nt-minfox' ),
						'param_name'  => 'borderstyl',
						'description' => esc_html__('Select border style and enter border width in ( px or unit ).example:5px', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select border style', 	'nt-minfox' )	=> '',
							esc_html__('solid', 	'nt-minfox' )	=> 'solid',
							esc_html__('dotted', 	'nt-minfox' )	=> 'dotted',
							esc_html__('dashed', 	'nt-minfox' )	=> 'dashed',
							esc_html__('double', 	'nt-minfox' )	=> 'double',
							esc_html__('groove', 	'nt-minfox' )	=> 'groove',
							esc_html__('inset', 	'nt-minfox' )	=> 'inset',
							esc_html__('outset', 	'nt-minfox' )	=> 'outset',
							esc_html__('ridge', 	'nt-minfox' )	=> 'ridge',
						),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border top', 'nt-minfox'),
						'description'   => esc_html__('example:5px', 'nt-minfox' ),
						'param_name'	=> 'brdtop',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border right', 'nt-minfox'),
						'description'   => esc_html__('example:10px', 'nt-minfox' ),
						'param_name'	=> 'brdright',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border bottom', 'nt-minfox'),
						'description'   => esc_html__('example:3px', 'nt-minfox' ),
						'param_name'	=> 'brdbottom',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border left', 'nt-minfox'),
						'description'   => esc_html__('example:1px', 'nt-minfox' ),
						'param_name'	=> 'brdleft',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Border color', 'nt-minfox'),
						'param_name'	=> 'bordercolor',
						'description'	=> esc_html__('Change border color.', 'nt-minfox'),
						'edit_field_class'	=> 'vc_col-sm-6',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border radius', 'nt-minfox'),
						'description'   => esc_html__('Example:30px or 30%', 'nt-minfox' ),
						'param_name'	=> 'borderradius',
						'edit_field_class'	=> 'vc_col-sm-6',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
				)
			),//custom style end
		),
   ));
} class NT_Minfox_section_contact extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	SUBSCRIBE  minfox
/*-----------------------------------------------------------------------------------*/
add_action( 'vc_before_init', 'NT_Minfox_subscribe_integrateWithVC' );
function NT_Minfox_subscribe_integrateWithVC() {
   vc_map( array(
		"name" 	   => esc_html__( "Subscribe Section", "nt-minfox" ),
		"base" 	   => "nt_minfox_section_subscribe",
		"category"   => esc_html__( "NT Minfox", "nt-minfox"),
		"params"     => array(
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__('Section ID', 'nt-minfox' ),
				'param_name'    => 'section_id',
				'description'   => esc_html__("Add Your Section ID for scroll", "nt-minfox"),
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Heading', 'nt-minfox' ),
				'param_name'    => 'section_heading',
				'description'   => esc_html__("Add heading for subscribe section", "nt-minfox"),
				'group' 	  	=> esc_html__('Heading', 'nt-minfox' ),
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__('Description', 'nt-minfox' ),
				'param_name'    => 'section_desc',
				'description'   => esc_html__("Add description for subscribe section", "nt-minfox"),
				'group' 	  	=> esc_html__('Heading', 'nt-minfox' ),
			),
			array(
				'type' 			=> 'animation_style',
				'heading' 		=> esc_html__( 'Animation heading and description', 'nt-minfox' ),
				'param_name' 	=> 'headinganimation',
				'group' 	  	=> esc_html__('Heading', 'nt-minfox' ),
			),
			array(
				'type'          => 'textarea_html',
				'heading'       => esc_html__('Subscribe Form shortcode', 'nt-minfox' ),
				'param_name'    => 'content',
				'description'   => esc_html__("Add contact form 7 shortcode here", "nt-minfox"),
				'group' 	  	=> esc_html__('Subscribe Form', 'nt-minfox' ),
			),
			array(
				'type'          => 'css_editor',
				'heading'       => esc_html__('Background CSS', 'nt-minfox' ),
				'param_name'    => 'sectionbgcss',
				'group' 	    => esc_html__('Background options', 'nt-minfox' ),
			),
			// custom style
			array(
				'type'        => 'param_group',
				'heading'     => esc_html__('Select item and change style', 'nt-minfox' ),
				'param_name'  => 'customstyle',
				'group'		  => esc_html__('Custom Style', 'nt-minfox' ),
				'params' 	  => array(
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Current', 'nt-minfox' ),
						'param_name'  => 'currentitem',
						'admin_label'  => true,
						'description' => esc_html__('You can select element for custom style', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select item for custom style', 	'nt-minfox' )	=> '',
							esc_html__('Section heading', 				'nt-minfox' )	=> '1',
							esc_html__('Section description', 			'nt-minfox' )	=> '2',
						),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Font-size', 'nt-minfox'),
						'param_name'	=> 'size',
						'description'	=> esc_html__('Change fontsize.use number in ( px or unit )', 'nt-minfox'),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Line-height', 'nt-minfox'),
						'param_name'	=> 'lineh',
						'description'	=> esc_html__('Change line-height.use number in ( px or unit ).example line-height: 1.1 or 24px or 1.4rem', 'nt-minfox'),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Font-weight', 'nt-minfox' ),
						'param_name'  => 'weight',
						'description' => esc_html__('Change font-weight.', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select font-weight', 	'nt-minfox' )	=> '',
							esc_html__('100', 	'nt-minfox' )	=> '100',
							esc_html__('200', 	'nt-minfox' )	=> '200',
							esc_html__('300', 	'nt-minfox' )	=> '300',
							esc_html__('400', 	'nt-minfox' )	=> '400',
							esc_html__('500', 	'nt-minfox' )	=> '500',
							esc_html__('600', 	'nt-minfox' )	=> '600',
							esc_html__('700', 	'nt-minfox' )	=> '700',
							esc_html__('800', 	'nt-minfox' )	=> '900',
						),
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Color', 'nt-minfox'),
						'param_name'	=> 'color',
						'description'	=> esc_html__('Change color.', 'nt-minfox'),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Text align( position )', 'nt-minfox' ),
						'param_name'  => 'position',
						'description' => esc_html__('You can select position for current item', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select text align', 'nt-minfox' )	=> '',
							esc_html__('Left', 		'nt-minfox' )	=> 'left',
							esc_html__('Center', 	'nt-minfox' )	=> 'center',
							esc_html__('Right', 	'nt-minfox' )	=> 'right',
						),
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Font style', 'nt-minfox' ),
						'param_name'  => 'fstyle',
						'value'       => array(
							esc_html__('Select font style', 	'nt-minfox' )	=> '',
							esc_html__('normal', 	'nt-minfox' )	=> 'normal',
							esc_html__('italic', 	'nt-minfox' )	=> 'italic',
							esc_html__('oblique', 	'nt-minfox' )	=> 'oblique',
						),
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Background color', 'nt-minfox'),
						'param_name'	=> 'bgcolor',
						'description'	=> esc_html__('Change background.', 'nt-minfox'),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding top', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padtop',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding right', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padright',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding bottom', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padbottom',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Padding left', 'nt-minfox'),
						'description'	=> esc_html__('Use number in px.', 'nt-minfox'),
						'param_name'	=> 'padleft',
						'edit_field_class'	=> 'vc_col-sm-3',
					),
					array(
						'type'        => 'dropdown',
						'heading'     => esc_html__('Border', 'nt-minfox' ),
						'param_name'  => 'borderstyl',
						'description' => esc_html__('Select border style and enter border width in ( px or unit ).example:5px', 'nt-minfox' ),
						'value'       => array(
							esc_html__('Select border style', 	'nt-minfox' )	=> '',
							esc_html__('solid', 	'nt-minfox' )	=> 'solid',
							esc_html__('dotted', 	'nt-minfox' )	=> 'dotted',
							esc_html__('dashed', 	'nt-minfox' )	=> 'dashed',
							esc_html__('double', 	'nt-minfox' )	=> 'double',
							esc_html__('groove', 	'nt-minfox' )	=> 'groove',
							esc_html__('inset', 	'nt-minfox' )	=> 'inset',
							esc_html__('outset', 	'nt-minfox' )	=> 'outset',
							esc_html__('ridge', 	'nt-minfox' )	=> 'ridge',
						),
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border top', 'nt-minfox'),
						'description'   => esc_html__('example:5px', 'nt-minfox' ),
						'param_name'	=> 'brdtop',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border right', 'nt-minfox'),
						'description'   => esc_html__('example:10px', 'nt-minfox' ),
						'param_name'	=> 'brdright',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border bottom', 'nt-minfox'),
						'description'   => esc_html__('example:3px', 'nt-minfox' ),
						'param_name'	=> 'brdbottom',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border left', 'nt-minfox'),
						'description'   => esc_html__('example:1px', 'nt-minfox' ),
						'param_name'	=> 'brdleft',
						'edit_field_class'	=> 'vc_col-sm-3',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'colorpicker',
						'heading'		=> esc_html__('Border color', 'nt-minfox'),
						'param_name'	=> 'bordercolor',
						'description'	=> esc_html__('Change border color.', 'nt-minfox'),
						'edit_field_class'	=> 'vc_col-sm-6',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__('Border radius', 'nt-minfox'),
						'description'   => esc_html__('Example:30px or 30%', 'nt-minfox' ),
						'param_name'	=> 'borderradius',
						'edit_field_class'	=> 'vc_col-sm-6',
						'dependency' 	=> array(
							'element' 	=> 'borderstyl',
							'value'   	=> array('solid','dotted','dashed','double','groove','inset','outset','ridge')
						)
					),
				)
			),//custom style end
		),
   ));
} class NT_Minfox_section_subscribe extends WPBakeryShortCode {}

// Filter to replace default css class names for vc_row shortcode and vc_column
add_filter( 'vc_shortcodes_css_class', 'nt_minfox_custom_css_classes_for_vc_row_and_vc_column', 10, 2 );
function nt_minfox_custom_css_classes_for_vc_row_and_vc_column( $class_string, $tag ) {
  if (  $tag == 'vc_row_inner' ) {
    $class_string = str_replace( 'vc_row-fluid', 'container bootstrap', $class_string ); // This will replace "vc_row-fluid" with "my_row-fluid"
  }
  return $class_string; // Important: you should always return modified or original $class_string
}
